/*  **************************************************************************/
/*  * DATABASE CHANGES FOR ORIGINATION AND 2003 UPGRADE PROJECTS			*/
/*	* 																		*/
/*	* DEVELOPER:		MARCUS WHITE										*/
/*	* DATABASE:			FEEAMORTIZATION	                   					*/
/*	* DATE:				1/26/2003											*/
/*	* DESCRIPTION		COMBINED SCRIPT 								*/
/*  **************************************************************************/


/*      *********************************************************************/
/*      * TABLE CHANGES FOR FEEAMORTIZATION									*/                   
/*      *********************************************************************/
BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS		ON
SET ANSI_PADDING	ON
SET ANSI_WARNINGS	ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblSubSystem]    Script Date: 1/21/2003 10:45:00 AM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblSubSystem]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblSubSystem]
GO
/****** Object:  Table [dbo].[tblSubSystem]    Script Date: 1/21/2003 10:45:00 AM ******/
CREATE TABLE [dbo].[tblSubSystem] (
	[Num] [decimal](18, 0) IDENTITY (1, 1) NOT NULL  ,
	[Description] [char] (50) NOT NULL ,
	[Process_Ind] [bit] NOT NULL ,
	[Proc_Name] [char] (100) NULL ,
	[Proc_Start] [char] (100) NULL ,
	[Proc_End] [char] (100) NULL ,
	[Proc_NotTime] [char] (100) NULL ,
	[Proc_AlreadyRan] [char] (100) NULL ,
	[DAT_LAS_UPDT] AS (getdate()) 
) ON [PRIMARY]
GO
INSERT INTO dbo.tblSubSystem VALUES ( 'BCP - DAILY',								   1, 'uspDaily_DTSFeeBCP',				'Execute BCP Process; (uspDaily_DTSFeeBCP)  -- STARTED',											   'Execute BCP Process; (uspDaily_DTSFeeBCP)  -- COMPLETED (SUBSYSTEM Num = 1)',								  'NULL',																					  'DAILY BCP  Process; was not run -- It already ran successfully'								)
INSERT INTO dbo.tblSubSystem VALUES ( 'DELETE TEMPORARY REPORT TABLES - DAILY',        1, 'uspDelete_Temp_Tables_Del1',     'Delete temporary Report tables; (uspDelete_Temp_Tables_Del1) - STARTED',                              'Delete temporary Report tables; (uspDelete_Temp_Tables_Del1) - COMPLETED (SUBSYSTEM Num = 2)',        	      'NULL',                                                                                     'Delete temporary Report tables; was not run  -- It already ran successfully'             )
INSERT INTO dbo.tblSubSystem VALUES ( 'SETUP - DAILY',                                 1, 'uspSysdate_Ins1',                'Setup Process; (uspSysdate_Ins1) - STARTED',                                                          'Setup Process; (uspSysdate_Ins1) - COMPLETED (SUBSYSTEM Num = 3)', 	                                      'NULL',                                                                                     'Setup Process; was not run  -- It already ran successfully'									)
INSERT INTO dbo.tblSubSystem VALUES ( 'SCHEDULE RATE CHECK - MONTHLY',                 1, 'uspMthly_SchedRateCheck',		'MONTHLY Schedule Rate Check; (uspMthly_SchedRateCheck) - STARTED',                                    'MONTHLY Schedule Rate Check; (uspMthly_SchedRateCheck) - COMPLETED (SUBSYSTEM Num = 4)',					 'MONTHLY Schedule Rate Check; was not run -- Its not time  (SUBSYSTEM Num = 4)',			  'MONTHLY Schedule Rate Check; was not run -- It already ran successfully'                 )
INSERT INTO dbo.tblSubSystem VALUES ( 'FAS91 AMORTIZATION - MONTHLY',                  1, 'uspMthly_Loans_Amort_Upd1',      'MONTHLY FAS91; (uspMthly_Loans_Amort_Upd1) - STARTED',                                                'MONTHLY FAS91; (uspMthly_Loans_Amort_Upd1) - COMPLETED (SUBSYSTEM Num = 5)',                          	     'MONTHLY FAS91; was not run -- Its not time  (SUBSYSTEM Num = 5)',						  'MONTHLY FAS91; was not run -- It already ran successfully'                               )
INSERT INTO dbo.tblSubSystem VALUES ( 'INSURANCE PREMIUM AMORTIZATION - MONTHLY',      1, 'uspMthly_Disbursements_Am_Upd1', 'MONTHLY Insurance Premium Process; ()  - STARTED',													   'MONTHLY Insurance Premium Process; ()  - COMPLETED (SUBSYSTEM Num = 6)',   'MONTHLY Insurance Premium Process; was not run -- Its not time  (SUBSYSTEM Num = 6)',     'MONTHLY Insurance Premium Process; was not run -- It already ran successfully'			)
INSERT INTO dbo.tblSubSystem VALUES ( 'REFERRAL FEE AMORTIZATION - MONTHLY',           1, 'uspMthly_Disbursements_Refl',    'MONTHLY Referral Fee Process; (uspMthly_Disbursements_Refl) - STARTED',                               'MONTHLY Referral Fee Process; (uspMthly_Disbursements_Refl) - COMPLETED (SUBSYSTEM Num = 7)',         	     'MONTHLY Referral Fee Process; was not run -- Its not time (SUBSYSTEM Num = 7)',            'MONTHLY Referral Fee Process; was not run -- It already ran successfully'					)
INSERT INTO dbo.tblSubSystem VALUES ( 'DELETE REPORT TABLES - MONTHLY',				   1, 'uspMthly_Report_Tables_Del',     'MONTHLY Delete Report Tables Process; (uspMthly_Report_Tables_Del) - STARTED',						   'MONTHLY Delete Report Tables Process; (uspMthly_Report_Tables_Del)- COMPLETED  (SUBSYSTEM Num = 8)',		 'MONTHLY Delete Reports Tables; was not run -- Its not time  (SUBSYSTEM Num = 8)',		  'MONTHLY Delete Reports Tables Process; was not run -- It already ran successfully'					)
INSERT INTO dbo.tblSubSystem VALUES ( 'POPULATE REPORTS TABLES - MONTHLY',             1, 'uspMthly_Report_Tables_Fill',    'MONTHLY Report Tables Process; (uspMthly_Report_Tables_Fill) - STARTED',                              'MONTHLY Report Tables Process; (uspMthly_Report_Tables_Fill)  - COMPLETED (SUBSYSTEM Num = 9)',                  'MONTHLY Reports Tables Process; was not run -- Its not time (SUBSYSTEM Num = 9)',         'MONTHLY Reports Tables Process; was not run -- It already ran successfully'					)
INSERT INTO dbo.tblSubSystem VALUES ( 'WRITE DOWN - MONTHLY',                          1, 'uspMthly_Write_Down_Upd1 ',      'MONTHLY Write Down Process; (uspMthly_Write_Down_Upd1) - STARTED',									   'MONTHLY Write Down Process; (uspMthly_Write_Down_Upd1 ) - COMPLETED (SUBSYSTEM Num = 10)',              			 'MONTHLY Write Down Process; was not run -- Its not time (SUBSYSTEM Num = 10)',                  'MONTHLY Write Down Process; was not run -- It already ran successfully'					)
INSERT INTO dbo.tblSubSystem VALUES ( 'REINSTATEMENTS - DAILY',                        1, 'uspReinstatements',              'DAILY Reinstatements Process; (uspReinstatements) - STARTED',                                         'DAILY Reinstatements Process; (uspReinstatements) - COMPLETED (SUBSYSTEM Num = 11)',                         'NULL',                                                                                     'DAILY Reinstatements Process; was not run -- It already ran successfully'					)
INSERT INTO dbo.tblSubSystem VALUES ( 'DISBURSEMENTS - DAILY',                         1, 'uspDisbursements_Upd1',          'DAILY Disbursements Process; (uspDisbursements_Upd1) - STARTED',                                   'DAILY Disbursements Process; (uspDisbursements_Upd1) - COMPLETED (SUBSYSTEM Num = 12)',                  'NULL',                                                                                     'DAILY Disbursements Process; was not run -- It already ran successfully'						)
INSERT INTO dbo.tblSubSystem VALUES ( 'CANCELLATION/REFUNDS - DAILY',                  1, 'uspCanRef_Upd1',                 'DAILY Cancel Refund Process; (uspCanRef_Upd1) - STARTED',                                          'DAILY Cancel Refund Process; (uspCanRef_Upd1) - COMPLETED (SUBSYSTEM Num = 13)',                         'NULL',                                                                                     'DAILY Cancel Refund Process; was not run -- It already ran successfully'						)
INSERT INTO dbo.tblSubSystem VALUES ( 'CANCELLATION/REFUND REVERSALS - DAILY',         1, 'uspCanRefRev_Upd1',              'DAILY Cancellation Refund Reversal Process; (uspCanRefRev_Upd1) - STARTED',                        'DAILY Cancellation Refund Reversal Process; (uspCanRefRev_Upd1) - COMPLETED (SUBSYSTEM Num = 14)',       'NULL',                                                                                     'DAILY Cancellation Refund Reversal Process; was not run -- It already ran successfully'		)
INSERT INTO dbo.tblSubSystem VALUES ( 'SALES TRANSACTIONS - DAILY',                    1, 'uspLoans_Disb_Sales_Txns_Upd1',  'DAILY Sales Transaction Process; (uspLoans_Disb_Sales_Txns_Upd1) - STARTED',                          'DAILY Sales Transaction Process; (uspLoans_Disb_Sales_Txns_Upd1) - COMPLETED (SUBSYSTEM Num = 15)',         'NULL',                                                                                     'DAILY Sales Transaction Process; was not run -- It already ran successfully'					)
INSERT INTO dbo.tblSubSystem VALUES ( 'PURCHASE TRANSACTIONS - DAILY',                 1, 'uspLoans_Disb_Auto_Purch_Upd1',  'DAILY Purchase Transaction Process; (uspLoans_Disb_Auto_Purch_Updt) - STARTED',                       'DAILY Purchase Transaction Process; (uspLoans_Disb_Auto_Purch_Updt) - COMPLETED (SUBSYSTEM Num = 16)',      'NULL',                                                                                     'DAILY Purchase Transaction Process; was not run -- It already ran successfully'				)
INSERT INTO dbo.tblSubSystem VALUES ( 'OTHER TRANSACTIONS - DAILY',                    1, 'uspLoans_Non_Sale_Pur_Txn_Upd1', 'DAILY Other Transaction Process; (uspLoans_Non_Sale_Pur_Txn_Upd1) - STARTED',                         'DAILY Other Transaction Process; (uspLoans_Non_Sale_Pur_Txn_Upd1) - COMPLETED (SUBSYSTEM Num = 17)',        'NULL',                                                                                     'DAILY Other Transaction Process; was not run -- It already ran successfully'					)
INSERT INTO dbo.tblSubSystem VALUES ( 'CALCULATE REFERRAL FEE',                        1, 'uspCalculateReflFee',		    'DAILY Referral Fee Check; (uspCheckForReferralProcess) - STARTED',                                    'DAILY Referral Fee Check; (uspCheckForReferralProcess) - COMPLETED (SUBSYSTEM Num = 18)',                   '*** It is not time to Perform Referral Fee Processing ***',                                'DAILY Referral Fee Check; was not run -- It already ran successfully'							)
INSERT INTO dbo.tblSubSystem VALUES ( 'RESET INDICATORS - YEARLY',                     1, 'uspResetReflSched',              'YEARLY Process Check; (uspResetReflSched) - STARTED',                                                 'YEARLY Process Check; (uspResetReflSched) - COMPLETED (SUBSYSTEM Num = 19)',                                '*** It is not time to Perform Yearly Processing ***',                                      'YEARLY Process Check; was not run -- It already ran successfully'								)
INSERT INTO dbo.tblSubSystem VALUES ( 'DELETE REPORT TABLES - DAILY',                  1, 'uspDaily_Report_Tables_Del',     'DAILY DELETE REPORT TABLE PROCESS (uspDaily_Report_Tables_Del) - STARTED',                            'DAILY DELETE REPORT TABLE PROCESS (uspDaily_Report_Tables_Del) - COMPLETED  (SUBSYSTEM Num = 20)',                                                   'NULL',											 'DAILY DELETE REPORTS PROCESS; was not run -- It already ran successfully'							)
INSERT INTO dbo.tblSubSystem VALUES ( 'POPULATE REPORT TABLES - DAILY',                1, 'uspDaily_Report_Tables_Fill',    'DAILY REPORT TABLE PROCESS (uspDaily_Report_Tables_Fill) - STARTED',                                  'DAILY REPORT TABLE PROCESS (uspDaily_Report_Tables_Fill) - COMPLETED  (SUBSYSTEM Num = 21)',                                       'NULL',																	 'DAILY REPORT TABLE PROCESS ; was not run -- It already ran successfully'				)
INSERT INTO dbo.tblSubSystem VALUES ( 'DELETE INPUT FILES - DAILY',					   1, 'uspDaily_DelInputFiles',		    'DAILY Delete Input Files; - STARTED',																   'DAILY Delete Input Files; - COMPLETED  (SUBSYSTEM Num = 22)',													 '*** It is not time to Perform Referral Fee Reporting ***',							 'DAILY Delete Input FIles; -- It already ran successfully'										)
INSERT INTO dbo.tblSubSystem VALUES ( 'RESET PROCESS  - DAILY',						   1, 'uspProcessReset_Upd1',		    'DAILY Reset Process ; - STARTED',																	   'DAILY Reset Process; - COMPLETED  (SUBSYSTEM Num = 23)',													 '*** It is not time to Perform Referral Fee Reporting ***',								 'DAILY Reset Process; -- It already ran successfully'											)
GO
GRANT SELECT ON dbo.tblSubSystem TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblSubSystem TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblSubSystem TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblSubSystem TO SLCInternet  AS dbo
COMMIT




GO
BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblDaily_GlobalValues]    Script Date: 1/21/2003 10:45:00 AM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblDaily_GlobalValues]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblDaily_GlobalValues]
GO
CREATE TABLE dbo.tblDaily_GlobalValues
	(
	Log_Loc varchar(500) NOT NULL,
	Bck_Loc varchar(500) NOT NULL,
	Inp_Fil_Loc varchar(500) NOT NULL,
	For_Fil_Loc varchar(500) NOT NULL,
	SRV_Nam varchar(50) NOT NULL,
	DB_Nam	varchar(50) NOT NULL,
	Fil_Nam_1 varchar(50) NOT NULL,
	Fil_Nam_2 varchar(50) NOT NULL,
	Fil_Nam_3 varchar(50) NOT NULL,
	Fil_Nam_4 varchar(50) NOT NULL,
	Fil_Nam_5 varchar(50) NOT NULL,
	For_Nam_1 varchar(50) NOT NULL,
	For_Nam_2 varchar(50) NOT NULL,
	For_Nam_3 varchar(50) NOT NULL,
	For_Nam_4 varchar(50) NOT NULL,
	For_Nam_5 varchar(50) NOT NULL,
	)  ON [PRIMARY]
GO
INSERT INTO dbo.tblDaily_GlobalValues 
VALUES ( 
'\\SQLQA01\SQLStaging\FeeAmort\log.txt',
'\\SQLQA01\SQLStaging\FeeAmort\Backup',
'\\SQLQA01\SQLStaging\FeeAmort\Incoming',
'\\SQLQA01\SQLStaging\FeeAmort\SQL',
'SQLQA01',
'FEE_AMORTIZATION',
'ACLSBANK.TXT',
'ACLSDSB.TXT',
'ACLSCRF.TXT',
'ACLSREV.TXT',
'ACLSTXN.TXT',
'TBBNKTMP.FMT',
'TBDSBTMP.FMT',
'TBCRFTMP.FMT',
'TBREVTMP.FMT',
'TBTXNTMP.FMT')
GO
GRANT SELECT ON dbo.tblDaily_GlobalValues TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblDaily_GlobalValues TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblDaily_GlobalValues TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblDaily_GlobalValues TO SLCInternet  AS dbo
COMMIT


BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblDisbs_Mth_Amort_Temp]    Script Date: 2/3/2003 11:10:23 AM ******/
CREATE TABLE [dbo].[TMP_tblDisbs_Mth_Amort_Temp] (
	[LN_NUM] [varchar] (18) NOT NULL ,
	[ACU_DSB_DAT] [datetime] NOT NULL ,
	[DSB_BK_NUM] [decimal](5, 0) NOT NULL ,
	[SCHED_NUM] [decimal](2, 0) NOT NULL ,
	[ORIG_INS_PUM_AMT] [money] NOT NULL ,
	[AMT_REM_TO_AMORTIZE] [money] NOT NULL ,
	[AMORTIZATION_STATUS_IND] [char] (1) NOT NULL ,
	[AMORTIZATION_MTH] [decimal](3, 0) NOT NULL ,
	[MTHLY_AMORTIZATION_AMT] [money] NOT NULL ,
	[AMORT_CHECK] [bit] NULL 
) ON [PRIMARY]
GO

IF EXISTS(SELECT * FROM tblDisbs_Mth_Amort_Temp)
	 EXEC('INSERT INTO dbo.Tmp_tblDisbs_Mth_Amort_Temp (LN_NUM, ACU_DSB_DAT, DSB_BK_NUM, SCHED_NUM, ORIG_INS_PUM_AMT, AMT_REM_TO_AMORTIZE, ORIG_INS_PUM_AMT, AMORTIZATION_STATUS_IND, AMORTIZATION_MTH, MTHLY_AMORTIZATION_AMT
		SELECT LN_NUM, ACU_DSB_DAT, DSB_BK_NUM, SCHED_NUM, ORIG_INS_PUM_AMT, AMT_REM_TO_AMORTIZE, ORIG_INS_PUM_AMT, AMORTIZATION_STATUS_IND, AMORTIZATION_MTH, MTHLY_AMORTIZATION_AMT FROM dbo.tblDisbs_Mth_Amort_Temp TABLOCKX')
GO
DROP TABLE tblDisbs_Mth_Amort_Temp
GO
EXECUTE sp_rename N'dbo.Tmp_tblDisbs_Mth_Amort_Temp', N'tblDisbs_Mth_Amort_Temp', 'OBJECT'
GO
ALTER TABLE [dbo].[tblDisbs_Mth_Amort_Temp] WITH NOCHECK ADD 
	CONSTRAINT [PK_tblDisbs_Mth_Amort_Temp] PRIMARY KEY  CLUSTERED 
	(
		[LN_NUM],
		[ACU_DSB_DAT]
	)  ON [PRIMARY] 
GO
ALTER TABLE [dbo].[tblDisbs_Mth_Amort_Temp] ADD 
	CONSTRAINT [DF_tblDisbs_Mth_Amort_Temp_AMORT_CHECK] DEFAULT (0) FOR [AMORT_CHECK]
GO
GRANT SELECT ON dbo.tblDisbs_Mth_Amort_Temp TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblDisbs_Mth_Amort_Temp TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblDisbs_Mth_Amort_Temp TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblDisbs_Mth_Amort_Temp TO SLCInternet  AS dbo
COMMIT






BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblDisbs_Mth_Amort_Temp]    Script Date: 2/3/2003 11:10:23 AM ******/
CREATE TABLE [dbo].[TMP_tblDaily_Tran_Processed] (
	[LN_NUM] [varchar] (18) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[TRN_DAT] [datetime] NOT NULL ,
	[TRN_COD] [decimal](5, 0) NOT NULL ,
	[TRN_AMT] [money] NOT NULL ,
	[BK_NUM] [decimal](5, 0) NOT NULL ,
	[APP] [decimal](3, 0) NOT NULL ,
	[LN_TYP_ALH] [char] (3) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[ORG_LVL_NUM_3] [decimal](5, 0) NOT NULL ,
	[SSN] [char] (9) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[DSB_NUM] [decimal](2, 0) NULL 
) ON [PRIMARY]
GO

IF EXISTS(SELECT * FROM tblDaily_Tran_Processed)
	 EXEC('INSERT INTO dbo.Tmp_tblDaily_Tran_Processed (LN_NUM, ACU_DSB_DAT, DSB_BK_NUM, SCHED_NUM, ORIG_INS_PUM_AMT, AMT_REM_TO_AMORTIZE, ORIG_INS_PUM_AMT, AMORTIZATION_STATUS_IND, AMORTIZATION_MTH, MTHLY_AMORTIZATION_AMT
		SELECT LN_NUM, ACU_DSB_DAT, DSB_BK_NUM, SCHED_NUM, ORIG_INS_PUM_AMT, AMT_REM_TO_AMORTIZE, ORIG_INS_PUM_AMT, AMORTIZATION_STATUS_IND, AMORTIZATION_MTH, MTHLY_AMORTIZATION_AMT FROM dbo.tblDaily_Tran_Processed TABLOCKX')
GO
DROP TABLE tblDaily_Tran_Processed
GO
EXECUTE sp_rename N'dbo.Tmp_tblDaily_Tran_Processed', N'tblDaily_Tran_Processed', 'OBJECT'
GO
GRANT SELECT ON dbo.tblDaily_Tran_Processed TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblDaily_Tran_Processed TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblDaily_Tran_Processed TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblDaily_Tran_Processed TO SLCInternet  AS dbo
COMMIT






BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblSubSystem_Rpt]    Script Date: 5/23/2003 10:46:49 AM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblSubSystem_Rpt]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblSubSystem_Rpt]
GO


CREATE TABLE [dbo].[tblSubSystem_Rpt] (
	[CreateReports] [bit] NOT NULL ,
	[MonthlyReports] [bit] NOT NULL ,
	[DailyReports] [bit] NOT NULL ,
	[CancelRefundReports] [bit] NOT NULL ,
	[CancelRefRevReports] [bit] NOT NULL ,
	[SalesReports] [bit] NOT NULL ,
	[PurchaseReports] [bit] NOT NULL ,
	[ReferralReports] [bit] NOT NULL ,
	[FolderName] [varchar](8) NOT NULL ,
	[DAT_LAS_UPDT] AS (getdate()) 
) ON [PRIMARY]

GO
INSERT INTO tblSubSystem_Rpt VALUES( 0, 0, 0, 0, 0, 0 ,0, 0, '19010101' )
GO
GRANT SELECT ON dbo.tblSubSystem_Rpt TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblSubSystem_Rpt TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblSubSystem_Rpt TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblSubSystem_Rpt TO SLCInternet  AS dbo
COMMIT


BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblDaily_Rpt_Audit]    Script Date: 5/6/2003 1:14:14 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblDaily_Rpt_Audit]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblDaily_Rpt_Audit]
GO
/****** Object:  Table [dbo].[tblDaily_Rpt_Audit]    Script Date: 5/6/2003 1:14:22 PM ******/
CREATE TABLE [dbo].[tblDaily_Rpt_Audit] (
	[USER_ID] [char] (8) NULL ,
	[LN_NUM] [varchar] (18) NULL ,
	[DSB_NUM] [decimal](5, 2) NULL ,
	[CUS_NUM] [char] (13) NULL ,
	[Field_Name] [char] (30) NULL ,
	[Orig_Value] [char] (30) NULL ,
	[New_Value] [char] (30) NULL ,
	[Change_Date] [datetime] NULL 
) ON [PRIMARY]
GO
GRANT SELECT ON dbo.tblDaily_Rpt_Audit TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblDaily_Rpt_Audit TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblDaily_Rpt_Audit TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblDaily_Rpt_Audit TO SLCInternet  AS dbo
COMMIT



BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblDaily_Rpt_Bank_Mismatch]    Script Date: 5/6/2003 1:14:14 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblDaily_Rpt_Bank_Mismatch]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblDaily_Rpt_Bank_Mismatch]
GO
/****** Object:  Table [dbo].[tblDaily_Rpt_Bank_Mismatch]    Script Date: 5/6/2003 1:14:22 PM ******/
CREATE TABLE [dbo].[tblDaily_Rpt_Bank_Mismatch] (
	[CUR_BK_NUM] [decimal](5, 0) NULL ,
	[TRN_BK_NUM] [decimal](5, 0) NULL ,
	[APP] [decimal](3, 0) NULL ,
	[TRN_COD] [decimal](5, 0) NULL ,
	[TRN_AMT] [money] NULL ,
	[CUR_PRC_DAT] [datetime] NULL ,
	[LN_TYP_ALH] [char] (3) NULL ,
	[ORG_LVL_NUM_3] [decimal](5, 0) NULL ,
	[LN_NUM] [char] (18) NULL 
) ON [PRIMARY]
GO
GRANT SELECT ON dbo.tblDaily_Rpt_Bank_Mismatch TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblDaily_Rpt_Bank_Mismatch TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblDaily_Rpt_Bank_Mismatch TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblDaily_Rpt_Bank_Mismatch TO SLCInternet  AS dbo
COMMIT



BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblDaily_Rpt_CanRef_FAS91_BC23]    Script Date: 5/6/2003 1:14:14 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblDaily_Rpt_CanRef_FAS91_BC23]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblDaily_Rpt_CanRef_FAS91_BC23]
GO
/****** Object:  Table [dbo].[tblDaily_Rpt_CanRef_FAS91_BC23]    Script Date: 5/6/2003 1:14:22 PM ******/
CREATE TABLE [dbo].[tblDaily_Rpt_CanRef_FAS91_BC23] (
	[CUR_BK_NUM] [decimal](5, 0) NULL ,
	[APP] [decimal](3, 0) NULL ,
	[LN_NUM] [char] (18) NULL ,
	[LN_TYP_ALH] [char] (3) NULL ,
	[ORG_LVL_NUM_3] [decimal](3, 0) NULL ,
	[FAS91_AMT] [money] NULL ,
	[FAS91_AMT_REM_TO_AMORTIZE] [money] NULL ,
	[FAS91_TOT_AMORTIZED] [money] NULL ,
	[FAS91_BILLING_COD] [money] NULL ,
	[TRN_COD] [decimal](5, 0) NULL ,
	[NM_LIN_1] [varchar] (30) NULL ,
	[SSN] [char] (9) NULL ,
	[CUR_PRC_DAT] [datetime] NULL ,
	[FAS91_BILLING_COD_DESC] [varchar] (50) NULL 
) ON [PRIMARY]
GO
GRANT SELECT ON dbo.tblDaily_Rpt_CanRef_FAS91_BC23 TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblDaily_Rpt_CanRef_FAS91_BC23 TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblDaily_Rpt_CanRef_FAS91_BC23 TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblDaily_Rpt_CanRef_FAS91_BC23 TO SLCInternet  AS dbo
COMMIT



BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblDaily_Rpt_CanRef_Ins_Pum]    Script Date: 5/6/2003 1:14:14 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblDaily_Rpt_CanRef_Ins_Pum]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblDaily_Rpt_CanRef_Ins_Pum]
GO
/****** Object:  Table [dbo].[tblDaily_Rpt_CanRef_Ins_Pum]    Script Date: 5/6/2003 1:14:22 PM ******/
CREATE TABLE [dbo].[tblDaily_Rpt_CanRef_Ins_Pum] (
	[CUR_BK_NUM] [decimal](5, 0) NULL ,
	[APP] [decimal](3, 0) NULL ,
	[LN_NUM] [char] (18) NULL ,
	[LN_TYP_ALH] [char] (3) NULL ,
	[ORG_LVL_NUM_3] [decimal](3, 0) NULL ,
	[DSB_NUM] [decimal](2, 0) NULL ,
	[AMT_TO_DSB] [money] NULL ,
	[ORIG_AMT_TO_DSB] [money] NULL ,
	[ORIG_INS_PUM_AMT] [money] NULL ,
	[INS_PUM_AMT] [money] NULL ,
	[INS_PUM_AMT_ADJ] [money] NULL ,
	[AMT_REM_TO_AMORTIZE] [money] NULL ,
	[CAN_AMT_REM_TO_AMORTIZE] [money] NULL ,
	[CAN_TOT_AMORTIZED] [money] NULL ,
	[TOT_AMORTIZED] [money] NULL ,
	[TRN_COD] [decimal](5, 0) NULL ,
	[TRN_AMT] [money] NULL ,
	[RFD_BUCKET] [tinyint] NULL ,
	[NM_LIN_1] [varchar] (30) NULL ,
	[SSN] [char] (9) NULL ,
	[CUR_PRC_DAT] [datetime] NULL ,
	[CAN_REFL_AMT_REM_TO_AMORTIZE] [money] NULL 
) ON [PRIMARY]

GO
GRANT SELECT ON dbo.tblDaily_Rpt_CanRef_Ins_Pum TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblDaily_Rpt_CanRef_Ins_Pum TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblDaily_Rpt_CanRef_Ins_Pum TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblDaily_Rpt_CanRef_Ins_Pum TO SLCInternet  AS dbo
COMMIT


BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblDaily_Rpt_Can_Variance]    Script Date: 5/6/2003 1:14:14 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblDaily_Rpt_Can_Variance]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblDaily_Rpt_Can_Variance]
GO
/****** Object:  Table [dbo].[tblDaily_Rpt_Can_Variance]    Script Date: 5/6/2003 1:14:22 PM ******/
CREATE TABLE [dbo].[tblDaily_Rpt_Can_Variance] (
	[CUR_BK_NUM] [decimal](5, 0) NULL ,
	[APP] [decimal](3, 0) NULL ,
	[LN_NUM] [char] (18) NULL ,
	[LN_TYP_ALH] [char] (3) NULL ,
	[ORG_LVL_NUM_3] [decimal](3, 0) NULL ,
	[ACU_DSB_DAT] [datetime] NULL ,
	[DSB_NUM] [decimal](2, 0) NULL ,
	[AMT_TO_DSB] [money] NULL ,
	[NM_LIN_1] [varchar] (30) NULL ,
	[SSN] [char] (9) NULL ,
	[CUR_PRC_DAT] [datetime] NULL ,
	[TRN_COD] [decimal](5, 0) NULL ,
	[TRN_AMT] [money] NULL 
) ON [PRIMARY]
GO
GRANT SELECT ON dbo.tblDaily_Rpt_Can_Variance TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblDaily_Rpt_Can_Variance TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblDaily_Rpt_Can_Variance TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblDaily_Rpt_Can_Variance TO SLCInternet  AS dbo
COMMIT




BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblDaily_Rpt_Disbursement_Detail]    Script Date: 5/6/2003 1:14:14 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblDaily_Rpt_Disbursement_Detail]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblDaily_Rpt_Disbursement_Detail]
GO
/****** Object:  Table [dbo].[tblDaily_Rpt_Disbursement_Detail]    Script Date: 5/6/2003 1:14:22 PM ******/
CREATE TABLE [dbo].[tblDaily_Rpt_Disbursement_Detail] (
	[BK_NUM] [decimal](5, 0) NULL ,
	[APP] [decimal](3, 0) NULL ,
	[LN_NUM] [char] (18) NULL ,
	[ORG_LVL_NUM_3] [decimal](3, 0) NULL ,
	[CUR_PRC_DAT] [datetime] NULL ,
	[TRN_COD] [decimal](5, 0) NULL ,
	[TRN_AMT] [money] NULL ,
	[LN_TYP_ALH] [char] (3) NULL ,
	[DSB_NUM] [decimal](2, 0) NULL ,
	[SSN] [char] (9) NULL ,
	[INS_PUM_AMT] [money] NULL ,
	[AMT_REM_TO_AMORTIZE] [money] NULL 
) ON [PRIMARY]
GO
GRANT SELECT ON dbo.tblDaily_Rpt_Disbursement_Detail TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblDaily_Rpt_Disbursement_Detail TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblDaily_Rpt_Disbursement_Detail TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblDaily_Rpt_Disbursement_Detail TO SLCInternet  AS dbo
COMMIT




BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblDaily_Rpt_Exceptions]    Script Date: 5/6/2003 1:14:14 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblDaily_Rpt_Exceptions]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblDaily_Rpt_Exceptions]
GO
/****** Object:  Table [dbo].[tblDaily_Rpt_Exceptions]    Script Date: 5/6/2003 1:14:22 PM ******/
CREATE TABLE [dbo].[tblDaily_Rpt_Exceptions] (
	[BK_NUM] [decimal](5, 0) NULL ,
	[APP] [decimal](3, 0) NULL ,
	[TRN_COD] [decimal](5, 0) NULL ,
	[TRN_AMT] [money] NULL ,
	[CUR_PRC_DAT] [datetime] NULL ,
	[LN_TYP_ALH] [char] (3) NULL ,
	[ORG_LVL_NUM_3] [decimal](3, 0) NULL ,
	[LN_NUM] [char] (18) NULL ,
	[SSN] [char] (9) NULL 
) ON [PRIMARY]
GO
GRANT SELECT ON dbo.tblDaily_Rpt_Exceptions TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblDaily_Rpt_Exceptions TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblDaily_Rpt_Exceptions TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblDaily_Rpt_Exceptions TO SLCInternet  AS dbo
COMMIT




BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblDaily_Rpt_Ins_Dec]    Script Date: 5/6/2003 1:14:14 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblDaily_Rpt_Ins_Dec]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblDaily_Rpt_Ins_Dec]
GO
/****** Object:  Table [dbo].[tblDaily_Rpt_Ins_Dec]    Script Date: 5/6/2003 1:14:22 PM ******/
CREATE TABLE [dbo].[tblDaily_Rpt_Ins_Dec] (
	[CUR_BK_NUM] [decimal](5, 0) NULL ,
	[APP] [decimal](3, 0) NULL ,
	[ORG_LVL_NUM_3] [decimal](3, 0) NULL ,
	[LN_TYP_ALH] [char] (3) NULL ,
	[SSN] [char] (9) NULL ,
	[LN_NUM] [char] (18) NULL ,
	[DSB_NUM] [decimal](2, 0) NULL ,
	[Change] [money] NULL ,
	[ORIG_VALUE] [money] NULL ,
	[NEW_VALUE] [money] NULL ,
	[Reason_Code] [varchar] (5) NULL ,
	[Change_Date] [datetime] NULL ,
	[ORIG_INS_PUM_AMT] [money] NULL ,
	[INS_PUM_AMT] [money] NULL 
) ON [PRIMARY]
GO
GRANT SELECT ON dbo.tblDaily_Rpt_Ins_Dec TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblDaily_Rpt_Ins_Dec TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblDaily_Rpt_Ins_Dec TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblDaily_Rpt_Ins_Dec TO SLCInternet  AS dbo
COMMIT





BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblDaily_Rpt_Ins_Inc]    Script Date: 5/6/2003 1:14:14 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblDaily_Rpt_Ins_Inc]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblDaily_Rpt_Ins_Inc]
GO
/****** Object:  Table [dbo].[tblDaily_Rpt_Ins_Inc]    Script Date: 5/6/2003 1:14:22 PM ******/
CREATE TABLE [dbo].[tblDaily_Rpt_Ins_Inc] (
	[CUR_BK_NUM] [decimal](5, 0) NULL ,
	[APP] [decimal](3, 0) NULL ,
	[ORG_LVL_NUM_3] [decimal](3, 0) NULL ,
	[LN_TYP_ALH] [char] (3) NULL ,
	[SSN] [char] (9) NULL ,
	[LN_NUM] [char] (18) NULL ,
	[DSB_NUM] [decimal](2, 0) NULL ,
	[Change] [money] NULL ,
	[ORIG_VALUE] [money] NULL ,
	[NEW_VALUE] [money] NULL ,
	[Reason_Code] [varchar] (5) NULL ,
	[Change_Date] [datetime] NULL ,
	[ORIG_INS_PUM_AMT] [money] NULL ,
	[INS_PUM_AMT] [money] NULL 
) ON [PRIMARY]
GO
GRANT SELECT ON dbo.tblDaily_Rpt_Ins_Inc TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblDaily_Rpt_Ins_Inc TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblDaily_Rpt_Ins_Inc TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblDaily_Rpt_Ins_Inc TO SLCInternet  AS dbo
COMMIT






BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblDaily_Rpt_Purchases]    Script Date: 5/6/2003 1:14:14 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblDaily_Rpt_Purchases]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblDaily_Rpt_Purchases]
GO
/****** Object:  Table [dbo].[tblDaily_Rpt_Purchases]    Script Date: 5/6/2003 1:14:22 PM ******/
CREATE TABLE [dbo].[tblDaily_Rpt_Purchases] (
	[CUR_BK_NUM] [decimal](5, 0) NULL ,
	[APP] [decimal](3, 0) NULL ,
	[LN_NUM] [char] (18) NULL ,
	[LN_TYP_ALH] [char] (3) NULL ,
	[CUR_LN_BAL] [money] NULL ,
	[PURCH_INT_DUE_BAL] [money] NULL ,
	[ORG_LVL_NUM_3] [decimal](3, 0) NULL ,
	[AMT_REM_TO_AMORTIZE] [money] NULL ,
	[REFL_AMT_REM_TO_AMORIZE] [money] NULL ,
	[SSN] [char] (9) NULL ,
	[PREM_ON_PURCH] [money] NULL ,
	[CUR_PRC_DAT] [datetime] NULL 
) ON [PRIMARY]
GO
GRANT SELECT ON dbo.tblDaily_Rpt_Purchases TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblDaily_Rpt_Purchases TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblDaily_Rpt_Purchases TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblDaily_Rpt_Purchases TO SLCInternet  AS dbo
COMMIT




BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblMthly_Rpt_Rev_FAS91_BC4to7]    Script Date: 5/6/2003 1:14:14 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblDaily_Rpt_Rev_FAS91_BC4TO7]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblDaily_Rpt_Rev_FAS91_BC4TO7]
GO
/****** Object:  Table [dbo].[tblDaily_Rpt_Rev_FAS91_BC4TO7]    Script Date: 5/6/2003 1:14:22 PM ******/
CREATE TABLE [dbo].[tblDaily_Rpt_Rev_FAS91_BC4TO7] (
	[CUR_BK_NUM] [decimal](5, 0) NULL ,
	[APP] [decimal](3, 0) NULL ,
	[LN_NUM] [char] (18) NULL ,
	[LN_TYP_ALH] [char] (3) NULL ,
	[ORG_LVL_NUM_3] [decimal](3, 0) NULL ,
	[TRN_AMT] [money] NULL ,
	[TRN_COD] [decimal](5, 0) NULL ,
	[FAS91_AMT] [money] NULL ,
	[FAS91_BILLING_COD] [money] NULL ,
	[NM_LIN_1] [varchar] (30) NULL ,
	[DSB_NUM] [char] (18) NULL ,
	[ACU_DSB_DAT] [datetime] NULL ,
	[SSN] [char] (9) NULL ,
	[FAS91_BILLING_COD_DESC] [varchar] (50) NULL ,
	[CUR_PRC_DAT] [datetime] NULL 
) ON [PRIMARY]
GO
GRANT SELECT ON dbo.tblDaily_Rpt_Rev_FAS91_BC4TO7 TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblDaily_Rpt_Rev_FAS91_BC4TO7 TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblDaily_Rpt_Rev_FAS91_BC4TO7 TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblDaily_Rpt_Rev_FAS91_BC4TO7 TO SLCInternet  AS dbo
COMMIT




BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblDaily_Rpt_Rev_Ins_Pum]    Script Date: 5/6/2003 1:14:14 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblDaily_Rpt_Rev_Ins_Pum]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblDaily_Rpt_Rev_Ins_Pum]
GO
/****** Object:  Table [dbo].[tblDaily_Rpt_Rev_Ins_Pum]    Script Date: 5/6/2003 1:14:22 PM ******/
CREATE TABLE [dbo].[tblDaily_Rpt_Rev_Ins_Pum] (
	[CUR_BK_NUM] [decimal](5, 0) NULL ,
	[APP] [decimal](3, 0) NULL ,
	[LN_NUM] [char] (18) NULL ,
	[LN_TYP_ALH] [char] (3) NULL ,
	[ORG_LVL_NUM_3] [decimal](3, 0) NULL ,
	[DSB_NUM] [char] (1) NULL ,
	[AMT_TO_DSB] [money] NULL ,
	[ORIG_INS_PUM_AMT] [money] NULL ,
	[ORIG_AMT_TO_DSB] [money] NULL ,
	[INS_PUM_AMT] [money] NULL ,
	[INS_PUM_AMT_ADJ] [money] NULL ,
	[AMT_REM_TO_AMORTIZE] [money] NULL ,
	[TOT_AMORTIZED] [money] NULL ,
	[TRN_COD] [decimal](5, 0) NULL ,
	[TRN_AMT] [money] NULL ,
	[RFD_BUCKET] [tinyint] NULL ,
	[NM_LIN_1] [varchar] (30) NULL ,
	[SSN] [char] (9) NULL ,
	[CUR_PRC_DAT] [datetime] NULL 
) ON [PRIMARY]
GO
GRANT SELECT ON dbo.tblDaily_Rpt_Rev_Ins_Pum TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblDaily_Rpt_Rev_Ins_Pum TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblDaily_Rpt_Rev_Ins_Pum TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblDaily_Rpt_Rev_Ins_Pum TO SLCInternet  AS dbo
COMMIT




BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblDaily_Rpt_Rev_Ins_Pum_2]    Script Date: 5/6/2003 1:14:14 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblDaily_Rpt_Rev_Ins_Pum_2]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblDaily_Rpt_Rev_Ins_Pum_2]
GO
/****** Object:  Table [dbo].[tblDaily_Rpt_Rev_Ins_Pum_2]    Script Date: 5/6/2003 1:14:22 PM ******/
CREATE TABLE [dbo].[tblDaily_Rpt_Rev_Ins_Pum_2] (
	[CUR_BK_NUM] [decimal](5, 0) NULL ,
	[APP] [decimal](3, 0) NULL ,
	[LN_NUM] [char] (18) NULL ,
	[LN_TYP_ALH] [char] (3) NULL ,
	[ORG_LVL_NUM_3] [decimal](3, 0) NULL ,
	[DSB_NUM] [char] (1) NULL ,
	[AMT_TO_DSB] [money] NULL ,
	[ORIG_INS_PUM_AMT] [money] NULL ,
	[ORIG_AMT_TO_DSB] [money] NULL ,
	[INS_PUM_AMT] [money] NULL ,
	[INS_PUM_AMT_ADJ] [money] NULL ,
	[AMT_REM_TO_AMORTIZE] [money] NULL ,
	[TOT_AMORTIZED] [money] NULL ,
	[TRN_COD] [decimal](5, 0) NULL ,
	[TRN_AMT] [money] NULL ,
	[RFD_BUCKET] [tinyint] NULL ,
	[NM_LIN_1] [varchar] (30) NULL ,
	[SSN] [char] (9) NULL ,
	[CUR_PRC_DAT] [datetime] NULL 
) ON [PRIMARY]
GO
GRANT SELECT ON dbo.tblDaily_Rpt_Rev_Ins_Pum_2 TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblDaily_Rpt_Rev_Ins_Pum_2 TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblDaily_Rpt_Rev_Ins_Pum_2 TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblDaily_Rpt_Rev_Ins_Pum_2 TO SLCInternet  AS dbo
COMMIT



BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblDaily_Rpt_Sales]    Script Date: 5/6/2003 1:14:14 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblDaily_Rpt_Sales]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblDaily_Rpt_Sales]
GO
/****** Object:  Table [dbo].[tblDaily_Rpt_Sales]    Script Date: 5/6/2003 1:14:22 PM ******/
CREATE TABLE [dbo].[tblDaily_Rpt_Sales] (
	[CUR_BK_NUM] [decimal](5, 0) NULL ,
	[APP] [decimal](3, 0) NULL ,
	[LN_NUM] [char] (18) NULL ,
	[LN_TYP_ALH] [char] (3) NULL ,
	[SLD_CUR_LN_BAL] [money] NULL ,
	[SLD_INT_DUE_BAL] [money] NULL ,
	[SLD_FAS91_AMT_REM_TO_AMORTIZE] [money] NULL ,
	[ORG_LVL_NUM_3] [decimal](3, 0) NULL ,
	[AMT_REM_TO_AMORTIZE] [money] NULL ,
	[REFL_AMT_REM_TO_AMORTIZE] [money] NULL ,
	[SSN] [char] (9) NULL ,
	[CUR_PRC_DAT] [datetime] NULL 
) ON [PRIMARY]
GO
GRANT SELECT ON dbo.tblDaily_Rpt_Sales TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblDaily_Rpt_Sales TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblDaily_Rpt_Sales TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblDaily_Rpt_Sales TO SLCInternet  AS dbo
COMMIT






BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblDaily_Rpt_Sales_Except]    Script Date: 5/6/2003 1:14:14 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblDaily_Rpt_Sales_Except]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblDaily_Rpt_Sales_Except]
GO
/****** Object:  Table [dbo].[tblDaily_Rpt_Sales_Except]    Script Date: 5/6/2003 1:14:22 PM ******/
CREATE TABLE [dbo].[tblDaily_Rpt_Sales_Except] (
	[CUR_BK_NUM] [decimal](5, 0) NULL ,
	[APP] [decimal](3, 0) NULL ,
	[LN_NUM] [char] (18) NULL ,
	[LN_TYP_ALH] [char] (3) NULL ,
	[CUR_LN_BAL] [money] NULL ,
	[ORG_LVL_NUM_3] [decimal](3, 0) NULL ,
	[NM_LIN_1] [char] (30) NULL ,
	[SSN] [char] (9) NULL ,
	[CUR_PRC_DAT] [datetime] NULL 
) ON [PRIMARY]
GO
GRANT SELECT ON dbo.tblDaily_Rpt_Sales_Except TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblDaily_Rpt_Sales_Except TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblDaily_Rpt_Sales_Except TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblDaily_Rpt_Sales_Except TO SLCInternet  AS dbo
COMMIT



BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblDaily_Rpt_Trial_Bal]    Script Date: 5/6/2003 1:14:14 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblDaily_Rpt_Trial_Bal]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblDaily_Rpt_Trial_Bal]
GO
/****** Object:  Table [dbo].[tblDaily_Rpt_Trial_Bal]    Script Date: 5/6/2003 1:14:22 PM ******/
CREATE TABLE [dbo].[tblDaily_Rpt_Trial_Bal] (
	[CUR_BK_NUM] [decimal](5, 0) NULL ,
	[APP] [decimal](3, 0) NULL ,
	[LN_NUM] [char] (18) NULL ,
	[CUR_LN_BAL] [money] NULL ,
	[FAS91_AMT] [money] NULL ,
	[FAS91_AMT_REM_TO_AMORTIZE] [money] NULL ,
	[ORG_LVL_NUM_3] [decimal](3, 0) NULL ,
	[UNAMORTIZED_INS_PUM] [money] NULL ,
	[INS_PUM] [money] NULL ,
	[SSN] [char] (9) NULL ,
	[SCO_TIER] [char] (1) NULL ,
	[LN_TYP_ALH] [char] (3) NULL ,
	[CUR_PRC_DAT] [datetime] NULL 
) ON [PRIMARY]
GO
GRANT SELECT ON dbo.tblDaily_Rpt_Trial_Bal TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblDaily_Rpt_Trial_Bal TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblDaily_Rpt_Trial_Bal TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblDaily_Rpt_Trial_Bal TO SLCInternet  AS dbo
COMMIT




BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblDaily_Rpt_Trans_Deb]    Script Date: 5/6/2003 1:14:14 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblDaily_Rpt_Trans_Deb]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblDaily_Rpt_Trans_Deb]
GO
/****** Object:  Table [dbo].[tblDaily_Rpt_Trans_Deb]    Script Date: 5/6/2003 1:14:22 PM ******/
CREATE TABLE [dbo].[tblDaily_Rpt_Trans_Deb] (
	[BK_NUM] [decimal](5, 0) NULL ,
	[APP] [decimal](3, 0) NULL ,
	[LN_NUM] [char] (18) NULL ,
	[ORG_LVL_NUM_3] [decimal](3, 0) NULL ,
	[CUR_PRC_DAT] [datetime] NULL ,
	[TRN_COD] [decimal](5, 0) NULL ,
	[TRN_AMT] [money] NULL ,
	[LN_TYP_ALH] [char] (3) NULL ,
	[SSN] [char] (9) NULL 
) ON [PRIMARY]
GO
GRANT SELECT ON dbo.tblDaily_Rpt_Trans_Deb TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblDaily_Rpt_Trans_Deb TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblDaily_Rpt_Trans_Deb TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblDaily_Rpt_Trans_Deb TO SLCInternet  AS dbo
COMMIT



BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblDaily_Rpt_Trans_Det]    Script Date: 5/6/2003 1:14:14 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblDaily_Rpt_Trans_Det]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblDaily_Rpt_Trans_Det]
GO
/****** Object:  Table [dbo].[tblDaily_Rpt_Trans_Det]    Script Date: 11/20/2003 3:03:06 PM ******/
CREATE TABLE [dbo].[tblDaily_Rpt_Trans_Det] (
	[BK_NUM] [decimal](5, 0) NOT NULL ,
	[APP] [decimal](3, 0) NOT NULL ,
	[LN_NUM] [char] (18) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[ORG_LVL_NUM_3] [decimal](3, 0) NOT NULL ,
	[CUR_PRC_DAT] [datetime] NOT NULL ,
	[TRN_COD] [decimal](5, 0) NOT NULL ,
	[TRN_AMT] [decimal](19, 4) NULL ,
	[LN_TYP_ALH] [char] (3) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[SSN] [char] (9) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
) ON [PRIMARY]
GO
GRANT SELECT ON dbo.tblDaily_Rpt_Trans_Det TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblDaily_Rpt_Trans_Det TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblDaily_Rpt_Trans_Det TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblDaily_Rpt_Trans_Det TO SLCInternet  AS dbo
COMMIT




BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblMthly_Rpt_CanRef_FAS91_BC23]    Script Date: 5/6/2003 1:14:14 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblMthly_Rpt_CanRef_FAS91_BC23]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblMthly_Rpt_CanRef_FAS91_BC23]
GO
/****** Object:  Table [dbo].[tblMthly_Rpt_CanRef_FAS91_BC23]    Script Date: 5/6/2003 1:14:22 PM ******/
CREATE TABLE [dbo].[tblMthly_Rpt_CanRef_FAS91_BC23] (
	[CUR_BK_NUM] [decimal](5, 0) NULL ,
	[APP] [decimal](3, 0) NULL ,
	[LN_NUM] [char] (18) NULL ,
	[LN_TYP_ALH] [char] (3) NULL ,
	[ORG_LVL_NUM_3] [decimal](3, 0) NULL ,
	[FAS91_AMT] [money] NULL ,
	[FAS91_AMT_REM_TO_AMORTIZE] [money] NULL ,
	[FAS91_TOT_AMORTIZED] [money] NULL ,
	[FAS91_BILLING_COD] [tinyint] NULL ,
	[NM_LIN_1] [varchar] (30) NULL ,
	[SSN] [char] (9) NULL ,
	[CUR_PRC_DAT] [datetime] NULL 
) ON [PRIMARY]
GO
GRANT SELECT ON dbo.tblMthly_Rpt_CanRef_FAS91_BC23 TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblMthly_Rpt_CanRef_FAS91_BC23 TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblMthly_Rpt_CanRef_FAS91_BC23 TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblMthly_Rpt_CanRef_FAS91_BC23 TO SLCInternet  AS dbo
COMMIT



BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblDaily_Rpt_Trans_Crd]    Script Date: 5/9/2003 2:28:42 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblDaily_Rpt_Trans_Crd]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblDaily_Rpt_Trans_Crd]
GO
/****** Object:  Table [dbo].[tblDaily_Rpt_Trans_Crd]    Script Date: 5/9/2003 2:28:42 PM ******/
CREATE TABLE [dbo].[tblDaily_Rpt_Trans_Crd] (
	[BK_NUM] [decimal](2, 0) NULL ,
	[APP] [decimal](3, 0) NULL ,
	[LN_NUM] [varchar] (18) NULL ,
	[ORG_LVL_NUM_3] [decimal](3, 0) NULL ,
	[CUR_PRC_DAT] [datetime] NULL ,
	[TRN_COD] [decimal](5, 0) NULL ,
	[TRN_AMT] [money] NULL ,
	[LN_TYP_ALH] [char] (3) NULL ,
	[SSN] [char] (9) NULL 
) ON [PRIMARY]
GO
GRANT SELECT ON dbo.tblDaily_Rpt_Trans_Crd TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblDaily_Rpt_Trans_Crd TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblDaily_Rpt_Trans_Crd TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblDaily_Rpt_Trans_Crd TO SLCInternet  AS dbo
COMMIT



BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblMthly_Rpt_Disb_FAS91]    Script Date: 5/6/2003 1:14:14 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblMthly_Rpt_Disb_FAS91]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblMthly_Rpt_Disb_FAS91]
GO
/****** Object:  Table [dbo].[tblMthly_Rpt_Disb_FAS91]    Script Date: 5/6/2003 1:14:22 PM ******/
CREATE TABLE [dbo].[tblMthly_Rpt_Disb_FAS91] (
	[CUR_BK_NUM] [decimal](5, 0) NULL ,
	[APP] [decimal](5, 0) NULL ,
	[LN_NUM] [char] (18) NULL ,
	[LN_TYP_ALH] [char] (3) NULL ,
	[SCO_TIER] [char] (1) NULL ,
	[FAS91_AMT] [money] NULL ,
	[ORG_LVL_NUM_3] [decimal](5, 0) NULL ,
	[ACU_DSB_DAT] [datetime] NULL ,
	[DSB_NUM] [decimal](5, 0) NULL ,
	[ORIG_AMT_TO_DSB] [money] NULL ,
	[NM_LIM_1] [varchar] (30) NULL ,
	[SSN] [char] (9) NULL ,
	[CUR_PRC_DAT] [datetime] NULL 
) ON [PRIMARY]
GO
GRANT SELECT ON dbo.tblMthly_Rpt_Disb_FAS91 TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblMthly_Rpt_Disb_FAS91 TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblMthly_Rpt_Disb_FAS91 TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblMthly_Rpt_Disb_FAS91 TO SLCInternet  AS dbo
COMMIT



BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblMthly_Rpt_FAS91_Amort]    Script Date: 5/6/2003 1:14:14 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblMthly_Rpt_FAS91_Amort]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblMthly_Rpt_FAS91_Amort]
GO
/****** Object:  Table [dbo].[tblMthly_Rpt_FAS91_Amort]    Script Date: 5/6/2003 1:14:23 PM ******/
CREATE TABLE [dbo].[tblMthly_Rpt_FAS91_Amort] (
	[CUR_BK_NUM] [decimal](5, 0) NULL ,
	[APP] [char] (10) NULL ,
	[LN_NUM] [char] (18) NULL ,
	[LN_TYP_ALH] [char] (3) NULL ,
	[FAS91_TOT_AMORTIZED] [money] NULL ,
	[FAS91_MTHLY_AMORTIZATION_AMT] [money] NULL ,
	[FAS91_AMT_REM_TO_AMORTIZE] [money] NULL ,
	[FAS91_AMT] [money] NULL ,
	[ORG_LVL_NUM_3] [decimal](5, 0) NULL ,
	[NM_LIN_1] [varchar] (30) NULL ,
	[FAS91_DAT_LAS_AMORTIZED] [datetime] NULL ,
	[SSN] [char] (9) NULL ,
	[CUR_PRC_DAT] [datetime] NULL 
) ON [PRIMARY]
GO
GRANT SELECT ON dbo.tblMthly_Rpt_FAS91_Amort TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblMthly_Rpt_FAS91_Amort TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblMthly_Rpt_FAS91_Amort TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblMthly_Rpt_FAS91_Amort TO SLCInternet  AS dbo
COMMIT


BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblMthly_Rpt_Ins_Pum_Amort]    Script Date: 5/6/2003 1:14:14 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblMthly_Rpt_Ins_Pum_Amort]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblMthly_Rpt_Ins_Pum_Amort]
GO
/****** Object:  Table [dbo].[tblMthly_Rpt_Ins_Pum_Amort]    Script Date: 5/6/2003 1:14:23 PM ******/
CREATE TABLE [dbo].[tblMthly_Rpt_Ins_Pum_Amort] (
	[CUR_BK_NUM] [decimal](5, 0) NULL ,
	[APP] [decimal](5, 0) NULL ,
	[LN_NUM] [char] (18) NULL ,
	[LN_TYP_ALH] [char] (3) NULL ,
	[ORG_LVL_NUM_3] [decimal](5, 0) NULL ,
	[TOT_AMORTIZED] [money] NULL ,
	[DSB_NUM] [decimal](5, 0) NULL ,
	[MTHLY_AMORTIZATION_AMT] [money] NULL ,
	[AMT_REM_TO_AMORTIZE] [money] NULL ,
	[ORIG_INS_PUM_AMT] [money] NULL ,
	[NM_LIN_1] [varchar] (30) NULL ,
	[SSN] [char] (18) NULL ,
	[CUR_PRC_DAT] [datetime] NULL 
) ON [PRIMARY]
GO
GRANT SELECT ON dbo.tblMthly_Rpt_Ins_Pum_Amort TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblMthly_Rpt_Ins_Pum_Amort TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblMthly_Rpt_Ins_Pum_Amort TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblMthly_Rpt_Ins_Pum_Amort TO SLCInternet  AS dbo
COMMIT




BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblMthly_Rpt_Loan_WDown_Distinct]    Script Date: 5/6/2003 1:14:14 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblMthly_Rpt_Loan_WDown_Distinct]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblMthly_Rpt_Loan_WDown_Distinct]
GO
/****** Object:  Table [dbo].[tblMthly_Rpt_Loan_WDown_Distinct]    Script Date: 5/6/2003 1:14:23 PM ******/
CREATE TABLE [dbo].[tblMthly_Rpt_Loan_WDown_Distinct] (
	[CUR_BK_NUM] [decimal](5, 0) NULL ,
	[APP] [decimal](5, 0) NULL ,
	[LN_NUM] [varchar] (30) NULL ,
	[LN_TYP_ALH] [char] (3) NULL ,
	[CUR_LN_BAL] [money] NULL ,
	[FAS91_AMT_REM_TO_AMORTIZE] [money] NULL ,
	[ORG_LVL_NUM_3] [decimal](5, 0) NULL ,
	[MaxAMT_REM_TO_AMORTIZE] [money] NULL ,
	[MaxOfDAT_LAS_AMORTIZED] [datetime] NULL ,
	[NM_LIN_1] [varchar] (30) NULL ,
	[SSN] [char] (9) NULL ,
	[CUR_PRC_DAT] [datetime] NULL 
) ON [PRIMARY]
GO
GRANT SELECT ON dbo.tblMthly_Rpt_Loan_WDown_Distinct TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblMthly_Rpt_Loan_WDown_Distinct TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblMthly_Rpt_Loan_WDown_Distinct TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblMthly_Rpt_Loan_WDown_Distinct TO SLCInternet  AS dbo
COMMIT




BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblMthly_Rpt_Loans_Write_Down]    Script Date: 5/6/2003 1:14:14 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblMthly_Rpt_Loans_Write_Down]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblMthly_Rpt_Loans_Write_Down]
GO
/****** Object:  Table [dbo].[tblMthly_Rpt_Loans_Write_Down]    Script Date: 5/6/2003 1:14:23 PM ******/
CREATE TABLE [dbo].[tblMthly_Rpt_Loans_Write_Down] (
	[CUR_BK_NUM] [decimal](5, 0) NULL ,
	[APP] [decimal](5, 0) NULL ,
	[LN_NUM] [char] (18) NULL ,
	[LN_TYP_ALH] [char] (3) NULL ,
	[CUR_LN_BAL] [money] NULL ,
	[FAS91_AMT_REM_TO_AMORTIZE] [money] NULL ,
	[ORG_LVL_NUM_3] [decimal](18, 0) NULL ,
	[AMT_REM_TO_AMORTIZE] [money] NULL ,
	[REFL_AMT_REM_TO_AMORTIZE] [money] NULL,
	[DAT_LAS_AMORTIZED] [datetime] NULL ,
	[NM_LIM_1] [varchar] (30) NULL ,
	[SSN] [char] (30) NULL ,
	[CUR_PRC_DAT] [datetime] NULL 
) ON [PRIMARY]
GO
GRANT SELECT ON dbo.tblMthly_Rpt_Loans_Write_Down TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblMthly_Rpt_Loans_Write_Down TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblMthly_Rpt_Loans_Write_Down TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblMthly_Rpt_Loans_Write_Down TO SLCInternet  AS dbo
COMMIT



BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblMthly_Rpt_ProcessDate]    Script Date: 5/6/2003 1:14:14 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblMthly_Rpt_ProcessDate]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblMthly_Rpt_ProcessDate]
GO
/****** Object:  Table [dbo].[tblMthly_Rpt_ProcessDate]    Script Date: 5/6/2003 1:14:23 PM ******/
CREATE TABLE [dbo].[tblMthly_Rpt_ProcessDate] (
	[CUR_PRC_DAT] [datetime] NULL ,
	[Month_Process_Date] [datetime] NULL 
) ON [PRIMARY]
GO
GRANT SELECT ON dbo.tblMthly_Rpt_ProcessDate TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblMthly_Rpt_ProcessDate TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblMthly_Rpt_ProcessDate TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblMthly_Rpt_ProcessDate TO SLCInternet  AS dbo
COMMIT



BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblMthly_Rpt_Refl_Fee]    Script Date: 5/6/2003 1:14:14 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblMthly_Rpt_Refl_Fee]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblMthly_Rpt_Refl_Fee]
GO
/****** Object:  Table [dbo].[tblMthly_Rpt_Refl_Fee]    Script Date: 5/6/2003 1:14:23 PM ******/
CREATE TABLE [dbo].[tblMthly_Rpt_Refl_Fee] (
	[CUR_BK_NUM] [decimal](5, 0) NULL ,
	[APP] [decimal](5, 0) NULL ,
	[LN_NUM] [char] (18) NULL ,
	[LN_TYP_ALH] [char] (3) NULL ,
	[ORG_LVL_NUM_3] [decimal](5, 0) NULL ,
	[Refl_TOT_AMORTIZED] [money] NULL ,
	[DSB_NUM] [decimal](18, 0) NULL ,
	[Refl_Mthly_Amortization_Amt] [money] NULL ,
	[Refl_Amt_Rem_To_Amortize] [money] NULL ,
	[Refl_Fee] [money] NULL ,
	[NM_LIN_1] [varchar] (30) NULL ,
	[SSN] [char] (9) NULL ,
	[CUR_PRC_DAT] [datetime] NULL 
) ON [PRIMARY]
GO
GRANT SELECT ON dbo.tblMthly_Rpt_Refl_Fee TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblMthly_Rpt_Refl_Fee TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblMthly_Rpt_Refl_Fee TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblMthly_Rpt_Refl_Fee TO SLCInternet  AS dbo
COMMIT



BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblMthly_Rpt_Refund]    Script Date: 5/6/2003 1:14:14 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblMthly_Rpt_Refund]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblMthly_Rpt_Refund]
GO
/****** Object:  Table [dbo].[tblMthly_Rpt_Refund]    Script Date: 5/6/2003 1:14:23 PM ******/
CREATE TABLE [dbo].[tblMthly_Rpt_Refund] (
	[LN_NUM] [char] (18) NULL ,
	[ACU_DSB_DAT] [datetime] NULL ,
	[TRN_DAT] [datetime] NULL ,
	[TRN_AMT] [money] NULL ,
	[CUR_PRC_DAT] [datetime] NULL 
) ON [PRIMARY]
GO
GRANT SELECT ON dbo.tblMthly_Rpt_Refund TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblMthly_Rpt_Refund TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblMthly_Rpt_Refund TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblMthly_Rpt_Refund TO SLCInternet  AS dbo
COMMIT




BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblMthly_Rpt_Refund]    Script Date: 5/6/2003 1:14:14 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblMthly_Rpt_Rev_FAS91_BC4to7]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblMthly_Rpt_Rev_FAS91_BC4to7]
GO
/****** Object:  Table [dbo].[tblMthly_Rpt_Rev_FAS91_BC4to7]    Script Date: 5/6/2003 1:14:23 PM ******/
CREATE TABLE [dbo].[tblMthly_Rpt_Rev_FAS91_BC4to7] (
	[CUR_BK_NUM] [decimal](5, 0) NULL ,
	[APP] [decimal](5, 0) NULL ,
	[LN_NUM] [char] (18) NULL ,
	[LN_TYP_ALH] [char] (10) NULL ,
	[ORG_LVL_NUM_3] [decimal](5, 0) NULL ,
	[TRN_AMT] [money] NULL ,
	[FAS91_AMT] [money] NULL ,
	[FAS91_AMT_REM_TO_AMORTIZE] [money] NULL ,
	[FAS91_BILLING_COD] [tinyint] NULL ,
	[NM_LIN_1] [varchar] (30) NULL ,
	[SSN] [char] (9) NULL ,
	[CUR_PRC_DAT] [char] (10) NULL 
) ON [PRIMARY]
GO
GRANT SELECT ON dbo.tblMthly_Rpt_Rev_FAS91_BC4to7 TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblMthly_Rpt_Rev_FAS91_BC4to7 TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblMthly_Rpt_Rev_FAS91_BC4to7 TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblMthly_Rpt_Rev_FAS91_BC4to7 TO SLCInternet  AS dbo
COMMIT



BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
/****** Object:  Table [dbo].[tblMthly_Rpt_Refl_Fee_Disb]    Script Date: 5/21/2003 8:16:23 AM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[tblMthly_Rpt_Refl_Fee_Disb]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tblMthly_Rpt_Refl_Fee_Disb]
GO
/****** Object:  Table [dbo].[tblMthly_Rpt_Refl_Fee_Disb]    Script Date: 5/21/2003 8:16:24 AM ******/
CREATE TABLE [dbo].[tblMthly_Rpt_Refl_Fee_Disb] (
	[CUR_BK_NUM] [decimal](5, 0) NULL ,
	[ORG_LVL_NUM_3] [decimal](3, 0) NULL ,
	[APP] [decimal](3, 0) NULL ,
	[LN_TYP_ALH] [char] (3) NULL ,
	[SSN] [char] (9) NULL ,
	[LN_NUM] [char] (18) NULL ,
	[DSB_NUM] [decimal](2, 0) NULL ,
	[AMT_TO_DSB] [money] NULL ,
	[REFL_RT] [decimal](5, 4) NULL ,
	[REFL_FEE] [money] NULL ,
	[ACU_DSB_DAT] [datetime] NULL 
) ON [PRIMARY]
GO
GRANT SELECT ON dbo.tblMthly_Rpt_Refl_Fee_Disb TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblMthly_Rpt_Refl_Fee_Disb TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblMthly_Rpt_Refl_Fee_Disb TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblMthly_Rpt_Refl_Fee_Disb TO SLCInternet  AS dbo
COMMIT

BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
CREATE TABLE dbo.Tmp_tblCancelRefund_Temp
	(
	LN_NUM varchar(18) NULL,
	ACU_DSB_DAT datetime NULL,
	BK_NUM decimal(5, 0) NULL,
	LN_TYP_ALH char(3) NULL,
	CAN_REF_DAT datetime NULL,
	CAN_REF_AMT money NULL,
	ORIG_INS_PUM_AMT money NULL,
	RFD_BUCKET tinyint NULL,
	NEW_INS_PUM_AMT money NULL,
	TRN_COD decimal(5, 0) NULL,
	APP decimal(3, 0) NULL,
	SSN char(9) NULL,
	ORG_LVL_NUM_3 decimal(5, 0) NULL,
	DSB_NUM [numeric](2, 0) NULL
	)  ON [PRIMARY]
GO
IF EXISTS(SELECT * FROM dbo.tblCancelRefund_Temp)
	 EXEC('INSERT INTO dbo.Tmp_tblCancelRefund_Temp (LN_NUM, ACU_DSB_DAT, BK_NUM, LN_TYP_ALH, CAN_REF_DAT, CAN_REF_AMT, ORIG_INS_PUM_AMT, RFD_BUCKET, NEW_INS_PUM_AMT, TRN_COD, APP, SSN, ORG_LVL_NUM_3)
		SELECT LN_NUM, ACU_DSB_DAT, BK_NUM, LN_TYP_ALH, CAN_REF_DAT, CAN_REF_AMT, ORIG_INS_PUM_AMT, RFD_BUCKET, NEW_INS_PUM_AMT, TRN_COD, APP, SSN, ORG_LVL_NUM_3 FROM dbo.tblCancelRefund_Temp TABLOCKX')
GO
DROP TABLE dbo.tblCancelRefund_Temp
GO
EXECUTE sp_rename N'dbo.Tmp_tblCancelRefund_Temp', N'tblCancelRefund_Temp', 'OBJECT'
GO
GRANT SELECT ON dbo.tblCancelRefund_Temp TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblCancelRefund_Temp TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblCancelRefund_Temp TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblCancelRefund_Temp TO SLCInternet  AS dbo
COMMIT






BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
CREATE TABLE dbo.Tmp_tblDaily_Tran_Exceptions
	(
	LN_NUM varchar(18) NOT NULL,
	TRN_DAT datetime NOT NULL,
	TRN_COD decimal(5, 0) NOT NULL,
	TRN_AMT money NOT NULL,
	BK_NUM decimal(5, 0) NOT NULL,
	APP decimal(3, 0) NOT NULL,
	LN_TYP_ALH char(3) NOT NULL,
	ORG_LVL_NUM_3 decimal(5, 0) NOT NULL,
	SSN char(9) NULL,
	DSB_NUM decimal(2, 0) NULL,
	)  ON [PRIMARY]
GO
IF EXISTS(SELECT * FROM dbo.tblDaily_Tran_Exceptions)
	 EXEC('INSERT INTO dbo.Tmp_tblDaily_Tran_Exceptions (LN_NUM, TRN_DAT, TRN_COD, TRN_AMT, BK_NUM, APP, LN_TYP_ALH, ORG_LVL_NUM_3, SSN)
		SELECT LN_NUM, TRN_DAT, TRN_COD, TRN_AMT, BK_NUM, APP, LN_TYP_ALH, ORG_LVL_NUM_3, SSN FROM dbo.tblDaily_Tran_Exceptions TABLOCKX')
GO
DROP TABLE dbo.tblDaily_Tran_Exceptions
GO
EXECUTE sp_rename N'dbo.Tmp_tblDaily_Tran_Exceptions', N'tblDaily_Tran_Exceptions', 'OBJECT'
GO
GRANT SELECT ON dbo.tblDaily_Tran_Exceptions TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblDaily_Tran_Exceptions TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblDaily_Tran_Exceptions TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblDaily_Tran_Exceptions TO SLCInternet  AS dbo
COMMIT






BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
CREATE TABLE dbo.Tmp_tblReversals_Temp
	(
	LN_NUM varchar(18) NULL,
	ACU_DSB_DAT datetime NULL,
	REV_DAT datetime NULL,
	TRN_COD decimal(5, 0) NULL,
	BK_NUM decimal(5, 0) NULL,
	CAN_REF_DAT datetime NULL,
	REV_AMT money NULL,
	ORIG_INS_PUM_AMT money NULL,
	RFD_BUCKET tinyint NULL,
	NEW_INS_PUM_AMT money NULL,
	LN_TYP_ALH char(3) NULL,
	APP decimal(3, 0) NULL,
	SSN char(9) NULL,
	ORG_LVL_NUM_3 decimal(5, 0) NULL,
	DSB_NUM decimal(2, 0) NULL
	)  ON [PRIMARY]
GO
IF EXISTS(SELECT * FROM dbo.tblReversals_Temp)
	 EXEC('INSERT INTO dbo.Tmp_tblReversals_Temp (LN_NUM, ACU_DSB_DAT, REV_DAT, TRN_COD, BK_NUM, CAN_REF_DAT, REV_AMT, ORIG_INS_PUM_AMT, RFD_BUCKET, NEW_INS_PUM_AMT, LN_TYP_ALH, APP, SSN, ORG_LVL_NUM_3)
		SELECT LN_NUM, ACU_DSB_DAT, REV_DAT, TRN_COD, BK_NUM, CAN_REF_DAT, REV_AMT, ORIG_INS_PUM_AMT, RFD_BUCKET, NEW_INS_PUM_AMT, LN_TYP_ALH, APP, SSN, ORG_LVL_NUM_3 FROM dbo.tblReversals_Temp TABLOCKX')
GO
DROP TABLE dbo.tblReversals_Temp
GO
EXECUTE sp_rename N'dbo.Tmp_tblReversals_Temp', N'tblReversals_Temp', 'OBJECT'
GO
GRANT SELECT ON dbo.tblReversals_Temp TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblReversals_Temp TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblReversals_Temp TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblReversals_Temp TO SLCInternet  AS dbo
COMMIT


BEGIN TRANSACTION
SET QUOTED_IDENTIFIER ON
SET TRANSACTION ISOLATION LEVEL SERIALIZABLE
SET ARITHABORT ON
SET NUMERIC_ROUNDABORT OFF
SET CONCAT_NULL_YIELDS_NULL ON
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
COMMIT
BEGIN TRANSACTION
CREATE TABLE dbo.Tmp_tblCanRefRev 
	(
	PK_ROW_ID int NOT NULL IDENTITY (1, 1),
	LN_NUM varchar(18) NOT NULL,
	ACU_DSB_DAT datetime NOT NULL,
	TRN_DAT datetime NOT NULL,
	TRN_COD decimal(5, 0) NOT NULL,
	TRN_AMT money NOT NULL,
	RFD_BUCKET tinyint NULL,
	FAS91_BILLING_COD tinyint NULL,
	FAS91_TOT_AMORTIZED money NOT NULL,
	FAS91_AMT_REM_TO_AMORTIZE money NOT NULL,
	FAS91_AMT money NOT NULL,
	REV_ORIG_CAN_RFD_DAT datetime NULL,
	DAT_LAS_UPDT datetime NOT NULL,
	DSB_NUM decimal(2, 0) NULL
	)  ON [PRIMARY]
GO

SET IDENTITY_INSERT dbo.Tmp_tblCanRefRev ON
GO
IF EXISTS(SELECT * FROM dbo.tblCanRefRev)
	 EXEC('INSERT INTO dbo.Tmp_tblCanRefRev (PK_ROW_ID, LN_NUM, ACU_DSB_DAT, TRN_DAT, TRN_COD, TRN_AMT, RFD_BUCKET, FAS91_BILLING_COD, FAS91_TOT_AMORTIZED, FAS91_AMT_REM_TO_AMORTIZE, FAS91_AMT, REV_ORIG_CAN_RFD_DAT, DAT_LAS_UPDT)
		SELECT PK_ROW_ID, LN_NUM, ACU_DSB_DAT, TRN_DAT, TRN_COD, TRN_AMT, RFD_BUCKET, FAS91_BILLING_COD, FAS91_TOT_AMORTIZED, FAS91_AMT_REM_TO_AMORTIZE, FAS91_AMT, REV_ORIG_CAN_RFD_DAT, DAT_LAS_UPDT FROM dbo.tblCanRefRev TABLOCKX')
GO
SET IDENTITY_INSERT dbo.Tmp_tblCanRefRev OFF
GO
DROP TABLE dbo.tblCanRefRev
GO
EXECUTE sp_rename N'dbo.Tmp_tblCanRefRev', N'tblCanRefRev', 'OBJECT'
GO
ALTER TABLE dbo.tblCanRefRev ADD CONSTRAINT
	PK_tblCanRefRev PRIMARY KEY CLUSTERED 
	(
	PK_ROW_ID
	) ON [PRIMARY]

GO
/****** Object:  Trigger dbo.tblCanRefRev_TR_Upd_BILL_COD    Script Date: 10/2/2003 10:21:50 AM ******/
/****** Object:  Trigger dbo.tblCanRefRev_TR_Upd_BILL_COD    Script Date: 9/29/2003 7:17:24 AM ******/
/****** Object:  Trigger dbo.tblCanRefRev_TR_Upd_BILL_COD    Script Date: 4/22/99 4:43:47 PM ******/
/****** Object:  Trigger dbo.tblCanRefRev_TR_Upd_BILL_COD    Script Date: 3/24/99 2:58:33 PM ******/
/****** Object:  Trigger dbo.tblCanRefRev_TR_Upd_BILL_COD    Script Date: 8/10/98 11:26:38 AM ******/
/****** Object:  Trigger dbo.tblCanRefRev_TR_Upd_BILL_COD    Script Date: 7/1/98 2:20:55 PM ******/
/****** Object:  Trigger dbo.tblCanRefRev_TR_Upd_BILL_COD    Script Date: 6/5/98 10:05:03 AM ******/
/****** Object:  Trigger dbo.tblCanRefRev_TR_Upd_BILL_COD    Script Date: 6/4/98 4:28:18 PM ******/
CREATE TRIGGER tblCanRefRev_TR_Upd_BILL_COD ON dbo.tblCanRefRev
FOR INSERT 
AS
/*      *********************************************************************/
/*      * BEGIN TRIGGER - tblCanRefRev_TR_Upd_BILL_COD                      */
/*      *********************************************************************/
/*      *********************************************************************/
/*      * STEP 1.1                                                          */
/*      *                                                                   */
/*      * SET FAS91 BILLING INDICATOR TO 2 FOR CANCELLATION/REFUNDS         */
/*      * WHOSE ACTUAL DISBURSEMENT DATE AND CANCELLATION (OR REFUND)       */
/*      * DATE OCCURS IN THE SAME MONTH AND WHOSE PRINCIPAL BALANCE IS      */
/*      * EQUAL TO ZERO                                                     */
/*      *********************************************************************/
UPDATE  tblCanRefRev
SET     FAS91_BILLING_COD = 2
FROM    tblCanRefRev master,
        inserted,
        tblLoans,
	tblSysdate,
	tblFAS91_Rates
WHERE   master.PK_ROW_ID                      = inserted.PK_ROW_ID
AND    (inserted.TRN_COD                        BETWEEN 56120 AND 56125)
AND     DatePart(Month, Inserted.ACU_DSB_DAT) = DatePart(Month,Inserted.TRN_DAT)
AND     inserted.LN_NUM                       = tblLoans.LN_NUM
AND     tblLoans.CUR_LN_BAL                  <= 0
AND	inserted.DAT_LAS_UPDT		      = tblSysdate.CUR_PRC_DAT
AND	tblLoans.CUR_BK_NUM		      = tblFAS91_Rates.BK_NUM
IF        @@ERROR <> 0
  BEGIN
        RAISERROR 
        ('tblCanRefRev_TR_Upd_BILL_COD;1.1;UPDATE tblCanRefRev', 16, -1)
        ROLLBACK TRANSACTION
  END
/*      *********************************************************************/
/*      * STEP 1.2                                                          */
/*      *                                                                   */
/*      * SET FAS91 BILLING INDICATOR TO 3 FOR CANCELLATION/REFUNDS         */
/*      * WHOSE ACTUAL DISBURSEMENT AND CANCELLATION (OR REFUND)            */
/*      * DATES DO NOT OCCUR IN THE SAME MONTH AND WHOSE PRINCIPAL          */
/*      * BALANCE IS EQUAL TO ZERO                                          */
/*      *********************************************************************/
UPDATE  tblCanRefRev
SET     FAS91_BILLING_COD = 3
FROM    tblCanRefRev master,
        inserted,
        tblLoans,
	tblSysdate,
	tblFAS91_Rates
WHERE   master.PK_ROW_ID = inserted.PK_ROW_ID
AND    (inserted.TRN_COD   BETWEEN 56120 AND 56125)
AND     DatePart(Month, Inserted.ACU_DSB_DAT) <> DatePart(Month,Inserted.TRN_DAT)
AND     inserted.LN_NUM  = tblLoans.LN_NUM
AND     tblLoans.CUR_LN_BAL <= 0
AND	inserted.DAT_LAS_UPDT = tblSysdate.CUR_PRC_DAT
AND	tblLoans.CUR_BK_NUM = tblFAS91_Rates.BK_NUM
IF        @@ERROR <> 0
  BEGIN
        RAISERROR 
        ('tblCanRefRev_TR_Upd_BILL_COD;1.2;UPDATE tblCanRefRev', 16, -1)
        ROLLBACK TRANSACTION
  END
/*      *********************************************************************/
/*      * STEP 1.3                             */
/*      *                                                                   */
/*      * SET FAS91 BILLING INDICATOR TO 4 FOR CANCELLATION/REFUND          */
/*      * REVERSALS WHOSE ACTUAL DISBURSEMENT, CANCELLATION, AND REVERSAL   */
/*      * DATES OCCUR IN THE SAME MONTH AND WHOSE PRINCIPAL BALANCE IS      */
/*      * EQUAL TO ZERO                                                     */
/*      *********************************************************************/
UPDATE  tblCanRefRev
SET     FAS91_BILLING_COD = 4
FROM    tblCanRefRev master,
        inserted,
        tblLoans,
	tblSysdate,
	tblFAS91_Rates
WHERE   master.PK_ROW_ID = inserted.PK_ROW_ID	
AND    (inserted.TRN_COD between 55220 AND 55225)	
AND    (DatePart(Month, Inserted.ACU_DSB_DAT) = DatePart(Month,Inserted.TRN_DAT)	
AND     DatePart(Month, Inserted.ACU_DSB_DAT) = DatePart(Month,Inserted.REV_ORIG_CAN_RFD_DAT))	
AND     inserted.LN_NUM  = tblLoans.LN_NUM	
AND     tblLoans.CUR_LN_BAL - Inserted.TRN_AMT <= 0	
AND	inserted.DAT_LAS_UPDT = tblSysdate.CUR_PRC_DAT
AND	tblLoans.CUR_BK_NUM = tblFAS91_Rates.BK_NUM
IF        @@ERROR <> 0
  BEGIN
        RAISERROR 
        ('tblCanRefRev_TR_Upd_BILL_COD;1.3;UPDATE tblCanRefRev', 16, -1)
        ROLLBACK TRANSACTION
  END
/*      *********************************************************************/
/*      * STEP 1.4                                                          */
/*      *                                                                   */
/*      * SET FAS91 BILLING INDICATOR TO 5 FOR CANCELLATION/REFUND          */
/*      * REVERSALS WHOSE:                                                  */
/*      *        (1) CANCELLATION AND CANCELLATION REVERSAL DATES OCCUR IN  */
/*      *            THE SAME MONTH,                                        */
/*      *        (2) ACTUAL DISBURSEMENT AND CANCELLATION DATES DO NOT      */
/*      *            OCCUR IN THE SAME MONTH, AND                           */
/*      *        (3) WHOSE PRINCIPAL BALANCE IS EQUAL TO ZERO               */ 
/*      *********************************************************************/

UPDATE  tblCanRefRev
SET     FAS91_BILLING_COD = 5
FROM    tblCanRefRev master,
        inserted,
        tblLoans,
	tblSysdate,
	tblFAS91_Rates
WHERE   master.PK_ROW_ID = inserted.PK_ROW_ID
AND    (inserted.TRN_COD between 55220 AND 55225)
AND    (DatePart(Month, Inserted.ACU_DSB_DAT)         <> DatePart(Month,Inserted.REV_ORIG_CAN_RFD_DAT)
AND     DatePart(Month, Inserted.REV_ORIG_CAN_RFD_DAT) = DatePart(Month,Inserted.TRN_DAT))
AND     inserted.LN_NUM  = tblLoans.LN_NUM
AND     tblLoans.CUR_LN_BAL - Inserted.TRN_AMT <= 0
AND	inserted.DAT_LAS_UPDT = tblSysdate.CUR_PRC_DAT
AND	tblLoans.CUR_BK_NUM = tblFAS91_Rates.BK_NUM
IF        @@ERROR <> 0
  BEGIN
        RAISERROR 
        ('tblCanRefRev_TR_Upd_BILL_COD;1.4;UPDATE tblCanRefRev', 16, -1)
        ROLLBACK TRANSACTION
  END
/*      *********************************************************************/
/*      * STEP 1.5                                                          */
/*      *                                                                   */
/*      * SET FAS91 BILLING INDICATOR TO 6 FOR CANCELLATION/REFUND          */
/*      * REVERSALS WHOSE:                                                  */
/*      *        (1) ACTUAL DISBURSEMENT AND CANCELLATION DATES OCCUR IN    */
/*      *            THE SAME MONTH,                                        */
/*      *        (2) CANCELLATION AND CANCELLATION REVERSAL DATES DO NOT    */
/*      *            OCCUR IN THE SAME MONTH, AND                           */
/*      *        (3) WHOSE PRINCIPAL BALANCE IS EQUAL TO ZERO               */
/*      *********************************************************************/
UPDATE  tblCanRefRev
SET     FAS91_BILLING_COD = 6
FROM    tblCanRefRev master, 
        inserted, 
        tblLoans,
	tblSysdate,
	tblFAS91_Rates
WHERE   master.PK_ROW_ID = inserted.PK_ROW_ID
AND    (inserted.TRN_COD between 55220 AND 55225)
AND    (DatePart(Month, Inserted.ACU_DSB_DAT) = DatePart(Month,Inserted.REV_ORIG_CAN_RFD_DAT)
AND     DatePart(Month, Inserted.REV_ORIG_CAN_RFD_DAT) <> DatePart(Month,Inserted.TRN_DAT))
AND     inserted.LN_NUM  = tblLoans.LN_NUM
AND     tblLoans.CUR_LN_BAL - Inserted.TRN_AMT <= 0
AND	inserted.DAT_LAS_UPDT = tblSysdate.CUR_PRC_DAT
AND	tblLoans.CUR_BK_NUM = tblFAS91_Rates.BK_NUM
IF        @@ERROR <> 0
  BEGIN
        RAISERROR 
        ('tblCanRefRev_TR_Upd_BILL_COD;1.5;UPDATE tblCanRefRev', 16, -1)
        ROLLBACK TRANSACTION
  END
/*      *********************************************************************/
/*      * STEP 1.6                                                          */
/*      *                                                                   */
/*      * SET FAS91 BILLING INDICATOR TO 7 FOR CANCELLATION/REFUND          */
/*      * REVERSALS WHOSE:                                                  */ 
/*      *        (1) ACTUAL DISBURSEMENT, CANCELLATION, AND CANCELLATION    */
/*      *            REVERSAL DATES DO NOT OCCUR IN THE SAME MONTH, AND     */
/*      *        (2) WHOSE PRINCIPAL BALANCE IS EQUAL TO ZERO               */

/*      *********************************************************************/
UPDATE 	tblCanRefRev
SET    	FAS91_BILLING_COD = 7
FROM   	tblCanRefRev master, 
       	inserted, 
       	tblLoans,
       	tblSysdate,
       	tblFAS91_Rates

WHERE  	master.PK_ROW_ID = inserted.PK_ROW_ID
AND    (inserted.TRN_COD between 55220 AND 55225)
AND    (DatePart(Month, Inserted.ACU_DSB_DAT)          <> DatePart(Month,Inserted.REV_ORIG_CAN_RFD_DAT)
AND    	DatePart(Month, Inserted.REV_ORIG_CAN_RFD_DAT) <> DatePart(Month,Inserted.TRN_DAT))
AND    	inserted.LN_NUM  = tblLoans.LN_NUM
AND    	tblLoans.CUR_LN_BAL - Inserted.TRN_AMT <= 0
AND    	inserted.DAT_LAS_UPDT = tblSysdate.CUR_PRC_DAT
AND	tblLoans.CUR_BK_NUM = tblFAS91_Rates.BK_NUM
IF        @@ERROR <> 0
  BEGIN
        RAISERROR 
        ('tblCanRefRev_TR_Upd_BILL_COD;1.6;UPDATE tblCanRefRev', 16, -1)
        ROLLBACK TRANSACTION
  END
RETURN
/*      *********************************************************************/
/*      * END TRIGGER - tblCanRefRev_TR_Upd_BILL_COD                        */
/*      *********************************************************************/
GO
GRANT SELECT ON dbo.tblCanRefRev TO SLCInternet  AS dbo
GRANT UPDATE ON dbo.tblCanRefRev TO SLCInternet  AS dbo
GRANT INSERT ON dbo.tblCanRefRev TO SLCInternet  AS dbo
GRANT DELETE ON dbo.tblCanRefRev TO SLCInternet  AS dbo
COMMIT

GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO
/*      *******************************************************************/
/*      * TABLE CHANGES FOR FEEAMORTIZATION	COMPLETE					*/                   
/*      *******************************************************************/

/*      *******************************************************************/
/*      * STORED PROCEDURE CHANGES FOR FEEAMORTIZATION COMPLETE		*/                   
/*      *******************************************************************/
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO


if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[uspCanRef_Upd1]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspCanRef_Upd1]
GO


if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[uspCanRef_Update1]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspCanRef_Update1]
GO


SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO


/****** Object:  Stored Procedure dbo.uspCanRef_Upd1    Script Date: 4/11/2003 10:36:49 AM ******/
/****** Object:  Stored Procedure dbo.uspCanRef_Upd1    Script Date: 3/24/2003 1:02:18 PM ******/
/****** Object:  Stored Procedure dbo.uspCanRef_Upd1    Script Date: 01/09/2001 1:02:30 PM ******/
/****** Object:  Stored Procedure dbo.uspCanRef_Upd1    Script Date: 9/10/99 3:51:09 PM ******/
/****** Object:  Stored Procedure dbo.uspCanRef_Upd1    Script Date: 8/12/99 3:51:41 PM ******/
/****** Object:  Stored Procedure dbo.uspCanRef_Upd1    Script Date: 5/10/99 1:12:40 PM ******/
/****** Object:  Stored Procedure dbo.uspCanRef_Upd1    Script Date: 5/4/99 2:38:52 PM ******/
/****** Object:  Stored Procedure dbo.uspCanRef_Upd1    Script Date: 4/22/99 4:43:45 PM ******/
/****** Object:  Stored Procedure dbo.uspCanRef_Upd1    Script Date: 3/30/99 3:20:32 PM ******/
/****** Object:  Stored Procedure dbo.uspCanRef_Upd1    Script Date: 3/15/99 5:05:24 PM ******/
CREATE PROCEDURE uspCanRef_Upd1  @ErrorMessage  VARCHAR(5000) OUTPUT
AS
SET NOCOUNT ON
/*      *******************************************************************/
/*      * PROC -  uspCanRef_Upd                                          */                   
/*      *******************************************************************/
BEGIN TRANSACTION trnCanRef_Upd1
/*      *******************************************************************/
/*      * STEP 1.1 DECLARE LOCAL VARIABLES                                */               
/*      *******************************************************************/
DECLARE @Tot_Disb_Exceptions        	NUMERIC(9)
DECLARE @Tot_Loan_Exceptions        	NUMERIC(9)
DECLARE @Tot_Disb_Can123_Upd       		NUMERIC(9)
DECLARE @Tot_Disb_Can4_Upd          	NUMERIC(9)
DECLARE @Tot_Disb_Ref123_Upd        	NUMERIC(9)
DECLARE @Tot_Disb_Ref4_Upd          	NUMERIC(9)
DECLARE @Tot_Disb_Rei_Upd  				NUMERIC(9)
DECLARE @Tot_CanRef_In					NUMERIC(9)
DECLARE @Tot_Loan_Upd					NUMERIC(9)
DECLARE @Tot_CanRefRev_Ins				NUMERIC(9)
DECLARE @ERROR_COD        				NUMERIC(5)
DECLARE @Tot_Reissue   					NUMERIC(9)
DECLARE @CUR_PRC_DAT       				DATETIME
DECLARE @PRV_PRC_DAT       				DATETIME
/*      *******************************************************************/
/*      * STEP 1.2 VERIFY TODAYS CURRENT PROCESSING DATE                  */          
/*      *******************************************************************/
		SELECT	@CUR_PRC_DAT = tblSysDate.CUR_PRC_DAT, @PRV_PRC_DAT = tblSysDate.PRV_PRC_DAT 
		FROM    tblSysDate
		IF		(@@ROWCOUNT <> 1 OR @@ERROR <> 0)
		BEGIN
				SELECT @ErrorMessage = 'uspCanRef_Upd1;1.2;SELECT tblSysDate: Error'
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.4 SAVE COUNT OF ALL INCOMING CANCELLATION/REFUND RECORDS */       
/*      *******************************************************************/
		SELECT  @Tot_CanRef_In = COUNT(*) 
		FROM    tblCancelRefund_Temp
		IF		(@@ERROR <> 0)
		BEGIN
				SELECT @ErrorMessage = 'uspCanRef_Upd1;1.4;  SELECT tblCancelRefund_Temp:Error'
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.5 EXTRACT CANCELLATION/REFUND RECORDS WITH NO LOAN INFO  */
/* *          EXTRACT REISSUE TRANCODES      */
/*      *******************************************************************/
		INSERT  tblDaily_Tran_Exceptions
		SELECT  LN_NUM,
        		CAN_REF_DAT,
        		TRN_COD,
        		CAN_REF_AMT,
        		BK_NUM,
        		APP,
        		LN_TYP_ALH,
        		ORG_LVL_NUM_3,
 				SSN,
				DSB_NUM
		FROM    tblCancelRefund_Temp
		WHERE   tblCancelRefund_Temp.LN_NUM NOT IN ( SELECT LN_NUM FROM tblLoans )
		SELECT  @Tot_Loan_Exceptions = @@ROWCOUNT,
				@ERROR_COD      = @@ERROR
		IF		(@ERROR_COD <> 0)
		BEGIN
			SELECT @ErrorMessage = '************* uspCanRef_Upd1;1.5; INSERT tblDaily_Tran_Exceptions:Error **************'
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.6 DELETE CANCELLATION/REFUND RECORDS WITH NO LOAN INFO   */
/* *          DELETE REISSUE TRANCODES      */
/*      *******************************************************************/
		DELETE  tblCancelRefund_Temp
		WHERE   tblCancelRefund_Temp.LN_NUM NOT IN ( SELECT LN_NUM FROM tblLoans )
		IF		(@@ROWCOUNT <> @Tot_Loan_Exceptions) OR (@@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = '************* uspCanRef_Upd1;1.6; DELETE tblDaily_Tran_Exceptions:Error ***********'
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage )  
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *****************************************************************************************/
/*      * STEP 1.7  COUNT THE NUMBER OF REISSUE  AND REINSTATE				*/
/*      * RECORDS IN  THE FILE tblCancelRefund_Temp 		    */
/*      *              								    */
/*      ****************************************************************************************/
		SELECT  @Tot_Reissue = COUNT(*) 
		FROM	tblCancelRefund_Temp
		WHERE	tblCancelRefund_Temp.TRN_COD IN
				(33555, 53020, 53024, 53627, 53628)
		IF		(@@ERROR <> 0)
		BEGIN
			SELECT @ErrorMessage = '************* uspCanRef_Upd1;1.7;  SELECT 33555 FROM tblCancelRefund_Temp:Error *************'
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      **********************************************************************************/
/*      * STEP 1.8  COPY THE ORIGINAL DISBURSEMENT INFO INTO  */
/*      * TBLREISSUE TO MAINTAIN A RECORD OF ALL DISB. THAT     */
/*      *  ARE REISSUED.               */
/*      **********************************************************************************/
		INSERT	tblReissue
		SELECT 
				tblDisbursements.LN_NUM,
				tblDisbursements.ACU_DSB_DAT,
				tblDisbursements.DSB_BK_NUM,
				tblDisbursements.DSB_NUM,
				tblDisbursements.ORIG_AMT_TO_DSB,
				tblDisbursements.AMT_TO_DSB,
				tblDisbursements.SCHED_NUM,
				tblDisbursements.ORIG_INS_PUM_AMT,
				tblDisbursements.INS_PUM_AMT,
				tblDisbursements.INS_PUM_AMT_ADJ,
				tblDisbursements.DAT_LAS_AMORTIZED,
				tblDisbursements.TOT_AMORTIZED,
				tblDisbursements.AMT_REM_TO_AMORTIZE,
				tblDisbursements.AMORTIZATION_STATUS_IND,
				tblDisbursements.AMORTIZATION_MTH,
				tblDisbursements.MTHLY_AMORTIZATION_AMT,
				tblDisbursements.TRN_COD,
				tblDisbursements.DAT_LAS_UPDT,
				tblDisbursements.SLD_AMT_REM_TO_AMORTIZE,
				tblDisbursements.CAN_AMT_REM_TO_AMORTIZE,
				tblDisbursements.CAN_TOT_AMORTIZED,
				tblDisbursements.ORIG_REFL_FEE,
				tblDisbursements.REFL_FEE,
				tblDisbursements.REFL_TOT_AMORTIZED,
				tblDisbursements.REFL_AMT_REM_TO_AMORTIZE,
				tblDisbursements.REFL_AMORTIZATION_STATUS_IND,
				tblDisbursements.REFL_AMORTIZATION_MTH,
				tblDisbursements.REFL_MTHLY_AMORTIZATION_AMT,
				tblDisbursements.REFL_DAT_LAS_AMORTIZED,
				tblDisbursements.SLD_REFL_AMT_REM_TO_AMORTIZE,
				tblDisbursements.REFL_SCHED,
				tblDisbursements.REFL_RT,
				tblDisbursements.REFL_CALC_PROCESSED_IND,
				tblDisbursements.CAN_REFL_AMT_REM_TO_AMORTIZE
		FROM    tblDisbursements, tblCancelRefund_Temp
		WHERE	tblDisbursements.LN_NUM = tblCancelRefund_Temp.LN_NUM
		AND   	tblDisbursements.DSB_NUM = tblCancelRefund_Temp.DSB_NUM
		AND   	tblCancelRefund_Temp.TRN_COD IN
				(33555, 53020, 53024, 53627, 53628)
		IF		(@@ROWCOUNT <> @Tot_Reissue) OR ( @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = '************* uspCanRef_Upd1;1.8; INSERT INTO TBLREISSUE, DISBURSEMENT DATA THAT WILL BE MODIFIED:Error **************'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      **********************************************************************************/
/*      * STEP 1.9  CHANGE THE ORIGINAL DISB. DATE TO THE NEW */
/*      * ORIGINAL DISBURSEMENT DATE. IT HAS BEEN  DETERMINED*/
/*      *  THAT REAMORTIZATION IS NOT NECESSARY.            */
/*      **********************************************************************************/
		UPDATE tblDisbursements
		SET    tblDisbursements.ACU_DSB_DAT = tblCancelRefund_Temp.CAN_REF_DAT
		FROM   tblDisbursements, tblCancelRefund_Temp
		WHERE  tblDisbursements.LN_NUM = tblCancelRefund_Temp.LN_NUM
		AND    tblDisbursements.DSB_NUM = tblCancelRefund_Temp.DSB_NUM
		AND    tblCancelRefund_Temp.TRN_COD IN 
			   (33555, 53020, 53024, 53627, 53628)
		SELECT @Tot_Disb_Rei_Upd= @@ROWCOUNT
		IF	   (@Tot_Disb_Rei_Upd <> @Tot_Reissue) OR (@@ERROR <> 0 )
		BEGIN
		SELECT @ErrorMessage = '************ uspCanRef_Upd1;1.9;   UPDATE TBLDISBURSEMENTS ACU_DSB_DAT VALUE WITH REISSUE DATE:Error **************'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage        
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      **********************************************************************************/
/*      * STEP 2.0  REMOVE THE REISSUE RECORD FROM               */
/*      * tblCancelRefund_Temp              */
/*      *                             */
/*      **********************************************************************************/
		DELETE	tblCancelRefund_Temp
		WHERE	tblCancelRefund_Temp.TRN_COD IN
				(33555, 53020, 53024, 53627, 53628)
		IF		(@@ROWCOUNT <> @Tot_Reissue) OR (@@ERROR <> 0 )
		BEGIN
		SELECT @ErrorMessage = '************ uspCanRef_Upd1;2.0; DELETE REISSUE RECORDS FROM tblCancelRefund_Temp:Error **************'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      **********************************************************************************************************/
/*      * STEP 2.1 EXTRACT CANCELLATION/REFUND RECORDS WITH NO MATCHING   */
/*      * DISBURSEMENT DATE  OR INVALID DISBURSEMENT NUMBER     		  */
/*      *********************************************************************************************************/
		INSERT  tblDaily_Tran_Exceptions
		SELECT	tblCancelRefund_Temp.LN_NUM,
				tblCancelRefund_Temp.CAN_REF_DAT,
				tblCancelRefund_Temp.TRN_COD,
				tblCancelRefund_Temp.CAN_REF_AMT,
				tblCancelRefund_Temp.BK_NUM,
				tblCancelRefund_Temp.APP,
				tblCancelRefund_Temp.LN_TYP_ALH,
				tblCancelRefund_Temp.ORG_LVL_NUM_3,
 				tblCancelRefund_Temp.SSN,
				tblCancelRefund_Temp.DSB_NUM	
		FROM	tblCancelRefund_Temp, TBLDISBURSEMENTS
		WHERE	tblCancelRefund_Temp.LN_NUM = tblDisbursements.LN_NUM AND 
 				tblCancelRefund_Temp.DSB_NUM = tblDisbursements.DSB_NUM AND
				tblDisbursements.ACU_DSB_DAT IS NULL OR
				tblDisbursements.DSB_NUM NOT BETWEEN 1 AND 20
		SELECT  @Tot_Disb_Exceptions = @@ROWCOUNT,
				@ERROR_COD      = @@ERROR
		IF		(@ERROR_COD <> 0)
		BEGIN
			SELECT @ErrorMessage = '************ uspCanRef_Upd1;2.1;   INSERT tblDaily_Tran_Exceptions:Error ************'
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END 
/*      *********************************************************************************************************/
/*      * STEP 2.2 DELETE CANCELLATION/REFUND RECORDS WITH NO MATCHING     */
/*      * DISBURSEMENT DATE OR INVALID DISBURSEMENT NUMBER    		*/
/*      ********************************************************************************************************/
		DELETE  tblCancelRefund_Temp
		FROM	tblCancelRefund_Temp, tblDisbursements
		WHERE	tblCancelRefund_Temp.LN_NUM  = tblDisbursements.LN_NUM AND 
 				tblCancelRefund_Temp.DSB_NUM = tblDisbursements.DSB_NUM AND
				tblDisbursements.ACU_DSB_DAT IS NULL OR
				tblDisbursements.DSB_NUM NOT BETWEEN 1 AND 20
		IF		(@@ROWCOUNT <> @Tot_Disb_Exceptions) OR (@@ERROR <> 0 )
		BEGIN
 			SELECT @ErrorMessage = '************ uspCanRef_Upd1;2.2;  DELETE tblCancelRefund_Temp:Error ************'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *********************************************************************************************************/
/*      * STEP 2.3 DELETE CANCELLATION/REFUND RECORDS WITH NO MATCHING     */
/*      * DISBURSEMENT DATE OR INVALID DISBURSEMENT NUMBER    		*/
/*      ********************************************************************************************************/		
		DECLARE @LN_NUM				VARCHAR(18)
		DECLARE @SSN				CHAR(9)
		DECLARE @LN_TYP_ALH			CHAR(3)
		DECLARE @CAN_REF_DAT		DATETIME
		DECLARE @ACU_DSB_DAT		DATETIME
		DECLARE @BK_NUM				DECIMAL(5,0)
		DECLARE @TRN_COD			DECIMAL(5,0)
		DECLARE @ORG_LVL_NUM_3		DECIMAL(5,0)
		DECLARE @APP	       		DECIMAL(3,0)
		DECLARE @CAN_REF_AMT		MONEY
		DECLARE @ORIG_INS_PUM_AMT 	MONEY
		DECLARE @NEW_INS_PUM_AMT	MONEY
		DECLARE @DSB_NUM			DECIMAL(5,0)
		DECLARE @RFD_BUCKET			TINYINT 
		DECLARE @CUR_TOTAL			INT
		DECLARE @REC_PROC			INT
		
		SELECT	@Tot_Disb_Ref4_Upd		= 0,
				@Tot_Disb_Ref123_Upd	= 0,
				@Tot_Disb_Can4_Upd		= 0,
				@Tot_Disb_Can123_Upd	= 0,
				@CUR_TOTAL 				= 0,
				@REC_PROC 				= 0
				
				
		DECLARE CancelRefundCursor CURSOR FOR
		SELECT LN_NUM,
			ACU_DSB_DAT,
			BK_NUM,
			LN_TYP_ALH,
			CAN_REF_DAT,
			CAN_REF_AMT,
			ORIG_INS_PUM_AMT,
			RFD_BUCKET,
			NEW_INS_PUM_AMT,
			TRN_COD,
			APP,
			SSN,
			ORG_LVL_NUM_3,
			DSB_NUM
		FROM  tblCancelRefund_Temp
		ORDER BY
			tblCancelRefund_Temp.LN_NUM,
			tblCancelRefund_Temp.DSB_NUM
				
			
		--OPEN CURSOR
		OPEN CancelRefundCursor
		
		
		--VERIFY CURSOR COUNT
		SELECT @CUR_TOTAL = @@CURSOR_ROWS
		
		
		IF (@CUR_TOTAL <> (@Tot_CanRef_In - @Tot_Disb_Exceptions - @Tot_Reissue - @Tot_Loan_Exceptions))
		BEGIN
			SELECT @ErrorMessage = '************ uspCanRef_Upd1; CURSOR COUNT DOES NOT EQUAL TABLE COUNT -- '+
								   ' CURSOR TOTAL: ' + CONVERT(VARCHAR,@CUR_TOTAL) +
								   ' CANCEL REFUND TOTAL: ' + CONVERT(VARCHAR,@Tot_CanRef_In) +
								   ' TOTAL DISB EXCEP: ' + CONVERT(VARCHAR,@Tot_Disb_Exceptions) +
								   ' TOTAL LOAN EXCEP: ' + CONVERT(VARCHAR,@Tot_Loan_Exceptions) +
								   ' TOTAL REISSUE: ' + CONVERT(VARCHAR,@Tot_Reissue)    
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage) 
				ROLLBACK TRANSACTION
				RETURN
		END

		--FETCH FIRST RECORD
		FETCH NEXT FROM CancelRefundCursor INTO @LN_NUM, @ACU_DSB_DAT, @BK_NUM, 
		@LN_TYP_ALH, @CAN_REF_DAT, @CAN_REF_AMT, @ORIG_INS_PUM_AMT, @RFD_BUCKET, 
		@NEW_INS_PUM_AMT, @TRN_COD, @APP, @SSN, @ORG_LVL_NUM_3, @DSB_NUM
		WHILE @@FETCH_STATUS = 0
			BEGIN
						
				/*      *******************************************************************/
				/*      * STEP 2.4 EXTRACT BANK MISMATCH REPORT             */
				/*      *******************************************************************/
						INSERT  	tblDaily_Bank_Mismatch
						SELECT
								@LN_NUM,
								@BK_NUM,
								tblLoans.CUR_BK_NUM,
								@CAN_REF_AMT,
								@TRN_COD,
								@LN_TYP_ALH,
								@ORG_LVL_NUM_3,
								@APP
						FROM	tblLoans
						WHERE	tblLoans.LN_NUM = @LN_NUM
						AND		tblLoans.CUR_BK_NUM <> @BK_NUM
						IF		(@@ERROR <> 0)
						BEGIN
							SELECT @ErrorMessage = '************ uspCanRef_Upd1;2.4; INSERT tblDaily_Bank_Mismatch: Error *************'
								EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
								RAISERROR ('%s', 16, -1, @ErrorMessage ) 
								ROLLBACK TRANSACTION
								RETURN
						END
						
				/*      *******************************************************************/
				/*      * STEP 2.5	  INSERT CANCEL AND REFUND RECORDS INTO TEMP TABLE     */
				/*      *             TO TRACK CHANGES TO AMOUNT REM TO AMORTIZE FIELD    */
				/*      *******************************************************************/
						INSERT   	TblIns_Change
						SELECT
								@LN_NUM,
								@DSB_NUM,
								tblDisbursements.AMT_REM_TO_AMORTIZE,
								0.00,
								Reason_code = CONVERT(CHAR(5),@TRN_COD),
								@CAN_REF_DAT,
								tblDisbursements.ORIG_INS_PUM_AMT,
								tblDisbursements.INS_PUM_AMT
						FROM   	tblDisbursements 
						WHERE	tblDisbursements.LN_NUM = @LN_NUM 
						AND		tbldisbursements.DSB_NUM = @DSB_NUM
						IF		(@@ERROR <> 0)
						BEGIN
							SELECT @ErrorMessage = '************ uspCanRef_Upd1;2.5;  INSERT tblIns_Change:Error *******************'
								EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
								RAISERROR ('%s', 16, -1, @ErrorMessage ) 
								ROLLBACK TRANSACTION
								RETURN
						END
						
				/*      **********************************************************************/
				/*      * STEP 2.6 UPDATE DISBURSEMENTS WITH REFUND TRANSACTIONS > 90 DAYS	*/
				/*      * THE ORIGINAL INSURANCE PREMIUM AMOUNT COMING FROM DIPLOMA IS		*/
				/*      * REALLY THE ADJUSTED INSURANCE PREMIUM AMOUNT						*/
				/*      **********************************************************************/
						UPDATE  tblDisbursements
						SET		tblDisbursements.AMT_TO_DSB			= tblDisbursements.AMT_TO_DSB  - @CAN_REF_AMT,
        						tblDisbursements.INS_PUM_AMT		= @NEW_INS_PUM_AMT,
        						tblDisbursements.INS_PUM_AMT_ADJ	= @ORIG_INS_PUM_AMT, 
        						tblDisbursements.AMT_REM_TO_AMORTIZE= tblDisbursements.AMT_REM_TO_AMORTIZE  - @ORIG_INS_PUM_AMT,
 								tblDisbursements.TOT_AMORTIZED  	= tblDisbursements.TOT_AMORTIZED  + @ORIG_INS_PUM_AMT,
 								tblDisbursements.DAT_LAS_UPDT  		= @CUR_PRC_DAT
						FROM	tblDisbursements
						WHERE	tblDisbursements.LN_NUM = @LN_NUM
						AND		tblDisbursements.DSB_NUM = @DSB_NUM
						AND		@TRN_COD IN (56121, 54126, 54122)  
						AND     @RFD_BUCKET = 4
						SELECT  @Tot_Disb_Ref4_Upd = @Tot_Disb_Ref4_Upd + @@ROWCOUNT, @ERROR_COD = @@ERROR
						IF		(@ERROR_COD <> 0)
						BEGIN
							SELECT @ErrorMessage = '************ uspCanRef_Upd1;2.6;UPDATE tblDisbursements:Error **************'
								EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
								RAISERROR ('%s', 16, -1, @ErrorMessage ) 
								ROLLBACK TRANSACTION
								RETURN
						END	
						
				/*      *****************************************************************************/
				/*      * STEP 2.7 UPDATE DISBURSEMENTS WITH REFUND TRANSACTIONS <= 90 DAYS			*/
				/*      * THE ORIGINAL INSURANCE PREMIUM AMOUNT COMING FROM DIPLOMA IS				*/
				/*      * REALLY THE ADJUSTED INSURANCE PREMIUM AMOUNT             					*/
				/*      *****************************************************************************/
						UPDATE 	 tblDisbursements
				SET     		tblDisbursements.AMT_TO_DSB				= tblDisbursements.AMT_TO_DSB - @CAN_REF_AMT,
        						tblDisbursements.INS_PUM_AMT       		= @NEW_INS_PUM_AMT,
        						tblDisbursements.INS_PUM_AMT_ADJ		= @ORIG_INS_PUM_AMT, 
        						tblDisbursements.AMT_REM_TO_AMORTIZE    = tblDisbursements.AMT_REM_TO_AMORTIZE  - @ORIG_INS_PUM_AMT,
 								tblDisbursements.DAT_LAS_UPDT  			= @CUR_PRC_DAT
						FROM   	tblDisbursements
						WHERE  	tblDisbursements.LN_NUM  = @LN_NUM
						AND		tblDisbursements.DSB_NUM = @DSB_NUM
						AND		@TRN_COD IN (56121, 54126, 54122) 
						AND		@RFD_BUCKET BETWEEN 1 AND 3
						SELECT  @Tot_Disb_Ref123_Upd = @Tot_Disb_Ref123_Upd + @@ROWCOUNT, 	@ERROR_COD = @@ERROR
						IF		(@ERROR_COD <> 0)
						BEGIN
							SELECT @ErrorMessage = '************ uspCanRef_Upd1;2.7;UPDATE tblDisbursements: Error ***************'
								EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
								RAISERROR ('%s', 16, -1, @ErrorMessage ) 
								ROLLBACK TRANSACTION
								RETURN
						END
						
				/*      *********************************************************************************************************/
				/*      * STEP 2.8 UPDATE DISBURSEMENTS WITH CANCELLATION TRANSACTIONS											*/
				/*      * GREATER THAN 90 DAYS                																	*/
				/*      * ORIG_INS_PUM_AMT FROM DIPLOMA = NEW INS PUM AMT          												*/
				/*      * NEW_INS_PUM_AMT FROM DIPLOMA = INS PUM AMT ADJ           												*/
				/*      *********************************************************************************************************/
						UPDATE  tblDisbursements
						SET		tblDisbursements.AMT_TO_DSB         			= tblDisbursements.AMT_TO_DSB - @CAN_REF_AMT,
        						tblDisbursements.INS_PUM_AMT        			= @ORIG_INS_PUM_AMT,
        						tblDisbursements.INS_PUM_AMT_ADJ    			= @NEW_INS_PUM_AMT,
 								tblDisbursements.CAN_AMT_REM_TO_AMORTIZE  		= tblDisbursements.AMT_REM_TO_AMORTIZE,
 								tblDisbursements.CAN_TOT_AMORTIZED   			= tblDisbursements.TOT_AMORTIZED,
 								tblDisbursements.TOT_AMORTIZED     				= tblDisbursements.TOT_AMORTIZED + tblDisbursements.AMT_REM_TO_AMORTIZE,
 								tblDisbursements.AMT_REM_TO_AMORTIZE    		= 0,
 								tblDisbursements.DAT_LAS_UPDT     				= @CUR_PRC_DAT,
 								tbldisbursements.CAN_REFL_AMT_REM_TO_AMORTIZE	= tblDisbursements.REFL_AMT_REM_TO_AMORTIZE,
 								tblDisbursements.REFL_TOT_AMORTIZED    			= tblDisbursements.REFL_TOT_AMORTIZED + tblDisbursements.REFL_AMT_REM_TO_AMORTIZE,
 								tbldisbursements.ORIG_REFL_FEE    				= 0,
 								tbldisbursements.REFL_FEE   					= 0,
 								tbldisbursements.REFL_AMT_REM_TO_AMORTIZE  		= 0,
 								tbldisbursements.REFL_AMORTIZATION_STATUS_IND  	= 'N',
 								tbldisbursements.REFL_AMORTIZATION_MTH   		= 0,
 								tbldisbursements.REFL_MTHLY_AMORTIZATION_AMT  	= 0
						FROM	tblDisbursements
						WHERE	tblDisbursements.LN_NUM  = @LN_NUM
						AND		tblDisbursements.DSB_NUM = @DSB_NUM
						AND     (@TRN_COD IN(56120, 54120, 54121, 54124, 54125, 52020, 52021, 52024, 52025)
						OR		@TRN_COD  BETWEEN 56122 AND 56125)
						AND		@RFD_BUCKET = 4
						SELECT  	@Tot_Disb_Can4_Upd = @Tot_Disb_Can4_Upd + @@ROWCOUNT, @ERROR_COD = @@ERROR
						IF		(@ERROR_COD <> 0)
						BEGIN
							SELECT @ErrorMessage = 'uspCanRef_Upd1;2.8;UPDATE tblDisbursements:Error'
								EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
								RAISERROR ('%s', 16, -1, @ErrorMessage ) 
								ROLLBACK TRANSACTION
								RETURN
						END			
		
				/*      *******************************************************************/
				/*      * STEP 2.9 UPDATE DISBURSEMENTS WITH CANCELLATION TRANSACTIONS    */
				/*      * LESS THAN OR EQUAL TO 90 DAYS              */
				/*      * ORIG_INS_PUM_AMT FROM DIPLOMA = INS PUM AMT ADJ           */
				/*      * NEW_INS_PUM_AMT FROM DIPLOMA = NEW INS PUM AMT           */
				/*      *******************************************************************/
						UPDATE  tblDisbursements
						SET		tblDisbursements.AMT_TO_DSB 			   		= tblDisbursements.AMT_TO_DSB - @CAN_REF_AMT,
         						tblDisbursements.INS_PUM_AMT 		   			= @NEW_INS_PUM_AMT,
         						tblDisbursements.INS_PUM_AMT_ADJ   		   		= @ORIG_INS_PUM_AMT,
  								tblDisbursements.CAN_AMT_REM_TO_AMORTIZE		= tblDisbursements.AMT_REM_TO_AMORTIZE,
  								tblDisbursements.CAN_TOT_AMORTIZED  	  		= tblDisbursements.TOT_AMORTIZED,
  								tblDisbursements.AMT_REM_TO_AMORTIZE   	  		= 0,
  								tblDisbursements.DAT_LAS_UPDT  				= @CUR_PRC_DAT,
  								tblDisbursements.CAN_REFL_AMT_REM_TO_AMORTIZE	= tblDisbursements.REFL_AMT_REM_TO_AMORTIZE,
  								tblDisbursements.REFL_TOT_AMORTIZED    			= tblDisbursements.REFL_TOT_AMORTIZED + tblDisbursements.REFL_AMT_REM_TO_AMORTIZE,
  								tblDisbursements.ORIG_REFL_FEE    				= 0,
  								tblDisbursements.REFL_FEE   					= 0,
  								tblDisbursements.REFL_AMT_REM_TO_AMORTIZE  		= 0,
  								tblDisbursements.REFL_AMORTIZATION_STATUS_IND  	= 'N',
  								tblDisbursements.REFL_AMORTIZATION_MTH   		= 0,
  								tblDisbursements.REFL_MTHLY_AMORTIZATION_AMT  	= 0
						FROM    tblDisbursements
						WHERE   tblDisbursements.LN_NUM  = @LN_NUM
						AND 	tblDisbursements.DSB_NUM = @DSB_NUM
						AND		(@TRN_COD IN (56120, 54120, 54121, 54124, 54125, 52020, 52021, 52024, 52025)
						OR		@TRN_COD BETWEEN 56122 AND 56125) 
						AND  	@RFD_BUCKET BETWEEN 1 AND 3
						SELECT  @Tot_Disb_Can123_Upd = @Tot_Disb_Can123_Upd + @@ROWCOUNT, 	@ERROR_COD = @@ERROR
						IF     (@ERROR_COD <> 0)
						BEGIN
							SELECT @ErrorMessage = 'uspCanRef_Upd1;2.9;UPDATE tblDisbursements:Error'
								EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
								RAISERROR ('%s', 16, -1, @ErrorMessage ) 
								ROLLBACK TRANSACTION
								RETURN
						END
						
						SELECT @REC_PROC = @REC_PROC + 1
						
				--FETCH NEXT RECORD
			FETCH NEXT FROM CancelRefundCursor INTO @LN_NUM, @ACU_DSB_DAT, @BK_NUM, 
			@LN_TYP_ALH, @CAN_REF_DAT, @CAN_REF_AMT, @ORIG_INS_PUM_AMT, @RFD_BUCKET, 
			@NEW_INS_PUM_AMT, @TRN_COD, @APP, @SSN, @ORG_LVL_NUM_3, @DSB_NUM
		
		
		END
		
		
		--CLOSE CURSOR
		CLOSE CancelRefundCursor


		--FREEUP RESOURCES
		DEALLOCATE CancelRefundCursor


/*      *******************************************************************/
/*      * STEP 3.0 TEST THAT ALL CANCEL REFUNDS PROCESS					*/
/*      *******************************************************************/
		IF (@REC_PROC <> (@Tot_CanRef_In - @Tot_Reissue - @Tot_Loan_Exceptions))
		BEGIN
			SELECT @ErrorMessage = ' uspCanRef_Upd1;3.0;--NOT ALL RECORDS HAVE BEEN PROCESSED --' +
						        ' TOTAL REISSUE : ' + CONVERT(VARCHAR,@Tot_Reissue) +
						        ' TOTAL EXCEPT: ' + CONVERT(VARCHAR,@Tot_Loan_Exceptions) +
						        ' TOTAL CANCELS: ' + CONVERT(VARCHAR,@Tot_CanRef_In) +
						        ' TOTAL REC PROC: ' + CONVERT(VARCHAR,@REC_PROC) +
						        '	!!!ERROR'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 3.1 SUM ALL REFUND AMOUNTS BY LOAN     */
/*      *******************************************************************/
		SELECT  tblCancelRefund_Temp.LN_NUM,
 				SUM_CAN_REF_AMT = SUM(tblCancelRefund_Temp.CAN_REF_AMT)
		INTO	#tblRefAmt_Temp
		FROM	tblCancelRefund_Temp,  tblLoans
		WHERE  	tblCancelRefund_Temp.LN_NUM = tblLoans.LN_NUM
		AND 	tblCancelRefund_Temp.TRN_COD IN (56121, 54126,54122)
		GROUP BY  	tblCancelRefund_Temp.LN_NUM
		IF		(@@ERROR <> 0)
		BEGIN
				SELECT @ErrorMessage = ' uspCanRef_Upd1;3.1;UPDATE #tblCancelAmt_Temp: Error'
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 3.2 UPDATE LOANS - SUBTRACT REF AMT FROM LOAN BALANCE     */
/*      *******************************************************************/
		UPDATE  tblLoans
		SET		tblLoans.CUR_LN_BAL		= tblLoans.CUR_LN_BAL  - #tblRefAmt_Temp.SUM_CAN_REF_AMT,
				tblLoans.DAT_LAS_UPDT  	= @CUR_PRC_DAT
		FROM	#tblRefAmt_Temp, tblLoans
		WHERE   #tblRefAmt_Temp.LN_NUM = tblLoans.LN_NUM
		IF		(@@ERROR <> 0)
		BEGIN
				SELECT @ErrorMessage = 'uspCanRef_Upd1;3.2;UPDATE tblLoans:Error'
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
				RETURN
		END
/*      *******************************************************************/
/* * STEP 3.3 SUM ALL CANCELLATION AMOUNTS BY LOAN                  */
/*      *******************************************************************/
		SELECT  tblCancelRefund_Temp.LN_NUM,
 				SUM_CAN_REF_AMT = SUM(tblCancelRefund_Temp.CAN_REF_AMT)
		INTO	#tblCancelAmt_Temp
		FROM	tblCancelRefund_Temp,  tblLoans
		WHERE	tblCancelRefund_Temp.LN_NUM = tblLoans.LN_NUM 
		AND		(tblCancelRefund_Temp.TRN_COD 
		IN		(56120, 54120, 54121, 54124, 54125, 52020, 52021, 52024, 52025)
		OR		tblCancelRefund_Temp.TRN_COD BETWEEN 56122 AND 56125  )
		GROUP BY
				tblCancelRefund_Temp.LN_NUM
		IF		(@@ERROR <> 0)
		BEGIN
				SELECT @ErrorMessage = 'uspCanRef_Upd1;3.3;UPDATE #tblCancelAmt_Temp:Error'
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 3.4 UPDATE LOANS - SUBTRACT CANCEL AMT FROM LOAN BALANCE  */
/*      *******************************************************************/
		UPDATE  tblLoans
		SET     tblLoans.CUR_LN_BAL  = tblLoans.CUR_LN_BAL - #tblCancelAmt_Temp.SUM_CAN_REF_AMT,
				tblLoans.DAT_LAS_UPDT  = @CUR_PRC_DAT
		FROM    #tblCancelAmt_Temp,        
				tblLoans
		WHERE   #tblCancelAmt_Temp.LN_NUM = tblLoans.LN_NUM 
		IF		(@@ERROR <> 0)
		BEGIN
				SELECT @ErrorMessage = 'uspCanRef_Upd1;3.4;UPDATE tblLoans:Error'
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 3.5 INSERT CANREFREV WITH REFUND/CANCELLATION INFO         */      
/*      *          (FAS91_BILLING_COD WILL BE POPULATED VIA TRIGGER IF    */
/*      *          APPROPRIATE)                                           */
/*      *******************************************************************/
		INSERT  tblCanRefRev        
		SELECT  tblCancelRefund_Temp.LN_NUM,            	-- LN_NUM
        	  	tblCancelRefund_Temp.ACU_DSB_DAT,       	-- ACU_DSB_DAT
        		tblCancelRefund_Temp.CAN_REF_DAT,       	-- TRN_DAT
        		tblCancelRefund_Temp.TRN_COD,               -- TRN_COD
        		tblCancelRefund_Temp.CAN_REF_AMT,       	-- TRN_AMT
        		tblCancelRefund_Temp.RFD_BUCKET,         	-- RFD_BUCKET
        		NULL,                                   	-- FAS91_BILLING_COD
        		tblLoans.FAS91_TOT_AMORTIZED,               -- FAS91_TOT_AMORTIZED
        		tblLoans.FAS91_AMT_REM_TO_AMORTIZE,			-- FAS91_AMT_REM_TO_AMORTIZE
        		tblLoans.FAS91_AMT,                     	-- FAS91_AMT
        		NULL,                                   	-- REV_ORIG_CAN_RFD_DAT 
        		@CUR_PRC_DAT,    							-- DATE LAST UPDATED
				tblCancelRefund_Temp.DSB_NUM
		FROM    tblCancelRefund_Temp,  tblLoans
		WHERE   tblCancelRefund_Temp.LN_NUM = tblLoans.LN_NUM        
		SELECT  @Tot_CanRefRev_Ins = @@ROWCOUNT,
				@ERROR_COD = @@ERROR
		IF		(@ERROR_COD <> 0)
		BEGIN
			SELECT @ErrorMessage = 'uspCanRef_Upd1;3.5;INSERT tblCanRefRev:Error'
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      ********************************************************************************************************/
/*      * STEP 3.6 TEST THAT ALL CANCELLATION/REFUND RECORDS CREATED A   */ 
/*      *             CANCELLATION/REFUND/REVERSAL RECORD                                        */
/*      ********************************************************************************************************/
		IF ( @Tot_CanRef_In - @Tot_Disb_Exceptions - @Tot_Loan_Exceptions - @Tot_Reissue) <> @Tot_CanRefRev_Ins
		BEGIN
				SELECT @ErrorMessage = 'uspCanRef_Upd1;3.6;Tot_CanRef_In <> Tot_CanRefRev_Ins--- ' +
										' TOTAL CANCEL REFUNDS: ' + CONVERT(VARCHAR, @Tot_CanRef_In) +
										' TOTAL DISB EXCEPTIONS: ' + CONVERT(VARCHAR, @Tot_Disb_Exceptions) +
										' TOTAL LOAN EXCEPTIONS: ' + CONVERT(VARCHAR, @Tot_Loan_Exceptions) +
										' TOTAL REISSUE: '		+ CONVERT(VARCHAR, @Tot_Reissue) +
										' TOTAL CANCEL REF REV: ' + CONVERT(VARCHAR, @Tot_CanRefRev_Ins) 
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 3.7 EXTRACT PROCESSED CANCELLATION/REFUNDS TO TEMP TABLE   */
/*      *******************************************************************/
		INSERT  tblDaily_Tran_Processed
		SELECT  LN_NUM,
				CAN_REF_DAT,
				TRN_COD,
				CAN_REF_AMT,
				BK_NUM,
				APP,
				LN_TYP_ALH,
				ORG_LVL_NUM_3,
				SSN,
				DSB_NUM
		FROM    tblCancelRefund_Temp
		IF ( ( @Tot_CanRef_In - @Tot_Disb_Exceptions - @Tot_Loan_Exceptions - @Tot_Reissue) <> @@ROWCOUNT OR @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspCanRef_Upd1;3.7; INSERT tblDaily_Tran_Processed:Error--- ' +
										' TOTAL CANCEL REFUNDS: ' + CONVERT(VARCHAR, @Tot_CanRef_In) +
										' TOTAL DISB EXCEPTIONS: ' + CONVERT(VARCHAR, @Tot_Disb_Exceptions) +
										' TOTAL LOAN EXCEPTIONS: ' + CONVERT(VARCHAR, @Tot_Loan_Exceptions) +
										' TOTAL REISSUE: '		+ CONVERT(VARCHAR, @Tot_Reissue) 
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 3.8 SET THE AMOUNT REMAINING TO AMORTIZE TO ZERO FOR       */
/* *          1st disb CANCELLATIONS                                 */  
/*      *******************************************************************/
		UPDATE  tblDisbursements
		SET     tblDisbursements.AMORTIZATION_STATUS_IND	= 'N',
 				tblDisbursements.MTHLY_AMORTIZATION_AMT		= 0,
				tblDisbursements.AMORTIZATION_MTH 			= 0,
				tblDisbursements.DAT_LAS_UPDT      			= @CUR_PRC_DAT
		FROM    tblCancelRefund_Temp, tblDisbursements
		WHERE   tblCancelRefund_Temp.LN_NUM      	= tblDisbursements.LN_NUM 
		AND		tblCancelRefund_Temp.DSB_NUM 	= tblDisbursements.DSB_NUM
		AND		tblCancelRefund_Temp.TRN_COD IN
			    (56120, 54120, 54121, 54124, 54125, 52020, 52021, 52024, 52025)
		OR		tblCancelRefund_Temp.TRN_COD  BETWEEN 56122 AND 56125
		IF     (@@ERROR <> 0)
		BEGIN
				SELECT @ErrorMessage = 'uspCanRef_Upd1;3.8;UPDATE tblDisbursements:Error'
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/* *******************************************************************/
/*      * STEP 3.9 SET THE FAS91 AMT REMAINING AND FAS91 AMT TO ZERO      */
/*      *          FOR CANCELLATIONS OF 1ST DISBURSEMENTS                 */
/* *******************************************************************/
		SELECT  DISTINCT LN_NUM
		INTO	#tblCanFAS91_Temp
		FROM	tblCancelRefund_Temp
		WHERE	tblCancelRefund_Temp.TRN_COD IN  
				(56120, 54120, 54121, 54124, 54125, 52020, 52021, 52024, 52025)
		OR		tblCancelRefund_Temp.TRN_COD BETWEEN 56122 AND 56125  
		IF		(@@ERROR <> 0)
		BEGIN
				SELECT @ErrorMessage ='uspCanRef_Upd1;3.9;SELECT #tblCanFAS91_Temp:Error'
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/* *******************************************************************/
/*      * STEP 4.0 SET THE FAS91 AMT REMAINING AND FAS91 AMT TO ZERO      */
/*      *          FOR CANCELLATIONS THAT REDUCE THE LOAN BAL TO ZERO     */
/* *******************************************************************/
		UPDATE	tblLoans
		SET 	tblLoans.FAS91_AMT   					= 0,
 				tblLoans.FAS91_TOT_AMORTIZED   			= tblLoans.FAS91_TOT_AMORTIZED  + tblLoans.FAS91_AMT_REM_TO_AMORTIZE,
 				tblLoans.FAS91_AMT_REM_TO_AMORTIZE 		= 0,
 				tblLoans.FAS91_AMORTIZATION_STATUS_IND	= 'N',
 				tblLoans.FAS91_MTHLY_AMORTIZATION_AMT	= 0,
 				tblLoans.DAT_LAS_UPDT   				= @CUR_PRC_DAT
		FROM	tblLoans, #tblCanFAS91_Temp
		WHERE	#tblCanFAS91_Temp.LN_NUM					= tblLoans.LN_NUM 
		AND		tblLoans.CUR_LN_BAL						<=  0 
		IF		(@@ERROR <> 0)
		BEGIN
				SELECT @ErrorMessage ='uspCanRef_Upd1;4.0;UPDATE tblLoans:Error'
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 4.1  UPDATE TABLE INSURANCE CHANGE WITH CHANGES TO        */
/*      *             THE AMOUNT REMAINING TO AMORTIZE FIELD              */
/*      *******************************************************************/
		UPDATE  tblIns_Change
		SET     NEW_VALUE =  tblDisbursements.AMT_REM_TO_AMORTIZE,
				tblIns_Change.INS_PUM_AMT = tblDisbursements.INS_PUM_AMT 
		FROM    tblDisbursements, tblIns_Change
		WHERE   tblDisbursements.LN_NUM = tblIns_Change.LN_NUM AND
				tblDisbursements.DSB_NUM = tblIns_Change.DSB_NUM 
		IF		(@@ERROR <> 0)
		BEGIN
				SELECT @ErrorMessage ='uspCanRef_Upd1;4.1;UPDATE tblLoans:Error'
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 4.2 COMMIT PROCESSED CANCELLATION/REFUNDS TRANSACTIONS     */
/*      *******************************************************************/
COMMIT TRANSACTION   trnCanRef_Upd1
/*      *******************************************************************/
/*   * END PROC - uspCanRef_Upd1                                    */
/*      *******************************************************************/

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

/****** Object:  Stored Procedure dbo.uspCanRefRev_Update1    Script Date: 10/8/2003 11:15:30 AM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[uspCanRefRev_Update1]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspCanRefRev_Update1]
GO


/****** Object:  Stored Procedure dbo.uspCanRefRev_Update1    Script Date: 10/8/2003 11:15:30 AM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[uspCanRefRev_Upd1]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspCanRefRev_Upd1]
GO


SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO


/****** Object:  Stored Procedure dbo.uspCanRefRev_Update1     Script Date: 4/11/2003 10:36:47 AM ******/
/****** Object:  Stored Procedure dbo.uspCanRefRev_Update1     Script Date: 3/24/2003 1:02:18 PM ******/
/****** Object:  Stored Procedure dbo.uspCanRefRev_Update1     Script Date: 01/09/2001 1:02:29 PM ******/
/* ============================================================ */
/*   Database name:  Fee_Amortization                           */
/*   DBMS name:      Microsoft SQL Server 6.x                   */
/*   Created on:     08/21/2000  9:21 AM                        */
/* ============================================================ */
/****** Object:  Stored Procedure dbo.uspCanRefRev_Update1    Script Date: 9/10/99 3:51:44 PM ******/
/****** Object:  Stored Procedure dbo.uspCanRefRev_Update1    Script Date: 8/12/99 3:54:33 PM ******/
/****** Object:  Stored Procedure dbo.uspCanRefRev_Update1    Script Date: 5/10/99 1:12:40 PM ******/
/****** Object:  Stored Procedure dbo.uspCanRefRev_Update1    Script Date: 5/4/99 2:38:52 PM ******/
/****** Object:  Stored Procedure dbo.uspCanRefRev_Update1    Script Date: 4/22/99 4:43:46 PM ******/
/****** Object:  Stored Procedure dbo.uspCanRefRev_Update1    Script Date: 3/30/99 3:24:03 PM ******/
/****** Object:  Stored Procedure dbo.uspCanRefRev_Update1    Script Date: 3/15/99 4:53:15 PM ******/
/****** Object:  Stored Procedure dbo.uspCanRefRev_Update1    Script Date: 8/10/98 11:26:38 AM ******/
CREATE PROCEDURE  uspCanRefRev_Upd1 @ErrorMessage VARCHAR(5000) OUTPUT
AS
SET NOCOUNT ON
/*      *******************************************************************/
/*      * PROC -  dbo.uspCanRefRev_Upd1                                    */
/*      *******************************************************************/
BEGIN TRANSACTION trnCanRefRev_Upd1
/*      *******************************************************************/
/*      * STEP 1.1        DECLARE LOCAL VARIABLES                         */
/*      *******************************************************************/
DECLARE @print_msg				VARCHAR(255)
DECLARE @count_row				NUMERIC(9)
DECLARE @Tot_Loan_Exceptions     	NUMERIC(9)
DECLARE @Tot_Disb_Exceptions     	NUMERIC(9)
DECLARE @Tot_Disb_Upd			NUMERIC(9)
DECLARE @Tot_CanRefRev_Ins		NUMERIC(9)
DECLARE @Tot_Rev_In			NUMERIC(9)
DECLARE @CUR_PRC_DAT			DATETIME
DECLARE @PRV_PRC_DAT			DATETIME
DECLARE @ERROR_COD			NUMERIC(9)
DECLARE @Tot_Mult_Rev_Exceptions 	NUMERIC(9)
/*      *******************************************************************/
/*      * STEP 1.2 - VERIFY TODAYS CURRENT PROCESSING DATE                */
/*      *******************************************************************/
		SELECT  @CUR_PRC_DAT = tblSysDate.CUR_PRC_DAT, @PRV_PRC_DAT = tblSysDate.PRV_PRC_DAT 
		FROM    tblSysDate
		IF    ( @@ROWCOUNT <> 1 OR @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspCanRefREV_Upd1;1.2;SELECT tblSysDate:Error'
       		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END

/*      *******************************************************************/
/*      * STEP 1.4        SAVE COUNT OF ALL REVERSAL TRANSACTIONS         */
/*      *******************************************************************/
		SELECT  @Tot_Rev_In = COUNT(*)
		FROM    tblReversals_Temp
		IF    ( @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspCanRefREV_Upd1;1.4; SELECT tblReversals_Temp:Error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.5 EXTRACT REVERSALS RECORDS WITH NO LOAN INFO            */
/*      *******************************************************************/
		INSERT  tblDaily_Tran_Exceptions
		SELECT  LN_NUM,
				REV_DAT,
				TRN_COD,
				REV_AMT,
				BK_NUM,
				APP,
				LN_TYP_ALH,
				ORG_LVL_NUM_3,
				SSN,
				DSB_NUM
		FROM    tblReversals_Temp
		WHERE   tblReversals_Temp.LN_NUM NOT IN ( SELECT LN_NUM FROM tblLoans )
		SELECT  @Tot_Loan_Exceptions = @@ROWCOUNT,
				@ERROR_COD      = @@ERROR
		IF    ( @ERROR_COD <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspCanRefREV_Upd1;1.5; INSERT tblDaily_Tran_Exceptions:Error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.6 DELETE REVERSALS RECORDS WITH NO LOAN INFO             */
/*      *******************************************************************/
		DELETE  tblReversals_Temp
		WHERE   tblReversals_Temp.LN_NUM NOT IN ( SELECT LN_NUM FROM tblLoans )
		IF    ( @@ROWCOUNT <> @Tot_Loan_Exceptions OR @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspCanRefREV_Upd1;1.6; DELETE tblDaily_Tran_Exceptions:Error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.7 EXTRACT REVERSALS RECORDS WITH NO DISB INFO            */
/*      *******************************************************************/
		INSERT  tblDaily_Tran_Exceptions
		SELECT  tblReversals_Temp.LN_NUM,
        		tblReversals_Temp.REV_DAT,
        		tblReversals_Temp.TRN_COD,
        		tblReversals_Temp.REV_AMT,
        		tblReversals_Temp.BK_NUM,
        		tblReversals_Temp.APP,
        		tblReversals_Temp.LN_TYP_ALH,
        		tblReversals_Temp.ORG_LVL_NUM_3,
 				tblReversals_Temp.SSN,
				tblReversals_Temp.DSB_NUM
		FROM	tblReversals_Temp, tblDisbursements 
		WHERE   tblReversals_Temp.DSB_NUM <> tblDisbursements.DSB_NUM
		SELECT  @Tot_Disb_Exceptions = @@ROWCOUNT,
			@ERROR_COD      = @@ERROR
		IF    ( @ERROR_COD <> 0 )
		BEGIN
       		SELECT @ErrorMessage = 'uspCanRefREV_Upd1;1.7; INSERT tblDaily_Tran_Exceptions:Error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.8 DELETE REVERSALS RECORDS WITH NO DISB INFO             */
/*      *******************************************************************/
		DELETE  tblReversals_Temp
		FROM  tblReversals_Temp, tblDisbursements 
		WHERE   tblReversals_Temp.DSB_NUM <> tblDisbursements.DSB_NUM 
		IF    ( @@ROWCOUNT <> @Tot_Disb_Exceptions OR @@ERROR <> 0 )
		BEGIN
 		SELECT @ErrorMessage = 'uspCanRefREV_Upd1;1.8; DELETE tblDaily_Tran_Exceptions:Error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.9 SAVES MULTIPLE REVERSALS FOR THE SAME LOAN NUMBER AND  */
/*		* ACTUAL DISBURSEMENT DATE TO A TEMP FILE							*/
/*      *******************************************************************/
		SELECT  tblReversals_temp.LN_NUM, DSB_NUM
		INTO  #tblMatchingRev
		FROM  tblReversals_Temp
		GROUP BY
		tblReversals_Temp.LN_NUM,
		tblReversals_Temp.DSB_NUM
		HAVING  ((COUNT(tblReversals_Temp.DSB_NUM))>1) AND 
		((COUNT(tblReversals_Temp.LN_NUM))>1) 
		IF    ( @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspCanRefREV_Upd1;1.9;SELECT #tblMatchingRev:Error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.91 EXTRACTS LOANS WITH MULTIPLE REFUNDS    */
/*      *******************************************************************/
		INSERT  tblDaily_Tran_Exceptions
		SELECT  tblReversals_Temp.LN_NUM,
        		tblReversals_Temp.REV_DAT,
        		tblReversals_Temp.TRN_COD,
        		tblReversals_Temp.REV_AMT,
        		tblReversals_Temp.BK_NUM,
        		tblReversals_Temp.APP,
        		tblReversals_Temp.LN_TYP_ALH,
        		tblReversals_Temp.ORG_LVL_NUM_3,
 				tblReversals_Temp.SSN,
				tblReversals_Temp.DSB_NUM
		FROM  tblReversals_Temp, #tblMatchingRev
		WHERE  tblReversals_Temp.LN_NUM = #tblMatchingRev.LN_NUM
		AND tblReversals_Temp.DSB_NUM = #tblMatchingRev.DSB_NUM
		SELECT  @Tot_Mult_Rev_Exceptions = @@ROWCOUNT,
				@ERROR_COD      = @@ERROR
		IF    ( @ERROR_COD <> 0 )
		BEGIN
       		SELECT @ErrorMessage = 'uspCanRefREV_Upd1;1.91; INSERT tblDaily_Tran_Exceptions:Error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.92 DELETES LOANS WITH MULTIPLE REFUNDS FROM THE INPUT    */
/*		* FILE          */
/*      *******************************************************************/
		DELETE tblReversals_Temp
		FROM tblReversals_Temp, #tblMatchingRev
		WHERE tblReversals_Temp.LN_NUM = #tblMatchingRev.LN_NUM
		AND tblReversals_Temp.DSB_NUM = #tblMatchingRev.DSB_NUM
		IF    ( @@ROWCOUNT <> @Tot_Mult_Rev_Exceptions OR @@ERROR <> 0 )
		BEGIN
 			SELECT @ErrorMessage = 'uspCanRefREV_Upd1;1.92; DELETE tblReversals_Temp:Error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
	/*      *******************************************************************/
/*      * STEP 2.0 EXTRACT BANK MISMATCH REPORT             */
/*      *******************************************************************/
		INSERT  tblDaily_Bank_Mismatch
		SELECT	tblReversals_Temp.LN_NUM,
				tblReversals_Temp.BK_NUM,
				tblLoans.CUR_BK_NUM,
				tblReversals_Temp.REV_AMT,
				tblReversals_Temp.TRN_COD,
				tblReversals_Temp.LN_TYP_ALH,
				tblReversals_Temp.ORG_LVL_NUM_3,
				tblReversals_Temp.APP
		FROM  tblReversals_Temp, tblLoans
		WHERE tblReversals_Temp.LN_NUM = tblLoans.LN_NUM
		AND tblReversals_Temp.BK_NUM <> tblLoans.CUR_BK_NUM
		IF    ( @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspCanRefREV_Upd1;2.0;  INSERT tblDaily_Bank_Mismatch:Error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 2.05  INSERT REVERSAL RECORDS INTO TEMP TABLE              */
/*      *             TO TRACK CHANGES TO AMOUNT REM TO AMORTIZE FIELD    */
/*      *******************************************************************/
		INSERT  TblIns_Change
		SELECT  tblReversals_Temp.LN_NUM,
				tblDisbursements.DSB_NUM,
				tblDisbursements.AMT_REM_TO_AMORTIZE,
				0.00,
				Reason_Code = Convert(char(5),tblReversals_Temp.TRN_COD),
				REV_DAT,
				tblDisbursements.ORIG_INS_PUM_AMT,
				tblDisbursements.INS_PUM_AMT
		FROM    tblDisbursements, tblReversals_Temp
		WHERE   tblDisbursements.LN_NUM = tblReversals_Temp.LN_NUM 
		AND		tbldisbursements.DSB_NUM = tblReversals_Temp.DSB_NUM
		IF    ( @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage =  'uspCanRefREV_Upd1;2.05; INSERT tblIns_Change:Error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
         
/*      *******************************************************************/
/*      * STEP 2.1 UPDATE DISBURSEMENT AMOUNT WITH REVERSAL TRANSACTIONS  */
/*      *******************************************************************/
		UPDATE  tblDisbursements
		SET     	tblDisbursements.AMT_TO_DSB   = tblDisbursements.AMT_TO_DSB
										+ tblReversals_Temp.REV_AMT,
 			tblDisbursements.DAT_LAS_UPDT = @CUR_PRC_DAT
		FROM      tblReversals_Temp,  tblDisbursements
		WHERE   tblReversals_Temp.LN_NUM = tblDisbursements.LN_NUM 
		AND	   tblReversals_Temp.DSB_NUM = tblDisbursements.DSB_NUM
		SELECT  @Tot_Disb_Upd = @@ROWCOUNT,
		@ERROR_COD = @@ERROR
		IF ( @ERROR_COD <> 0 )
		BEGIN
			SELECT @ErrorMessage =  'uspCanRefREV_Upd1;2.1;UPDATE tblDisbursements:Error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 2.2 TEST THAT ALL REVERSAL TRANSACTIONS UPDATE A           */
/*      *            DISBURSEMENT RECORD                                  */
/*      *******************************************************************/
		IF (@Tot_Rev_In - @Tot_Loan_Exceptions - @Tot_Disb_Exceptions - @Tot_Mult_Rev_Exceptions) <> @Tot_Disb_Upd
		BEGIN
       		SELECT @ErrorMessage =  'uspCanRefREV_Upd1;2.2;@Tot_Rev_In - @Tot_Loan_Exceptions - @Tot_Disb_Exceptions <> Tot_Disb_Upd'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 2.3 UPDATE DISBURSEMENTS WITH CANCELLATION REVERSAL        */
/*      * TRANSACTIONS WHOSE CANCELLATION DATE IS WITHIN 90 DAYS OF ITS   */
/*      * ORIGINAL DISBURSEMENT DATE                                      */
/*      * ORIG INS PUM AMT (DIPLOMA) = INS PUM AMT ADJ                    */
/*      *******************************************************************/
		UPDATE  tblDisbursements
		SET     tblDisbursements.INS_PUM_AMT              	= tblReversals_Temp.NEW_INS_PUM_AMT,
				tblDisbursements.INS_PUM_AMT_ADJ     		= tblReversals_Temp.ORIG_INS_PUM_AMT,
       			tblDisbursements.SCHED_NUM                 	= vwoBanks_Last_Sched_Num.MAX_SCHED,        
				tblDisbursements.AMT_REM_TO_AMORTIZE     	= tblReversals_Temp.NEW_INS_PUM_AMT,
 				tblDisbursements.TOT_AMORTIZED   			= 0,
       			tblDisbursements.AMORTIZATION_STATUS_IND	= 'Y',
				tblDisbursements.AMORTIZATION_MTH        	= 0,                
				tblDisbursements.MTHLY_AMORTIZATION_AMT		= 0,
 				tblDisbursements.DAT_LAS_UPDT   			= @CUR_PRC_DAT                                 
		FROM    tblReversals_Temp,   tblDisbursements,   vwoBanks_Last_Sched_Num
		WHERE   tblReversals_Temp.LN_NUM         			= tblDisbursements.LN_NUM 
		AND     tblReversals_Temp.DSB_NUM    				= tblDisbursements.DSB_NUM
		AND		(tblReversals_Temp.RFD_BUCKET      	BETWEEN 1 AND 3) 
		AND		(tblReversals_Temp.TRN_COD       			= 55220 
		OR      tblReversals_Temp.TRN_COD          	BETWEEN 55222 AND 55225) 
		AND		tblReversals_Temp.BK_NUM         			= vwoBanks_Last_Sched_Num.BK_NUM
		IF    ( @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspCanRefREV_Upd1;2.3;UPDATE tblDisbursements:Error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 2.4 UPDATE DISBURSEMENTS WITH REFUND REVERSAL TRANSACTIONS */
/*      * WHOSE CANCELLATION DATE IS WITHIN 90 DAYS OF ITS ORIGINAL       */
/*      * DISBURSEMENT DATE                                               */
/*      * ORIG INS PUM AMT(DIPLOMA) = INS PUM AMT ADJ                     */
/*      *******************************************************************/
		UPDATE  tblDisbursements
		SET     tblDisbursements.INS_PUM_AMT				= tblReversals_Temp.NEW_INS_PUM_AMT,
        		tblDisbursements.INS_PUM_AMT_ADJ         	= tblReversals_Temp.ORIG_INS_PUM_AMT,
        		tblDisbursements.AMT_REM_TO_AMORTIZE     	= tblDisbursements.AMT_REM_TO_AMORTIZE
                                                 					+ tblReversals_Temp.ORIG_INS_PUM_AMT,
        		tblDisbursements.AMORTIZATION_STATUS_IND	= 'Y',
 				tblDisbursements.DAT_LAS_UPDT    			= @CUR_PRC_DAT
		FROM    tblReversals_Temp,   tblDisbursements
		WHERE   (tblReversals_Temp.LN_NUM         			= tblDisbursements.LN_NUM 
		AND		tblReversals_Temp.DSB_NUM 					= tblDisbursements.DSB_NUM) 
		AND     (tblReversals_Temp.RFD_BUCKET       		BETWEEN 1 AND 3) 
		AND      tblReversals_Temp.TRN_COD         			= 55221      
		IF    ( @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspCanRefREV_Upd1;2.4;UPDATE tblDisbursements:Error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 3.1 UPDATE LOANS - UPDATE FAS91 INFORMATION FOR            */
/*      * CANCELLATION REVERSAL TRANSACTIONS WHOSE CURRENT LOAN BALANCE   */
/*      * WAS EQUAL TO ZERO PRIOR TO THE REVERSAL                         */
/*      *******************************************************************/
		UPDATE  tblLoans
		SET     tblLoans.SCHED_NUM                        = vwoBanks_Last_Sched_Num.MAX_SCHED,        
				tblLoans.FAS91_TOT_AMORTIZED              = 0,
				tblLoans.FAS91_AMT_REM_TO_AMORTIZE        = tblFAS91_Rates.FAS91_AMT,
				tblLoans.FAS91_AMT						  = tblFAS91_Rates.FAS91_AMT,
				tblLoans.FAS91_AMORTIZATION_STATUS_IND    = 'Y',
				tblLoans.FAS91_AMORTIZATION_MTH           = 0,
				tblLoans.FAS91_MTHLY_AMORTIZATION_AMT     = 0,
				tblLoans.DAT_LAS_UPDT					  = @CUR_PRC_DAT       
		FROM    tblReversals_Temp, tblLoans, tblFAS91_Rates, vwoBanks_Last_Sched_Num
		WHERE   tblReversals_Temp.LN_NUM     = tblLoans.LN_NUM 
		AND		(tblReversals_Temp.BK_NUM  = tblFAS91_Rates.BK_NUM
		AND		tblReversals_Temp.ACU_DSB_DAT 
		BETWEEN tblFAS91_Rates.START_DAT 
		AND		tblFAS91_Rates.END_DAT)
		AND		(tblReversals_Temp.TRN_COD   = 55220 
		OR		tblReversals_Temp.TRN_COD      
		BETWEEN 55222 
		AND		55225) 
		AND		tblLoans.CUR_LN_BAL         <= 0 
		AND		tblReversals_Temp.BK_NUM     = vwoBanks_Last_Sched_Num.BK_NUM                 
		IF    ( @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspCanRefREV_Upd1;3.1;UPDATE tblLoans:Error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 3.20 SUM ALL REVERSAL AMOUNTS BY LOAN            */
/*      *******************************************************************/
		SELECT  tblReversals_Temp.LN_NUM, SUM_REV_AMT = SUM(tblReversals_Temp.REV_AMT)
		INTO	#tblRevAmt_Temp
		FROM	tblReversals_Temp
		GROUP BY tblReversals_Temp.LN_NUM
		IF    ( @@ERROR <> 0 )
		BEGIN
				SELECT @ErrorMessage = 'uspCanRefREV_Upd1;3.20;SELECT #tblRevAmt_Temp:Error'
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 3.25 UPDATE LOANS - ADD REV AMT TO LOAN BALANCE            */
/*      *******************************************************************/
		UPDATE  tblLoans
		SET     tblLoans.CUR_LN_BAL     = tblLoans.CUR_LN_BAL
										+ #tblRevAmt_Temp.SUM_REV_AMT,
		tblLoans.DAT_LAS_UPDT = @CUR_PRC_DAT
		FROM    #tblRevAmt_Temp, tblLoans
		WHERE   #tblRevAmt_Temp.LN_NUM = tblLoans.LN_NUM
		IF    ( @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspCanRefREV_Upd11;3.25;UPDATE tblLoans:Error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 4.1 INSERT CANREFREV WITH REVERSAL INFO                    */
/*      *******************************************************************/
		INSERT  tblCanRefRev        
		SELECT  tblReversals_Temp.LN_NUM,                -- LN_NUM
				tblReversals_Temp.ACU_DSB_DAT,           -- ACU_DSB_DAT
				tblReversals_Temp.REV_DAT,               -- TRN_DAT
				tblReversals_Temp.TRN_COD,               -- TRN_COD
				tblReversals_Temp.REV_AMT,               -- TRN_AMT
				tblReversals_Temp.RFD_BUCKET,            -- RFD_BUCKET
				NULL,                                    -- FAS91_BILLING_COD
				tblLoans.FAS91_TOT_AMORTIZED,            -- FAS91_TOT_AMORTIZED
				tblLoans.FAS91_AMT_REM_TO_AMORTIZE,      -- FAS91_AMT_REM_TO_AMORTIZE
				tblLoans.FAS91_AMT,                      -- FAS91_AMT
				tblReversals_Temp.CAN_REF_DAT,           -- REV_ORIG_CAN_RFD_DAT
				@CUR_PRC_DAT,							 -- DAT_LAS_UPDT
				tblReversals_Temp.DSB_NUM				 -- DISBURSEMENT NUMBER
		FROM    tblReversals_Temp,
				tblLoans
		WHERE   tblReversals_Temp.LN_NUM = tblLoans.LN_NUM        
		SELECT  @Tot_CanRefRev_Ins = @@ROWCOUNT,
		@ERROR_COD = @@ERROR
		IF    ( @ERROR_COD <> 0 )
		BEGIN
     		SELECT @ErrorMessage = 'uspCanRefREV_Upd11;4.1;INSERT tblCanRefRev:Error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 4.2 TEST THAT ALL REVERSALS WHERE ADDED TO CANREFREV TABLE */
/*      *******************************************************************/
		IF (@Tot_Rev_In - @Tot_Loan_Exceptions - @Tot_Disb_Exceptions - @Tot_Mult_Rev_Exceptions) <> @Tot_CanRefRev_Ins
		BEGIN
       		SELECT @ErrorMessage = 'uspCanRefREV_Upd1;4.2;@Tot_Rev_In - @Tot_Loan_Exceptions - @Tot_Disb_Exceptions <> Tot_CanRefRev_Ins'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 5.1 EXTRACT REVERSALS RECORDS PROCESSED THIS EXECUTION     */
/*      *******************************************************************/
		INSERT  tblDaily_Tran_Processed
		SELECT  LN_NUM,
				REV_DAT,
				TRN_COD,
				REV_AMT,
				BK_NUM,
				APP,
				LN_TYP_ALH,
				ORG_LVL_NUM_3,
				SSN,
				DSB_NUM
		FROM    tblReversals_Temp
		IF ((@Tot_Rev_In - @Tot_Loan_Exceptions - @Tot_Disb_Exceptions - @Tot_Mult_Rev_Exceptions) <> @@ROWCOUNT OR @@ERROR <> 0)
		BEGIN
       		SELECT @ErrorMessage ='uspCanRefREV_Upd1;5.1;  INSERT tblDaily_Tran_Processed:Error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 5.15 UPDATE TABLE INSURANCE CHANGE WITH CHANGES TO        */
/*      *             THE AMOUNT REMAINING TO AMORTIZE FIELD              */
/*      *******************************************************************/
		UPDATE   tblIns_Change
		SET      NEW_VALUE =  tblDisbursements.AMT_REM_TO_AMORTIZE,
				tblIns_Change.INS_PUM_AMT = tblDisbursements.INS_PUM_AMT 
		FROM     tblDisbursements, tblIns_Change
		WHERE    tblDisbursements.LN_NUM = tblIns_Change.LN_NUM AND
				tblDisbursements.DSB_NUM = tblIns_Change.DSB_NUM 
		IF    ( @@ERROR <> 0 )
		BEGIN
       		SELECT @ErrorMessage ='uspCanRefREV_Upd1;5.15; UPDATE tblIns_Change:Error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 5.2 EXTRACT REVERSALS RECORDS WITH NO LOAN INFO            */
/*      *******************************************************************/
COMMIT TRANSACTION trnCanRefRev_Upd1
/*      *******************************************************************/
/*      * END PROC - uspCanRefRev_Upd1                                   */
/*      *******************************************************************/

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

/****** Object:  Stored Procedure dbo.uspLoans_Disb_Auto_Purch_Upd1    Script Date: 10/15/2003 9:50:19 AM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[uspLoans_Disb_Auto_Purch_Upd1]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspLoans_Disb_Auto_Purch_Upd1]
GO


SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF
GO

/****** Object:  Stored Procedure dbo.uspLoans_Disb_Auto_Purch_Upd1    Script Date: 10/15/2003 9:50:19 AM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Disb_Auto_Purch_Upd1    Script Date: 4/11/2003 10:36:51 AM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Disb_Auto_Purch_Upd1    Script Date: 3/24/2003 1:02:18 PM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Disb_Auto_Purch_Upd1    Script Date: 01/09/2001 1:02:30 PM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Disb_Auto_Purch_Upd1    Script Date: 09/02/1999 3:26:28 PM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Disb_Auto_Purch_Upd1    Script Date: 8/12/99 3:56:12 PM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Disb_Auto_Purch_Upd1    Script Date: 5/10/99 1:12:39 PM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Disb_Auto_Purch_Upd1    Script Date: 5/4/99 2:38:52 PM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Disb_Auto_Purch_Upd1    Script Date: 4/22/99 4:43:46 PM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Disb_Auto_Purch_Upd1    Script Date: 3/24/99 2:58:32 PM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Disb_Auto_Purch_Upd1    Script Date: 3/4/99 11:04:43 AM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Disb_Auto_Purch_Upd1    Script Date: 8/10/98 11:26:37 AM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Disb_Auto_Purch_Upd1    Script Date: 6/11/98 8:38:57 AM ******/
CREATE PROCEDURE  uspLoans_Disb_Auto_Purch_Upd1 @ErrorMessage VARCHAR(5000) OUTPUT
AS
SET NOCOUNT ON
/*      *******************************************************************/
/*      * PROC -  uspLoans_Disb_Auto_Purch_Upd1                           */
/*      *                                                                 */
/*      *         Loans may be sold AND purchased either by automated     */
/*      *         transfer or by manual sale transaction AND purchase     */
/*      *         thru New Loan Entry in Diploma.                         */
/*      *                                                                 */
/*      *         This update is for automated transfers AND processes    */
/*      *         the Loan Purchase (55300) transactions identified thru  */
/*      *         the view, vwoDly_Trans_Auto_Loan_Purch.                 */
/*      *                                                                 */
/*      *******************************************************************/
BEGIN TRANSACTION trnLoans_Disb_Auto_Purch_Upd1
/*      *******************************************************************/
/*      * STEP 1.1 - DECLARE LOCAL VARIABLES                              */
/*      *******************************************************************/
DECLARE @COUNT_ROW		NUMERIC(9)
DECLARE @COUNT_TXNS		NUMERIC(9)
DECLARE @COUNT_EX_TXNS	NUMERIC(9)
DECLARE @CUR_PRC_DAT	DATETIME
DECLARE @PRV_PRC_DAT	DATETIME
DECLARE @ERROR_CODE		NUMERIC(5)
/*      *******************************************************************/
/*      * STEP 1.2 - VERIFY TODAYS CURRENT PROCESSING DATE                */
/*      *******************************************************************/
		SELECT  @CUR_PRC_DAT = CUR_PRC_DAT, @PRV_PRC_DAT = tblSysDate.PRV_PRC_DAT 
		FROM    tblSysDate
		IF    ( @@ROWCOUNT <> 1 OR @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspLoans_Disb_Auto_Purch_Upd1 (1.2); SELECT tblSysDate: VERIFY TODAYS CURRENT PROCESSING DATE - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.4 - COUNT THE NUMBER OF AUTOMATED PURCHASE TRANSACTIONS  */
/*      *******************************************************************/
		SELECT  @COUNT_TXNS = COUNT(*)
		FROM    tblTransactions_Temp
		WHERE   tblTransactions_Temp.TRN_COD = 55300
		IF (@@ERROR <> 0)
		BEGIN
			SELECT @ErrorMessage =' uspLoans_Disb_Auto_Purch_Upd1 (1.4); SELECT tblTransactions_Temp: COUNT THE NUMBER OF AUTOMATED PURCHASE TRANSACTIONS - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.5 - EXTRACT ALL TRANSACTIONS WHICH HAVE NO LOAN INFO     */
/*      *******************************************************************/
		INSERT  tblDaily_Tran_Exceptions
		SELECT  LN_NUM,
				TRN_DAT,
				TRN_COD,
				ADJ_PRIN,
				BK_NUM,
				APP,
				LN_TYP_ALH,
				ORG_LVL_NUM_3,
				SSN,
				NULL
		FROM    tblTransactions_Temp
		WHERE   tblTransactions_Temp.LN_NUM NOT IN ( SELECT LN_NUM FROM tblLoans )
		AND     tblTransactions_Temp.TRN_COD = 55300
		SELECT  @COUNT_EX_TXNS = @@ROWCOUNT,
				@ERROR_CODE     = @@ERROR
		IF    ( @ERROR_CODE <> 0 )
		BEGIN
       			SELECT @ErrorMessage = 'uspLoans_Disb_Auto_Purch_Upd1 (1.5); INSERT tblDaily_Tran_Exceptions; EXTRACT ALL TRANSACTIONS WHICH HAVE NO LOAN INFO - error'
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.6 - DELETE ALL TRANSACTIONS WHICH HAVE NO LOAN INFO      */
/*      *******************************************************************/
		DELETE  tblTransactions_Temp
		WHERE   tblTransactions_Temp.LN_NUM NOT IN ( SELECT LN_NUM FROM tblLoans )
		AND     tblTransactions_Temp.TRN_COD = 55300
		IF    ( @@ROWCOUNT <> @COUNT_EX_TXNS OR @@ERROR <> 0 )
		BEGIN
 			SELECT @ErrorMessage = 'uspLoans_Disb_Auto_Purch_Upd1 (1.6); DELETE tblDaily_Tran_Exceptions; DELETE ALL TRANSACTIONS WHICH HAVE NO LOAN INFO - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage )  
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 2.1 - UPDATE LOANS FROM THE PURCHASE TRANSACTIONS - 55300  */ 
/*      *******************************************************************/
		UPDATE  tblLoans
		SET     tblLoans.CUR_BK_NUM				=  tblTransactions_Temp.BK_NUM,
				tblLoans.CUR_LN_BAL				= (tblLoans.CUR_LN_BAL
												+  tblTransactions_Temp.TRN_AMT),
		tblLoans.PURCH_INT_DUE_BAL				=  tblTransactions_Temp.ADJ_INT,
		tblLoans.PURCH_DAT						=  tblTransactions_Temp.TRN_DAT,
		tblLoans.FAS91_TOT_AMORTIZED			= 0,
		tblLoans.FAS91_AMT_REM_TO_AMORTIZE		= 0,
		tblLoans.FAS91_AMORTIZATION_MTH			= 0,
		tblLoans.FAS91_MTHLY_AMORTIZATION_AMT	= 0,
		tblLoans.FAS91_AMT						= 0,
		tblLoans.DAT_LAS_UPDT					= @CUR_PRC_DAT
		FROM    tblTransactions_Temp, tblLoans
		WHERE   tblTransactions_Temp.TRN_COD = 55300
		AND     tblTransactions_Temp.LN_NUM  = tblLoans.LN_NUM
		IF    ( @@ROWCOUNT <> (@COUNT_TXNS - @COUNT_EX_TXNS) OR @@ERROR <> 0 )  
		BEGIN
       			SELECT @ErrorMessage = 'uspLoans_Disb_Auto_Purch_Upd1 (2.1); UPDATE tblLoans: UPDATE LOANS FROM THE PURCHASE TRANSACTIONS - error'
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 3.1 - UPDATE DISBURSEMENTS FROM A PURCHASE TRAN - 55300    */
/*      *******************************************************************/
		UPDATE  tblDisbursements
		SET     tblDisbursements.SCHED_NUM						= vwoBanks_Last_Sched_Num.MAX_SCHED,
				tblDisbursements.INS_PUM_AMT					= tblDisbursements.AMT_REM_TO_AMORTIZE,
				tblDisbursements.INS_PUM_AMT_ADJ				= 0,
				tblDisbursements.DAT_LAS_AMORTIZED				= NULL,
				tblDisbursements.TOT_AMORTIZED					= 0,
				tblDisbursements.AMORTIZATION_STATUS_IND		= 'Y',
				tblDisbursements.AMORTIZATION_MTH				= 0,
				tblDisbursements.MTHLY_AMORTIZATION_AMT			= 0,
				tblDisbursements.DAT_LAS_UPDT					= @CUR_PRC_DAT,
				tbldisbursements.REFL_FEE						= tblDisbursements.REFL_AMT_REM_TO_AMORTIZE,
				tblDisbursements.REFL_DAT_LAS_AMORTIZED			= NULL,
				tblDisbursements.REFL_TOT_AMORTIZED				= 0,
				tblDisbursements.REFL_AMORTIZATION_STATUS_IND	= 'N',
				tblDisbursements.REFL_AMORTIZATION_MTH			= 0,
				tblDisbursements.REFL_MTHLY_AMORTIZATION_AMT	= 0
		FROM    tblTransactions_Temp, vwoBanks_Last_Sched_Num, tblDisbursements
		WHERE   tblTransactions_Temp.TRN_COD  = 55300
		AND     tblTransactions_Temp.LN_NUM   = tblDisbursements.LN_NUM
		AND     tblTransactions_Temp.BK_NUM   = vwoBanks_Last_Sched_Num.BK_NUM
		IF  (@@ERROR <> 0)  
		BEGIN
			SELECT @ErrorMessage = 'uspLoans_Disb_Auto_Purch_Upd1 (3.1); UPDATE tblDisbursements: UPDATE DISBURSEMENTS FROM A PURCHASE TRAN - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 3.5  set REFL_Status_Ind to Yes if Fee has been charged   */
/*      *******************************************************************/
		UPDATE tbldisbursements
		SET REFL_AMORTIZATION_STATUS_IND = 'Y'
		FROM tblTransactions_temp
		WHERE REFL_FEE > 0 
		AND REFL_AMT_REM_TO_AMORTIZE > 0 
		AND	tblTransactions_Temp.TRN_COD = 55300 
		AND tblTransactions_Temp.LN_NUM = tblDisbursements.LN_NUM 
		IF  (@@ERROR <> 0)  
		BEGIN
			SELECT @ErrorMessage = 'uspLoans_Disb_Auto_Purch_Upd1 (3.1); UPDATE tblDisbursements: UPDATE DISBURSEMENTS FROM A PURCHASE TRAN - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 4.1 EXTRACT PROCESSED AUTO PURCHASE TRANS TO TEMP TABLE    */
/*      *******************************************************************/
		INSERT  tblDaily_Tran_Processed
		SELECT  LN_NUM,
				TRN_DAT,
				TRN_COD,
				TRN_AMT,
				BK_NUM,
				APP,
				LN_TYP_ALH,
				ORG_LVL_NUM_3,
				SSN,
				DSB_NUM
		FROM    tblTransactions_Temp
		WHERE   tblTransactions_Temp.TRN_COD = 55300
		IF    ( (@COUNT_TXNS - @COUNT_EX_TXNS) <> @@ROWCOUNT OR @@ERROR <> 0 )
		BEGIN
 			SELECT @ErrorMessage = 'uspLoans_Disb_Auto_Purch_Upd1 (4.1); INSERT tblDaily_Tran_Processed; EXTRACT PROCESSED AUTO PURCHASE TRANS TO TEMP TABLE - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 4.2 - COMMIT TRANSACTIONS IF NO ERRORS                     */
/*      *******************************************************************/ 
COMMIT TRANSACTION trnLoans_Disb_Auto_Purch_Upd1
/*      *******************************************************************/
/*      * END PROC - uspLoans_Disb_Auto_Purch_Upd1                        */
/*      *******************************************************************/
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO


/****** Object:  Stored Procedure dbo.uspLoans_Disb_Sales_Txns_Upd1    Script Date: 10/15/2003 8:20:03 AM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[uspLoans_Disb_Sales_Txns_Upd1]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspLoans_Disb_Sales_Txns_Upd1]
GO


SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.uspLoans_Disb_Sales_Txns_Upd1    Script Date: 10/15/2003 8:20:03 AM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Disb_Sales_Txns_Upd1    Script Date: 4/11/2003 10:36:51 AM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Disb_Sales_Txns_Upd1    Script Date: 3/24/2003 1:02:18 PM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Disb_Sales_Txns_Upd1    Script Date: 01/09/2001 1:02:30 PM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Disb_Sales_Txns_Upd1    Script Date: 8/12/99 3:57:00 PM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Disb_Sales_Txns_Upd1    Script Date: 5/10/99 1:12:39 PM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Disb_Sales_Txns_Upd1    Script Date: 5/4/99 2:38:52 PM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Disb_Sales_Txns_Upd1    Script Date: 4/22/99 4:43:45 PM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Disb_Sales_Txns_Upd1    Script Date: 3/24/99 2:58:32 PM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Disb_Sales_Txns_Upd1    Script Date: 3/5/99 1:44:13 PM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Disb_Sales_Txns_Upd1    Script Date: 8/10/98 11:26:37 AM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Disb_Sales_Txns_Upd1    Script Date: 6/11/98 8:38:57 AM ******/
CREATE PROCEDURE  uspLoans_Disb_Sales_Txns_Upd1 @ErrorMessage VARCHAR(5000) OUTPUT
AS
SET NOCOUNT ON
/*      *******************************************************************/
/*      * PROC -  uspLoans_Disb_Sales_Txns_Upd1                           */
/*      *                                                                 */
/*      *         Loans may be sold AND purchased either by automated     */
/*      *         transfer or by manual sale transaction AND purchase     */
/*      *         thru New Loan Entry in Diploma.                         */
/*      *                                                                 */
/*      *         This update is for both automated AND manual transfers  */
/*      *         Sale (66300) transactions since they are the same.      */
/*      *                                                                 */
/*      *******************************************************************/
BEGIN TRANSACTION trnLoans_Disb_Sales_Txns_Upd1
/*      *******************************************************************/
/*      * STEP 1.1 - DECLARE LOCAL VARIABLES                              */   
/*      *******************************************************************/
DECLARE @COUNT_TXNS		NUMERIC(9)
DECLARE @COUNT_ROW		NUMERIC(9)
DECLARE @ERROR_CODE		NUMERIC(5)
DECLARE @COUNT_EX_TXNS	NUMERIC(9)
DECLARE @CUR_PRC_DAT	DATETIME
DECLARE @PRV_PRC_DAT	DATETIME
/*      *******************************************************************/
/*      * STEP 1.2 - VERIFY TODAYS CURRENT PROCESSING DATE                */  
/*      *******************************************************************/
		SELECT  @CUR_PRC_DAT = CUR_PRC_DAT, @PRV_PRC_DAT = tblSysDate.PRV_PRC_DAT  
		FROM    tblSysDate
		IF    ( @@ROWCOUNT <> 1 OR @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspLoans_Disb_Sales_Txns_Upd1 (1.2); SELECT tblSysDate: VERIFY TODAYS CURRENT PROCESSING DATE - Error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 	
			ROLLBACK TRANSACTION
			RETURN
		END

/*      *******************************************************************/
/*      * STEP 1.4 - COUNT THE NUMBER OF SALES TRANSACTIONS               */
/*      *******************************************************************/
		SELECT  @COUNT_TXNS = COUNT(*)
		FROM    tblTransactions_Temp        
		WHERE   tblTransactions_Temp.TRN_COD = 66300
		IF  (@@ERROR <> 0)
		BEGIN
			SELECT @ErrorMessage = ' uspLoans_Disb_Sales_Txns_Upd1 (1.4); SELECT COUNT_TXNS: COUNT THE NUMBER OF SALES TRANSACTIONS - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 	 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.5 - EXTRACT ALL TRANSACTIONS WHICH HAVE NO LOAN INFO     */
/*      *******************************************************************/
		INSERT  tblDaily_Tran_Exceptions
		SELECT  LN_NUM,
				TRN_DAT,
				TRN_COD,
				ADJ_PRIN,
				BK_NUM,
				APP,
				LN_TYP_ALH,
				ORG_LVL_NUM_3,
				SSN,
				NULL
		FROM    tblTransactions_Temp
		WHERE   tblTransactions_Temp.LN_NUM NOT IN ( SELECT LN_NUM FROM tblLoans )
		AND     tblTransactions_Temp.TRN_COD = 66300
		SELECT  @COUNT_EX_TXNS = @@ROWCOUNT,
				@ERROR_CODE     = @@ERROR
		IF    ( @ERROR_CODE <> 0 )
		BEGIN
			SELECT @ErrorMessage ='uspLoans_Disb_Sales_Txns_Upd1 (1.5); INSERT tblDaily_Tran_Exceptions; EXTRACT ALL TRANSACTIONS WHICH HAVE NO LOAN INFO - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 	
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.6 - DELETE ALL TRANSACTIONS WHICH HAVE NO LOAN INFO      */
/*      *******************************************************************/
		DELETE  tblTransactions_Temp
		WHERE   tblTransactions_Temp.LN_NUM NOT IN ( SELECT LN_NUM FROM tblLoans )
		AND     tblTransactions_Temp.TRN_COD = 66300
		IF    ( @@ROWCOUNT <> @COUNT_EX_TXNS OR @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspLoans_Disb_Sales_Txns_Upd1 (1.6); DELETE tblDaily_Tran_Exceptions;DELETE ALL TRANSACTIONS WHICH HAVE NO LOAN INFO - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 	
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 2.1 - UPDATE LOANS FROM THE SALES TRANSACTION - 66300      */
/*      *******************************************************************/
		UPDATE  tblLoans
		SET     tblLoans.SLD_BK_NUM                     =  tblTransactions_Temp.BK_NUM,
				tblLoans.SLD_DAT                        =  tblTransactions_Temp.TRN_DAT,
				tblLoans.SLD_CUR_LN_BAL                 =  tblTransactions_Temp.TRN_AMT,
				tblLoans.SLD_INT_DUE_BAL                =  tblTransactions_Temp.ADJ_INT,
				tblLoans.SLD_FAS91_AMT_REM_TO_AMORTIZE  =  tblLoans.FAS91_AMT_REM_TO_AMORTIZE,
				tblLoans.CUR_LN_BAL                     = (tblLoans.CUR_LN_BAL
														-  tblTransactions_Temp.TRN_AMT),
				tblLoans.FAS91_AMORTIZATION_STATUS_IND  = 'N',
				tblLoans.DAT_LAS_UPDT   =  @CUR_PRC_DAT        
		FROM    tblTransactions_Temp, tblLoans
		WHERE   tblTransactions_Temp.LN_NUM  = tblLoans.LN_NUM
		AND     tblTransactions_Temp.TRN_COD = 66300
		IF    ( @@ROWCOUNT <> (@COUNT_TXNS - @COUNT_EX_TXNS) OR @@ERROR <> 0 )  
		BEGIN
			SELECT @ErrorMessage = 'uspLoans_Disb_Sales_Txns_Upd1 (2.1);  UPDATE tblLoans: UPDATE LOANS FROM THE SALES TRANSACTION - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 	
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 3.1 - UPDATE DISBURSEMENTS FROM SALES TRANSACTION, 66300   */ 
/*      *******************************************************************/
		UPDATE  tblDisbursements
		SET     tblDisbursements.SLD_AMT_REM_TO_AMORTIZE		= tblDisbursements.AMT_REM_TO_AMORTIZE,
				tblDisbursements.SLD_REFL_AMT_REM_TO_AMORTIZE	= tblDisbursements.REFL_AMT_REM_TO_AMORTIZE,
				tblDisbursements.DAT_LAS_UPDT					= @CUR_PRC_DAT        
		FROM    tblTransactions_Temp, tblLoans, tblDisbursements
		WHERE   tblTransactions_Temp.LN_NUM  = tblDisbursements.LN_NUM
		AND     tblDisbursements.LN_NUM      = tblLoans.LN_NUM
		AND     tblTransactions_Temp.TRN_COD = 66300
		IF      (@@ERROR <> 0)  
		BEGIN
      		SELECT @ErrorMessage = 'uspLoans_Disb_Sales_Txns_Upd1 (3.1); UPDATE tblDisbursements: UPDATE DISBURSEMENTS FROM THE SALES TRANSACTION - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 	 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 4.1 EXTRACT PROCESSED SALE TRANSACTIONS TO TEMP TABLE      */
/*      *******************************************************************/
		INSERT  tblDaily_Tran_Processed
		SELECT  LN_NUM,
				TRN_DAT,
				TRN_COD,
				TRN_AMT,
				BK_NUM,
				APP,
				LN_TYP_ALH,
				ORG_LVL_NUM_3,
				SSN,
				DSB_NUM
		FROM    tblTransactions_Temp
		WHERE   tblTransactions_Temp.TRN_COD = 66300
		IF    ( (@COUNT_TXNS - @COUNT_EX_TXNS) <> @@ROWCOUNT OR @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspLoans_Disb_Sales_Txns_Upd1;4.1; INSERT tblDaily_Tran_Processed:Error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 	
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 4.2 - COMMIT TRANSACTIONS IF THERE WERE NO ERRORS          */
/*      *******************************************************************/
COMMIT TRANSACTION trnLoans_Disb_Sales_Txns_Upd1
/*      *******************************************************************/
/*      * END PROC uspLoans_Disb_Sales_Txns_Upd1                          */
/*      *******************************************************************/

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO


/****** Object:  Stored Procedure dbo.uspLoans_Non_Sale_Pur_Txn_Upd1    Script Date: 10/15/2003 10:55:39 AM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[uspLoans_Non_Sale_Pur_Txn_Upd1]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspLoans_Non_Sale_Pur_Txn_Upd1]
GO


SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.uspLoans_Non_Sale_Pur_Txn_Upd1    Script Date: 10/15/2003 10:55:39 AM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Non_Sale_Pur_Txn_Upd1    Script Date: 4/11/2003 10:36:52 AM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Non_Sale_Pur_Txn_Upd1    Script Date: 3/24/2003 1:02:18 PM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Non_Sale_Pur_Txn_Upd1    Script Date: 01/09/2001 1:02:30 PM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Non_Sale_Pur_Txn_Upd1    Script Date: 8/13/99 12:51:30 PM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Non_Sale_Pur_Txn_Upd1    Script Date: 5/10/99 1:12:38 PM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Non_Sale_Pur_Txn_Upd1    Script Date: 5/4/99 2:38:53 PM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Non_Sale_Pur_Txn_Upd1    Script Date: 4/22/99 4:43:46 PM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Non_Sale_Pur_Txn_Upd1    Script Date: 3/24/99 2:58:32 PM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Non_Sale_Pur_Txn_Upd1    Script Date: 8/10/98 11:26:37 AM ******/
CREATE PROCEDURE uspLoans_Non_Sale_Pur_Txn_Upd1 @ErrorMessage VARCHAR(5000) OUTPUT
AS
SET NOCOUNT ON
/*      *******************************************************************/
/*      * PROC - uspLoans_Non_Sale_Pur_Txn_Upd1                           */
/*      *                                                                 */
/*      *        This procedure processes all other transactions which    */
/*      *        are not Disbursement, Cancelation/Refund or Cancelation  */
/*      *        Refund Reversal related except for Loan Sale, Purchase   */
/*      *        AND Repurchase/Loan Reset transactions.                  */
/*      *        (Loan Delete (66400) transactions are processed however) */
/*      *                                                                 */
/*      *******************************************************************/
BEGIN TRANSACTION trnLoans_Non_Sale_Pur_Txn_Upd1
/*      *******************************************************************/
/*      * STEP 1.1 - DECLARE LOCAL VARIABLES                              */
/*      *******************************************************************/
DECLARE @COUNT_IN_TXNS  NUMERIC(9)
DECLARE @COUNT_EX_TXNS  NUMERIC(9)
DECLARE @COUNT_DB_TXNS  NUMERIC(9)
DECLARE @COUNT_CR_TXNS  NUMERIC(9)
DECLARE @COUNT_DB_UPDT  NUMERIC(9)
DECLARE @COUNT_CR_UPDT  NUMERIC(9)
DECLARE @ERROR_COD      NUMERIC(5)
DECLARE @CUR_PRC_DAT    DATETIME
DECLARE @PRV_PRC_DAT    DATETIME
DECLARE @COUNT_ROW		NUMERIC(9)
/*      *******************************************************************/
/*      * STEP 1.2 - VERIFY TODAYS CURRENT PROCESSING DATE                */
/*      *******************************************************************/
		SELECT  @CUR_PRC_DAT = tblSysDate.CUR_PRC_DAT, @PRV_PRC_DAT = tblSysDate.PRV_PRC_DAT 
		FROM    tblSysDate
		IF    ( @@ROWCOUNT <> 1) OR (@@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage ='uspLoans_Non_Sale_Pur_Txn_Upd1 (1.2); SELECT tblSysDate: VERIFY TODAYS CURRENT PROCESSING DATE - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *********************************************************************/
/*      * STEP 1.35 - TRUNCATE TEMPORARY TABLES USED BY STORED PROCEDURE */
/*      *********************************************************************/
		TRUNCATE TABLE tblTransactions_DB
		TRUNCATE TABLE tblTransactions_CR
/*      *******************************************************************/
/*      * STEP 1.4 - SAVE COUNT OF ALL INCOMING NON SALE/PURCHASE TRANS   */       
/*      *******************************************************************/
		SELECT  @COUNT_IN_TXNS = COUNT(*)
		FROM    tblTransactions_Temp
		WHERE   tblTransactions_Temp.TRN_COD NOT IN (55300, 66300)
		IF    ( @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspLoans_Non_Sale_Pur_Txn_Upd1 (1.4); SELECT tblTransactions_Temp:  SAVE COUNT OF ALL INCOMING NON SALE/PURCHASE TRANS - Error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 	
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.5 - EXTRACT ALL TRANSACTIONS WHICH HAVE NO LOAN INFO     */
/*      *******************************************************************/
		INSERT  tblDaily_Tran_Exceptions
		SELECT  LN_NUM,
				TRN_DAT,
				TRN_COD,
				ADJ_PRIN,
				BK_NUM,
				APP,
				LN_TYP_ALH,
				ORG_LVL_NUM_3,
				SSN,
				NULL
		FROM    tblTransactions_Temp
		WHERE   tblTransactions_Temp.LN_NUM NOT IN ( SELECT LN_NUM FROM tblLoans )
		AND     tblTransactions_Temp.TRN_COD NOT IN (55300, 66300)
		SELECT  @COUNT_EX_TXNS = @@ROWCOUNT,
				@ERROR_COD     = @@ERROR
		IF    ( @ERROR_COD <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspLoans_Non_Sale_Pur_Txn_Upd1; (1.5);  INSERT tblDaily_Tran_Exceptions; EXTRACT ALL TRANSACTIONS WHICH HAVE NO LOAN INFO - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.6 - DELETE ALL TRANSACTIONS WHICH HAVE NO LOAN INFO      */
/*      *******************************************************************/
		DELETE  tblTransactions_Temp
		WHERE   tblTransactions_Temp.LN_NUM NOT IN ( SELECT LN_NUM FROM tblLoans )
		AND     tblTransactions_Temp.TRN_COD NOT IN (55300, 66300)
		IF    ( @@ROWCOUNT <> @COUNT_EX_TXNS) OR (@@ERROR <> 0 )
		BEGIN
   			SELECT @ErrorMessage = 'uspLoans_Non_Sale_Pur_Txn_Upd1; (1.6); DELETE tblDaily_Tran_Exceptions; DELETE ALL TRANSACTIONS WHICH HAVE NO LOAN INFO - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 2.0 - EXTRACT ALL TRANSACTIONS WHICH HAVE NO LOAN INFO     */
/*      *******************************************************************/
		INSERT  tblDaily_Bank_Mismatch
		SELECT  tblTransactions_Temp.LN_NUM,
				tblTransactions_Temp.BK_NUM,
				tblLoans.CUR_BK_NUM,
				tblTransactions_Temp.TRN_AMT,
				tblTransactions_Temp.TRN_COD,
				tblTransactions_Temp.LN_TYP_ALH,
				tblTransactions_Temp.ORG_LVL_NUM_3,
				tblTransactions_Temp.APP
		FROM	tblTransactions_Temp,	tblLoans
		WHERE	tblTransactions_Temp.LN_NUM = tblLoans.LN_NUM
		AND		tblTransactions_Temp.BK_NUM <> tblLoans.CUR_BK_NUM
		AND		tblTransactions_Temp.TRN_COD <> 55300
		AND		tblTransactions_Temp.TRN_COD <> 66300
		IF (@@ERROR <> 0)
		BEGIN
			SELECT @ErrorMessage = 'uspLoans_Non_Sale_Pur_Txn_Upd1; (2.0); INSERT tblDaily_Bank_Mismatch; INSERT tblDaily_Bank_Mismatch - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      ********************************************************************/
/*      * STEP 2.05- Convert neg amount into pos for tran codes 65000,63500*/
/*      ********************************************************************/
		UPDATE tblTransactions_Temp
		SET   ADJ_PRIN = ADJ_PRIN * (-1)
		FROM  tblTransactions_Temp
		WHERE TRN_COD IN (63500, 65000)
/*      *******************************************************************/
/*      * STEP 2.1 - COUNT THE NUMBER OF DEBIT TRANSACTIONS EXCLUDING     */
/*      *            PURCHASES                                            */
/*      *******************************************************************/
		SELECT  DISTINCT LN_NUM
		FROM    tblTransactions_Temp
		WHERE   SUBSTRING(CONVERT(CHAR(5),tblTransactions_Temp.TRN_COD),2,1) IN ('1', '3', '5', '7', '9')
		AND     tblTransactions_Temp.TRN_COD NOT IN (55300)
		SELECT  @COUNT_DB_TXNS = @@ROWCOUNT,
				@ERROR_COD     = @@ERROR
		IF      (@ERROR_COD <> 0)
		BEGIN
			SELECT @ErrorMessage = 'uspLoans_Non_Sale_Pur_Txn_Upd1 (2.1); SELECT tblTransactions_Temp: COUNT THE NUMBER OF CREDIT TRANSACTION - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 2.2 - COUNT THE NUMBER OF CREDIT TRANSACTIONS              */
/*      *            EXCLUDING SALES                                      */
/*      *******************************************************************/
		SELECT  DISTINCT LN_NUM
		FROM    tblTransactions_Temp
		WHERE   SUBSTRING(CONVERT(CHAR(5),tblTransactions_Temp.TRN_COD),2,1) IN ('0', '2', '4', '6', '8')
		AND  tblTransactions_Temp.TRN_COD NOT  IN (66300)
		SELECT  @COUNT_CR_TXNS = @@ROWCOUNT,
		@ERROR_COD = @@ERROR
		IF  (@ERROR_COD <> 0)
		BEGIN
			SELECT @ErrorMessage = 'uspLoans_Non_Sale_Pur_Txn_Upd1 (2.2); SELECT tblTransactions_Temp: COUNT THE NUMBER OF DEBIT TRANSACTIONS - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 3.1 - SUM ALL DEBITS BY LOAN TO ADD MULTIPLE TRANSACTIONS  */ 
/*      *            IN THE SAME DAY FOR EACH LOAN EXCLUDING ANY          */
/*      *            LOAN SALE, PURCHASE AND REPURCHASE TRANS             */
/*      *******************************************************************/
		INSERT INTO  tblTransactions_DB
		SELECT  LN_NUM, SUM_ADJ_PRIN = SUM(tblTransactions_Temp.ADJ_PRIN)
		FROM    tblTransactions_Temp
		WHERE   SUBSTRING(CONVERT(CHAR(5),tblTransactions_Temp.TRN_COD),2,1) IN ('1', '3', '5', '7', '9')
		AND     tblTransactions_Temp.TRN_COD NOT IN (55300)
		GROUP BY 
				tblTransactions_Temp.LN_NUM
		IF    ( @@ROWCOUNT <> @COUNT_DB_TXNS) OR (@@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspLoans_Non_Sale_Pur_Txn_Upd1 (3.1); SELECT INTO tblTransactions_DB: SUM ALL DEBITS BY LOAN - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 3.2 - UPDATE LOANS WITH SUM OF ALL DEBITS FROM THE         */
/*      *            TEMP TABLE CREATED IN THE PRECEEDING STEP.           */
/*      *******************************************************************/
		UPDATE  tblLoans
		SET     tblLoans.CUR_LN_BAL = tblLoans.CUR_LN_BAL + tblTransactions_DB.SUM_ADJ_PRIN,
		tblLoans.DAT_LAS_UPDT = @CUR_PRC_DAT
		FROM   tblTransactions_DB
		WHERE  tblTransactions_DB.LN_NUM = tblLoans.LN_NUM
		IF    ( @@ROWCOUNT <> @COUNT_DB_TXNS) OR (@@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspLoans_Non_Sale_Pur_Txn_Upd1 (3.2); UPDATE tblLoans:	SUM ALL DEBITS BY LOAN - count error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 4.1 - SUM ALL CREDITS BY LOAN TO ADD MULTIPLE TRANSACTIONS */ 
/*      *            IN THE SAME DAY FOR EACH LOAN EXCLUDING ANY          */
/*      *            LOAN SALE, PURCHASE AND REPURCHASE TRANS             */
/*      *******************************************************************/
		INSERT INTO   tblTransactions_CR
		SELECT  LN_NUM, SUM_ADJ_PRIN = SUM(tblTransactions_Temp.ADJ_PRIN)
		FROM    tblTransactions_Temp
		WHERE   SUBSTRING(CONVERT(CHAR(5),tblTransactions_Temp.TRN_COD),2,1) IN ('0', '2', '4', '6', '8')
		AND tblTransactions_Temp.TRN_COD NOT IN (66300)
		GROUP BY 
				tblTransactions_Temp.LN_NUM
		IF    ( @@ROWCOUNT <> @COUNT_CR_TXNS) OR (@@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspLoans_Non_Sale_Pur_Txn_Upd1 (4.1);  SELECT INTO tblTransactions_CR: 	SUM ALL CREDITS BY LOAN - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 4.2 - UPDATE LOANS PRINCIPAL DECREASE TRANSACTION INFO     */
/*      *            WHERE THE CURRENT LOAN BALANCE WILL BE REDUCED TO    */
/*      *            ZERO OR LESS WHEN UPDATES ARE APPLIED IN NEXT STEP   */
/*      *******************************************************************/
		UPDATE  tblLoans
		SET     tblLoans.PRIN_DECREASE_TRN_IND = 'Y',
				tblLoans.PRIN_DECREASE_TRN_DAT = @CUR_PRC_DAT,
				tblLoans.DAT_LAS_UPDT          = @CUR_PRC_DAT
		FROM    tblLoans, tblTransactions_CR
		WHERE   tblTransactions_CR.LN_NUM = tblLoans.LN_NUM
		AND    (tblLoans.CUR_LN_BAL - tblTransactions_CR.SUM_ADJ_PRIN) <= 0
		IF  ( @@ERROR<> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspLoans_Non_Sale_Pur_Txn_Upd1 (4.2); UPDATE tblLoans: UPDATE LOANS PRINCIPAL DECREASE TRANSACTION INDICATOR - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 4.3 - UPDATE LOANS WITH THE SUM OF ALL CREDITS PER LOAN    */
/*      *******************************************************************/
		UPDATE  tblLoans
		SET     tblLoans.CUR_LN_BAL   = (tblLoans.CUR_LN_BAL - tblTransactions_CR.SUM_ADJ_PRIN),
				tblLoans.DAT_LAS_UPDT = @CUR_PRC_DAT
		FROM    tblTransactions_CR, tblLoans
		WHERE   tblTransactions_CR.LN_NUM = tblLoans.LN_NUM
		IF    ( @@ROWCOUNT <> @COUNT_CR_TXNS) OR (@@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspLoans_Non_Sale_Pur_Txn_Upd1 (4.3); UPDATE tblLoans: UPDATE LOANS WITH THE SUM OF ALL CREDITS - count error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 5.1 EXTRACT PROCESSED NON SALE/PURCHASE TRANS TO TEMP TABLE*/
/*      *******************************************************************/
		INSERT  tblDaily_Tran_Processed
		SELECT  LN_NUM,
				TRN_DAT,
				TRN_COD,
				ADJ_PRIN,
				BK_NUM,
				APP,
				LN_TYP_ALH,
				ORG_LVL_NUM_3,
				SSN,
				DSB_NUM
		FROM    tblTransactions_Temp
		WHERE  tblTransactions_Temp.TRN_COD NOT IN (55300, 66300)
		IF ( ( @COUNT_IN_TXNS - @COUNT_EX_TXNS) <> @@ROWCOUNT) OR( @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspLoans_Non_Sale_Pur_Txn_Upd1 (5.1);  INSERT tblDaily_Tran_Processed EXTRACT PROCESSED NON SALE/PURCHASE TRANS TO TEMP TABLE - Error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 4.1 - COMMIT TRANSACTIONS IF THERE WERE NO ERRORS          */
/*      *******************************************************************/
COMMIT TRANSACTION trnLoans_Non_Sale_Pur_Txn_Upd1
/*      *******************************************************************/
/*      * END PROC uspLoans_Non_Sale_Pur_Txn_Upd1                         */
/*      *******************************************************************/

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO



/****** Object:  Stored Procedure dbo.uspCalculateReflFee    Script Date: 12/1/2003 12:13:54 AM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[uspCalculateReflFee]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspCalculateReflFee]
GO


SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF
GO

/****** Object:  Stored Procedure dbo.uspCalculateReflFee    Script Date: 12/1/2003 12:13:54 AM ******/
/****** Object:  Stored Procedure dbo.uspCalculateReflFee    Script Date: 11/25/2003 11:35:03 AM ******/
/****** Object:  Stored Procedure dbo.uspCalculateReflFee    Script Date: 4/11/2003 10:36:47 AM ******/
/****** Object:  Stored Procedure dbo.uspCalculateReflFee    Script Date: 3/24/2003 1:02:18 PM ******/
/****** Object:  Stored Procedure dbo.uspCalculateReflFee    Script Date: 01/09/2001 1:02:29 PM ******/
/****** Object:  Stored Procedure dbo.uspCalculateReflFee    Script Date: 8/24/99 12:59:18 PM ******/
/****** Object:  Stored Procedure dbo.uspCalculateReflFee    Script Date: 8/18/99 2:16:48 PM ******/
/****** Object:  Stored Procedure dbo.uspCalculateReflFee    Script Date: 8/13/99 12:41:12 PM ******/
/****** Object:  Stored Procedure dbo.uspCalculateReflFee    Script Date: 8/3/99 ******/
/****** Object:  Stored Procedure dbo.uspCalculateReflFee   Script Date: 8/4/99 ******/
CREATE PROCEDURE uspCalculateReflFee 
	@ErrorMessage as VARCHAR(5000)OUTPUT
AS
SET NOCOUNT ON
/*      ******************************************************************************/
/*      * PROC - CalculateReflFee											*/
/*      ******************************************************************************/


BEGIN TRANSACTION trnCalculateReflFee
/****************************************************************************************/
/*  Step 1.0  DECLARE LOCAL VARIABLES                                                   */
/****************************************************************************************/
DECLARE @count_row		Numeric(9)
DECLARE @ERROR_COD		NUMERIC(5)
DECLARE @PROC_IND		Char(1)
DECLARE @CUR_PRC_DAT	DATETIME
DECLARE @iR_Sched			INT
DECLARE @iPeriod_start_mth  INT
DECLARE @iPeriod_end_Mth	INT
/****************************************************************************************/
/*		Step 1.5  Obtain Referral date values                                                */
/****************************************************************************************/
		SELECT DISTINCT @iR_Sched = REFL_SCHED, @iPeriod_start_mth= Period_Start_Mth, @iPeriod_end_Mth = Period_end_Mth 
		FROM TBLREFL_Schedule 
		WHERE Report_Month <= (select datepart(month,CUR_PRC_DAT) from tblSYSDATE) 
		AND Report_Day <= (select datepart(day,CUR_PRC_DAT) from tblSYSDATE) 
		AND tblREFL_Schedule.REFL_PROC_IND = 'N'

/****************************************************************************************/
/*		Step 2.0  Verify todays Current Processing Date has been Created                    */
/****************************************************************************************/
		SELECT @CUR_PRC_DAT = tblSYSDATE.CUR_PRC_DAT
		From tblSYSDATE
		IF      (@@ROWCOUNT<> 1 Or @@ERROR <>0 )
			BEGIN
				SELECT @ErrorMessage = 'uspCalculateReflFee(2.0);Select tblSysdate; VERIFY TODAYS CURRENT PROCESSING DATE - error'
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage          
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
			END
/*****************************************************************************************/
/*		Step 2.5    INSERT loans that need to have fee calculated into temp table            */
/*****************************************************************************************/
		INSERT tblREFL_FEE_temp
		SELECT tblDisbursements.LN_NUM,
		DSB_NUM,
		ACU_DSB_DAT,
		AMT_TO_DSB,
		REFL_SCHED,
		REFL_RT,
		REFL_FEE,
		REFL_CALC_PROCESSED_IND
		from tblDisbursements, tblLoans, tblSYSDATE
		Where tbldisbursements.Refl_Sched = @iR_Sched
				AND tblLoans.LN_NUM = tbldisbursements.LN_NUM
		And (datepart(month,tblDisbursements.ACU_DSB_DAT) BETWEEN @iPeriod_Start_Mth AND @iPeriod_end_Mth)
		AND REFL_AMORTIZATION_STATUS_IND = 'N' 
		AND REFL_CALC_PROCESSED_IND = 'N' 
		AND AMT_TO_DSB >0
		AND ORIG_REFL_FEE = 0
				AND CUR_LN_BAL >0
/*******************************************************************************************/
/*		STEP 3.0   Calculate REFERRAL FEE                                                       */
/*******************************************************************************************/
		Update tblREFL_FEE_temp
		Set  REFL_FEE = AMT_TO_DSB * REFL_RT
 
/******************************************************************************************/
/*		Step 3.5  UPDATE tbldisbursements with tblREFL_FEE_temp                               */
/******************************************************************************************/
		Update tblDisbursements
		Set tblDisbursements.REFL_FEE = tblREFL_FEE_Temp.REFL_FEE,
		tblDisbursements.REFL_AMORTIZATION_STATUS_IND= 'Y',
		tblDisbursements.REFL_CALC_PROCESSED_IND = 'Y',
		tbldisbursements.ORIG_REFL_FEE = tblREFL_FEE_Temp.REFL_FEE,
		tbldisbursements.REFL_AMT_REM_TO_AMORTIZE = tblREFL_FEE_Temp.REFL_FEE,
		tblDisbursements.REFL_AMORTIZATION_MTH = 0,
		tblDisbursements.REFL_DAT_LAS_AMORTIZED = @CUR_PRC_DAT
		From tblREFL_FEE_Temp, tblDisbursements
		Where tblDisbursements.LN_NUM = tblREFl_FEE_temp.LN_NUM AND
		tblDisbursements.ACU_DSB_DAT = tblREFl_FEE_temp.ACU_DSB_DAT
/******************************************************************************************/
/*   Step 4.0  UPDATE referral calculation processed ind on tbldisbursements              */
/*           This will prevent this years disbursements from being picked up next year  */
/******************************************************************************************/
		Update tblDisbursements
		Set tblDisbursements.REFL_CALC_PROCESSED_IND = 'Y'
		Where tbldisbursements.Refl_Sched = @iR_Sched 
		AND (datepart(month,tblDisbursements.ACU_DSB_DAT) BETWEEN @iPeriod_Start_Mth AND @iPeriod_end_Mth)
		AND REFL_CALC_PROCESSED_IND = 'N' 
/*      *******************************************************************/
/*      * STEP 4.5 - COMMIT TRANSACTIONS IF THERE WERE NO ERRORS          */
/*      *******************************************************************/
COMMIT TRANSACTION trnCalculateReflFee
/*      *******************************************************************/
/*      * END PROC trnCalculateReflFee       */
/*      *******************************************************************/
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

/****** Object:  Stored Procedure dbo.uspDaily_Report_Tables_Del    Script Date: 12/1/2003 12:13:54 AM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[uspDaily_Report_Tables_Del]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspDaily_Report_Tables_Del]
GO


SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.uspDaily_Report_Tables_Del    Script Date: 12/1/2003 12:13:54 AM ******/
/****** Object:  Stored Procedure dbo.uspDaily_Report_Tables_Del    Script Date: 11/25/2003 11:35:03 AM ******/
/****** Object:  Stored Procedure dbo.uspDaily_Report_Tables_Del    Script Date: 5/23/2003 8:29:07 AM ******/
CREATE PROCEDURE [dbo].[uspDaily_Report_Tables_Del]  @ErrorMessage VARCHAR(5000)OUTPUT
 AS
 
/*      *******************************************************************/
/*      * PROC - uspDaily_Report_Tables_Del                                      */                                  
/*      *******************************************************************/
SET NOCOUNT ON
/*      *******************************************************************/
/*      * STEP 1.0 - DECLARE LOCAL VARIABLES                  */                                  
/*      *******************************************************************/
--NONE
/*  *********************************************************************/
/*  *   STEP 1.1 - TRUNCATE REPORT TABLE tblDaily_Rpt_Exceptions    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblDaily_Rpt_Exceptions
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (1.1); UNABLE TO TRUNCATE REPORT TABLE:  tblDaily_Rpt_Exceptions  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
	/*  *********************************************************************/
/*  *   STEP 1.2 - TRUNCATE REPORT TABLE tblDaily_Rpt_Audit    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblDaily_Rpt_Audit
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (1.2); UNABLE TO TRUNCATE REPORT TABLE:  tblDaily_Rpt_Audit  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
	/*  *********************************************************************/
/*  *   STEP 1.3 - TRUNCATE REPORT TABLE tblDaily_Rpt_Disbursement_Detail    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblDaily_Rpt_Disbursement_Detail
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (1.3); UNABLE TO TRUNCATE REPORT TABLE:  tblDaily_Rpt_Disbursement_Detail  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.4 - TRUNCATE REPORT TABLE TBLDAILY_RPT_INS_INC    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblDaily_Rpt_Ins_Inc
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (1.4); UNABLE TO TRUNCATE REPORT TABLE:  TBLDAILY_RPT_INS_INC  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.5 - TRUNCATE REPORT TABLE TBLDAILY_RPT_INS_DEC    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblDaily_Rpt_Ins_Dec
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (1.5); UNABLE TO TRUNCATE REPORT TABLE:  TBLDAILY_RPT_INS_DEC  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage  
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.6 - TRUNCATE REPORT TABLE tblDaily_Rpt_Bank_Mismatch    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblDaily_Rpt_Bank_Mismatch
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (1.6); UNABLE TO TRUNCATE REPORT TABLE:  tblDaily_Rpt_Bank_Mismatch  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage     
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.7 - TRUNCATE REPORT TABLE tblDaily_Rpt_Trans_Deb    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblDaily_Rpt_Trans_Deb
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (1.7); UNABLE TO TRUNCATE REPORT TABLE:  tblDaily_Rpt_Trans_Deb  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END	
/*  *********************************************************************/
/*  *   STEP 1.8 - TRUNCATE REPORT TABLE tblDaily_Rpt_Trans_Crd    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblDaily_Rpt_Trans_Crd
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (1.8); UNABLE TO TRUNCATE REPORT TABLE:  tblDaily_Rpt_Trans_Crd  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END		
/*  *********************************************************************/
/*  *   STEP 1.9 - TRUNCATE REPORT TABLE tblDaily_Rpt_Trail_Bal    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblDaily_Rpt_Trial_Bal
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (1.9); UNABLE TO TRUNCATE  REPORT TABLE:  tblDaily_Rpt_Trail_Bal  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END	
/*  *********************************************************************/
/*  *   STEP 2.0 - TRUNCATE REPORT TABLE tblDaily_Rpt_Trans_Det    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblDaily_Rpt_Trans_Det
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (2.0); UNABLE TO TRUNCATE REPORT TABLE:  tblDaily_Rpt_Trans_Det  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END	
/*  *********************************************************************/
/*  *   STEP 2.1 - TRUNCATE REPORT TABLE tblDaily_Rpt_Can_Variance    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblDaily_Rpt_Can_Variance
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (2.1); UNABLE TO TRUNCATE REPORT TABLE:  tblDaily_Rpt_Can_Variance  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 2.2 - TRUNCATE REPORT TABLE tblDaily_Rpt_CanRef_FAS91_BC23    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblDaily_Rpt_CanRef_FAS91_BC23
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (2.2); UNABLE TO TRUNCATE REPORT TABLE:  tblDaily_Rpt_CanRef_FAS91_BC23  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage     
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 2.3 - TRUNCATE REPORT TABLE tblDaily_Rpt_CanRef_ins_Pum    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblDaily_Rpt_CanRef_Ins_Pum
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (2.3); UNABLE TO TRUNCATE REPORT TABLE:  tblDaily_Rpt_CanRef_ins_Pum  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 2.4 - TRUNCATE REPORT TABLE tblDaily_Rpt_Rev_Ins_Pum    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblDaily_Rpt_Rev_Ins_Pum
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (2.4); UNABLE TO TRUNCATE REPORT TABLE:  tblDaily_Rpt_Rev_Ins_Pum  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 2.5 - TRUNCATE REPORT TABLE tblDaily_Rpt_Rev_Ins_Pum_2    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblDaily_Rpt_Rev_Ins_Pum_2
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (2.5); UNABLE TO TRUNCATE REPORT TABLE:  tblDaily_Rpt_Rev_Ins_Pum_2  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END	
/*  *********************************************************************/
/*  *   STEP 2.6 - TRUNCATE REPORT TABLE tblDaily_Rpt_Rev_FAS91_BC4TO7    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblDaily_Rpt_Rev_FAS91_BC4TO7
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (2.6); UNABLE TO TRUNCATE REPORT TABLE:  tblDaily_Rpt_Rev_FAS91_BC4TO7  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 2.7 - TRUNCATE REPORT TABLE tblDaily_Rpt_Sales_Except    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblDaily_Rpt_Sales_Except
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (2.7); UNABLE TO TRUNCATE REPORT TABLE:  tblDaily_Rpt_Sales_Except  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END	
/*  *********************************************************************/
/*  *   STEP 2.8 - TRUNCATE REPORT TABLE tblDaily_Rpt_Sales    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblDaily_Rpt_Sales
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (2.8); UNABLE TO TRUNCATE REPORT TABLE:  tblDaily_Rpt_Sales  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 2.9 - TRUNCATE REPORT TABLE tblDaily_Rpt_Purchases    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblDaily_Rpt_Purchases
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (2.9); UNABLE TO TRUNCATE REPORT TABLE:  tblDaily_Rpt_Purchases  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage     
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END

/*  *********************************************************************/
/*  *   END PROC   uspDaily_Report_Tables_Del						*/
/*  *********************************************************************/
GO


SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

/****** Object:  Stored Procedure dbo.uspDaily_Report_Tables_Fill    Script Date: 12/1/2003 12:13:54 AM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[uspDaily_Report_Tables_Fill]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspDaily_Report_Tables_Fill]
GO


SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.uspDaily_Report_Tables_Fill    Script Date: 12/1/2003 12:13:54 AM ******/
/****** Object:  Stored Procedure dbo.uspDaily_Report_Tables_Fill    Script Date: 11/25/2003 11:35:03 AM ******/
/****** Object:  Stored Procedure dbo.uspDaily_Report_Tables_Fill    Script Date: 5/23/2003 8:29:07 AM ******/
CREATE PROCEDURE [dbo].[uspDaily_Report_Tables_Fill] @ErrorMessage VARCHAR(5000)OUTPUT
 AS
 
/*      *******************************************************************/
/*      * PROC - uspDaily_Report_Tables_Fill                                      */                                  
/*      *******************************************************************/
SET NOCOUNT ON
/*      *******************************************************************/
/*      * STEP 1.0 - DECLARE LOCAL VARIABLES                  */                                  
/*      *******************************************************************/
DECLARE @SYSDATE 	VARCHAR(8)
/*  ********************************************************************/
/*  *    POPULATE DAILY REPORT TABLE 					    */
/*  *********************************************************************/ 
	/*  *********************************************************************/
	/*  *   STEP 1.1 - POPULATE REPORT TABLE tblDaily_Rpt_Exceptions    */
	/*  *********************************************************************/ 
	INSERT INTO tblDaily_Rpt_Exceptions
	 SELECT * FROM vwmDaily_Exceptions
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (1.1); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_Exceptions  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
	    RETURN 
	END
	/*  *********************************************************************/
	/*  *   STEP 1.2 - POPULATE REPORT TABLE tblDaily_Rpt_Audit    */
	/*  *********************************************************************/ 
	INSERT INTO tblDaily_Rpt_Audit
	 SELECT * FROM vwmAudit
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (1.2); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_Audit  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage     
	 RAISERROR ('%s', 16, -1, @ErrorMessage ) 
	    RETURN 
	END
	/*  *********************************************************************/
	/*  *   STEP 1.3 - POPULATE REPORT TABLE tblDaily_Rpt_Disbursement_Detail    */
	/*  *********************************************************************/ 
	INSERT INTO tblDaily_Rpt_Disbursement_Detail
	 SELECT * FROM vwmDaily_Disbursement_Detail
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (1.3); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_Disbursement_Detail  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
	    RETURN 
	END
	/*  *********************************************************************/
	/*  *   STEP 1.4 - POPULATE REPORT TABLE TBLDAILY_RPT_INS_INC    */
	/*  *********************************************************************/ 
	INSERT INTO tblDaily_Rpt_Ins_Inc
	 SELECT * FROM vwm_Ins_Inc
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (1.4); UNABLE TO POPULATE REPORT TABLE:  TBLDAILY_RPT_INS_INC  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage     
	 RAISERROR ('%s', 16, -1, @ErrorMessage ) 
	    RETURN 
	END
	/*  *********************************************************************/
	/*  *   STEP 1.5 - POPULATE REPORT TABLE TBLDAILY_RPT_INS_DEC    */
	/*  *********************************************************************/ 
	INSERT INTO tblDaily_Rpt_Ins_Dec
	 SELECT * FROM vwm_Ins_Dec
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (1.5); UNABLE TO POPULATE REPORT TABLE:  TBLDAILY_RPT_INS_DEC  - ERROR'
	    	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage  
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
	    RETURN 
	END
	/*  *********************************************************************/
	/*  *   STEP 1.6 - POPULATE REPORT TABLE tblDaily_Rpt_Bank_Mismatch    */
	/*  *********************************************************************/ 
	INSERT INTO tblDaily_Rpt_Bank_Mismatch
	 SELECT * FROM vwmDaily_Bank_Mismatch
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (1.6); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_Bank_Mismatch  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
	    RETURN 
	END
	/*  *********************************************************************/
	/*  *   STEP 1.7 - POPULATE REPORT TABLE tblDaily_Rpt_Trans_Deb    */
	/*  *********************************************************************/ 
	INSERT INTO tblDaily_Rpt_Trans_Deb
	 SELECT * FROM vwmDaily_Transaction_Debit
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (1.7); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_Trans_Deb  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage     
	 RAISERROR ('%s', 16, -1, @ErrorMessage ) 
	    RETURN 
	END
	/*  *********************************************************************/
	/*  *   STEP 1.8 - POPULATE REPORT TABLE tblDaily_Rpt_Trail_Crd    */
	/*  *********************************************************************/ 
	INSERT INTO tblDaily_Rpt_Trans_Crd
	 SELECT * FROM vwmDaily_Transaction_Credit
	IF (@@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (1.8); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_Trans_Crd  - ERROR'
	    RAISERROR ('%s', 16, -1, @ErrorMessage ) 
	    RETURN 
	END
	/*  *********************************************************************/
	/*  *   STEP 1.9 - POPULATE REPORT TABLE tblDaily_Rpt_Trail_Bal    */
	/*  *********************************************************************/ 
	INSERT INTO tblDaily_Rpt_Trial_Bal
	 SELECT * FROM vwmDaily_Trial_Balance
	IF (@@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (1.9); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_Trail_Bal  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
	    RETURN 
	END
	/*  *********************************************************************/
	/*  *   STEP 2.0 - POPULATE REPORT TABLE tblDaily_Rpt_Trans_Det    */
	/*  *********************************************************************/ 
	INSERT INTO tblDaily_Rpt_Trans_Det
	 SELECT * FROM vwmDaily_Transaction_Detail
	IF (@@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (2.0); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_Trans_Det  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage     
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
	    RETURN 
	END
	/*  *********************************************************************/
	/*  *   STEP 2.1 - SET INDICATORS TO REPORTS WILL BE GENERATED       */
	/*  *********************************************************************/
	UPDATE tblSubSystem_Rpt
	SET tblSubSystem_Rpt.DailyReports = 1
	IF (@@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (2.1); UNABLE TO UPDATE REPORT SUBSYSTEM_RPT TABLE: tblSubSystem_Rpt - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
	    RETURN 
	END 
/*  *********************************************************************/
/*  *    POPULATE DAILY REPORT TABLE COMPLETE				 */
/*  *********************************************************************/ 


/*  *********************************************************************/
/*  *    POPULATE CANCEL REFUND REPORT TABLES							*/
/*  *********************************************************************/ 
	/*  *********************************************************************/
	/*  *   STEP 2.2 - POPULATE CANCEL REPORT TABLE tblDaily_Rpt_Can_Variance      */
	/*  *********************************************************************/
	INSERT INTO tblDaily_Rpt_Can_Variance
	SELECT * FROM vwmDaily_Can_Variance
	IF (@@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (2.2); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_Can_Variance  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
	    RETURN 
	END
	/*  *********************************************************************/
	/*  *   STEP 2.3 - POPULATE CANCEL REFUND REPORT TABLE tblDaily_Rpt_CanRef_FAS91_BC23     */
	/*  *********************************************************************/
	INSERT INTO  tblDaily_Rpt_CanRef_FAS91_BC23
	SELECT * FROM vwmDaily_CanRef_FAS91_BC23
	IF (@@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (2.3); UNABLE TO POPULATE REPORT TABLE:   tblDaily_Rpt_CanRef_FAS91_BC23  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
	    RETURN 
	END
	/*  *********************************************************************/
	/*  *   STEP 2.4 - POPULATE CANCEL REFUND INSURANCE PREMIUM REPORT TABLE tblDaily_Rpt_CanRef_Ins_Pum      */
	/*  *********************************************************************/
	INSERT INTO  tblDaily_Rpt_CanRef_Ins_Pum
	SELECT * FROM vwmDaily_CanRef_Ins_Pum
	IF (@@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (2.4); UNABLE TO POPULATE REPORT TABLE:   tblDaily_Rpt_CanRef_Ins_Pum  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
	    RETURN 
	END
	/*  *********************************************************************/
	/*  *   STEP 2.5 - SET INDICATORS TO REPORTS WILL BE GENERATED       */
	/*  *********************************************************************/
	UPDATE tblSubSystem_Rpt
	SET tblSubSystem_Rpt.CancelRefundReports = 1
	IF (@@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (2.5); UNABLE TO UPDATE REPORT SUBSYSTEM_RPT TABLE: tblSubSystem_Rpt - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
	    RETURN 
	END  
/*  *********************************************************************/
/*  *    POPULATE CANCEL REFUND REPORT TABLES COMPLETE		 */
/*  *********************************************************************/ 



/*  *********************************************************************/
/*  *    POPULATE CANCEL REFUND REVERSAL REPORT TABLES		   */
/*  *********************************************************************/ 
	/*  *********************************************************************/
	/*  *   STEP 2.6 - POPULATE CANCEL REFUND REVERSAL REPORT TABLE tblDaily_Rpt_Rev_Ins_Pum      */
	/*  *********************************************************************/
	INSERT INTO tblDaily_Rpt_Rev_Ins_Pum
	SELECT * FROM vwmDaily_Rev_Ins_Pum
	IF (@@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (2.6); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_Rev_Ins_Pum  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
	    RETURN 
	END
	/*  *********************************************************************/
	/*  *   STEP 2.7 - POPULATE CANCEL REFUND REVERSAL REPORT TABLE tblDaily_Rpt_Rev_Ins_Pum_2      */
	/*  *********************************************************************/
	INSERT INTO tblDaily_Rpt_Rev_Ins_Pum_2
	SELECT * FROM vwmDaily_Rev_Ins_Pum_2
	IF (@@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (2.7); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_Rev_Ins_Pum_2  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
	    RETURN 
	END
	/*  *********************************************************************/
	/*  *   STEP 2.8 - POPULATE CANCEL REFUND REVERSAL REPORT TABLE tblDaily_Rpt_Rev_FAS91_BC4TO7      */
	/*  *********************************************************************/
	INSERT INTO tblDaily_Rpt_Rev_FAS91_BC4TO7
	SELECT * FROM vwmDaily_Rev_FAS91_BC4TO7
	IF (@@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (2.8); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_Rev_FAS91_BC4TO7  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
	    RETURN 
	END
	/*  *********************************************************************/
	/*  *   STEP 2.9 - SET INDICATORS TO REPORTS WILL BE GENERATED       */
	/*  *********************************************************************/
	UPDATE tblSubSystem_Rpt
	SET tblSubSystem_Rpt.CancelRefRevReports = 1  
	IF (@@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (2.9); UNABLE TO UPDATE REPORT SUBSYSTEM_RPT TABLE: tblSubSystem_Rpt - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
	    RETURN 
	END
/*  *********************************************************************/
/*  *    POPULATE CANCEL REFUND REVERSAL REPORT TABLES COMPLETE	*/
/*  *********************************************************************/ 

/*  *********************************************************************/
/*  *    POPULATE SALES REPORT TABLES 	*/
/*  *********************************************************************/ 
	/*  *********************************************************************/
	/*  *   STEP 3.0 - POPULATE SALES REPORT TABLE  tblDaily_Rpt_Sales_Except      */
	/*  *********************************************************************/
	INSERT INTO tblDaily_Rpt_Sales_Except
	SELECT * FROM vwmDaily_Sales_Except
	IF (@@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (3.0); UNABLE TO POPULATE REPORT SUBSYSTEM_RPT TABLE:  tblDaily_Rpt_Sales_Except  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage     
	 RAISERROR ('%s', 16, -1, @ErrorMessage ) 
	    RETURN 
	END
	/*  *********************************************************************/
	/*  *   STEP 3.1 - POPULATE SALES REPORT TABLE  tblDaily_Rpt_Sales      */
	/*  *********************************************************************/
	INSERT INTO tblDaily_Rpt_Sales
	SELECT * FROM vwmDaily_Sales
	IF (@@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (3.1); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_Sales  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
	    RETURN 
	END
	/*  *********************************************************************/
	/*  *   STEP 3.2 - SET INDICATORS SO REPORTS WILL BE GENERATED       */
	/*  *********************************************************************/
	UPDATE tblSubSystem_Rpt
	SET tblSubSystem_Rpt.SalesReports = 1  
	IF (@@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (3.2); UNABLE TO UPDATE REPORT SUBSYSTEM_RPT TABLE: tblSubSystem_Rpt - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
	    RETURN 
	END
/*  *********************************************************************/
/*  *    POPULATE SALES REPORT TABLES COMPLETE	*/
/*  *********************************************************************/ 



/*  *********************************************************************/
/*  *    POPULATE PURCHASE REPORT TABLES 	*/
/*  *********************************************************************/ 
	/*  *********************************************************************/
	/*  *   STEP 3.3 - POPULATE PURCHASE REPORT TABLE  tblDaily_Rpt_Purchases      */
	/*  *********************************************************************/
	INSERT INTO tblDaily_Rpt_Purchases
	SELECT * FROM vwmDaily_Purchases
	IF (@@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (3.3); UNABLE TO POPULATE REPORT TABLE: tblDaily_Rpt_Purchases - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
	    RETURN 
	END
	/*  *********************************************************************/
	/*  *   STEP 3.4 - SET INDICATORS SO REPORTS WILL BE GENERATED       */
	/*  *********************************************************************/
	UPDATE tblSubSystem_Rpt
	SET tblSubSystem_Rpt.PurchaseReports = 1  
	IF (@@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (3.4); UNABLE TO UPDATE REPORT SUBSYSTEM_RPT TABLE: tblSubSystem_Rpt - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
	    RETURN 
	END
/*  *********************************************************************/
/*  *    POPULATE PURCHASE REPORT TABLES COMPLETE	*/
/*  *********************************************************************/ 


/*  *********************************************************************/
/*  *    POPULATE REFERRAL REPORT TABLES 	*/
/*  *********************************************************************/ 
	/*  *********************************************************************/
	/*  *   STEP 3.5 - POPULATE REFERRAL REPORT TABLE   tblMthly_Rpt_Refl_Fee_Disb  */
	/*  *********************************************************************/
	INSERT INTO tblMthly_Rpt_Refl_Fee_Disb
	SELECT * FROM vwmRefl_Fee_Disb
	IF (@@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (3.5); UNABLE TO POPULATE REPORT TABLE: tblMthly_Rpt_Refl_Fee_Disb - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
	    RETURN 
	END
	/*  *********************************************************************/
	/*  *   STEP 3.6 - SET INDICATORS SO REPORTS WILL BE GENERATED       */
	/*  *********************************************************************/
	UPDATE tblSubSystem_Rpt
	SET tblSubSystem_Rpt.ReferralReports = 1  
	IF (@@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (3.6); UNABLE TO UPDATE REPORT SUBSYSTEM_RPT TABLE: tblSubSystem_Rpt - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
	    RETURN 
	END
	/*  *********************************************************************/
	/*  *    POPULATE PURCHASE REPORT TABLES COMPLETE				*/
	/*  *********************************************************************/ 
/*  *********************************************************************/
/*  *    POPULATE REFERRAL REPORT TABLES COMPLETE					*/
/*  *********************************************************************/ 
/*  *********************************************************************/
/*  *   STEP 3.7 - SET THE FOLDER NAME VALUE USED IN CREATING REPORTS  */
/*  *********************************************************************/
	SELECT @SYSDATE = CONVERT(VARCHAR,CUR_PRC_DAT, 112) FROM tblSysdate
	UPDATE tblSubSystem_Rpt
	SET tblSubSystem_Rpt.FolderName = @SYSDATE 
	IF (@@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (3.7); UNABLE TO UPDATE FOLDERNAME IN SUBSYSTEM_RPT TABLE: tblSubSystem_Rpt - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END  
/*  *********************************************************************/
/*  *   STEP 3.8 - SET INDICATORS THAT ALL DAILY REPORTS NEED TO BE CREATED  */
/*  *********************************************************************/
	UPDATE tblSubSystem_Rpt
	SET tblSubSystem_Rpt.CreateReports = 1  
	IF (@@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (3.8); UNABLE TO UPDATE REPORT SUBSYSTEM_RPT TABLE: tblSubSystem_Rpt - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage   
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   END PROC   uspDaily_Report_Tables_Fill     */
/*  *********************************************************************/
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

/****** Object:  Stored Procedure dbo.uspDelete_Temp_Tables_Del1    Script Date: 12/1/2003 12:13:54 AM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[uspDelete_Temp_Tables_Del1]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspDelete_Temp_Tables_Del1]
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF
GO

/****** Object:  Stored Procedure dbo.uspDelete_Temp_Tables_Del1    Script Date: 12/1/2003 12:13:54 AM ******/
/****** Object:  Stored Procedure dbo.uspDelete_Temp_Tables_Del1    Script Date: 11/25/2003 11:35:03 AM ******/
/****** Object:  Stored Procedure dbo.uspDelete_Temp_Tables_Del1    Script Date: 4/11/2003 10:36:50 AM ******/
/****** Object:  Stored Procedure dbo.uspDelete_Temp_Tables_Del1    Script Date: 3/24/2003 1:02:18 PM ******/
/****** Object:  Stored Procedure dbo.uspDelete_Temp_Tables_Del1    Script Date: 01/09/2001 1:02:30 PM ******/
/****** Object:  Stored Procedure dbo.uspDelete_Temp_Tables_Del1    Script Date: 8/19/99 10:54:11 AM ******/
/****** Object:  Stored Procedure dbo.uspDelete_Temp_Tables_Del1    Script Date: 8/13/99 3:12:01 PM ******/
/****** Object:  Stored Procedure dbo.uspDelete_Temp_Tables_Del1    Script Date: 5/10/99 1:12:34 PM ******/
/****** Object:  Stored Procedure dbo.uspDelete_Temp_Tables_Del1    Script Date: 4/22/99 4:43:43 PM ******/
/****** Object:  Stored Procedure dbo.uspDelete_Temp_Tables_Del1    Script Date: 3/24/99 2:58:30 PM ******/
/****** Object:  Stored Procedure dbo.uspDelete_Temp_Tables_Del1    Script Date: 8/10/98 11:26:36 AM ******/
CREATE PROCEDURE uspDelete_Temp_Tables_Del1 
@ErrorMessage VARCHAR(5000) OUTPUT
AS
SET NOCOUNT ON
/*      *******************************************************************/
/*      * STEP 1.0 - DELETE DAILY TRANSACTIONS EXCEPTIONS TEMPORARY TABLE */                                                 
/*      *******************************************************************/
		TRUNCATE TABLE tblDaily_Tran_Exceptions
		IF    ( @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspDelete_Temp_Tables_Del1 (1.0); TRUNCATE tblDaily_Tran_Exceptions 
                   						DELETE DAILY TRANSACTIONS EXCEPTIONS TEMPORARY TABLE - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage  
				RAISERROR ('%s', 16, -1, @ErrorMessage)        
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 2.0 - DELETE DAILY TRANSACTIONS PROCESSED TEMPORARY TABLE  */                                                 
/*      *******************************************************************/
		TRUNCATE TABLE tblDaily_Tran_Processed
		IF    ( @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspDelete_Temp_Tables_Del1 (2.0); TRUNCATE tblDaily_Tran_Processed
                    						DELETE DAILY TRANSACTIONS PROCESSED TEMPORARY TABLE - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage  
				RAISERROR ('%s', 16, -1, @ErrorMessage)       
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 3.0 - DELETE DAILY BANK MISMATCH TEMPORARY TABLE           */                                                 
/*      *******************************************************************/
		TRUNCATE TABLE tblDaily_Bank_Mismatch
		IF    ( @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspDelete_Temp_Tables_Del1 (3.0); TRUNCATE tblDaily_Bank_Mismatch
                    						DELETE DAILY BANK MISMATCH TEMPORARY TABLE - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage  
				RAISERROR ('%s', 16, -1, @ErrorMessage)       	
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *****************************************************************************/
/*      * STEP 3.1 - DELETE DAILY AUDITS TABLE                                      */                                                 
/*      *****************************************************************************/
		DELETE tblAudits
		From tblAudits, tblSYSDATE
		Where tblAudits.Change_Date < tblSYSDATE.CUR_PRC_DAT
		IF    ( @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspDelete_Temp_Tables_Del1 (3.1);DELETE tblAudits FAILURE -ERROR'	
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage  		
				RAISERROR ('%s', 16, -1, @ErrorMessage)       	
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *****************************************************************************/
/*      * STEP 3.2 - DELETE DAILY INSURANCE CHANGE TABLE                            */                                                 
/*      *****************************************************************************/
DELETE tblINS_CHANGE
From tblINS_CHANGE, tblSYSDATE
Where tblINS_CHANGE.Change_Date < tblSYSDATE.CUR_PRC_DAT
IF    ( @@ERROR <> 0 )
 BEGIN
	SELECT @ErrorMessage = 'uspDelete_Temp_Tables_Del1 (3.2);DELETE tblINS_CHANGE FAILURE -ERROR'	
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage  		
        RAISERROR ('%s', 16, -1, @ErrorMessage)       	
        ROLLBACK TRANSACTION
        RETURN
  END
/*      *****************************************************************************/
/*      * STEP 4.0 - DELETE MONTHLY INSURANCE PREMIUM AMORTIZATION TEMPORARY TABLE  */                                                 
/*      *****************************************************************************/
		TRUNCATE TABLE tblDisbs_Mth_Amort_Temp
		IF    ( @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspDelete_Temp_Tables_Del1 (4.0); TRUNCATE tblDisbs_Mth_Amort_Temp
							DELETE DAILY INSURANCE PREMIUM AMORTIZATION TEMPORARY TABLE - error'	
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage  
				RAISERROR ('%s', 16, -1, @ErrorMessage)    
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *****************************************************************************/
/*      * STEP 4.5 - DELETE MONTHLY REFERRAL FEE AMORTIZATION TEMPORARY TABLE       */                                                 
/*      *****************************************************************************/
		TRUNCATE TABLE tblDisbs_Mth_Refl_Temp
		IF    ( @@ERROR <> 0 )
		BEGIN
  			SELECT @ErrorMessage = 'uspDelete_Temp_Tables_Del1 (4.5);
							TRUNCATE tblDisbs_Mth_Refl_Temp
							DELETE DAILY REFL FEE AMORTIZATION TEMPORARY TABLE - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage  
				RAISERROR ('%s', 16, -1, @ErrorMessage)   
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *****************************************************************/
/*      * STEP 5.0 - DELETE MONTHLY FAS91 AMORTIZATION TEMPORARY TABLE  */                                                 
/*      *****************************************************************/
		TRUNCATE TABLE tblLoans_Mth_Amort_Temp
		IF    ( @@ERROR <> 0 )
		BEGIN
				RAISERROR ('uspDelete_Temp_Tables_Del1 (5.0);
							TRUNCATE tblLoans_Mth_Amort_Temp
							DELETE DAILY FAS91 AMORTIZATION TEMPORARY TABLE - error', 16, -1)
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage  
				RAISERROR ('%s', 16, -1, @ErrorMessage)   	
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *****************************************************************/
/*      * STEP 6.0 - DELETE REFERRAL FEE TEMPORARY CALCULATION TABLE    */                                                 
/*      *****************************************************************/
		TRUNCATE TABLE tblRefl_Fee_Temp
		IF    ( @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspDelete_Temp_Tables_Del1 (6.0);
							TRUNCATE tblLoans_Mth_Amort_Temp
							DELETE DAILY FAS91 AMORTIZATION TEMPORARY TABLE - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage  
				RAISERROR ('%s', 16, -1, @ErrorMessage)   
				ROLLBACK TRANSACTION
				RETURN
		END
  /*  *********************************************************************/
/*  *   END PROC   uspDelete_Temp_Tables_Del1     */
/*  *********************************************************************/
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO


/****** Object:  Stored Procedure dbo.uspDisbursements_Upd1    Script Date: 12/1/2003 12:13:54 AM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[uspDisbursements_Update1]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspDisbursements_Update1]
GO



/****** Object:  Stored Procedure dbo.uspDisbursements_Upd1    Script Date: 12/1/2003 12:13:54 AM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[uspDisbursements_Upd1]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspDisbursements_Upd1]
GO



SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO


/****** Object:  Stored Procedure dbo.uspDisbursements_Upd1    Script Date: 12/1/2003 12:13:54 AM ******/
/****** Object:  Stored Procedure dbo.uspDisbursements_Upd1    Script Date: 4/11/2003 10:36:50 AM ******/
/****** Object:  Stored Procedure dbo.uspDisbursements_Upd1    Script Date: 3/24/2003 1:02:18 PM ******/
/****** Object:  Stored Procedure dbo.uspDisbursements_Upd1    Script Date: 01/09/2001 1:02:30 PM ******/
/****** Object:  Stored Procedure dbo.uspDisbursements_Upd1    Script Date: 01/11/2000 11:39:30 AM ******/
/****** Object:  Stored Procedure dbo.uspDisbursements_Upd1    Script Date: 9/10/99 3:52:22 PM ******/
/****** Object:  Stored Procedure dbo.uspDisbursements_Upd1    Script Date: 8/18/99 2:16:31 PM ******/
/****** Object:  Stored Procedure dbo.uspDisbursements_Upd1    Script Date: 5/10/99 1:12:38 PM ******/
/****** Object:  Stored Procedure dbo.uspDisbursements_Upd1    Script Date: 5/4/99 2:38:52 PM ******/
/****** Object:  Stored Procedure dbo.uspDisbursements_Upd1    Script Date: 4/22/99 4:43:46 PM ******/
/****** Object:  Stored Procedure dbo.uspDisbursements_Upd1    Script Date: 3/24/99 2:58:32 PM ******/
CREATE PROCEDURE  uspDisbursements_Upd1 @ErrorMessage  VARCHAR(5000) OUTPUT
AS
SET NOCOUNT ON
/*      *******************************************************************/
/*      * PROC -  uspDisbursements_Upd1                                */                                  
/*      *******************************************************************/
BEGIN TRANSACTION trnDisbursements_Upd1
/*      *******************************************************************/
/*      * STEP 1.1 - DECLARE LOCAL VARIABLES                              */                                  
/*      *******************************************************************/
DECLARE @print_msg			VARCHAR(255)
DECLARE @count_row			NUMERIC(9)
DECLARE @Tot_Disb_In		NUMERIC(9)
DECLARE @Tot_Demo_Upd		NUMERIC(9)
DECLARE @Tot_Loans_Chg		NUMERIC(9)
DECLARE @Tot_Demo_Ins		NUMERIC(9)
DECLARE @Tot_Daily_Exc		NUMERIC(9)
DECLARE @Tot_Loans_Upd		NUMERIC(9)
DECLARE @Tot_Loans_Ins		NUMERIC(9)
DECLARE @Tot_Disb_Ins		NUMERIC(9)
DECLARE @CUR_PRC_DAT		DATETIME
DECLARE @ERROR_COD			NUMERIC(5)
DECLARE @TOT_Dist_cn		NUMERIC(9)
   
/*      *******************************************************************/
/*      * STEP 1.2 - VERIFY TODAYS CURRENT PROCESSING DATE HAS BEEN CREATE*/        
/*      *******************************************************************/
		SELECT  @CUR_PRC_DAT = tblSysDate.CUR_PRC_DAT 
		FROM    tblSysDate
		IF    ( @@ROWCOUNT <> 1 OR @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = '******** uspDisbursements_Upd1(1.2);  SELECT tblSysDate; VERIFY TODAYS CURRENT PROCESSING DATE HAS BEEN CREATE - error **********'  	
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.5 - SAVE COUNT OF ALL INCOMING DISBURSEMENT TRANSACTIONS */             
/*      *******************************************************************/
		SELECT  @Tot_Disb_In = COUNT(*)
		FROM    tblDisbursements_Temp
		IF      (@@ERROR <> 0) 
		BEGIN       
			SELECT @ErrorMessage = '********** uspDisbursements_Upd1 (1.5);  SELECT tblDisbursements_Temp; SAVE COUNT OF ALL INCOMING DISBURSEMENT TRANSACTIONS - error **********'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 2.0 - Save count of all Distinct Cus numbers in emp table  */          
/*      *******************************************************************/
		SELECT  @TOT_Dist_cn = COUNT(Distinct CUS_NUM)
		FROM    tblDisbursements_Temp
		IF      (@@ERROR <> 0) 
  		BEGIN
	       		SELECT @ErrorMessage = '********** uspDisbursements_Upd1 (2.0); SELECT tblDisbursements_Temp;  SAVE COUNT OF all Distinct Customer numbers - error ***********'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
  		END
/*      *******************************************************************/
/*      * STEP 2.1 - UPDATE DEMOGRAPHICS TABLE WITH CHANGES               */                      
/*      *            ( WHERE THIS DISBURSEMENT IS NOT THE FIRST )         */            
/*      *******************************************************************/
		DECLARE @LN_NUM 		VARCHAR(18)
		DECLARE @SSN			VARCHAR(9)
		DECLARE @NM_LIN_1		VARCHAR(30)
		DECLARE @CUS_NUM		VARCHAR(13)
		DECLARE @LN_TYP_ALH		VARCHAR(3)
		DECLARE @SCO_TIER		VARCHAR(1)
		DECLARE @DSB_BK_NUM		NUMERIC
		DECLARE @ORG_LVL_NUM_3	NUMERIC
		DECLARE @UPDATE_COUNT	NUMERIC
		DECLARE @VALUE_FOUND 	NUMERIC
		DECLARE @APP	       	NUMERIC
		DECLARE @AMT_TO_DSB 	MONEY
		DECLARE @ACU_DSB_DAT	DATETIME

		SELECT @UPDATE_COUNT 	= 0,
			@Tot_Demo_Upd 	= 0,
			@Tot_Demo_Ins 	= 0,
			@Tot_Loans_Upd 	= 0,
			@Tot_Loans_Ins  = 0,
			@Tot_Daily_Exc 	= 0,
			@Tot_Loans_Chg 	= 0


		DECLARE DisbursementCursor CURSOR FOR
			SELECT LN_NUM,
				AMT_TO_DSB,
				DSB_BK_NUM,
				APP,
				LN_TYP_ALH,
				SCO_TIER,
				ORG_LVL_NUM_3,
				CUS_NUM,
				NM_LIN_1,
				SSN,
				DSB_BK_NUM,
				ACU_DSB_DAT
			FROM tblDisbursements_Temp 

		--OPEN CURSOR
		OPEN DisbursementCursor

		--FETCH FIRST RECORD
		FETCH NEXT FROM DisbursementCursor INTO @LN_NUM, @AMT_TO_DSB, @DSB_BK_NUM, 
		@APP, @LN_TYP_ALH, @SCO_TIER, @ORG_LVL_NUM_3, @CUS_NUM, @NM_LIN_1, @SSN,
		@DSB_BK_NUM,@ACU_DSB_DAT
		WHILE @@FETCH_STATUS = 0
			BEGIN

				IF (SELECT COUNT(CUS_NUM) FROM tblDemo WHERE CUS_NUM = @CUS_NUM)  = 1
					BEGIN
					/*      *******************************************************************************************/
					/*      * STEP 2.1 - UPDATE DEMOGRAPHICS TABLE WITH CHANGES               */                      
					/*      *            ( WHERE THIS DISBURSEMENT IS NOT THE FIRST )        	          */            
					/*      *******************************************************************************************/
						UPDATE  tblDemo
						SET	 tblDemo.NM_LIN_1  	   = @NM_LIN_1,
        			         tblDemo.SSN           = @SSN,
 			            	 tblDemo.DAT_LAS_UPDT  = @CUR_PRC_DAT
						FROM tblDisbursements_Temp
						WHERE tblDemo.Cus_Num = @CUS_NUM
						SELECT  @Tot_Demo_Upd = @Tot_Demo_Upd + @@ROWCOUNT
						IF ( @@ERROR <> 0 )
						BEGIN
				       			SELECT @ErrorMessage = '********** uspDisbursements_Upd1 (2.1);' +
								' UPDATE tblDemo;  UPDATE DEMOGRAPHICS TABLE WITH CHANGES - error **********'
									EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				        			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				        			ROLLBACK TRANSACTION
							RETURN
						END 
					END  
				ELSE
					BEGIN
					/*      ***************************************************************************************/
					/*      * STEP 2.2 - UPDATE DEMOGRAPHICS TABLE WITH INSERTS      */                      
					/*      *             ( FOR FIRST DISBURSEMENTS )                         		*/                      
					/*      *************************************************************************************/
			  			INSERT INTO tblDemo        
						VALUES (@CUS_NUM, @NM_LIN_1, @SSN, @CUR_PRC_DAT) 
						SELECT  @Tot_Demo_Ins = @Tot_Demo_Ins + @@ROWCOUNT
						IF ( @@ERROR <> 0 )
						BEGIN
				        			SELECT @ErrorMessage = '********* uspDisbursements_Upd1 (2.2);' +
								'INSERT tblDemo; UPDATE DEMOGRAPHICS TABLE WITH INSERTS - error **********'
							EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
								RAISERROR ('%s', 16, -1, @ErrorMessage ) 
								ROLLBACK TRANSACTION
								RETURN
						END   
					END
				

				IF (SELECT COUNT(LN_NUM) FROM tblLoans WHERE LN_NUM = @LN_NUM) = 1
					BEGIN
					/*      *******************************************************************/
					/*      * STEP 3.0 - UPDATE LOANS, CURRENT LOAN BALANCE WITH THE DISB     */      
					/*      *            AMOUNT ( WHERE THIS DISBURSEMENT IS NOT THE FIRST )  */            
					/*      *******************************************************************/
						UPDATE  tblLoans
						SET     tblLoans.CUR_LN_BAL  	= tblLoans.CUR_LN_BAL  +  @AMT_TO_DSB,
			        			tblLoans.APP                = @APP,
			        			tblLoans.LN_TYP_ALH         = @LN_TYP_ALH,
			        			tblLoans.SCO_TIER           = @SCO_TIER,
			        			tblLoans.ORG_LVL_NUM_3      = @ORG_LVL_NUM_3,
			 					tblLoans.DAT_LAS_UPDT      	= @CUR_PRC_DAT
						FROM      tblLoans
						WHERE   tblLoans.LN_NUM = @LN_NUM
						SELECT  @Tot_Loans_Upd = @Tot_Loans_Upd + @@ROWCOUNT
						IF    ( @@ERROR <> 0 )
			  				BEGIN
			        					SELECT @ErrorMessage = '********** uspDisbursements_Upd1 (3.O);' +
									' UPDATE tblLoans ERROR; UPDATE TO UPDATE TABLE TBLLOANS, CURRENT LOAN BALANCE WITH THE DISB - error************'
										EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			        					RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			        					ROLLBACK TRANSACTION
			       					RETURN
			  				END
					END
				ELSE
					BEGIN
					/*      *******************************************************************/
					/*      * STEP 3.2      INSERT NEW LOANS FOR FIRST TIME DISBURSEMENTS     */   	
					/*      *                ( FOR FIRST DISBURSEMENTS )                      */
					/*      *******************************************************************/
						INSERT  tblLoans        
						SELECT @LN_NUM,		-- LN_NUM
							@DSB_BK_NUM,		-- CUR_BK_NUM
							@CUS_NUM,		-- CUS_NUM
							@AMT_TO_DSB,		-- CUR_LN_BAL
							@LN_TYP_ALH,           	-- LN_TYP_ALH
							@SCO_TIER,          		-- SCO_TIER
							@APP,               		-- APP
							@ORG_LVL_NUM_3,     	-- ORG_LVL_NUM_3
							NULL,                                   -- SLD_BK_NUM
							NULL,                                   -- SLD_DAT
							0,                                       	-- SLD_CUR_LN_BAL
							0,                                       	-- SLD_INT_DUE_BAL
							0,                                       	-- SLD_FAS91_AMT_REM_TO_AMOTIZE
							NULL,      			-- PURCH_DAT
							0,                                       	-- PURCH_INT_DUE_BAL
							'N',                                     	-- PRIN_DECREASE_TXN_IND
							NULL,                                    -- PRIN_DECREASE_TXN_DAT
							vwoBanks_Last_Sched_Num.MAX_SCHED,       		-- SCHED_NUM
							NULL,                                    -- FAS91_DAT_LAS_AMORTIZED
							0,                                       -- FAS91_TOT_AMORTIZE
							tblFAS91_Rates.FAS91_AMT,                -- FAS91_AMT_REM_TO_AMORTIZE
							'Y',                                     -- FAS91_AMORTIZATION_STATUS_IND
							0,                                       -- FAS91_AMORTIZATION_MTH
							0,                                       -- FAS91_MTHLY_AMORTIZATION_AMT
							tblFAS91_Rates.FAS91_AMT,                -- FAS91_AMT
							@CUR_PRC_DAT     						-- DAT_LAS_UPDT
						FROM   tblFAS91_Rates, vwoBanks_Last_Sched_Num
						WHERE   @LN_NUM NOT IN ( SELECT tblLoans.LN_NUM FROM tblLoans )
						AND     		(@DSB_BK_NUM = tblFAS91_Rates.BK_NUM
						AND      	@ACU_DSB_DAT BETWEEN tblFAS91_Rates.START_DAT
						AND     		tblFAS91_Rates.END_DAT)
						AND     		@DSB_BK_NUM = vwoBanks_Last_Sched_Num.BK_NUM
						SELECT  @Tot_Loans_Ins = @Tot_Loans_Ins + @@ROWCOUNT
						IF   ( @@ERROR <> 0 )  
						BEGIN
				        			SELECT @ErrorMessage = '********** uspDisbursements_Upd1 (3.2);' + 
								'INSERT tblLoans;  INSERT NEW LOANS FOR FIRST TIME DISBURSEMENTS - error***********'
							EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
								RAISERROR ('%s', 16, -1, @ErrorMessage ) 
								ROLLBACK TRANSACTION
								RETURN
						END
					END
				SELECT @Tot_Loans_Chg = @Tot_Loans_Chg + 1	
				
				--FETCH NEXT RECORD
				FETCH NEXT FROM DisbursementCursor INTO @LN_NUM, @AMT_TO_DSB, @DSB_BK_NUM, 
				@APP, @LN_TYP_ALH, @SCO_TIER, @ORG_LVL_NUM_3, @CUS_NUM, @NM_LIN_1, @SSN,
				@DSB_BK_NUM,@ACU_DSB_DAT
		END

		--CLOSE CURSOR
		CLOSE DisbursementCursor


		--FREEUP RESOURCES
		DEALLOCATE DisbursementCursor


/*      *******************************************************************/
/*      * STEP 2.3 - TEST THAT ALL DISBURSEMENT TEMP RECORDS WERE EITHER  */                    
/*      *            INSERTED OR UPDATED                                  */
/*      *******************************************************************/
		IF (@Tot_Disb_In ) <> (@Tot_Demo_Upd + @Tot_Demo_Ins )
		BEGIN
			SELECT @ErrorMessage = '********** uspDisbursements_Upd1 (2.3);' +
			'Tot_Disb_In - @Tot_Daily_Exc does not equal Tot_Demo_Upd + Tot_Demo_Ins -error *********'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *********************************************************************************************************/
/*      * STEP 3.3 - COMPARE DISBURSEMENTS_TEMP TABLE TO THE LOANS TABLE  */
/*      *             ANY UNMATCHED lOAN NUMBERS ON THE DISBURSEMENTS_TEMP   */
/*      *             TABLE SHOULD FLAG AN ERROR AND STOP PROCESSING                    */
/*      ********************************************************************************************************/
		IF      (@Tot_Disb_In - @Tot_Daily_Exc) <> (@Tot_Loans_Upd + @Tot_Loans_Ins)
		BEGIN
	        SELECT @ErrorMessage = '*********** uspDisbursements_Upd1 (3.3); ' +
						'Tot_Disb_In - @Tot_Daily_Exc does not equal Tot_Loans_Upd + Tot_Loans_Ins -error **********'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 4.1 - INSERT NEW DISBURSEMENTS                             */                              
/*      *******************************************************************/
		INSERT  tblDisbursements        
		SELECT  tblDisbursements_Temp.LN_NUM,           -- LN_NUM
	        	tblDisbursements_Temp.ACU_DSB_DAT,      -- ACU_DSB_DAT
	        	tblDisbursements_Temp.DSB_BK_NUM,       -- DSB_BK_NUM
	        	tblDisbursements_Temp.DSB_NUM,          -- DSB_NUM
	        	tblDisbursements_Temp.AMT_TO_DSB,       -- ORIG_AMT_TO_DSB
	        	tblDisbursements_Temp.AMT_TO_DSB,       -- AMT_TO_DSB
	        	vwoBanks_Last_Sched_Num.MAX_SCHED,      -- SCHED_NO
	        	tblDisbursements_Temp.INS_PUM_AMT,      -- ORIG_INS_PUM_AMT
	        	tblDisbursements_Temp.INS_PUM_AMT,      -- INS_PUM_AMT
	        	0,                                      -- INS_PUM_AMT_ADJ
	        	NULL,                                   -- DAT_LAS_AMORTIZED
	        	0,                                      -- TOT_AMORTIZED
	        	tblDisbursements_Temp.INS_PUM_AMT,      -- AMT_REM_TO_AMORTIZE
	        	'Y',                                    -- AMORTIZATION_STATUS_IND
	        	0,                                      -- AMORTIZATION_MTH
	        	0,                                      -- MTHLY_AMORTIZATION_AMT        
	        	tblDisbursements_Temp.TRN_COD,          -- TRN_COD
				@CUR_PRC_DAT,    -- DAT_LAS_UPDT
				0,     -- SLD_AMT_REM_TO_AMORTIZE
				0,     -- CAN_AMT_REM_TO_AMORTIZE
				0,     -- CAN_TOT_AMORTIZED
				0,     -- Orig_Refl_fee
				0,     -- REFL Fee
				0,     -- REFL_TOT_AMORTIZEd
				0,     -- REFL_AMT_REM_TO_AMORTIZE
				'N',   -- REFL_AMORTIZATION_STATUS_IND
				0,     -- REFL_AMORTIZATION_MTH
				0,     -- REFL_MTHLY_AMORTIZATION_AMT
				NULL,  -- REFL_DAT-LAS_AMORTIZED
				0,     -- SLD_REFL_AMT_REM_TO_AMORTIZE
				0,     -- REFL FEE SCHEDULE
				0,     -- REFL FEE Rate
				'N',   -- REFL_CALC_PROCESSED_IND
				0	   -- CAN_REFL_AMT_REM_TO_AMORTIZE 
		FROM    tblDisbursements_Temp,  vwoBanks_Last_Sched_Num
		WHERE  tblDisbursements_Temp.DSB_BK_NUM = vwoBanks_Last_Sched_Num.BK_NUM 
		SELECT  @Tot_Disb_Ins = @@ROWCOUNT,  @ERROR_COD = @@ERROR
		IF  (@ERROR_COD <> 0)  
		BEGIN
				SELECT @ErrorMessage = '*********** uspDisbursements_Upd1 (4.1);' +
				'INSERT tblDisbursements;  INSERT NEW DISBURSEMENTS - error ***********'
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
			RETURN
		END 
/*     *******************************************************************/
/*     * STEP 4.15 - Update disbursements with referral rate AND schedule*/
/*     *******************************************************************/
		UPDATE	tblDisbursements
		SET		tblDisbursements.REFL_SCHED = tblREFL_Rates.REFL_SCHED,
	 			tblDisbursements.REFL_RT = tblREFL_Rates.REFL_RT
		FROM	tblREFL_Rates, tblDisbursements INNER JOIN tblDisbursements_TEMP ON
				((tbldisbursements.LN_NUM = tbldisbursements_TEMP.LN_NUM) AND 
				(tblDisbursements.ACU_DSB_DAT = tblDisbursements_Temp.ACU_DSB_DAT)) 
		WHERE	tblDisbursements_Temp.ORG_LVL_NUM_3 = tblREFL_Rates.ORG_LVL_NUM_3 AND
				tblDisbursements_Temp.APP = tblREFL_rates.APP 
		IF  (@ERROR_COD <> 0)  
		BEGIN
				SELECT @ErrorMessage = '*********** uspDisbursements_Upd1 (4.15);' +
				'UPDATE tblDisbursements; UPDATE DISBURSEMENTS WITH REFERAL RATE & SCHEDULE - error ************'
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 	
				ROLLBACK TRANSACTION
				RETURN
		END  
/*      **********************************************************************************************************/
/*      * STEP 4.2 - COMPARE DISBURSEMENTS_TEMP TABLE TO DISBURSEMENTS    */
/*      *             ANY UNMATCHED DISBURSEMENTS FROM DISBURSEMENTS_TEMP    */
/*      *             TABLE SHOULD FLAG AN ERROR AND STOP PROCESSING                      */                             
/*      *********************************************************************************************************/
		IF (@Tot_Disb_In - @Tot_Daily_Exc) <> @Tot_Disb_Ins 
		BEGIN
        	SELECT @ErrorMessage = '*********** uspDisbursements_Upd1 (4.2);' + 
							'Tot_Disb_In - @Tot_Daily_Exc does not equal Tot_Disb_Ins  - error ************'
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 	
				ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 5.1 - EXTRACT PROCESSED DISBURSEMENT TRANS TO TEMP TABLE   */
/*      *******************************************************************/
		INSERT  tblDaily_Tran_Processed
		SELECT  LN_NUM,
				ACU_DSB_DAT,
				TRN_COD,
				AMT_TO_DSB,
				DSB_BK_NUM,
				APP,
				LN_TYP_ALH,
				ORG_LVL_NUM_3,
				SSN,
				DSB_NUM 
		FROM    tblDisbursements_Temp
		IF   ((@Tot_Disb_In - @Tot_Daily_Exc) <> @@ROWCOUNT ) OR ( @@ERROR <> 0 )
		BEGIN
         	SELECT @ErrorMessage = '*********** uspDisbursements_Upd1 (5.1);' +
				'INSERT tblDaily_Tran_Processed EXTRACT PROCESSED DISBURSEMENT TRANS TO TEMP TABLE -   error ************'
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
			RETURN
		END
/*      *******************************************************************/
/*      * STEP 5.15  INSERT DISBURSEMENTS RECORDS INTO TEMP TABLE         */
/*      *             TO TRACK CHANGES TO AMOUNT REM TO AMORTIZE FIELD    */
/*      *******************************************************************/
		INSERT	TblIns_Change
		SELECT  tblDisbursements_Temp.LN_NUM,
				tblDisbursements_Temp.DSB_NUM,
				0.00,
				tblDisbursements_Temp.INS_PUM_AMT,
				Reason_Code = Convert(char(5),tblDisbursements_Temp.TRN_COD),
				ACU_DSB_DAT,
				tblDisbursements_TEMP.INS_PUM_AMT,
				tblDisbursements_Temp.INS_PUM_AMT
		FROM    tblDisbursements_Temp
		IF      (@ERROR_COD <> 0)  
		BEGIN
        			SELECT @ErrorMessage = '*********** uspDisbursements_Upd1 (5.15);' +
			'INSERT tblIns_Change; INSERT tblIns_Change with new insurance premiums- ***********'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END  
/*      *******************************************************************/
/*      * STEP 5.2 - COMMIT ALL UPDATES IF THERE ARE NO ERRORS            */          
/*   *******************************************************************/
COMMIT TRANSACTION trnDisbursements_Upd1
/*      *******************************************************************/
/*      * END PROC-uspDisbursements_Update1                               */                              
/*      *******************************************************************/
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO


/****** Object:  Stored Procedure dbo.uspProcessCompleted_Upd1    Script Date: 12/1/2003 12:13:54 AM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[uspProcessCompleted_Update1]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspProcessCompleted_Update1]
GO


/****** Object:  Stored Procedure dbo.uspProcessCompleted_Upd1    Script Date: 12/1/2003 12:13:54 AM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[uspProcessCompleted_Upd1]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspProcessCompleted_Upd1]
GO



SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.uspProcessCompleted_Upd1    Script Date: 12/1/2003 12:13:54 AM ******/
/****** Object:  Stored Procedure dbo.uspProcessCompleted_Upd1    Script Date: 11/25/2003 11:35:03 AM ******/
/****** Object:  Stored Procedure dbo.uspProcessCompleted_Upd1    Script Date: 4/11/2003 10:36:54 AM ******/
/****** Object:  Stored Procedure dbo.uspProcessCompleted_Update1    Script Date: 3/24/2003 1:02:19 PM ******/
/****** Object:  Stored Procedure dbo.uspProcessCompleted_Update1    Script Date: 01/09/2001 1:02:30 PM ******/
/****** Object:  Stored Procedure dbo.uspProcessCompleted_Update1    Script Date: 4/22/99 4:43:44 PM ******/
/****** Object:  Stored Procedure dbo.uspProcessCompleted_Update1    Script Date: 3/24/99 2:58:31 PM ******/
/****** Object:  Stored Procedure dbo.uspProcessCompleted_Update1    Script Date: 8/10/98 11:26:37 AM ******/
CREATE PROCEDURE uspProcessCompleted_Upd1 @iSubSys INT, @ErrorMessage VARCHAR(5000) OUTPUT
AS
SET NOCOUNT ON
/*      ******************************************************************************************************/
/*      * STEP 1.1 UPDATE PROCESS INDICATOR ON SUBSYSTEM TABLE TO FALSE   */
/*      ******************************************************************************************************/
		UPDATE  tblSubSystem
		SET     tblSubSystem.PROCESS_IND = 0
		FROM    tblSubSystem
		WHERE   tblSubSystem.Num = @iSubSys
		IF    ( @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspProcessCompleted_Upd1;1.1;UPDATE tblSubSystem:Error'	
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage  
				RAISERROR ('%s', 16, -1, @ErrorMessage)
				RETURN
		END
/*      *******************************************************************/
/*      * END PROC - uspProcessCompleted_Upd1                          */
/*      *******************************************************************/
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO



/****** Object:  Stored Procedure dbo.uspReinstatements    Script Date: 12/1/2003 12:13:54 AM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[uspReinstatements]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspReinstatements]
GO


SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF
GO

/****** Object:  Stored Procedure dbo.uspReinstatements    Script Date: 12/1/2003 12:13:54 AM ******/
/****** Object:  Stored Procedure dbo.uspReinstatements    Script Date: 11/25/2003 11:35:03 AM ******/
/****** Object:  Stored Procedure dbo.uspReinstatements    Script Date: 4/11/2003 10:36:54 AM ******/

CREATE PROCEDURE uspReinstatements  @ErrorMessage  VARCHAR(5000) OUTPUT
AS
/*      *******************************************************************/
/*      * PROC - uspReinstatements                  */
/*      *                                                                                      */
/*      *        This procedure processes loans that have a         */
/*      *        cancelled disbursement AND that disbursement is  */
/*      *        reistated. The incoming reinstatement is matched */
/*      *        with the Cancellation AND disbursements number. */
/*      *        The cancelled disbursement is removed so that    */
/*      *        the new disbursements can enter the system AND  */
/*     *         amortized correctly.        */
/*      *                                                                                       */
/*      *******************************************************************/
SET NOCOUNT ON
/*      ****************************************************************** */
/*      * STEP 1.1 - DECLARE LOCAL VARIABLES                  */
/*      *******************************************************************/
DECLARE @CUR_PRC_DAT datetime
/*      *******************************************************************/
/*      * STEP 1.2 - VERIFY TODAYS CURRENT PROCESSING DATE EXISTS         */
/*      *******************************************************************/
		BEGIN TRANSACTION trnReinstatements
		SELECT  @CUR_PRC_DAT = ( SELECT CUR_PRC_DAT FROM tblSysDate )
		IF    ( @@ROWCOUNT <> 1 OR @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = '********* uspReinstatements; 1.2; SELECT tblSysDate: VERIFY TODAYS CURRENT PROCESSING DATE - error *******'
        			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage  
			RAISERROR ('%s', 16, -1, @ErrorMessage)
				ROLLBACK TRANSACTION
				RETURN
		END
/* ************************************************************************************************/
/* * STEP 1.3 LOCATE MATCHING LOAN RECORD IN TABLE TBLCANREFREV */
/* *       AND INSERT IT INTO TABLE TBLREINSTATEMENT.         */
/* ************************************************************************************************/
		INSERT INTO tblReinstatements
		SELECT tblCanRefRev.LN_NUM, 
		tblCanRefRev.ACU_DSB_DAT, 
		tblCanRefRev.TRN_DAT, 
		tblCanRefRev.TRN_COD, 
		tblCanRefRev.TRN_AMT, 
		tblCanRefRev.RFD_BUCKET, 
		tblCanRefRev.FAS91_BILLING_COD, 
		tblCanRefRev.FAS91_TOT_AMORTIZED, 
		tblCanRefRev.FAS91_AMT_REM_TO_AMORTIZE, 
		tblCanRefRev.FAS91_AMT, 
		tblCanRefRev.REV_ORIG_CAN_RFD_DAT, 
		tblCanRefRev.DAT_LAS_UPDT
		FROM (tblCanRefRev INNER JOIN tblDisbursements_Temp 
		ON tblCanRefRev.LN_NUM = tblDisbursements_Temp.LN_NUM) 
		INNER JOIN tblDisbursements ON (tblCanRefRev.ACU_DSB_DAT = tblDisbursements.ACU_DSB_DAT) 
		AND (tblCanRefRev.LN_NUM = tblDisbursements.LN_NUM)
		IF    ( @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = '********* uspReinstatements; 1.3; INSERT INTO TBLREINSTATEMENTS: ERROR MOVING TBLCANREFREV DATA INTO TBLREINSTATEMENTS - error ************'
        			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage  
			RAISERROR ('%s', 16, -1, @ErrorMessage)
				ROLLBACK TRANSACTION
				RETURN
		END
/* ************************************************************************************************/
/* * STEP 1.4 ONCE THE LOAN INFO IS COPIED TO TBLREINSTATEMENTS    */
/* *       REMOVE THE LOAN INFO FROM TBLCANREFREV .        */ 
/* ************************************************************************************************/
		DELETE FROM tblCanRefRev FROM tblDisbursements_Temp, tblCanRefRev, tblDisbursements
		WHERE tblDisbursements_Temp.LN_NUM = tblCanRefRev.LN_NUM
		AND  tblCanRefRev.ACU_DSB_DAT = tblDisbursements.ACU_DSB_DAT
		AND tblCanRefRev.TRN_COD <> 56121
		IF    ( @@ERROR <> 0 )
		BEGIN
       			SELECT @ErrorMessage = '******* uspReinstatements; 1.4; DELETE TBLDISBURSEMENTS: ERROR DELETING RECORD FROM TBLDISBURSEMENTS - error ************'
        			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage  
			RAISERROR ('%s', 16, -1, @ErrorMessage)
				ROLLBACK TRANSACTION
				RETURN
		END
/* ************************************************************************************************/
/* * STEP 1.5 ONCE THE LOAN INFO IS COPIED TO TBLREINSTATEMENTS    */
/* *       REMOVE THE LOAN INFO FROM TBLDISBURSEMENTS.        */
/* ************************************************************************************************/
		DELETE FROM tblDisbursements FROM tblDisbursements_Temp, tblDisbursements
		WHERE tblDisbursements_Temp.LN_NUM = tblDisbursements.LN_NUM
		AND  tblDisbursements_Temp.DSB_NUM =  tblDisbursements.DSB_NUM
		IF    ( @@ERROR <> 0 )
		BEGIN
       			SELECT @ErrorMessage = '********** uspReinstatements; 1.5; DELETE TBLDISBURSEMENTS: ERROR DELETING RECORD FROM TBLDISBURSEMENTS - error *************'
        			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage  
			RAISERROR ('%s', 16, -1, @ErrorMessage)
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *************************************************************************************/
/*      * STEP 1.6 - COMMIT TRANSACTIONS IF NO ERRORS                     */
/*      *************************************************************************************/
COMMIT TRANSACTION trnReinstatements
/*      ************************************************************************************/
/*      * END PROC -  uspReinstatements                 */
/*      ************************************************************************************/
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO


/****** Object:  Stored Procedure dbo.uspResetReflSched    Script Date: 12/1/2003 12:13:54 AM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[uspResetReflSched]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspResetReflSched]
GO


SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.uspResetReflSched    Script Date: 12/1/2003 12:13:54 AM ******/
/****** Object:  Stored Procedure dbo.uspResetReflSched    Script Date: 11/25/2003 11:35:04 AM ******/
/****** Object:  Stored Procedure dbo.uspResetReflSched    Script Date: 4/11/2003 10:36:54 AM ******/
/****** Object:  Stored Procedure dbo.uspResetReflSched    Script Date: 3/24/2003 1:02:19 PM ******/
/****** Object:  Stored Procedure dbo.uspResetReflSched    Script Date: 01/09/2001 1:02:30 PM ******/
/****** Object:  Stored Procedure dbo.uspResetReflSched    Script Date: 8/12/99 3:43:03 PM ******/
CREATE PROCEDURE uspResetReflSched  @ErrorMessage VARCHAR(5000) OUTPUT
AS 
SET NOCOUNT ON
Update tblREFL_SCHEDULE
SET  REFL_PROC_IND = 'N',
	 DAT_LAS_UPDT = CUR_PRC_DAT
FROM tblSYSDATE
IF    ( @@ERROR <> 0 )
  BEGIN
        SELECT @ErrorMessage = 'uspResetReflSched ;1.0;Error updating tblRefl_Scedule'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage  
        RAISERROR ('%s', 16, -1, @ErrorMessage ) 
        ROLLBACK TRANSACTION
        RETURN
        
  END
  /*      ************************************************************************************/
/*      * END PROC -  uspResetReflSched                 */
/*      ************************************************************************************/
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

/****** Object:  Stored Procedure dbo.uspSysdate_Ins1    Script Date: 12/1/2003 12:13:54 AM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[uspSysdate_Ins1]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspSysdate_Ins1]
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.uspSysdate_Ins1    Script Date: 12/1/2003 12:13:54 AM ******/
/****** Object:  Stored Procedure dbo.uspSysdate_Ins1    Script Date: 11/25/2003 11:35:04 AM ******/
/****** Object:  Stored Procedure dbo.uspSysdate_Ins1    Script Date: 4/11/2003 10:36:54 AM ******/
/****** Object:  Stored Procedure dbo.uspSysdate_Ins1    Script Date: 3/24/2003 1:02:19 PM ******/
/****** Object:  Stored Procedure dbo.uspSysdate_Ins1    Script Date: 01/09/2001 1:02:30 PM ******/
/****** Object:  Stored Procedure dbo.uspSysdate_Ins1    Script Date: 4/22/99 4:43:45 PM ******/
/****** Object:  Stored Procedure dbo.uspSysdate_Ins1    Script Date: 3/24/99 2:58:31 PM ******/
/****** Object:  Stored Procedure dbo.uspSysdate_Ins1    Script Date: 8/10/98 11:26:37 AM ******/
CREATE PROCEDURE uspSysdate_Ins1 @ErrorMessage  VARCHAR(5000) OUTPUT
AS
SET NOCOUNT ON
/*      *******************************************************************/
/*      * PROC - uspSysdate_Ins1                                          */
/*      *******************************************************************/
BEGIN TRANSACTION trnSysdate_Ins1
/*      *******************************************************************/
/*      * STEP 1.0 - CHECK NEW DATES FOR VALIDITY                         */
/*      *******************************************************************/
		SELECT  * FROM    tblBank_Temp, tblSysdate
		WHERE ( tblBank_Temp.CUR_PRC_DAT > tblSysdate.CUR_PRC_DAT
		AND     tblBank_Temp.PRV_PRC_DAT = tblSysdate.CUR_PRC_DAT
			)
		IF    ( @@ROWCOUNT <> 1 OR @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspSysdate_Ins1 (1.0);  SELECT tblSysdate  CHECK NEW DATES FOR VALIDITY - error'
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage 
				ROLLBACK TRANSACTION
				RETURN 
		END
/*      *******************************************************************/
/*      * STEP 1.1 - DELETE SYSDATE TABLE                                 */
/*      *******************************************************************/
		DELETE  tblSysdate
		IF    ( @@ROWCOUNT <> 1 OR @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage ='uspSysdate_Ins1 (1.1);  DELETE tblSysdate DELETE CURRENT PROCESSING DATE PRIOR TO ADDING TODAYS - error' 
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage 
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.2 - INSERT SYSDATE TABLE                                 */
/*      *******************************************************************/
		INSERT  tblSysdate
		SELECT 'SYSDATE', 
				CUR_PRC_DAT = tblBank_Temp.CUR_PRC_DAT,
				PRV_PRC_DAT = tblBank_Temp.PRV_PRC_DAT,
				PRC_IND = 1,
		DAT_LAS_UPDT = tblBank_Temp.CUR_PRC_DAT
		FROM    tblBank_Temp
		IF    ( @@ROWCOUNT <> 1 OR @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspSysdate_Ins1 (1.2); INSERT tblSysdate INSERT TODAYS CURRENT PROCESSING DATE - error'
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage 
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 2.0 - APPLY ALL UPDATES IF THERE ARE NO ERRORS             */
/*      *******************************************************************/
COMMIT TRANSACTION trnSysdate_Ins1
/*      *******************************************************************/
/*      * END PROCEDURE - uspSysdate_Ins1                                 */
/*      *******************************************************************/

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO


/****** Object:  Stored Procedure dbo.uspDaily_StartUp    Script Date: 12/3/2003 12:36:43 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[uspDaily_StartUp]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspDaily_StartUp]
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.uspDaily_StartUp    Script Date: 12/3/2003 12:36:43 PM ******/
/****** Object:  Stored Procedure dbo.uspDaily_StartUp    Script Date: 4/11/2003 10:36:50 AM ******/
/****** Object:  Stored Procedure dbo.uspDaily_StartUp    Script Date: 3/24/2003 1:02:18 PM ******/

CREATE procedure dbo.uspDaily_StartUp @ErrorMessage VARCHAR(5000) OUTPUT

AS
/*      *******************************************************************/
/*      * PROC - uspDaily_StartUp                                      */                                  
/*      *******************************************************************/
SET NOCOUNT ON
/*      *******************************************************************/
/*      * STEP 1.0 - DECLARE LOCAL VARIABLES                  */                                  
/*      *******************************************************************/
DECLARE @Proc_Ind_Cnt 	INT   
DECLARE @Ret  			INT
DECLARE @RefCheck		BIT
DECLARE @YrlyCheck		BIT
DECLARE @RowCount  		NUMERIC(9)
DECLARE @CUR_PRC_DAT	DATETIME
DECLARE @Last_Prc_Dat 	DATETIME
DECLARE @PRV_PRC_DAT	DATETIME
DECLARE @Mth			BIT
DECLARE @PckName  		VARCHAR(50) 
DECLARE @SPName  		VARCHAR(20) 
DECLARE @SQLString		VARCHAR(100) 
DECLARE @Proc_Name		VARCHAR(100)
DECLARE @Proc_Start		VARCHAR(100)
DECLARE @Proc_End		VARCHAR(100)
DECLARE @Proc_NotTime	VARCHAR(100)
DECLARE @Proc_Already 	VARCHAR(100)


/*      ****************************************************************************************/
/*      * STEP 1.2 - VERIFY THE NUMBER OF ENTRIES IN TBLSUBSYSTEM */        
/*      ****************************************************************************************/
		SELECT @RowCount = COUNT(*) 
		FROM   tblSubSystem
		IF    ( @RowCount < 23 OR @@ERROR <> 0 )
		BEGIN
 			SELECT @ErrorMessage = '********* uspDaily_StartUp (1.2); VERIFY THAT THERE ARE ENTRIES IN THE TBLSUBSYSTEM - error *********'
        			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
        			RAISERROR ('%s', 16, -1, @ErrorMessage)
				RETURN
		END
/*      ****************************************************************************************/
/*      * STEP 1.3 - VERIFY THE PROCESS IND VALUE FOR ALL ENTRIES    */        
/*      ****************************************************************************************/
		SELECT @Proc_Ind_Cnt = COUNT(*)FROM tblSubSystem WHERE Process_Ind = '1'
		IF    ( @@ERROR <> 0 ) AND (@RowCount <> @Proc_Ind_Cnt) 
		BEGIN
 			SELECT @ErrorMessage = '********* uspDaily_StartUp (1.3); SYSTEM NOT READY TO RUN - error  *********'
        			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
        			RAISERROR ('%s', 16, -1, @ErrorMessage)
				RETURN
		END
/*      **************************************************************************************************/
/*      * STEP 1.4 - OBTAIN SYSDATE INFORMATION    */        
/*      **************************************************************************************************/
		SELECT  @CUR_PRC_DAT = tblSysDate.CUR_PRC_DAT, @PRV_PRC_DAT = tblSysDate.PRV_PRC_DAT 
		FROM    tblSysDate
		IF    ( @@ROWCOUNT <> 1 OR @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = '**********  uspFee_DailyProcess;1.4;SELECT t.blSysDate:Error *********'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage        
 			RAISERROR ('%s', 16, -1, @ErrorMessage)
				RETURN
		END
/*      **************************************************************************************************/
/*      * STEP 1.45 - CHECK DATE INFORMATION AND VERIFY THAT ITS TIME TO PROCESS					*/        
/*      **************************************************************************************************/  
		SELECT  * FROM tblBank_Temp, tblSysdate
		WHERE ( tblBank_Temp.CUR_PRC_DAT > tblSysdate.CUR_PRC_DAT
		AND     tblBank_Temp.PRV_PRC_DAT = tblSysdate.CUR_PRC_DAT)
		IF    ( @@ROWCOUNT <> 1 OR @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspDaily_StartUp (1.45);  **** CHECK NEW DATES FOR VALIDITY. Its probably not time for processing **** - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage       
 			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				RETURN 
		END  
/*      **************************************************************************************************/
/*      * STEP 1.5 - START THE FEE PROCESS   */        
/*      **************************************************************************************************/
		SELECT @Proc_Ind_Cnt = 1


		WHILE (@ErrorMessage IS NULL) AND ( @Proc_Ind_Cnt < 23)
		BEGIN

			SELECT @Proc_Ind_Cnt = @Proc_Ind_Cnt + 1
			EXECUTE uspCheckProcessInd_Select1 @Proc_Ind_Cnt, @Ret OUTPUT, @ErrorMessage OUTPUT
			
			IF (@Ret = 1) 
				BEGIN		
				
					--** Select log entry data for particular subsystem **--	
					SELECT  @Proc_Name = RTRIM(Proc_Name), 
					@Proc_Start = RTRIM(Proc_Start), 
					@Proc_End = RTRIM(Proc_End), 
					@Proc_NotTime = RTRIM(Proc_NotTime) 
					FROM tblSubSystem WHERE Num = @Proc_Ind_Cnt
					
					--** Check for Monthly run **--
					IF(@Proc_Ind_Cnt = 4)
						EXECUTE uspCheckIfMthlyProcess @Mth OUTPUT, @ErrorMessage OUTPUT
						
					--** Check for Referral run **--
					IF(@Proc_Ind_Cnt = 18)
						EXECUTE uspCheckForReferralProcess @RefCheck OUTPUT, @ErrorMessage OUTPUT
						
					--** Check for Yeary Reset **--
					IF(@Proc_Ind_Cnt = 19)
						EXECUTE uspCheckIfYearlyReset @YrlyCheck OUTPUT, @ErrorMessage OUTPUT
						
					--** Prepare Log if it is NOT TIME to run --**	
					SELECT @SQLString = CASE
						WHEN (@Proc_Ind_Cnt IN (4,5,6,7,8,9,10) AND @Mth = 0) THEN 'uspDaily_WriteToLog ' 
						WHEN (@Proc_Ind_Cnt = 18 AND @RefCheck = 0)THEN 'uspDaily_WriteToLog ' 
						WHEN (@Proc_Ind_Cnt = 19 AND @YrlyCheck = 0)THEN 'uspDaily_WriteToLog '  
					END
					
					--**** Execute String ****----
					IF (@SQLString IS NOT NULL)
						BEGIN
							EXECUTE @SQLString 'Write', @Proc_NotTime
							CONTINUE
						END
					
					--**** Log Start of SP Execution ****--
					EXECUTE uspDaily_WriteToLog 'Write', @Proc_Start					
							
					--**** Execue Stored Procedure with no special conditions ****--	
						EXECUTE @Proc_Name @ErrorMessage OUTPUT						
										
					
					--**** Successful Completion of Stored Procedure Execution ****--
					IF (@ErrorMessage IS NULL) AND (@@ERROR = 0)
						EXECUTE uspDaily_WriteToLog 'Write', @Proc_End	
					ELSE
						BEGIN
							--***** An error occured break out of the loop. Error was trapped within the stord proc ****--
								IF (@ErrorMessage IS NULL)
									SELECT @ErrorMessage = 'AN ERROR OCCURED WHILE TRYING TO EXECUTE STORED PROCEDURE: ' + @Proc_Name
								BREAK
						END
					
					--**** update the subsystem indicator ****--	
					IF (@Proc_Ind_Cnt <> 23)
						EXECUTE uspProcessCompleted_Upd1 @Proc_Ind_Cnt, @ErrorMessage OUTPUT
				END
			ELSE
				BEGIN	
					SELECT @Proc_Already = Proc_AlreadyRan FROM tblSubSystem WHERE Num = @Proc_Ind_Cnt
					EXECUTE uspDaily_WriteToLog 'Write', @Proc_Already 
				END	
				
		END --END WHILE LOOP


		--Check for error if not return success
		IF (@ErrorMessage IS NULL)
			BEGIN
				EXECUTE uspDaily_WriteToLog 'Write','FEE AMORTIZATION HAS SUCCESSFULLY COMPLETED FOR TODAY ' 
				RETURN 0
			END
		ELSE
			BEGIN
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage       
 				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				RETURN 1
			END

/*      *******************************************************************/
/*      * END PROC uspDaily_StartUp                        */
/*      *******************************************************************/

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO


if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[uspDisbursements_Mthly_Am_Upd1]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspDisbursements_Mthly_Am_Upd1]
GO


if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[uspMthly_Disbursements_Am_Upd1]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspMthly_Disbursements_Am_Upd1]
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.uspMthly_Disbursements_Am_Upd1    Script Date: 12/5/2003 4:05:14 PM ******/
/****** Object:  Stored Procedure dbo.uspMthly_Disbursements_Am_Upd1    Script Date: 4/11/2003 10:36:53 AM ******/
/****** Object:  Stored Procedure dbo.uspMthly_Disbursements_Am_Upd1    Script Date: 3/24/2003 1:02:18 PM ******/
/****** Object:  Stored Procedure dbo.uspDisbursements_Mthly_Am_Upd1    Script Date: 01/09/2001 1:02:30 PM ******/
/****** Object:  Stored Procedure dbo.uspDisbursements_Mthly_Am_Upd1    Script Date: 8/28/00 12:00:03 PM ******/
/****** Object:  Stored Procedure dbo.uspDisbursements_Mthly_Am_Upd1    Script Date: 5/19/99 2:45:03 PM ******/
/****** Object:  Stored Procedure dbo.uspDisbursements_Mthly_Am_Upd1    Script Date: 5/4/99 2:38:52 PM ******/
/****** Object:  Stored Procedure dbo.uspDisbursements_Mthly_Am_Upd1    Script Date: 4/22/99 4:43:45 PM ******/
/****** Object:  Stored Procedure dbo.uspDisbursements_Mthly_Am_Upd1    Script Date: 3/24/99 2:58:32 PM ******/
/****** Object:  Stored Procedure dbo.uspDisbursements_Mthly_Am_Upd1    Script Date: 8/10/98 11:26:37 AM ******/
CREATE PROCEDURE uspMthly_Disbursements_Am_Upd1 @ErrorMessage  VARCHAR(5000) OUTPUT
AS
SET NOCOUNT ON
/*      *******************************************************************/
/*      * PROC - uspDisbursements_Mthly_Am_Upd1                           */
/*      *******************************************************************/
BEGIN TRANSACTION trnDisbursements_Mthly_Am_Upd1
/*      *******************************************************************/
/*      * STEP 1.1 - DECLARE LOCAL VARIABLES                              */
/*      *******************************************************************/
DECLARE @COUNT_DSB   NUMERIC(9)
DECLARE @COUNT_ROW   NUMERIC(9)
DECLARE @CUR_PRC_DAT   DATETIME
DECLARE @ERROR_COD   NUMERIC(5)
DECLARE @SCHED_CNT   NUMERIC(5)
/*      *******************************************************************/
/*      * STEP 1.2 - VERIFY TODAYS CURRENT PROCESSING DATE EXISTS         */
/*      *******************************************************************/
		SELECT  @CUR_PRC_DAT = ( SELECT CUR_PRC_DAT FROM tblSysDate )
		IF    ( @@ROWCOUNT <> 1 OR @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspDisbursements_Mthly_Am_Upd1; 1.2; SELECT tblSysDate:' +
						' VERIFY TODAYS CURRENT PROCESSING DATE - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
				RAISERROR ('%s', 16, -1, @ErrorMessage )         
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.3 - VERIFY MONTHLY PROCESSING  THE MONTH OF THE PREVIOUS */
/*      *            PROCESSING DATE SHOULD BE LESS THAN THE MONTH OF THE */
/*      *            CURRENT PROCESSING DATE WHICH WILL ONLY OCCUR ON THE */
/*      *            FIRST PROCESSING DAY OF EACH MONTH.                  */
/*      *******************************************************************/
		SELECT  @COUNT_ROW = COUNT(*)
		FROM    tblSysDate
		WHERE   DATEDIFF(month, PRV_PRC_DAT,CUR_PRC_DAT) = 1
		IF    ( @COUNT_ROW <> 1 OR @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspDisbursements_Mthly_Am_Upd1;  1.3;' +
							'SELECT tblSysDate: VERIFY MONTHLY PROCESSING - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *****************************************************************************************************/
/*      * STEP 1.4 - CHECK FOR SCHEDULE NUMBER IN DISBURSEMENT TABLE        */
/*      ******************************************************************************************************/
		SELECT @SCHED_CNT= COUNT(*)
		FROM tblDisbursements WHERE SCHED_NUM  = 0
		IF ( @@ERROR > 0 )
			BEGIN
			SELECT @ErrorMessage = 'uspDisbursements_Mthly_Am_Upd1;  1.4;  SCHEDULE COUNT  - ERROR'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
        			ROLLBACK TRANSACTION
        			RETURN
			END
/*      *****************************************************************************************************/
/*      * STEP 2.0 - UPDATE DISBURSEMENT TABLE SCHEDULE NUM  VALUE 		         */
/*      ****************************************************************************************************/
		IF ( @SCHED_CNT  > 0  )
		BEGIN
 			UPDATE tblDisbursements
			SET tblDisbursements.SCHED_NUM = 1
			WHERE tblDisbursements.SCHED_NUM = 0
			IF ( @@ERROR > 0 )
     			BEGIN
				SELECT @ErrorMessage = 'uspDisbursements_Mthly_Am_Upd1;  2.0;  UPDATE tblDisbursements TABLE FAILURE  - ERROR'
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
	 			RAISERROR ('%s', 16, -1,  @ErrorMessage ) 
        				ROLLBACK TRANSACTION
        				RETURN
    			END
		END

/*      *******************************************************************/
/*      * STEP 2.1 - CREATE TABLE OF ALL DISBURSEMENTS TO BE AMORTIZED    */
/*      *******************************************************************/
		INSERT  tblDisbs_Mth_Amort_Temp
		SELECT DISTINCT tblLoans.LN_NUM,
				tblDisbursements.ACU_DSB_DAT,
				tblDisbursements.DSB_BK_NUM,
				tblDisbursements.SCHED_NUM,
				tblDisbursements.INS_PUM_AMT,
				tblDisbursements.AMT_REM_TO_AMORTIZE,
				tblDisbursements.AMORTIZATION_STATUS_IND,
				tblDisbursements.AMORTIZATION_MTH,
				tblDisbursements.MTHLY_AMORTIZATION_AMT,
				0
		FROM    tblDisbursements,
				tblLoans,
				tblDemo
		WHERE ((tblDisbursements.AMORTIZATION_STATUS_IND = 'Y'
		AND     tblDisbursements.AMT_REM_TO_AMORTIZE     >  0 )
		AND    (tblDisbursements.LN_NUM = tblLoans.LN_NUM
		AND     tblLoans.CUR_LN_BAL                      >  0 )
		AND     tblLoans.CUS_NUM = tblDemo.CUS_NUM
			)
		SELECT  @COUNT_DSB = @@ROWCOUNT,
				@ERROR_COD = @@ERROR
		IF    ( @COUNT_DSB < 1 OR @ERROR_COD <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspDisbursements_Mthly_Am_Upd1; 2.1;' +
							'SELECT INTO tblDisbs_Mth_Amort_Temp: CREATE TEMP TABLE OF ALL LOANS TO BE AMORTIZED - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 2.2 - UPDATE THE DISB AMORTIZATION MONTH BY 1              */
/*      *******************************************************************/
		UPDATE tblDisbs_Mth_Amort_Temp
		SET     AMORTIZATION_MTH = AMORTIZATION_MTH + 1
		IF    ( @@ROWCOUNT <> @COUNT_DSB OR @@ERROR <> 0 )
		BEGIN
				SELECT @ErrorMessage = 'uspDisbursements_Mthly_Am_Upd1;  2.2;' +
							'UPDATE tblDisbs_Mth_Amort_Temp: UPDATE THE DISB AMORTIZATION MONTH BY 1 - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
				RAISERROR ('%s', 16, -1, @ErrorMessage )  	
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *************************************************************************/
/*      * STEP 2.3 - CALCULATE MONTHLY AMORTIZATION AMOUNT   */
/*      *      Due to Unique Rates for Vintage years, conversions are */
/*      *      made to ensure amounts will amortize for the full scheduled */
/*      *      duration.        */
/*      * 8/18/2000 Gary Herington       */
/*      *************************************************************************/
		UPDATE  tblDisbs_Mth_Amort_Temp
		SET     tblDisbs_Mth_Amort_Temp.MTHLY_AMORTIZATION_AMT =
     			ROUND((AMT_REM_TO_AMORTIZE  * SCHED_RT) / ((REM_PCT * 12) - (SCHED_RT * (convert(int,AMORTIZATION_MTH-1) % 12))), 2) ,
			tblDisbs_Mth_Amort_Temp.AMORT_CHECK = 1
		FROM    tblDisbs_Mth_Amort_Temp,
				tblSchedule
		WHERE ( tblDisbs_Mth_Amort_Temp.DSB_BK_NUM = tblSchedule.BK_NUM
		AND     tblDisbs_Mth_Amort_Temp.SCHED_NUM  = tblSchedule.SCHED_NUM
		AND    (tblDisbs_Mth_Amort_Temp.AMORTIZATION_MTH >= tblSchedule.PERIOD_START_MTH
		AND     tblDisbs_Mth_Amort_Temp.AMORTIZATION_MTH <= tblSchedule.PERIOD_END_MTH )
		AND tblSchedule.VINTAGE_YR = DatePart(yy, Dateadd(mm, (-1* AMORTIZATION_MTH),@CUR_PRC_DAT))
			)
		IF    ( @@ROWCOUNT <> @COUNT_DSB OR @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspDisbursements_Mthly_Am_Upd1; 2.3;' +
							'UPDATE tblDisbs_Mth_Amort_Temp: CALCULATE MONTHLY AMORTIZATION AMOUNT - error'
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 	
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 2.4 - USE AMOUNT REMAINING IF LESS THAN CALC MONTHLY AMOUNT*/
/*      *******************************************************************/
		UPDATE  tblDisbs_Mth_Amort_Temp
		SET     tblDisbs_Mth_Amort_Temp.MTHLY_AMORTIZATION_AMT  = tblDisbursements.AMT_REM_TO_AMORTIZE
		FROM    tblDisbs_Mth_Amort_Temp,
				tblDisbursements
		WHERE   tblDisbs_Mth_Amort_Temp.LN_NUM                  = tblDisbursements.LN_NUM
		AND     tblDisbs_Mth_Amort_Temp.ACU_DSB_DAT   = tblDisbursements.ACU_DSB_DAT
		AND     tblDisbs_Mth_Amort_Temp.MTHLY_AMORTIZATION_AMT >= tblDisbursements.AMT_REM_TO_AMORTIZE
		IF    ( @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspDisbursements_Mthly_Am_Upd1; 2.4;' +
							'UPDATE tblDisbs_Mth_Amort_Temp: USE AMOUNT REMAINING IF LESS THAN CALC MONTHLY AMOUNT - error'
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 	
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 2.5 - UPDATE THE DISBURSEMENT WITH THE MONTHLY AMORTIZATION*/
/*      *******************************************************************/
		UPDATE  tblDisbursements
		SET     tblDisbursements.DAT_LAS_AMORTIZED       = @CUR_PRC_DAT,
				tblDisbursements.TOT_AMORTIZED           = (tblDisbursements.TOT_AMORTIZED       
														+ tblDisbs_Mth_Amort_Temp.MTHLY_AMORTIZATION_AMT),
				tblDisbursements.AMT_REM_TO_AMORTIZE     = (tblDisbursements.AMT_REM_TO_AMORTIZE 
														- tblDisbs_Mth_Amort_Temp.MTHLY_AMORTIZATION_AMT),
				tblDisbursements.MTHLY_AMORTIZATION_AMT  = tblDisbs_Mth_Amort_Temp.MTHLY_AMORTIZATION_AMT,
				tblDisbursements.AMORTIZATION_MTH  = tblDisbs_Mth_Amort_Temp.AMORTIZATION_MTH,
		tblDisbursements.DAT_LAS_UPDT   = @CUR_PRC_DAT
		FROM    tblDisbs_Mth_Amort_Temp,
				tblDisbursements
		WHERE ( tblDisbs_Mth_Amort_Temp.LN_NUM      = tblDisbursements.LN_NUM
		AND     tblDisbs_Mth_Amort_Temp.ACU_DSB_DAT = tblDisbursements.ACU_DSB_DAT
			)
		IF ( @@ERROR <>0 )
		BEGIN
			SELECT @ErrorMessage ='uspDisbursements_Mthly_Am_Upd1; 2.5;' +
							'UPDATE tblDisbs_Mth_Amort_Temp: UPDATE THE DISBURSEMENT WITH THE MONTHLY AMORTIZATION - error'
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 	
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 2.6 - UPDATE AMORTIZATION STATUS IF THE NEW BALANCE IS     */
/*      *            ZERO OR LESS OR THE LOANS CURRENT LOAN BALANCE IS    */
/*      *            ZERO OR LESS.                                        */
/*      *******************************************************************/
		UPDATE  tblDisbursements
		SET     tblDisbursements.AMORTIZATION_STATUS_IND = 'N',
		tblDisbursements.DAT_LAS_UPDT = @CUR_PRC_DAT
		FROM    tblDisbursements,
				tblLoans
		WHERE   tblDisbursements.LN_NUM = tblLoans.LN_NUM
		AND   ( tblDisbursements.AMT_REM_TO_AMORTIZE <= 0 OR tblLoans.CUR_LN_BAL <= 0 )
		IF    ( @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspDisbursements_Mthly_Am_Upd1; 2.6;' +
							'UPDATE tblDisbursements: UPDATE AMORTIZATION STATUS - error'
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 	
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 3.1 - COMMIT TRANSACTIONS IF THERE WERE NO ERRORS          */
/*      *******************************************************************/
COMMIT TRANSACTION trnDisbursements_Mthly_Am_Upd1
/*      *******************************************************************/
/*      * END PROC uspDisbursements_Mthly_Am_Upd1                         */
/*      *******************************************************************/
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[uspMthly_Disbursements_REFL]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspMthly_Disbursements_REFL]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[uspMthly_Disbursements_REFL]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspDisbursements_MTHLY_REFL]
GO


SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.uspMthly_Disbursements_REFL    Script Date: 12/5/2003 4:05:14 PM ******/
/****** Object:  Stored Procedure dbo.uspMthly_Disbursements_REFL    Script Date: 4/11/2003 10:36:53 AM ******/
/****** Object:  Stored Procedure dbo.uspMthly_Disbursements_REFL    Script Date: 3/24/2003 1:02:18 PM ******/
/****** Object:  Stored Procedure dbo.uspDisbursements_MTHLY_REFL    Script Date: 01/09/2001 1:02:30 PM ******/
/****** Object:  Stored Procedure dbo.uspDisbursements_MTHLY_REFL    Script Date: 8/28/00 12:00:40 PM ******/
/****** Object:  Stored Procedure dbo.uspDisbursements_MTHLY_REFL    Script Date: 8/19/99 10:55:40 AM ******/
CREATE PROCEDURE uspMthly_Disbursements_REFL @ErrorMessage  VARCHAR(5000) OUTPUT
AS
SET NOCOUNT ON
/*      *******************************************************************/
/*      * PROC - uspDisbursements_MTHLY_REFL                              */
/*      *******************************************************************/
BEGIN TRANSACTION trnDisbursements_MTHLY_REFL
/*      *******************************************************************/
/*      * STEP 1.1 - DECLARE LOCAL VARIABLES                              */
/*      *******************************************************************/
DECLARE @COUNT_DSB   NUMERIC(9)
DECLARE @COUNT_ROW   NUMERIC(9)
DECLARE @CUR_PRC_DAT   DATETIME
DECLARE @ERROR_COD   NUMERIC(5)
/*      *******************************************************************/
/*      * STEP 1.2 - VERIFY TODAYS CURRENT PROCESSING DATE EXISTS         */
/*      *******************************************************************/
		SELECT  @CUR_PRC_DAT = ( SELECT CUR_PRC_DAT FROM tblSysDate )
		IF    ( @@ROWCOUNT <> 1 OR @@ERROR <> 0 )
		BEGIN 
				SELECT @ErrorMessage =  'uspDisbursements_MTHLY_REFL;  1.2;' +
							'SELECT tblSysDate:  VERIFY TODAYS CURRENT PROCESSING DATE - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
				RAISERROR ('%s', 16, -1, @ErrorMessage )    
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.3 - VERIFY MONTHLY PROCESSING  THE MONTH OF THE PREVIOUS */
/*      *            PROCESSING DATE SHOULD BE LESS THAN THE MONTH OF THE */
/*      *            CURRENT PROCESSING DATE WHICH WILL ONLY OCCUR ON THE */
/*      *            FIRST PROCESSING DAY OF EACH MONTH.                  */
/*      *******************************************************************/
		SELECT  @COUNT_ROW = COUNT(*)
		FROM    tblSysDate
		WHERE   DATEDIFF(month, PRV_PRC_DAT,CUR_PRC_DAT) = 1
		IF    ( @COUNT_ROW <> 1 OR @@ERROR <> 0 )
		BEGIN
				SELECT @ErrorMessage =  'uspDisbursements_MTHLY_REFL;'+
							'1.3; SELECT tblSysDate: VERIFY MONTHLY PROCESSING - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
				RAISERROR ('%s', 16, -1, @ErrorMessage )    
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 2.1 - CREATE TABLE OF ALL DISBURSEMENTS TO BE AMORTIZED    */
/*      *******************************************************************/
		INSERT  tblDisbs_Mth_REFL_Temp
		SELECT  tblLoans.LN_NUM,
				tblDisbursements.ACU_DSB_DAT,
				tblDisbursements.DSB_BK_NUM,
				tblDisbursements.SCHED_NUM,
				tblDisbursements.REFL_FEE,
				tblDisbursements.REFL_AMT_REM_TO_AMORTIZE,
				tblDisbursements.REFL_AMORTIZATION_STATUS_IND,
				tblDisbursements.REFL_AMORTIZATION_MTH,
				tblDisbursements.REFL_MTHLY_AMORTIZATION_AMT
		FROM    tblDisbursements,
				tblLoans,
				tblDemo
		WHERE ((tblDisbursements.REFL_AMORTIZATION_STATUS_IND = 'Y'
		AND     tblDisbursements.REFL_AMT_REM_TO_AMORTIZE     >  0 )
		AND    (tblDisbursements.LN_NUM = tblLoans.LN_NUM
		AND     tblLoans.CUR_LN_BAL                      >  0 )
		AND     tblLoans.CUS_NUM = tblDemo.CUS_NUM
			)
		SELECT  @COUNT_DSB = @@ROWCOUNT,
				@ERROR_COD = @@ERROR
		IF    ( @COUNT_DSB < 1 OR @ERROR_COD <> 0 )
		BEGIN
         			SELECT @ErrorMessage = 'uspDisbursements_Mthly_REFL;' +
							'2.1;  SELECT INTO tblDisbs_Mth_REFL_Temp: CREATE TEMP TABLE OF ALL LOANS TO BE AMORTIZED - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
				RAISERROR ('%s', 16, -1, @ErrorMessage )    
				ROLLBACK TRANSACTION
				RETURN

		END
/*      *******************************************************************/
/*      * STEP 2.2 - UPDATE THE DISB AMORTIZATION MONTH BY 1              */
/*      *******************************************************************/
		UPDATE tblDisbs_Mth_REFL_Temp
		SET     REFL_AMORTIZATION_MTH = REFL_AMORTIZATION_MTH + 1
		IF    ( @@ROWCOUNT <> @COUNT_DSB OR @@ERROR <> 0 )
		BEGIN
         			SELECT @ErrorMessage = 'uspDisbursements_Mthly_REFL;  2.2;' +
							'UPDATE tblDisbs_Mth_REFL_Temp: UPDATE THE DISB AMORTIZATION MONTH BY 1 - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *************************************************************************/
/*      * STEP 2.3 - CALCULATE MONTHLY AMORTIZATION AMOUNT   */
/*      *      Due to Unique Rates for Vintage years, conversions are */
/*      *      made to ensure amounts will amortize for the full scheduled */
/*      *      duration.        */
/*      * 8/18/2000 Gary Herington       */
/*      *************************************************************************/
		UPDATE  tblDisbs_Mth_REFL_Temp
		SET     tblDisbs_Mth_REFL_Temp.REFL_MTHLY_AMORTIZATION_AMT =
			ROUND((REFL_AMT_REM_TO_AMORTIZE  * SCHED_RT) / ((REM_PCT * 12) - (SCHED_RT * (convert(int,REFL_AMORTIZATION_MTH-1) % 12))), 2) 
		FROM    tblDisbs_Mth_REFL_Temp,
				tblSchedule
		WHERE ( tblDisbs_Mth_REFL_Temp.DSB_BK_NUM = tblSchedule.BK_NUM
		AND     tblDisbs_Mth_REFL_Temp.SCHED_NUM  = tblSchedule.SCHED_NUM
		AND    (tblDisbs_Mth_REFL_Temp.REFL_AMORTIZATION_MTH >= tblSchedule.PERIOD_START_MTH
		AND     tblDisbs_Mth_REFL_Temp.REFL_AMORTIZATION_MTH <= tblSchedule.PERIOD_END_MTH )
		AND tblSchedule.VINTAGE_YR = DatePart(yy, Dateadd(mm, (-1* REFL_AMORTIZATION_MTH),@CUR_PRC_DAT)) 
			)
		IF    ( @@ROWCOUNT <> @COUNT_DSB OR @@ERROR <> 0 )
		BEGIN
				SELECT @ErrorMessage = 'uspDisbursements_Mthly_REFL; 2.3;' +
			' UPDATE tblDisbs_Mth_REFL_Temp: CALCULATE MONTHLY AMORTIZATION AMOUNT - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 	
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 2.4 - USE AMOUNT REMAINING IF LESS THAN CALC MONTHLY AMOUNT*/
/*      *******************************************************************/
		UPDATE  tblDisbs_Mth_REFL_Temp
		SET     tblDisbs_Mth_REFL_Temp.REFL_MTHLY_AMORTIZATION_AMT  = tblDisbursements.REFL_AMT_REM_TO_AMORTIZE
		FROM    tblDisbs_Mth_REFL_Temp,
				tblDisbursements
		WHERE   tblDisbs_Mth_REFL_Temp.LN_NUM                  = tblDisbursements.LN_NUM
		AND     tblDisbs_Mth_REFL_Temp.ACU_DSB_DAT   = tblDisbursements.ACU_DSB_DAT
		AND     tblDisbs_Mth_REFL_Temp.REFL_MTHLY_AMORTIZATION_AMT >= tblDisbursements.REFL_AMT_REM_TO_AMORTIZE
		IF    ( @@ERROR <> 0 )
		BEGIN
				SELECT @ErrorMessage = 'uspDisbursements_Mthly_REFL;  2.4;' +
							'UPDATE tblDisbs_Mth_REFL_Temp:  USE AMOUNT REMAINING IF LESS THAN CALC MONTHLY AMOUNT - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
         			RAISERROR ('%s', 16, -1, @ErrorMessage ) 	
       			ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 2.5 - UPDATE THE DISBURSEMENT WITH THE MONTHLY AMORTIZATION*/
/*      *******************************************************************/
		UPDATE  tblDisbursements
		SET     tblDisbursements.REFL_DAT_LAS_AMORTIZED       = @CUR_PRC_DAT,
				tblDisbursements.REFL_TOT_AMORTIZED           = (tblDisbursements.REFL_TOT_AMORTIZED       
														+ tblDisbs_Mth_REFL_Temp.REFL_MTHLY_AMORTIZATION_AMT),
				tblDisbursements.REFL_AMT_REM_TO_AMORTIZE     = (tblDisbursements.REFL_AMT_REM_TO_AMORTIZE 
														- tblDisbs_Mth_REFL_Temp.REFL_MTHLY_AMORTIZATION_AMT),
				tblDisbursements.REFL_MTHLY_AMORTIZATION_AMT  = tblDisbs_Mth_REFL_Temp.REFL_MTHLY_AMORTIZATION_AMT,
				tblDisbursements.REFL_AMORTIZATION_MTH  = tblDisbs_Mth_REFL_Temp.REFL_AMORTIZATION_MTH,
		tblDisbursements.DAT_LAS_UPDT   = @CUR_PRC_DAT
		FROM    tblDisbs_Mth_REFL_Temp,
				tblDisbursements
		WHERE ( tblDisbs_Mth_REFL_Temp.LN_NUM      = tblDisbursements.LN_NUM
		AND     tblDisbs_Mth_REFL_Temp.ACU_DSB_DAT = tblDisbursements.ACU_DSB_DAT
			)
		IF    ( @@ROWCOUNT <> @COUNT_DSB OR @@ERROR <> 0 )
		BEGIN
				SELECT @ErrorMessage = 'uspDisbursements_Mthly_REFL;  2.5;' +
							'UPDATE tblDisbs_Mth_REFL_Temp:  UPDATE THE DISBURSEMENT WITH THE MONTHLY REFERRAL FEE AMORTIZATION - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 	
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 2.6 - UPDATE AMORTIZATION STATUS IF THE NEW BALANCE IS     */
/*      *            ZERO OR LESS OR THE LOANS CURRENT LOAN BALANCE IS    */
/*      *            ZERO OR LESS.                                        */
/*      *******************************************************************/
		UPDATE  tblDisbursements
		SET     tblDisbursements.REFL_AMORTIZATION_STATUS_IND = 'N',
		tblDisbursements.DAT_LAS_UPDT = @CUR_PRC_DAT
		FROM    tblDisbursements,
				tblLoans
		WHERE   tblDisbursements.LN_NUM = tblLoans.LN_NUM
		AND   ( tblDisbursements.REFL_AMT_REM_TO_AMORTIZE <= 0 OR tblLoans.CUR_LN_BAL <= 0 )
		IF    ( @@ERROR <> 0 )
		BEGIN
        			SELECT @ErrorMessage = 'uspDisbursements_Mthly_REFL; 2.6;' + 
			' UPDATE tblDisbursements: UPDATE AMORTIZATION STATUS - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 	
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 3.1 - COMMIT TRANSACTIONS IF THERE WERE NO ERRORS          */
/*      *******************************************************************/
COMMIT TRANSACTION trnDisbursements_Mthly_REFL
/*      *******************************************************************/
/*      * END PROC uspDisbursements_Mthly_REFL                        */
/*      *******************************************************************/
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[uspMthly_Loans_Amort_Upd1]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspMthly_Loans_Amort_Upd1]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[uspLoans_Mthly_Amort_Upd1]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspLoans_Mthly_Amort_Upd1]
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.uspMthly_Loans_Amort_Upd1    Script Date: 12/5/2003 4:05:14 PM ******/

/****** Object:  Stored Procedure dbo.uspMthly_Loans_Amort_Upd1    Script Date: 4/11/2003 10:36:53 AM ******/
/****** Object:  Stored Procedure dbo.uspMthly_Loans_Amort_Upd1    Script Date: 3/24/2003 1:02:18 PM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Mthly_Amort_Upd1    Script Date: 01/09/2001 1:02:30 PM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Mthly_Amort_Upd1    Script Date: 8/28/00 12:00:40 PM ******/
CREATE PROCEDURE uspMthly_Loans_Amort_Upd1
@ErrorMessage  VARCHAR(5000) OUTPUT
AS
SET NOCOUNT ON
/*      *******************************************************************/
/*      * PROC - uspLoans_Mthly_Amort_Upd1                                */
/*      *******************************************************************/
BEGIN TRANSACTION trnLoans_Mthly_Amort_Upd1
/*      *******************************************************************/
/*      * STEP 1.1 - DECLARE LOCAL VARIABLES                              */
/*      *******************************************************************/
DECLARE @COUNT_LNS  NUMERIC(9)
DECLARE @COUNT_ROW  NUMERIC(9)
DECLARE @CURR_DATE  DATETIME
DECLARE @ERROR_COD  NUMERIC(5)
/*      *******************************************************************/
/*      * STEP 1.2 - VERIFY TODAYS CURRENT PROCESSING DATE EXISTS         */
/*      *******************************************************************/
		SELECT  @CURR_DATE = ( SELECT CUR_PRC_DAT FROM tblSysDate )
		IF    ( @@ROWCOUNT <> 1 OR @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspMthly_Loans_Amort_Upd1; 1.2; SELECT tblSysDate: VERIFY TODAYS CURRENT PROCESSING DATE - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.3 - VERIFY MONTHLY PROCESSING  THE MONTH OF THE PREVIOUS */
/*      *            PROCESSING DATE SHOULD BE LESS THAN THE MONTH OF THE */
/*      *            CURRENT PROCESSING DATE WHICH WILL ONLY OCCUR ON THE */
/*      *            FIRST PROCESSING DAY OF EACH MONTH.                  */
/*      *******************************************************************/
		SELECT  @COUNT_ROW = COUNT(*)
		FROM    tblSysDate
		WHERE   DATEDIFF(month, PRV_PRC_DAT, CUR_PRC_DAT) = 1
		IF    ( @COUNT_ROW <> 1 OR @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspMthly_Loans_Amort_Upd1; 1.3;SELECT tblSysDate:  VERIFY MONTHLY PROCESSING - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 2.1 - CREATE TEMP TABLE OF ALL LOANS TO BE AMORTIZED       */
/*      * 8/28/00  Added  FAS91_AMT_REM_TO_AMORTIZE                       */
/*      *******************************************************************/
		INSERT  tblLoans_Mth_Amort_Temp
		SELECT  DISTINCT LN_NUM,
				CUR_BK_NUM,
				CUR_LN_BAL,
				SCHED_NUM,
				FAS91_AMORTIZATION_STATUS_IND,
				FAS91_AMORTIZATION_MTH,
				FAS91_MTHLY_AMORTIZATION_AMT,
				tblLoans.FAS91_AMT,
				FAS91_AMT_REM_TO_AMORTIZE
		FROM    tblLoans,
				tblDemo,
		tblSysdate,
		tblFAS91_Rates
		WHERE ( FAS91_AMORTIZATION_STATUS_IND = 'Y'
		AND     FAS91_AMT_REM_TO_AMORTIZE     >  0
		AND     CUR_LN_BAL                    >  0
		AND     tblLoans.CUS_NUM = tblDemo.CUS_NUM
		AND tblLoans.CUR_BK_NUM = tblFAS91_Rates.BK_NUM
		AND   ( tblSysdate.CUR_PRC_DAT >= tblFAS91_Rates.START_DAT
		AND tblSysdate.CUR_PRC_DAT <= tblFAS91_Rates.END_DAT )
		)
		SELECT  @COUNT_LNS = @@ROWCOUNT,
				@ERROR_COD = @@ERROR
		IF    ( @COUNT_LNS < 1 OR @ERROR_COD <> 0 ) 
		BEGIN
			SELECT @ErrorMessage = 'uspMthly_Loans_Amort_Upd1;  2.1; SELECT INTO tblLoans_Mth_Amort_Temp:CREATE TEMP TABLE OF ALL LOANS TO BE AMORTIZED - error'
        			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 2.2 - UPDATE THE AMORTIZATION MONTH BY 1                   */

/*      *******************************************************************/
		UPDATE tblLoans_Mth_Amort_Temp
		SET    FAS91_AMORTIZATION_MTH = FAS91_AMORTIZATION_MTH + 1
		IF    ( @@ROWCOUNT <> @COUNT_LNS OR @@ERROR <> 0 )
		BEGIN
        			SELECT @ErrorMessage = 'uspMthly_Loans_Amort_Upd1; 2.2; UPDATE tblLoans_Mth_Amort_Temp: UPDATE THE AMORTIZATION MONTH BY 1 - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	        
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *************************************************************************/
/*      * STEP 2.3 - CALCULATE MONTHLY AMORTIZATION AMOUNT   */
/*      *      Due to Unique Rates for Vintage years, conversions are */
/*      *      made to ensure amounts will amortize for the full scheduled */
/*      *      duration.        */
/*      * 8/18/2000 Gary Herington       */
/*      *************************************************************************/
		UPDATE  tblLoans_Mth_Amort_Temp
		SET     tblLoans_Mth_Amort_Temp.FAS91_MTHLY_AMORTIZATION_AMT =
			ROUND((FAS91_AMT_REM_TO_AMORTIZE * SCHED_RT) / ((REM_PCT * 12) - (SCHED_RT * (convert(int,FAS91_AMORTIZATION_MTH-1) % 12))), 2)       
		FROM    tblLoans_Mth_Amort_Temp,
				tblSchedule
		WHERE ( tblLoans_Mth_Amort_Temp.CUR_BK_NUM = tblSchedule.BK_NUM
		AND     tblLoans_Mth_Amort_Temp.SCHED_NUM  = tblSchedule.SCHED_NUM
		AND    (tblLoans_Mth_Amort_Temp.FAS91_AMORTIZATION_MTH >= tblSchedule.PERIOD_START_MTH
		AND     tblLoans_Mth_Amort_Temp.FAS91_AMORTIZATION_MTH <= tblSchedule.PERIOD_END_MTH )
		AND tblSchedule.VINTAGE_YR = DatePart(yy, Dateadd(mm, (-1* FAS91_AMORTIZATION_MTH),@CURR_DATE))
			)
		IF    ( @@ROWCOUNT <> @COUNT_LNS OR @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspMthly_Loans_Amort_Upd1; 2.3; UPDATE tblLoans_Mth_Amort_Temp: CALCULATE MONTHLY AMORTIZATION AMOUNT - error'
        			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 2.4 - USE AMOUNT REMAINING IF LESS THAN CALC MONTHLY AMOUNT*/
/*      *******************************************************************/
		UPDATE  tblLoans_Mth_Amort_Temp
		SET     tblLoans_Mth_Amort_Temp.FAS91_MTHLY_AMORTIZATION_AMT  = tblLoans.FAS91_AMT_REM_TO_AMORTIZE
		FROM    tblLoans_Mth_Amort_Temp,
				tblLoans
		WHERE   tblLoans_Mth_Amort_Temp.LN_NUM                        = tblLoans.LN_NUM
		AND     tblLoans_Mth_Amort_Temp.FAS91_MTHLY_AMORTIZATION_AMT >= tblLoans.FAS91_AMT_REM_TO_AMORTIZE
		IF    ( @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspMthly_Loans_Amort_Upd1; 2.4; UPDATE tblLoans_Mth_Amort_Temp: USE AMOUNT REMAINING IF LESS THAN CALC MONTHLY AMOUNT - error'
        			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 2.5 - UPDATE THE LOAN TABLE WITH THE MONTHLY AMORTIZATION  */
/*      *******************************************************************/
		UPDATE  tblLoans
		SET     tblLoans.FAS91_DAT_LAS_AMORTIZED        = @CURR_DATE,
				tblLoans.FAS91_TOT_AMORTIZED            = (tblLoans.FAS91_TOT_AMORTIZED +
														tblLoans_Mth_Amort_Temp.FAS91_MTHLY_AMORTIZATION_AMT),
				tblLoans.FAS91_AMT_REM_TO_AMORTIZE      = (tblLoans.FAS91_AMT_REM_TO_AMORTIZE -
														tblLoans_Mth_Amort_Temp.FAS91_MTHLY_AMORTIZATION_AMT),
				tblLoans.FAS91_MTHLY_AMORTIZATION_AMT   = tblLoans_Mth_Amort_Temp.FAS91_MTHLY_AMORTIZATION_AMT,
				tblLoans.FAS91_AMORTIZATION_MTH  = tblLoans_Mth_Amort_Temp.FAS91_AMORTIZATION_MTH,
		tblLoans.DAT_LAS_UPDT   = @CURR_DATE
		FROM    tblLoans_Mth_Amort_Temp,
				tblLoans
		WHERE   tblLoans_Mth_Amort_Temp.LN_NUM = tblLoans.LN_NUM
		IF    ( @@ROWCOUNT <> @COUNT_LNS OR @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspMthly_Loans_Amort_Upd1;  2.5;UPDATE tblLoans_Mth_Amort_Temp: UPDATE THE LOAN TABLE WITH THE MONTHLY AMORTIZATION - ERROR'
        			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 2.6 - UPDATE AMORTIZATION STATUS IF THE NEW BALANCE IS     */
/*      *            ZERO OR LESS                                         */
/*      *******************************************************************/
		UPDATE  tblLoans
		SET     tblLoans.FAS91_AMORTIZATION_STATUS_IND = 'N',
		tblLoans.DAT_LAS_UPDT = @CURR_DATE
		FROM    tblLoans
		WHERE   (tblLoans.FAS91_AMT_REM_TO_AMORTIZE <= 0 or tblLoans.CUR_LN_BAL <=0)
		IF    ( @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspMthly_Loans_Amort_Upd1; 2.6;UPDATE tblLoans: UPDATE AMORTIZATION STATUS - error'
        			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 3.1 - COMMIT TRANSACTIONS IF THERE WERE NO ERRORS          */
/*      *******************************************************************/
COMMIT TRANSACTION trnLoans_Mthly_Amort_Upd1
/*      *******************************************************************/
/*      * END PROC uspLoans_Mthly_Amort_Upd1                              */
/*      *******************************************************************/
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[uspMthly_Report_Tables_Del]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspMthly_Report_Tables_Del]
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.uspMthly_Report_Tables_Del    Script Date: 12/5/2003 4:05:14 PM ******/
/****** Object:  Stored Procedure dbo.uspMthly_Report_Tables_Del    Script Date: 5/23/2003 8:29:07 AM ******/
CREATE PROCEDURE [dbo].[uspMthly_Report_Tables_Del] @ErrorMessage VARCHAR(5000)OUTPUT
AS
 
/*      *******************************************************************/
/*      * PROC - uspMthly_Report_Tables_Del                               */                                  
/*      *******************************************************************/
SET NOCOUNT ON
/*      *******************************************************************/
/*      * STEP 1.0 - DECLARE LOCAL VARIABLES								*/                                  
/*      *******************************************************************/
--NONE
/*  *********************************************************************/
/*  *   STEP 1.1 - TRUNCATE REPORT TABLE tblMthly_Rpt_CanRef_FAS91_BC23    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblMthly_Rpt_CanRef_FAS91_BC23
	IF (@@ERROR <> 0)
	BEGIN
	SELECT @ErrorMessage ='uspMthly_Report_Tables_Del (1.1); UNABLE TO TRUNCATE REPORT TABLE:  tblMthly_Rpt_CanRef_FAS91_BC23  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.2 - TRUNCATE REPORT TABLE tblMthly_Rpt_Disb_FAS91    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblMthly_Rpt_Disb_FAS91
	IF (@@ERROR <> 0)
	BEGIN
	SELECT @ErrorMessage ='uspMthly_Report_Tables_Del (1.2); UNABLE TO TRUNCATE REPORT TABLE:  tblMthly_Rpt_Disb_FAS91  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.3 - TRUNCATE REPORT TABLE tblMthly_Rpt_FAS91_Amort    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblMthly_Rpt_FAS91_Amort
	IF (@@ERROR <> 0)
	BEGIN
	SELECT @ErrorMessage ='uspMthly_Report_Tables_Del (1.3); UNABLE TO TRUNCATE REPORT TABLE:  tblMthly_Rpt_FAS91_Amort  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.4 - TRUNCATE REPORT TABLE tblMthly_Rpt_Ins_Pum_Amort    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblMthly_Rpt_Ins_Pum_Amort
	IF (@@ERROR <> 0)
	BEGIN
	SELECT @ErrorMessage ='uspMthly_Report_Tables_Del (1.4); UNABLE TO TRUNCATE REPORT TABLE:  tblMthly_Rpt_Ins_Pum_Amort  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.5 - TRUNCATE REPORT TABLE tblMthly_Loan_WDown_Distinct    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblMthly_Rpt_Loan_WDown_Distinct
	IF (@@ERROR <> 0)
	BEGIN
	SELECT @ErrorMessage ='uspMthly_Report_Tables_Del (1.5); UNABLE TO TRUNCATE REPORT TABLE:  tblMthly_Loan_WDown_Distinct  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.6 - TRUNCATE REPORT TABLE tblMthly_Rpt_Loans_Write_Down    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblMthly_Rpt_Loans_Write_Down
	IF (@@ERROR <> 0)
	BEGIN
	SELECT @ErrorMessage ='uspMthly_Report_Tables_Del (1.6); UNABLE TO TRUNCATE REPORT TABLE:  tblMthly_Rpt_Loans_Write_Down  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.7 - POPULATE REPORT TABLE tblMthly_Rpt_ProcessDate    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblMthly_Rpt_ProcessDate
	IF (@@ERROR <> 0)
	BEGIN
	SELECT @ErrorMessage ='uspMthly_Report_Tables_Del (1.7); UNABLE TO TRUNCATE REPORT TABLE:  tblMthly_Rpt_ProcessDate  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *=================================================================*/
/*  *   STEP 1.8 - POPULATE REPORT TABLE tblMthly_Rpt_REFL_FEE    */
/*  *=================================================================*/ 
	TRUNCATE TABLE tblMthly_Rpt_REFL_FEE
	IF (@@ERROR <> 0)
	BEGIN
	SELECT @ErrorMessage ='uspMthly_Report_Tables_Del (1.8); UNABLE TO TRUNCATE REPORT TABLE:  tblMthly_Rpt_REFL_FEE  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.9 - POPULATE REPORT TABLE tblMthly_Rpt_Refund    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblMthly_Rpt_Refund
	IF (@@ERROR <> 0)
	BEGIN
	SELECT @ErrorMessage ='uspMthly_Report_Tables_Del (1.9); UNABLE TO TRUNCATE REPORT TABLE:  tblMthly_Rpt_Refund  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.10 - POPULATE REPORT TABLE tblMthly_Rpt_Rev_FAS91_BC4TO7    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblMthly_Rpt_Rev_FAS91_BC4TO7
	IF (@@ERROR <> 0)
	BEGIN
	SELECT @ErrorMessage ='uspMthly_Report_Tables_Del (1.10); UNABLE TO TRUNCATE REPORT TABLE:  tblMthly_Rpt_Rev_FAS91_BC4TO7  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   END PROC   uspMthly_Report_Tables_Del     */
/*  *********************************************************************/
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO


if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[uspMthly_Report_Tables_Fill]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspMthly_Report_Tables_Fill]
GO


SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.uspMthly_Report_Tables_Fill    Script Date: 12/5/2003 4:05:14 PM ******/
/****** Object:  Stored Procedure dbo.uspMthly_Report_Tables_Fill    Script Date: 5/23/2003 9:19:00 AM ******/
CREATE PROCEDURE dbo.uspMthly_Report_Tables_Fill @ErrorMessage varchar(5000) OUTPUT
AS
/*      *******************************************************************/
/*      * PROC - uspMthly_Report_Tables_Fill                                      */                                  
/*      *******************************************************************/
SET NOCOUNT ON
/*      *******************************************************************/
/*      * STEP 1.0 - DECLARE LOCAL VARIABLES                  */                                  
/*      *******************************************************************/
--NONE
/*  *********************************************************************/
/*  *   STEP 1.1 - POPULATE REPORT TABLE uspMthly_Report_Tables_Fill    */
/*  *********************************************************************/ 
	INSERT INTO tblMthly_Rpt_CanRef_FAS91_BC23
	SELECT * FROM vwmMthly_CanRef_FAS91_BC23
	IF ( @@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspMthly_Report_Tables_Fill (1.1); UNABLE TO POPULATE REPORT TABLE:  tblMthly_Rpt_CanRef_FAS91_BC23  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.2 - POPULATE REPORT TABLE tblMthly_Rpt_Disb_FAS91    */
/*  *********************************************************************/ 
	INSERT INTO tblMthly_Rpt_Disb_FAS91
	SELECT * FROM vwmMthly_Disb_FAS91
	IF ( @@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspMthly_Report_Tables_Fill (1.2); UNABLE TO POPULATE REPORT TABLE:  tblMthly_Rpt_Disb_FAS91  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.3 - POPULATE REPORT TABLE tblMthly_Rpt_FAS91_Amort    */
/*  *********************************************************************/ 
	INSERT INTO tblMthly_Rpt_FAS91_Amort
	SELECT * FROM vwmMthly_FAS91_Amort
	IF ( @@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspMthly_Report_Tables_Fill (1.3); UNABLE TO POPULATE REPORT TABLE:  tblMthly_Rpt_FAS91_Amort  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.4 - POPULATE REPORT TABLE tblMthly_Rpt_Ins_Pum_Amort    */
/*  *********************************************************************/ 
	INSERT INTO tblMthly_Rpt_Ins_Pum_Amort
	SELECT * FROM  vwmMthly_Ins_Pum_Amort
	IF ( @@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspMthly_Report_Tables_Fill (1.4); UNABLE TO POPULATE REPORT TABLE:  tblMthly_Rpt_Ins_Pum_Amort  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.5 - POPULATE REPORT TABLE tblMthly_Loan_WDown_Distinct    */
/*  *********************************************************************/ 
	INSERT INTO tblMthly_Rpt_Loan_WDown_Distinct
	SELECT * FROM  vwmMthly_Loan_WDown_Distinct
	IF ( @@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspMthly_Report_Tables_Fill (1.5); UNABLE TO POPULATE REPORT TABLE:  tblMthly_Loan_WDown_Distinct  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  ********************************************************************/
/*  *   STEP 1.6 - POPULATE REPORT TABLE tblMthly_Rpt_Loans_Write_Down    */
/*  *********************************************************************/ 
	INSERT INTO tblMthly_Rpt_Loans_Write_Down
	SELECT * FROM  vwmMthly_Loans_Write_Down
	IF ( @@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspMthly_Report_Tables_Fill (1.6); UNABLE TO POPULATE REPORT TABLE:  tblMthly_Rpt_Loans_Write_Down  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.7 - POPULATE REPORT TABLE tblMthly_Rpt_ProcessDate    */
/*  *********************************************************************/ 
	INSERT INTO tblMthly_Rpt_ProcessDate
	SELECT * FROM  vwmMthly_ProcessDate
	IF ( @@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspMthly_Report_Tables_Fill (1.7); UNABLE TO POPULATE REPORT TABLE:  tblMthly_Rpt_ProcessDate  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.8 - POPULATE REPORT TABLE tblMthly_Rpt_REFL_FEE    */
/*  *********************************************************************/ 
	INSERT INTO tblMthly_Rpt_REFL_FEE
	SELECT * FROM  vwmMthly_REFL_FEE
	IF ( @@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspMthly_Report_Tables_Fill (1.8); UNABLE TO POPULATE REPORT TABLE:  tblMthly_Rpt_REFL_FEE  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.9 - POPULATE REPORT TABLE tblMthly_Rpt_Refund    */
/*  *********************************************************************/ 
	INSERT INTO tblMthly_Rpt_Refund
	SELECT * FROM  vwmMthly_Refund
	IF ( @@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspMthly_Report_Tables_Fill (1.9); UNABLE TO POPULATE REPORT TABLE:  tblMthly_Rpt_Refund  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.10 - POPULATE REPORT TABLE tblMthly_Rpt_Rev_FAS91_BC4TO7    */
/*  *********************************************************************/ 
	INSERT INTO tblMthly_Rpt_Rev_FAS91_BC4TO7
	SELECT * FROM vwmMthly_Rev_FAS91_BC4TO7
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspMthly_Report_Tables_Fill (1.10); UNABLE TO TRUNCATE REPORT TABLE:  tblMthly_Rpt_Rev_FAS91_BC4TO7  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.11 - SET INDICATORS TO REPORTS WILL BE GENERATED       */
/*  ********************************************************************/
		UPDATE tblSubSystem_Rpt
		SET tblSubSystem_Rpt.MonthlyReports = 1 

/*  *********************************************************************/
/*  *   END PROC   uspMthly_Report_Tables_Fill    */
/*  *********************************************************************/
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[uspWrite_Down_Mthly_Upd1]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspWrite_Down_Mthly_Upd1]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[uspMthly_Write_Down_Upd1]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspMthly_Write_Down_Upd1]
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.uspMthly_Write_Down_Upd1    Script Date: 12/5/2003 4:05:14 PM ******/
/****** Object:  Stored Procedure dbo.uspMthly_Write_Down_Upd1    Script Date: 4/11/2003 10:36:54 AM ******/
/****** Object:  Stored Procedure dbo.uspMthly_Write_Down_Upd1    Script Date: 3/24/2003 1:02:19 PM ******/
/****** Object:  Stored Procedure dbo.uspWrite_Down_Mthly_Upd1    Script Date: 01/09/2001 1:02:30 PM ******/
/****** Object:  Stored Procedure dbo.uspWrite_Down_Mthly_Upd1    Script Date: 8/12/99 3:57:43 PM ******/
/****** Object:  Stored Procedure dbo.uspWrite_Down_Mthly_Upd1    Script Date: 5/10/99 1:12:39 PM ******/
/****** Object:  Stored Procedure dbo.uspWrite_Down_Mthly_Upd1    Script Date: 5/4/99 2:38:53 PM ******/
/****** Object:  Stored Procedure dbo.uspWrite_Down_Mthly_Upd1    Script Date: 4/22/99 4:43:46 PM ******/
/****** Object:  Stored Procedure dbo.uspWrite_Down_Mthly_Upd1    Script Date: 3/24/99 2:58:32 PM ******/
/****** Object:  Stored Procedure dbo.uspWrite_Down_Mthly_Upd1    Script Date: 8/10/98 11:26:37 AM ******/
CREATE PROCEDURE uspMthly_Write_Down_Upd1
@ErrorMessage  VARCHAR(5000) OUTPUT
AS
SET NOCOUNT ON
/*      *******************************************************************/
/*      * PROC - uspMthly_Write_Down_Upd1                                */
/*      *******************************************************************/
BEGIN TRANSACTION trnMthly_Write_Down_Upd1
/*      *******************************************************************/
/*      * STEP 1.1 - DECLARE LOCAL VARIABLES                              */
/*      *******************************************************************/
DECLARE @COUNT_LNS  NUMERIC(9)
DECLARE @COUNT_ROW  NUMERIC(9)
DECLARE @CURR_DATE  DATETIME
DECLARE @ERROR_COD  NUMERIC(5)
/*      *******************************************************************/
/*      * STEP 1.2 - VERIFY TODAYS CURRENT PROCESSING DATE EXISTS         */
/*      *******************************************************************/
		SELECT  @CURR_DATE = ( SELECT CUR_PRC_DAT FROM tblSysDate )
		IF    ( @@ROWCOUNT <> 1 OR @@ERROR <> 0 )
		BEGIN
        			SELECT @ErrorMessage = 'uspWrite_Down_Mthly_Upd1;1.2;' +
			'SELECT tblSysDate:  VERIFY TODAYS CURRENT PROCESSING DATE - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.3 - VERIFY MONTHLY PROCESSING  THE MONTH OF THE PREVIOUS */
/*      *            PROCESSING DATE SHOULD BE LESS THAN THE MONTH OF THE */
/*      *            CURRENT PROCESSING DATE WHICH WILL ONLY OCCUR ON THE */
/*      *            FIRST PROCESSING DAY OF EACH MONTH.                  */
/*      *******************************************************************/
		SELECT  @COUNT_ROW = COUNT(*)
		FROM    tblSysDate
		WHERE   DATEDIFF(month, PRV_PRC_DAT, CUR_PRC_DAT) = 1
		IF    ( @COUNT_ROW <> 1 OR @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspWrite_Down_Mthly_Upd1; 1.3;' +
							'SELECT tblSysDate:  VERIFY MONTHLY PROCESSING - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 2.1 - SET THE FAS91 AMOUNT REMAINING TO AMORTIZE FIELDS    */
/*      *            TO ZERO FOR PRINCIPAL DECREASE TRANSACTIONS THAT     */
/*      *            HAVE A LOAN BALANCE OF ZERO OR LESS                  */
/*      *******************************************************************/
		UPDATE  tblLoans
		SET     FAS91_AMT_REM_TO_AMORTIZE  = 0,
		DAT_LAS_UPDT   = @CURR_DATE
		FROM tblLoans,
		tblSysdate
		WHERE  tblLoans.CUR_LN_BAL          <= 0  
		AND     tblLoans.PRIN_DECREASE_TRN_IND  = 'Y'
		AND     DATEDIFF(MONTH, tblLoans.PRIN_DECREASE_TRN_DAT, tblSysdate.CUR_PRC_DAT) = 1
		IF    ( @@ERROR <> 0 )
		BEGIN
				SELECT @ErrorMessage = 'uspWrite_Down_Mthly_Upd1; 2.1;' +
							'UPDATE tblLoans: SET FAS91 AMOUNT REMAINING TO AMORTIZE TO ZERO ON WRITE DOWNS - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 2.2 - SET THE AMOUNT REMAINING TO AMORTIZE FIELDS          */
/*      *            TO ZERO FOR PRINCIPAL DECREASE TRANSACTIONS THAT     */
/*      *            HAVE LOAN BALANCE OF ZERO OR LESS                    */
/*      *******************************************************************/
		UPDATE  tblDisbursements
		SET     AMT_REM_TO_AMORTIZE   = 0,
		REFL_AMT_REM_TO_AMORTIZE  = 0, 
		DAT_LAS_UPDT   = @CURR_DATE
		FROM tblDisbursements,
		tblLoans,
		tblSysdate
		WHERE  tblLoans.LN_NUM = tblDisbursements.LN_NUM
		AND tblLoans.CUR_LN_BAL          <= 0  
		AND     tblLoans.PRIN_DECREASE_TRN_IND  = 'Y'
		AND     DATEDIFF(MONTH, tblLoans.PRIN_DECREASE_TRN_DAT, tblSysdate.CUR_PRC_DAT) = 1
		IF    ( @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage ='uspWrite_Down_Mthly_Upd1; 2.2;' + 
			'UPDATE tblDisbursements: SET AMOUNT REMAINING TO AMORTIZE TO ZERO ON WRITE DOWNS - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage	
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 3.1 - COMMIT TRANSACTIONS IF THERE WERE NO ERRORS          */
/*      *******************************************************************/
COMMIT TRANSACTION trnMthly_Write_Down_Upd1
/*      *******************************************************************/
/*      * END PROC uspMthly_Write_Down_Upd1                            */
/*      *******************************************************************/
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[uspMthly_SchedRateCheck]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspMthly_SchedRateCheck]
GO


SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO


/****** Object:  Stored Procedure dbo.uspMthly_SchedRateCheck    Script Date: 4/11/2003 10:36:53 AM ******/
/****** Object:  Stored Procedure dbo.uspMthly_SchedRateCheck    Script Date: 3/24/2003 1:02:18 PM ******/

CREATE PROCEDURE dbo.uspMthly_SchedRateCheck @ErrorMessage VARCHAR(5000) OUTPUT
AS
SET NOCOUNT ON
/*      **********************************************************************************/
/*      * PROC - uspMthly_SchedRateCheck                                                */
/*      *                                                                               */                           
/*      *        Responsible for checking if its time to update the           	        */
/*      *        Schedule Rate table tblSchedule     									*/
/*		*																				*/	
/*      **********************************************************************************/
DECLARE  @PrvPrc	 AS 	DATETIME
DECLARE  @CurPrc	 AS 	DATETIME
DECLARE @YR_CHECK    AS 	INT
/*      ***********************************************************************************************************/
/*      * STEP 1.0 OBTAIN DATE DIFF BETWEEN CURRENT AND PREVIOUS PROC DATE   */
/*      ***********************************************************************************************************/
		SELECT @PrvPrc = PRV_PRC_DAT, @CurPrc = CUR_PRC_DAT FROM tblSysdate
		IF    ( @@ERROR <> 0 ) 
		BEGIN
			SELECT @ErrorMessage = 'uspMthly_SchedRateCheck;1.0; RATE CHECK ERROR'	
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage)
				RETURN
		END
/*      *****************************************************************************************************************************************/
/*      * STEP 1.2  VALIDATE THAT NO ENTRIES EXISTS IN TBLSCHEDULE FOR THE NEW YEAR		   */
/*      ******************************************************************************************************************************************/
		IF ( DATEDIFF( yy,  @PrvPrc , @CurPrc ) = 1)
		BEGIN
			SELECT DISTINCT @YR_CHECK = VINTAGE_YR FROM tblSchedule WHERE VINTAGE_YR = YEAR(@CurPrc)
			IF (@YR_CHECK IS NULL)
				BEGIN
					SELECT @ErrorMessage = 'uspMthly_SchedRateCheck;1.0; !!!!! URGENT TIME TO REPOPULATE SHEDULE RATE TABLE !!!!!!' +  
				    					'If rates are the same as previous year then execute uspYrly_SchedRateUpd1 otherwise ' +
				    					'update rates in stored procedure, uspYrly_SchedRateUpd1 then execute stored procedure.'
					EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
        					RAISERROR ('%s', 16, -1, @ErrorMessage)
        					RETURN
				END
		END
/*      *******************************************************************/
/*      * END PROC - uspMthly_SchedRateCheck              */
/*      *******************************************************************/
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[uspDaily_WriteToLog]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspDaily_WriteToLog]
GO

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO


/****** Object:  Stored Procedure dbo.uspDaily_WriteToLog    Script Date: 4/11/2003 10:36:50 AM ******/
/****** Object:  Stored Procedure dbo.uspDaily_WriteToLog    Script Date: 3/24/2003 1:02:18 PM ******/
CREATE PROCEDURE uspDaily_WriteToLog @Command	AS	VARCHAR(10), @Message 	AS  VARCHAR(1000)
AS
/*      ********************************************************************/
/*      * PROCEDURE			uspDaily_WriteToLog                           */                                  
/*      *******************************************************************/
SET NOCOUNT ON
/*      *******************************************************************/
/*      * STEP 1.0 - DECLARE LOCAL VARIABLES                  */                                  
/*      *******************************************************************/
DECLARE	@SysDate		DATETIME
DECLARE	@File 			VARCHAR(500)
DECLARE	@BckUp			VARCHAR(500)
DECLARE @execstr 		VARCHAR(1000) 
DECLARE	@ErrorMessage	VARCHAR(1000)
DECLARE	@Mes			VARCHAR(2000)


/*      ***************************************************************************/
/*      * STEP 1.0 - RESOLVE LOCATION OF THE LOG FILE    	*/                                  
/*      **************************************************************************/	
SELECT @File = Log_Loc FROM tblDaily_GlobalValues
SELECT @BckUp = Bck_Loc FROM tblDaily_GlobalValues
/*      *****************************************************************************/
/*      * STEP 1.1 - DETERMINE THE COMMAND AND TAKE ACTION       	*/                                  
/*      *****************************************************************************/
		IF @Command = 'Write'
			GOTO WriteTo_Log
		ELSE
			IF @Command  =  'Archive'
				GOTO Backup_Log
			ELSE		
	
/*      ***************************************************************************/
/*      * STEP 1.2 - WRITE TO LOG FILE (APPEND)        		*/                                  
/*      **************************************************************************/
		WriteTo_Log:
		SELECT @Mes = CONVERT(varchar(50), GetDate()) + ' --- ' + @Message
		SET @execstr = RTRIM('echo ' + COALESCE(LTRIM(@Mes),'-') +   ' >> '  + RTRIM(@File))       
		EXEC master..xp_cmdshell @execstr, NO_OUTPUT 
		IF (@@Error <> 0)
			BEGIN
				SELECT @ErrorMessage = 'uspFee_WriteToLog (1.2); UNABLE TO WRITE TO LOG' 
          				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
    				RETURN
			END
		RETURN
/*      ***************************************************************************/
/*      * STEP 1.3 - RENAME LOGFILE  			          	*/  
/*      **************************************************************************/
		Backup_Log:
		SET @execstr = 'rename ' + @File + ' ' + 'Log--' + CONVERT(VARCHAR(2), MONTH( GETDATE())) + CONVERT(VARCHAR(2),DAY( GETDATE())) + CONVERT(VARCHAR(4), YEAR( GETDATE()) ) + '--' +
					CONVERT(VARCHAR(2), DATEPART(hh, GETDATE())) + CONVERT(VARCHAR(2), DATEPART(mm, GETDATE())) + CONVERT(VARCHAR(2), DATEPART(ss, GETDATE())) +'.txt'
		EXEC master..xp_cmdshell @execstr, NO_OUTPUT 
		IF (@@Error <> 0)
		BEGIN
			SELECT @ErrorMessage = 'uspFee_WriteToLog (1.3); UNABLE TO RENAME LOGFILE' 
          			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
    			RETURN
		END

/*      ***************************************************************************/
/*      * STEP 1.4 -  MOVE LOG FILE		          		*/  
/*      **************************************************************************/
		SET @execstr = 'move ' + SUBSTRING(@File, 1, LEN(@File)-8) + '\*.txt' + ' ' + @BckUp
		--SET @execstr = 'move ' + @File + '\*.txt' + ' ' + @BckUp
		EXEC master..xp_cmdshell @execstr, NO_OUTPUT 
		IF (@@Error <> 0)
		BEGIN
			SELECT @ErrorMessage = 'uspFee_WriteToLog (1.4); UNABLE TO  MOVE LOGFILE' 
          			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
    			RETURN
		END
/*      ***************************************************************************/
/*      * STEP 1.5 - START NEW LOGFILE       		*/                                  
/*      **************************************************************************/
		SELECT @Mes = '*****************************************************     Fee Amortization Daily Log File     **********************************************' 

		SET @execstr = RTRIM('echo ' + COALESCE(LTRIM(@Mes),'-') +   ' >> '  + RTRIM(@File))       
		EXEC master..xp_cmdshell @execstr, NO_OUTPUT 
		SELECT @Mes = 'SERVERNAME:   ' + @@SERVERNAME 
		SET @execstr = RTRIM('echo ' + COALESCE(LTRIM(@Mes),'-') +   ' >> '  + RTRIM(@File))       
		EXEC master..xp_cmdshell @execstr, NO_OUTPUT 
		SELECT @Mes = 'LOGINNAME:   ' + SUSER_NAME() 
		SET @execstr = RTRIM('echo ' + COALESCE(LTRIM(@Mes),'-') +   ' >> '  + RTRIM(@File))       
		EXEC master..xp_cmdshell @execstr, NO_OUTPUT 
		SELECT @Mes =  'HOSTNAME:    ' + HOST_NAME()
		SET @execstr = RTRIM('echo ' + COALESCE(LTRIM(@Mes),'-') +   ' >> '  + RTRIM(@File))       
		EXEC master..xp_cmdshell @execstr, NO_OUTPUT 
		SELECT @SysDate = CUR_PRC_DAT FROM tblSysDate
		SELECT @Mes = 'PROCESSING DATE: ' + CONVERT( VARCHAR(11),@SysDate)
		SET @execstr = RTRIM('echo ' + COALESCE(LTRIM(@Mes),'-') +   ' >> '  + RTRIM(@File)) 
		EXEC master..xp_cmdshell @execstr, NO_OUTPUT  
		SET @execstr = 'echo.'+ '-' + '>> ' +   RTRIM(@File)      
		EXEC master..xp_cmdshell @execstr, NO_OUTPUT 

		IF (@@Error <> 0)
			BEGIN
			SELECT @ErrorMessage = 'uspFee_WriteToLog (1.5); UNABLE TO START NEW LOGFILE' 
          				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
    			RETURN
			END
		RETURN	

/*      *******************************************************************/
/*      * END PROCURE uspFee_WriteToLog                        */
/*      *******************************************************************/

GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO
/****** Object:  Stored Procedure dbo.uspCheckforReferralProcess    Script Date: 3/24/2003 1:02:18 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[uspCheckforReferralProcess]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspCheckforReferralProcess]
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.uspCheckforReferralProcess    Script Date: 4/11/2003 10:36:49 AM ******/
/****** Object:  Stored Procedure dbo.uspCheckforReferralProcess    Script Date: 3/24/2003 1:02:18 PM ******/
/****** Object:  Stored Procedure dbo.uspcheckforReferralProcess		Script Date: 01/09/2001 1:02:30 PM ******/
/****** Object:  Stored Procedure dbo.uspcheckforReferralProcess    Script Date: 8/13/99 12:44:10 PM ******/
/****** Object:  Stored Procedure dbo.uspcheckforReferralProcess   Script Date: 8/3/99 ******/
/****** Object:  Stored Procedure dbo.uspcheckforReferralProcess  Script Date: 8/4/99 ******/
CREATE PROCEDURE uspCheckforReferralProcess @RefCheck BIT OUTPUT, @ErrorMessage VARCHAR(5000) OUTPUT     
AS
SET NOCOUNT ON
/*      *******************************************************************/
/*      * STEP 1.0 DECLARE LOCAL VARIABLES                                */               
/*      *******************************************************************/
DECLARE @Refl_Sched		AS INT
DECLARE @Prd_Start_Mth	AS INT
DECLARE @Period_end_Mth	AS INT
/*      *******************************************************************/
/*      * STEP 1.0 CHECK FOR REFERRAL FEE PROCESSING                         */               
/*      *******************************************************************/
		SELECT @RefCheck = 0

		SELECT DISTINCT @Refl_Sched = REFL_SCHED, @Prd_Start_Mth= Period_Start_Mth, @Period_end_Mth = Period_end_Mth 
		FROM TBLREFL_Schedule 
		WHERE Report_Month <= (SELECT DATEPART(month,CUR_PRC_DAT) FROM tblSYSDATE) 
		AND Report_Day <= (SELECT DATEPART(day,CUR_PRC_DAT) FROM tblSYSDATE) 
		AND tblREFL_Schedule.REFL_PROC_IND = 'N'

		IF(	@@ROWCOUNT <> 0	) 
			SELECT @RefCheck = 1
			
		IF(	@@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspCheckforReferralProcess ;1.1;'
			RAISERROR ('%s', 16, -1, @ErrorMessage ) 
			RETURN
		END  
/*      *******************************************************************/
/*      * END PROC - uspCheckforReferralProcess                         */               
/*      *******************************************************************/  
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO
/****** Object:  Stored Procedure dbo.uspCheckIfYearlyReset    Script Date: 3/24/2003 1:02:18 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[uspCheckIfYearlyReset]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[uspCheckIfYearlyReset]
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF
GO
/****** Object:  Stored Procedure dbo.uspCheckIfYearlyReset    Script Date: 4/11/2003 10:36:49 AM ******/
/****** Object:  Stored Procedure dbo.uspCheckIfYearlyReset    Script Date: 3/24/2003 1:02:18 PM ******/
/****** Object:  Stored Procedure dbo.uspCheckIfYearlyReset    Script Date: 01/09/2001 1:02:30 PM ******/
/****** Object:  Stored Procedure dbo.uspCheckIfYearlyReset    Script Date: 8/12/99 3:41:14 PM ******/
/****** Object:  Stored Procedure dbo.uspCheckIfYearlyReset    Script Date: 8/10/99  ******/
CREATE PROCEDURE uspCheckIfYearlyReset @YrlyReset BIT OUTPUT, @ErrorMessage VARCHAR(5000) OUTPUT
AS
SET NOCOUNT ON
/*      *******************************************************************/
/*      * STEP 1.0 DECLARE LOCAL VARIABLES						 */
/*      *******************************************************************/
DECLARE @RET		 AS		INT    
DECLARE @CUR_PRC_DAT AS		DATETIME
/*      *******************************************************************/
/*      * STEP 1.1 DETERMINE WHETHER OR NOT TO PROCESS A GIVEN SUB-SYSTEM */
/*      *******************************************************************/
		SELECT @YrlyReset = 0
		SELECT  @CUR_PRC_DAT = CUR_PRC_DAT  
		FROM  tblSysDate 
		WHERE DATEDIFF(Year, PRV_PRC_DAT, CUR_PRC_DAT) = 1 
		IF ( @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspCheckIfYearlyReset ;1.1;SELECT tblSysDate -Error'
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.2 EXECUTE RESET REFL SCHED								*/
/*      *******************************************************************/  
		IF (@CUR_PRC_DAT IS NOT NULL)
			SELECT @YrlyReset = 1
		IF ( @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspCheckIfYearlyReset ;1.2; UNABLE TO SET @YrlyReset -Error'
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * END PROC - uspCheckIfYearlyReset                                */
/*      *******************************************************************/
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO
/****** Object:  Stored Procedure dbo.uspCheckProcessInd_Select1    Script Date: 3/24/2003 1:02:18 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[uspCheckProcessInd_Select1]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspCheckProcessInd_Select1]
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO
/****** Object:  Stored Procedure dbo.uspCheckProcessInd_Select1    Script Date: 4/11/2003 10:36:49 AM ******/
/****** Object:  Stored Procedure dbo.uspCheckProcessInd_Select1    Script Date: 3/24/2003 1:02:18 PM ******/
/****** Object:  Stored Procedure dbo.uspCheckProcessInd_Select1    Script Date: 3/14/2003 3:52:46 PM ******/
/****** Object:  Stored Procedure dbo.uspCheckProcessInd_Select1    Script Date: 01/09/2001 1:02:30 PM ******/
/****** Object:  Stored Procedure dbo.uspCheckProcessInd_Select1    Script Date: 4/22/99 4:43:44 PM ******/
/****** Object:  Stored Procedure dbo.uspCheckProcessInd_Select1    Script Date: 3/24/99 2:58:30 PM ******/
/****** Object:  Stored Procedure dbo.uspCheckProcessInd_Select1    Script Date: 8/10/98 11:26:37 AM ******/
CREATE PROCEDURE uspCheckProcessInd_Select1 @iSubSys INT, @oProcessInd INT OUTPUT, @ErrorMessage VARCHAR(5000) OUTPUT
AS
/*      ***********************************************************************************************************/
/*      * STEP 1.1 DETERMINE WHETHER OR NOT TO PROCESS A GIVEN SUB-SYSTEM */
/*      **********************************************************************************************************/
		SELECT  @oProcessInd = Process_Ind 
		FROM    tblSubSystem
		WHERE   tblSubSystem.Num = @iSubSys
		IF    ( @@ROWCOUNT <> 1 OR @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage = 'uspCheckProcessInd_Select1 (1.2); VERIFY THAT THERE ARE ENTRIES IN THE TBLSUBSYSTEM - error'
			EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage        
				RAISERROR ('%s', 16, -1, @ErrorMessage)
				RETURN
		END
/*      *******************************************************************/
/*      * END PROC - uspCheckProcessInd_Select1                 */
/*      *******************************************************************/
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO
/****** Object:  Stored Procedure dbo.uspCountDsbRecords    Script Date: 3/24/2003 1:02:18 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[uspCountDisbRecords]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspCountDisbRecords]
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.uspCountdisbRecords    Script Date: 4/11/2003 10:36:49 AM ******/
/****** Object:  Stored Procedure dbo.uspCountdisbRecords    Script Date: 8/1/2002 4:57:53 PM ******/
/****** Object:  Stored Procedure dbo.uspCountdisbRecords    Script Date: 01/09/2001 1:02:30 PM ******/
/****** Object:  Stored Procedure dbo.uspCountdisbRecords    Script Date: 9/10/99 3:53:10 PM ******/
/***** Object:   Stored Procedure dbo.uspCountDisbRecords  Script date: 9/9/99*/
CREATE PROCEDURE uspCountDisbRecords @oCountrow  Numeric  Output 
AS
/******************************************************************************/
/*   Proc uspCountDisbRecords                                                 */
/*      This procedure checks to see if any disbursement records      */
/*    are eligible to have thier Referral fees amortized            */
/******************************************************************************/
		SELECT @oCountrow = COUNT(*)
		FROM    tblDisbursements,
				tblLoans,
				tblDemo
		WHERE ((tblDisbursements.REFL_AMORTIZATION_STATUS_IND = 'Y'
		AND     tblDisbursements.REFL_AMT_REM_TO_AMORTIZE     >  0 )AND    (tblDisbursements.LN_NUM = tblLoans.LN_NUM
		AND     tblLoans.CUR_LN_BAL  >  0 )
		AND     tblLoans.CUS_NUM = tblDemo.CUS_NUM)
/*      *******************************************************************/
/*      * END PROC - uspCountdisbRecords                         */               
/*      *******************************************************************/  
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO
/****** Object:  Stored Procedure dbo.uspDaily_DelInputFiles    Script Date: 3/24/2003 1:02:18 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[uspDaily_DelInputFiles]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspDaily_DelInputFiles]
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.uspDaily_DelInputFiles    Script Date: 4/11/2003 10:36:50 AM ******/
/****** Object:  Stored Procedure dbo.uspDaily_DelInputFiles    Script Date: 3/24/2003 1:02:18 PM ******/
CREATE PROCEDURE dbo.uspDaily_DelInputFiles @ErrorMessage AS VARCHAR(5000) OUTPUT
AS
/*      *******************************************************************/
/*      * PROC - uspDaily_DelInputFiles                                   */                                  
/*      *******************************************************************/
SET NOCOUNT ON
/*      *******************************************************************/
/*      * STEP 1.0 - DECLARE LOCAL VARIABLES                  */                                  
/*      *******************************************************************/
DECLARE @txtFilLoc	VARCHAR(100)
DECLARE @SQLString	VARCHAR(100)
DECLARE @hr			BIT
/*      *******************************************************************/
/*      * STEP 1.1 - OBTAIN TEXT FILE LOCATION                  */                                  
/*      *******************************************************************/
		SELECT @txtFilLoc = Inp_Fil_Loc FROM tblDaily_GlobalValues
		IF    (@@ERROR <> 0)
		BEGIN
			SELECT @ErrorMessage = '********* uspDaily_DelInputFiles (1.1); CAN NOT OBTAIN TEXT FILE LOCATION - ERROR *********'
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage)
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.2 - DELETE ALL FILES IN THE INCOMING DIRECTORY           */ 
/*		* NOTE: USING \?*.* REMOVE CONFIRMATION							  */      
/*      *******************************************************************/
		SET @SQLString = 'del ' + @txtFilLoc + '\?*.*' 
		EXEC @hr = master..xp_cmdshell @SQLString, NO_OUTPUT 
		IF   (@hr <> 0)
		BEGIN
			SELECT @ErrorMessage = '********* uspDaily_DelInputFiles (1.2); UNABLE TO DELETE TEXT FILES - ERROR *********'
				EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
				RAISERROR ('%s', 16, -1, @ErrorMessage)
				RETURN
		END
/*      *******************************************************************/
/*      * END PROC - uspDaily_DelInputFiles                  */                                  
/*      *******************************************************************/
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO
/****** Object:  Stored Procedure dbo.uspDelete_BCPIn_Tables_Del1    Script Date: 3/24/2003 1:02:18 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[uspDelete_BCPIn_Tables_Del1]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspDelete_BCPIn_Tables_Del1]
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.uspDelete_BCPIn_Tables_Del1    Script Date: 4/11/2003 10:36:50 AM ******/
/****** Object:  Stored Procedure dbo.uspDelete_BCPIn_Tables_Del1    Script Date: 3/24/2003 1:02:18 PM ******/
/****** Object:  Stored Procedure dbo.uspDelete_BCPIn_Tables_Del1    Script Date: 01/09/2001 1:02:30 PM ******/
/****** Object:  Stored Procedure dbo.uspDelete_BCPIn_Tables_Del1    Script Date: 4/22/99 4:43:43 PM ******/
/****** Object:  Stored Procedure dbo.uspDelete_BCPIn_Tables_Del1    Script Date: 3/24/99 2:58:30 PM ******/
/****** Object:  Stored Procedure dbo.uspDelete_BCPIn_Tables_Del1    Script Date: 8/10/98 11:26:36 AM ******/
CREATE PROCEDURE uspDelete_BCPIn_Tables_Del1 @ErrorMessage	VARCHAR(5000) OUTPUT
AS
/*      *******************************************************************/
/*      * PROC - uspDelete_BCPIn_Tables_Del1                                      */                                  
/*      *******************************************************************/
SET NOCOUNT ON
/*      *******************************************************************/
/*      * STEP 1.0 - DECLARE LOCAL VARIABLES                  */                                  
/*      *******************************************************************/
/*      *******************************************************************/
/*      * STEP 1.1 - DELETE BANK TEMPORARY TABLE                          */                             
/*      *******************************************************************/
		TRUNCATE TABLE tblBank_Temp
		IF    ( @@ERROR <> 0 )
		BEGIN
				SELECT @ErrorMessage ='uspDelete_BCPIn_Tables_Del1 (1.1);TRUNCATE tblBank_Temp 
							DELETE TEMPORARY BANK TABLE PRIOR TO ADDING TODAYS - error'
				RAISERROR ('%s', 16, -1, @ErrorMessage)
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.2 - DELETE DISBURSEMENTS TEMPORARY TABLE                 */                               
/*      *******************************************************************/
		TRUNCATE TABLE tblDisbursements_Temp
		IF    ( @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage ='uspDelete_BCPIn_Tables_Del1 (1.2);  TRUNCATE tblDisbursements_Temp 
							DELETE TEMPORARY DISBURSEMENTS TABLE PRIOR TO ADDING TODAYS - error'
				RAISERROR ('%s', 16, -1, @ErrorMessage)
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.3 - DELETE CANCELLATION/REFUND TEMPORARY TABLE           */                               
/*      *******************************************************************/
		TRUNCATE TABLE tblCancelRefund_Temp
		IF    ( @@ERROR <> 0 )
		BEGIN
				SELECT @ErrorMessage ='uspDelete_BCPIn_Tables_Del1 (1.3); TRUNCATE tblCancelRefund_Temp 
							DELETE TEMPORARY CANCELLATION/REFUND TABLE PRIOR TO ADDING TODAYS - error'
				RAISERROR ('%s', 16, -1, @ErrorMessage)
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.4 - DELETE REVERSALS TEMPORARY TABLE                     */                               
/*      *******************************************************************/
		TRUNCATE TABLE tblReversals_Temp
		IF    ( @@ERROR <> 0 )
		BEGIN
			SELECT @ErrorMessage ='uspDelete_BCPIn_Tables_Del1 (1.4); TRUNCATE tblReversals_Temp 
							DELETE TEMPORARY CANCELLATION/REFUND REVERSAL TABLE PRIOR TO ADDING TODAYS - error'
				RAISERROR ('%s', 16, -1, @ErrorMessage)
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.5 - DELETE (OTHER) TRANSACTIONS TEMPORARY TABLE          */                                                 
/*      *******************************************************************/
		TRUNCATE TABLE tblTransactions_Temp
		IF    ( @@ERROR <> 0 )
		BEGIN
				SELECT @ErrorMessage ='uspDelete_BCPIn_Tables_Del1 (1.5); TRUNCATE tblTransactions_Temp 
							DELETE TEMPORARY TRANSACTIONS TABLE PRIOR TO ADDING TODAYS - error'
				RAISERROR ('%s', 16, -1, @ErrorMessage)
				RETURN
		END
/*      *******************************************************************/
/*      * END PROC uspDelete_BCPIn_Tables_Del1                        */
/*      *******************************************************************/
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO
/****** Object:  Stored Procedure dbo.uspLoans_Disb_Sales_Txns_Upd1    Script Date: 3/24/2003 1:02:18 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[uspLoans_Man_Purch_Reset_Updt]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspLoans_Man_Purch_Reset_Updt]
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF
GO

/****** Object:  Stored Procedure dbo.uspLoans_Man_Purch_Reset_Updt    Script Date: 4/11/2003 10:36:52 AM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Man_Purch_Reset_Updt    Script Date: 8/1/2002 4:57:55 PM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Man_Purch_Reset_Updt    Script Date: 01/09/2001 1:02:30 PM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Man_Purch_Reset_Updt    Script Date: 4/22/99 4:43:45 PM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Man_Purch_Reset_Updt    Script Date: 3/24/99 2:58:31 PM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Man_Purch_Reset_Updt    Script Date: 8/10/98 11:26:37 AM ******/
/****** Object:  Stored Procedure dbo.uspLoans_Man_Purch_Reset_Updt    Script Date: 6/11/98 8:38:57 AM ******/
CREATE PROCEDURE  uspLoans_Man_Purch_Reset_Updt @ErrorMessage VARCHAR(5000) OUTPUT
AS
/*      *******************************************************************/
/*      * PROC -  uspLoans_Man_Purch_Reset_Updt                           */
/*      *                                                                 */
/*      *         Loans may be sold AND purchased either by automated     */
/*      *         transfer OR by manual sale transaction AND purchase     */
/*      *         thru New Loan Entry in Diploma; they may be Repurchased */
/*      *         after Claim, OR may be Deleted AND Reset(Repuchased)    */
/*      *         due to some irreversable problem ON Diploma.            */
/*      *                                                                 */
/*      *         This update is for manual transfers AND Loan Reset      */
/*      *         ( Loan Number has changed ) AND inserts the relevent    */
/*      *         transaction into a holding table for manual processing. */
/*      *                                                                 */
/*      *******************************************************************/
BEGIN TRANSACTION trnLoans_Man_Purch_Reset_Updt
/*      *******************************************************************/
/*      * STEP 1.1 - DECLARE LOCAL VARIABLES                              */
/*      *******************************************************************/
DECLARE @COUNT_PURCH_TXNS  NUMERIC(9)
DECLARE @COUNT_RESET_TXNS  NUMERIC(9)
DECLARE @CUR_PRC_DAT       DATETIME
DECLARE @ERROR_CODE        NUMERIC(5)
/*      *******************************************************************/
/*      * STEP 1.2 - VERIFY TODAYS CURRENT PROCESSING DATE                */
/*      *******************************************************************/
		SELECT  @CUR_PRC_DAT = CUR_PRC_DAT 
		FROM    tblSysDate
		IF    ( @@ROWCOUNT <> 1 OR @@ERROR <> 0 )
		BEGIN
				SELECT @ErrorMessage = 'uspLoans_Man_Purch_Reset_Updt (1.2);
							SELECT tblSysDate: 
							VERIFY TODAYS CURRENT PROCESSING DATE - error'
				RAISERROR ('%s', 16, -1, @ErrorMessage )
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.3 - VERIFY ALL TRANSACTIONS HAVE THE SAME DATE           */
/*      *******************************************************************/
		SELECT  * FROM    tblTransactions_Temp
		WHERE   tblTransactions_Temp.TRN_DAT <> @CUR_PRC_DAT
		IF    ( @@ROWCOUNT <> 0 OR @@ERROR <> 0 )
		BEGIN
				SELECT @ErrorMessage = ' uspLoans_Man_Purch_Reset_Updt (1.3);
							SELECT tblTransactions_Temp; 
							VERIFY ALL TRANSACTIONS HAVE THE SAME DATE - error'
				RAISERROR ('%s', 16, -1, @ErrorMessage )
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.4 - COUNT THE NUMBER OF MANUAL PURCHASE TRANS            */
/*      *******************************************************************/
		SELECT  LN_NUM
		FROM    tblTransactions_Temp
		WHERE   tblTransactions_Temp.TRN_COD = 55300
		AND     tblTransactions_Temp.LN_NUM  NOT IN (SELECT LN_NUM FROM tblLoans)
		SELECT  @COUNT_PURCH_TXNS = @@ROWCOUNT,
				@ERROR_CODE = @@ERROR   
		IF      @ERROR_CODE <> 0
		BEGIN
				SELECT @ErrorMessage = ' uspLoans_Man_Purch_Reset_Updt (1.4);
							SELECT tblTransactions_Temp;  
							COUNT THE NUMBER OF MANUAL PURCHASE TRANS - error'
				RAISERROR ('%s', 16, -1, @ErrorMessage )
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.5 - COUNT THE NUMBER OF LOAN RESET TRANSACTIONS          */
/*      *******************************************************************/
		SELECT  LN_NUM
		FROM    tblTransactions_Temp
		WHERE   tblTransactions_Temp.TRN_COD    IN (55200, 56200)
		AND     tblTransactions_Temp.LN_NUM NOT IN (SELECT LN_NUM FROM tblLoans)
		SELECT  @COUNT_RESET_TXNS = @@ROWCOUNT ,
				@ERROR_CODE = @@ERROR     
		IF      @ERROR_CODE <> 0
		BEGIN
				SELECT @ErrorMessage = ' uspLoans_Man_Purch_Reset_Updt (1.5); 
							SELECT tblTransactions_Temp;  
							COUNT THE NUMBER OF LOAN RESET TRANSACTIONS - error'
				RAISERROR ('%s', 16, -1, @ErrorMessage )
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *********************************************************************/
/*      * STEP 2.1 - ARCHIVE PURCHASE TRANSACTIONS THAT CANNOT BE PROCESSED */
/*      *********************************************************************/
		INSERT  tblTransactions_Ln_Pur_Arch
		SELECT  LN_NUM,
				TRN_COD,
				BK_NUM,
				TRN_DAT,
				TRN_AMT,
				ADJ_PRIN,
				ADJ_INT,
				LN_TYP_ALH,
				APP,
				ORG_LVL_NUM_3,
				@CUR_PRC_DAT
		FROM    tblTransactions_Temp
		WHERE   tblTransactions_Temp.TRN_COD = 55300
		AND     tblTransactions_Temp.LN_NUM NOT IN (SELECT LN_NUM FROM tblLoans)
		IF    ( @@ROWCOUNT <> @COUNT_PURCH_TXNS OR @@ERROR <> 0 ) 
		BEGIN
				SELECT @ErrorMessage = 'uspLoans_Man_Purch_Reset_Updt (2.1);
							INSERT  tblTransactions_Ln_Pur_Arch: 
							ARCHIVE PURCHASE TRANSACTIONS THAT CANNOT BE PROCESSED - error'
				RAISERROR ('%s', 16, -1, @ErrorMessage )
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *********************************************************************/
/*      * STEP 2.2 - DELETE ARCHIVED TRANSACTIONS THAT CANNOT BE PROCESSED  */
/*      *********************************************************************/
		DELETE  tblTransactions_Temp
		WHERE   tblTransactions_Temp.TRN_COD = 55300
		AND     tblTransactions_Temp.LN_NUM NOT IN (SELECT LN_NUM FROM tblLoans)
		IF    ( @@ROWCOUNT <> @COUNT_PURCH_TXNS OR @@ERROR <> 0 ) 
		BEGIN
				SELECT @ErrorMessage = 'uspLoans_Man_Purch_Reset_Updt (2.2);
							DELETE  tblTransactions_Temp: 
							DELETE ARCHIVED TRANSACTIONS THAT CANNOT BE PROCESSED - error'
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      ***********************************************************************/
/*      * STEP 3.1 - ARCHIVE LOAN RESET TRANSACTIONS THAT CANNOT BE PROCESSED */
/*      ***********************************************************************/
		INSERT  tblTransactions_Ln_Pur_Arch
		SELECT  LN_NUM,
				TRN_COD,
				BK_NUM,
				TRN_DAT,
				TRN_AMT,
				ADJ_PRIN,
				ADJ_INT,
				LN_TYP_ALH,
				APP,
				ORG_LVL_NUM_3,
				@CUR_PRC_DAT
		FROM    tblTransactions_Temp
		WHERE   tblTransactions_Temp.TRN_COD    IN (55200, 56200)
		AND     tblTransactions_Temp.LN_NUM NOT IN (SELECT LN_NUM FROM tblLoans)
		IF    ( @@ROWCOUNT <> @COUNT_RESET_TXNS OR @@ERROR <> 0 ) 
		BEGIN
				SELECT @ErrorMessage = 'uspLoans_Man_Purch_Reset_Updt (3.1);
							INSERT  tblTransactions_Ln_Pur_Arch: 
							ARCHIVE LOAN RESET TRANSACTIONS THAT CANNOT BE PROCESSED - error'
				RAISERROR ('%s', 16, -1, @ErrorMessage )           
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *********************************************************************/
/*      * STEP 3.2 - DELETE ARCHIVED TRANSACTIONS THAT CANNOT BE PROCESSED  */
/*      *********************************************************************/
		DELETE  tblTransactions_Temp
		WHERE   tblTransactions_Temp.TRN_COD    IN (55200, 56200)
		AND     tblTransactions_Temp.LN_NUM NOT IN (SELECT LN_NUM FROM tblLoans)
		IF    ( @@ROWCOUNT <> @COUNT_RESET_TXNS OR @@ERROR <> 0 ) 
		BEGIN
				SELECT @ErrorMessage = 'uspLoans_Man_Purch_Reset_Updt (3.2);
							DELETE  tblTransactions_Temp: 
							DELETE ARCHIVED TRANSACTIONS THAT CANNOT BE PROCESSED - error'
				RAISERROR ('%s', 16, -1, @ErrorMessage ) 
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 4.1 - COMMIT TRANSACTIONS IF NO ERRORS                     */
/*      *******************************************************************/
COMMIT TRANSACTION trnLoans_Man_Purch_Reset_Updt
/*      *******************************************************************/
/*      * END PROC - uspLoans_Man_Purch_Reset_Updt                        */
/*      *******************************************************************/
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO
/****** Object:  Stored Procedure dbo.uspProcessReset_Upd1    Script Date: 3/24/2003 1:02:18 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[uspProcessReset_Update1]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspProcessReset_Update1]
GO

/****** Object:  Stored Procedure dbo.uspProcessReset_Upd1    Script Date: 3/24/2003 1:02:18 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[uspProcessReset_Upd1]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspProcessReset_Upd1]
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.uspProcessReset_Upd1    Script Date: 4/11/2003 10:36:54 AM ******/
/****** Object:  Stored Procedure dbo.uspProcessReset_Upd1    Script Date: 3/24/2003 1:02:19 PM ******/
/****** Object:  Stored Procedure dbo.uspProcessReset_Upd1    Script Date: 3/21/2003 11:44:40 AM ******/

CREATE PROCEDURE uspProcessReset_Upd1  @ErrorMessage VARCHAR(5000) OUTPUT
AS

SET NOCOUNT ON
/*      *******************************************************************/
/*      * STEP 1.0 UPDATE PROCESS INDICATOR ON SUBSYSTEM TABLE TO FALSE   */
/*      *******************************************************************/
		UPDATE  tblSubSystem
		SET       tblSubSystem.PROCESS_IND = 1
		IF    ( @@ERROR <> 0 )
		BEGIN
				SELECT @ErrorMessage = 'uspProcessReset_Upd1;1.1;UPDATE tblSubSystem:Error'	
				RAISERROR ('%s', 16, -1, @ErrorMessage)
				RETURN
		END
/*      *******************************************************************/
/*      * STEP 1.1 - UPDATE PROCESS INDICATOR ON THE SYSDATE TABLE TO TRUE*/
/*      *******************************************************************/
		UPDATE  tblSysDate
		SET     tblSysDate.PRC_IND = 0
		FROM    tblSysDate
		IF    ( @@ERROR <> 0 )
		BEGIN
				SELECT @ErrorMessage = 'uspSysProcessCompleted_Upd1;1.8;UPDATE tblSysDate:Error'
				RAISERROR ('%s', 16, -1, @ErrorMessage)
				RETURN
		END
/*      *******************************************************************/
/*      * END PROC - uspProcessReset_Update1                              */
/*      *******************************************************************/
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO
/****** Object:  Stored Procedure dbo.uspSysdate_Ins1    Script Date: 3/24/2003 1:02:18 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[uspUpdateReflProcessInd]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspUpdateReflProcessInd]
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO
/****** Object:  Stored Procedure dbo.uspUpdateReflProcessInd    Script Date: 4/11/2003 10:36:54 AM ******/
/****** Object:  Stored Procedure dbo.uspUpdateReflProcessInd    Script Date: 8/1/2002 4:57:53 PM ******/
/****** Object:  Stored Procedure dbo.uspUpdateReflProcessInd    Script Date: 01/09/2001 1:02:30 PM ******/
/****** Object:  Stored Procedure dbo.uspUpdateReflProcessInd    Script Date: 8/13/99 12:44:49 PM ******/
/****** Object:  Stored Procedure dbo.uspUpdateReflProcessInd   Script Date: 8/3/99 ******/
/****** Object:  Stored Procedure dbo.uspUpdateReflProcessInd  Script Date: 8/4/99 ******/
CREATE PROCEDURE uspUpdateReflProcessInd @ErrorMessage VARCHAR(5000) OUTPUT
AS
SET NOCOUNT ON
/*      *******************************************************************/
/*      * STEP 1.1 - UPDATE Referral Fee Schedule table                   */
/*      *******************************************************************/
		BEGIN
		UPDATE tblRefl_Schedule
		SET Refl_Proc_ind = 'Y'
		WHERE Report_Month <= (SELECT DATEPART(month,CUR_PRC_DAT) FROM tblSYSDATE) AND
		Report_Day <= (SELECT DATEPART(day,CUR_PRC_DAT) FROM tblSYSDATE) AND
		tblREFL_Schedule.REFL_PROC_IND = 'N'
		END
		IF    ( @@ERROR <> 0 )
		BEGIN
				RAISERROR ('uspUpdateReflProcessInd ;1.1;', 16, -1)
				ROLLBACK TRANSACTION
				RETURN
		END
/*      *******************************************************************/
/*      * END PROCEDURE - Referral Fee Schedule                                */
/*      *******************************************************************/

GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO
/****** Object:  Stored Procedure dbo.uspYrly_SchedRateUpdate    Script Date: 3/24/2003 1:02:18 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[uspYrly_SchedRateUpd1]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspYrly_SchedRateUpd1]
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.uspYrly_SchedRateUpd1    Script Date: 4/11/2003 10:36:54 AM ******/
/****** Object:  Stored Procedure dbo.uspYrly_SchedRateUpdate    Script Date: 3/24/2003 1:02:19 PM ******/
/****** Object:  Stored Procedure dbo.uspYrly_SchedRateUpdate    Script Date: 1/21/2003 10:03:04 AM ******/
CREATE PROCEDURE dbo.uspYrly_SchedRateUpd1 @ErrorMessage VARCHAR(5000) OUTPUT
AS
SET NOCOUNT ON
/*      **********************************************************************************/
/*      * PROC - uspYrly_SchedRateUpd1                                                */
/*      *                                                                                                          */
/*      *    Responsible for updating the Schedule Rate Table tblSchedule   */
/*      *            			          				         */
/*      *********************************************************************************/
/*      ******************************************************************************************************/
/*      * STEP 1.0 INSERT NEW RATES FOR BANK 10 USINGTHE CURRENT YEAR       */
/*      ******************************************************************************************************/
---- BK_NUM  SCHED_NUM VINTAGE_YR PERIOD_START_MTH PERIOD_END_MTH SCHED_RT REM_PCT DAT_LAS_UPDT
INSERT INTO tblSchedule VALUES( '10', '1', YEAR(GETDATE()), '0',      '12',    '.0638' ,  '1.0000',  GETDATE() )
INSERT INTO tblSchedule VALUES( '10', '1', YEAR(GETDATE()), '13',    '24',    '.0812',   '.9362',    GETDATE() )
INSERT INTO tblSchedule VALUES( '10', '1', YEAR(GETDATE()), '25',    '36',    '.0882',   '.8550',    GETDATE() )
INSERT INTO tblSchedule VALUES( '10', '1', YEAR(GETDATE()), '37',    '48',    '.0937' ,  '.7668',    GETDATE() )
INSERT INTO tblSchedule VALUES( '10', '1', YEAR(GETDATE()), '49',    '60',    '.0907',   '.6731',    GETDATE() )
INSERT INTO tblSchedule VALUES( '10', '1', YEAR(GETDATE()), '61',    '72',    '.0871',   '.5824',    GETDATE() )
INSERT INTO tblSchedule VALUES( '10', '1', YEAR(GETDATE()), '73',    '84',    '.0820',   '.4953',    GETDATE() )
INSERT INTO tblSchedule VALUES( '10', '1', YEAR(GETDATE()), '85',    '96',    '.0764',   '.4133',    GETDATE() )
INSERT INTO tblSchedule VALUES( '10', '1', YEAR(GETDATE()), '97',    '108',  '.0703',   '.3369',    GETDATE() )
INSERT INTO tblSchedule VALUES( '10', '1', YEAR(GETDATE()), '109',  '120',  '.0636',   '.2666',    GETDATE() )
INSERT INTO tblSchedule VALUES( '10', '1', YEAR(GETDATE()), '121',  '132',  '.0563',   '.2030',    GETDATE() )
INSERT INTO tblSchedule VALUES( '10', '1', YEAR(GETDATE()), '133',  '144',  '.0483',   '.1467',    GETDATE() )
INSERT INTO tblSchedule VALUES( '10', '1', YEAR(GETDATE()), '145',  '156',  '.0397',   '.0984',    GETDATE() )
INSERT INTO tblSchedule VALUES( '10', '1', YEAR(GETDATE()), '157',  '168',  '.0302',   '.0587',    GETDATE() )
INSERT INTO tblSchedule VALUES( '10', '1', YEAR(GETDATE()), '169',  '180',  '.0285',   '.0285',    GETDATE() )
IF    ( @@ROWCOUNT > 1 OR @@ERROR <> 0 )
  BEGIN
        	SELECT @ErrorMessage = 'uspYrly_SchedRateUpd1; 1.0; INSERT INTO tblSchedule ERROR'
        RAISERROR ('%s', 16, -1, @ErrorMessage ) 
        ROLLBACK TRANSACTION
        RETURN
  END
/*      ******************************************************************************************************/
/*      * STEP 2.0 INSERT NEW RATES FOR BANK 20 USING THE CURRENT YEAR       */
/*      *******************************************************************************************************/
---- BK_NUM  SCHED_NUM VINTAGE_YR PERIOD_START_MTH PERIOD_END_MTH SCHED_RT REM_PCT DAT_LAS_UPDT
INSERT INTO tblSchedule VALUES( '20', '1', YEAR(GETDATE()), '0',      '12',    '.0638' ,  '1.0000',  GETDATE() )
INSERT INTO tblSchedule VALUES( '20', '1', YEAR(GETDATE()), '13',    '24',    '.0812',   '.9362',    GETDATE() )
INSERT INTO tblSchedule VALUES( '20', '1', YEAR(GETDATE()), '25',    '36',    '.0882',   '.8550',    GETDATE() )
INSERT INTO tblSchedule VALUES( '20', '1', YEAR(GETDATE()), '37',    '48',    '.0937' ,  '.7668',    GETDATE() )
INSERT INTO tblSchedule VALUES( '20', '1', YEAR(GETDATE()), '49',    '60',    '.0907',   '.6731',    GETDATE() )
INSERT INTO tblSchedule VALUES( '20', '1', YEAR(GETDATE()), '61',    '72',    '.0871',   '.5824',    GETDATE() )
INSERT INTO tblSchedule VALUES( '20', '1', YEAR(GETDATE()), '73',    '84',    '.0820',   '.4953',    GETDATE() )
INSERT INTO tblSchedule VALUES( '20', '1', YEAR(GETDATE()), '85',    '96',    '.0764',   '.4133',    GETDATE() )
INSERT INTO tblSchedule VALUES( '20', '1', YEAR(GETDATE()), '97',    '108',  '.0703',   '.3369',    GETDATE() )
INSERT INTO tblSchedule VALUES( '20', '1', YEAR(GETDATE()), '109',  '120',  '.0636',   '.2666',    GETDATE() )
INSERT INTO tblSchedule VALUES( '20', '1', YEAR(GETDATE()), '121',  '132',  '.0563',   '.2030',    GETDATE() )
INSERT INTO tblSchedule VALUES( '20', '1', YEAR(GETDATE()), '133',  '144',  '.0483',   '.1467',    GETDATE() )
INSERT INTO tblSchedule VALUES( '20', '1', YEAR(GETDATE()), '145',  '156',  '.0397',   '.0984',    GETDATE() )
INSERT INTO tblSchedule VALUES( '20', '1', YEAR(GETDATE()), '157',  '168',  '.0302',   '.0587',    GETDATE() )
INSERT INTO tblSchedule VALUES( '20', '1', YEAR(GETDATE()), '169',  '180',  '.0285',   '.0285',    GETDATE() )
IF    ( @@ROWCOUNT > 1 OR @@ERROR <> 0 )
  BEGIN
        	SELECT @ErrorMessage = 'uspYrly_SchedRateUpd1; 2.0; INSERT INTO tblSchedule ERROR'
        RAISERROR ('%s', 16, -1, @ErrorMessage ) 
        ROLLBACK TRANSACTION
        RETURN
  END
/*      *******************************************************************/
/*      * END PROCEDURE - uspYrly_SchedRateUpd1                                */
/*      *******************************************************************/
GO
/****** Object:  Stored Procedure dbo.uspDaily_Report_Tables_Del    Script Date: 5/23/2003 8:29:07 AM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[uspDaily_Report_Tables_Del]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspDaily_Report_Tables_Del]
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO
/****** Object:  Stored Procedure dbo.uspMthly_Report_Tables_Del    Script Date: 5/23/2003 8:29:07 AM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[uspMthly_Report_Tables_Del]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspMthly_Report_Tables_Del]
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO
/****** Object:  Stored Procedure dbo.uspMthly_Report_Tables_Del    Script Date: 10/29/2003 8:57:41 AM ******/
/****** Object:  Stored Procedure dbo.uspMthly_Report_Tables_Del    Script Date: 5/23/2003 8:29:07 AM ******/
CREATE PROCEDURE [dbo].[uspMthly_Report_Tables_Del] @ErrorMessage VARCHAR(5000)
AS
 
/*      *******************************************************************/
/*      * PROC - uspMthly_Report_Tables_Del                                      */                                  
/*      *******************************************************************/
SET NOCOUNT ON
/*      *******************************************************************/
/*      * STEP 1.0 - DECLARE LOCAL VARIABLES                  */                                  
/*      *******************************************************************/
--NONE
/*  *********************************************************************/
/*  *   STEP 1.1 - TRUNCATE REPORT TABLE tblMthly_Rpt_CanRef_FAS91_BC23    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblMthly_Rpt_CanRef_FAS91_BC23
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspMthly_Report_Tables_Del (1.1); UNABLE TO TRUNCATE REPORT TABLE:  tblMthly_Rpt_CanRef_FAS91_BC23  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.2 - TRUNCATE REPORT TABLE tblMthly_Rpt_Disb_FAS91    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblMthly_Rpt_Disb_FAS91
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspMthly_Report_Tables_Del (1.2); UNABLE TO TRUNCATE REPORT TABLE:  tblMthly_Rpt_Disb_FAS91  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  ********************************************************************/
/*  *   STEP 1.3 - TRUNCATE REPORT TABLE tblMthly_Rpt_FAS91_Amort    */
/*  *********************************************************************/ 

/*  *********************************************************************/
/*  *   STEP 1.4 - TRUNCATE REPORT TABLE tblMthly_Rpt_Ins_Pum_Amort    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblMthly_Rpt_Ins_Pum_Amort
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspMthly_Report_Tables_Del (1.4); UNABLE TO TRUNCATE REPORT TABLE:  tblMthly_Rpt_Ins_Pum_Amort  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.5 - TRUNCATE REPORT TABLE tblMthly_Loan_WDown_Distinct    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblMthly_Rpt_Loan_WDown_Distinct
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspMthly_Report_Tables_Del (1.5); UNABLE TO TRUNCATE REPORT TABLE:  tblMthly_Loan_WDown_Distinct  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.6 - TRUNCATE REPORT TABLE tblMthly_Rpt_Loans_Write_Down    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblMthly_Rpt_Loans_Write_Down
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspMthly_Report_Tables_Del (1.6); UNABLE TO TRUNCATE REPORT TABLE:  tblMthly_Rpt_Loans_Write_Down  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.7 - TRUNCATE REPORT TABLE tblMthly_Rpt_ProcessDate    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblMthly_Rpt_ProcessDate
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspMthly_Report_Tables_Del (1.7); UNABLE TO TRUNCATE REPORT TABLE:  tblMthly_Rpt_ProcessDate  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.8 - TRUNCATE REPORT TABLE tblMthly_Rpt_REFL_FEE    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblMthly_Rpt_REFL_FEE
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspMthly_Report_Tables_Del (1.8); UNABLE TO TRUNCATE REPORT TABLE:  tblMthly_Rpt_REFL_FEE  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.9 - TRUNCATE REPORT TABLE tblMthly_Rpt_Refund    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblMthly_Rpt_Refund
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspMthly_Report_Tables_Del (1.9); UNABLE TO TRUNCATE REPORT TABLE:  tblMthly_Rpt_Refund  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.10 - TRUNCATE REPORT TABLE tblMthly_Rpt_Rev_FAS91_BC4TO7    */
/*  *********************************************************************/ 
	TRUNCATE TABLE tblMthly_Rpt_Rev_FAS91_BC4TO7
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspMthly_Report_Tables_Del (1.10); UNABLE TO TRUNCATE REPORT TABLE:  tblMthly_Rpt_Rev_FAS91_BC4TO7  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
 
/*  *********************************************************************/
/*  *   END PROC   uspMthly_Report_Tables_Del     */
/*  *********************************************************************/
GO


SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO
/****** Object:  Stored Procedure dbo.uspMthly_Report_Tables_Fill    Script Date: 5/23/2003 8:29:07 AM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[uspMthly_Report_Tables_Fill]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspMthly_Report_Tables_Fill]
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO


/****** Object:  Stored Procedure dbo.uspMthly_Report_Tables_Fill    Script Date: 5/23/2003 9:19:00 AM ******/
CREATE PROCEDURE dbo.uspMthly_Report_Tables_Fill @ErrorMessage varchar(5000) OUTPUT
AS
/*      *******************************************************************/
/*      * PROC - uspMthly_Report_Tables_Fill                                      */                                  
/*      *******************************************************************/
SET NOCOUNT ON
/*      *******************************************************************/
/*      * STEP 1.0 - DECLARE LOCAL VARIABLES                  */                                  
/*      *******************************************************************/
--NONE
/*  *********************************************************************/
/*  *   STEP 1.1 - POPULATE REPORT TABLE uspMthly_Report_Tables_Fill    */
/*  *********************************************************************/ 
	INSERT INTO tblMthly_Rpt_CanRef_FAS91_BC23
	SELECT * FROM vwmMthly_CanRef_FAS91_BC23
	IF ( @@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspMthly_Report_Tables_Fill (1.1); UNABLE TO POPULATE REPORT TABLE:  tblMthly_Rpt_CanRef_FAS91_BC23  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.2 - POPULATE REPORT TABLE tblMthly_Rpt_Disb_FAS91    */
/*  *********************************************************************/ 
	INSERT INTO tblMthly_Rpt_Disb_FAS91
	SELECT * FROM vwmMthly_Disb_FAS91
	IF ( @@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspMthly_Report_Tables_Fill (1.2); UNABLE TO POPULATE REPORT TABLE:  tblMthly_Rpt_Disb_FAS91  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.3 - POPULATE REPORT TABLE tblMthly_Rpt_FAS91_Amort    */
/*  *********************************************************************/ 
	INSERT INTO tblMthly_Rpt_FAS91_Amort
	SELECT * FROM vwmMthly_FAS91_Amort
	IF ( @@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspMthly_Report_Tables_Fill (1.3); UNABLE TO POPULATE REPORT TABLE:  tblMthly_Rpt_FAS91_Amort  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.4 - POPULATE REPORT TABLE tblMthly_Rpt_Ins_Pum_Amort    */
/*  ********************************************************************/ 
	INSERT INTO tblMthly_Rpt_Ins_Pum_Amort
	SELECT * FROM  vwmMthly_Ins_Pum_Amort
	IF ( @@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspMthly_Report_Tables_Fill (1.4); UNABLE TO POPULATE REPORT TABLE:  tblMthly_Rpt_Ins_Pum_Amort  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.5 - POPULATE REPORT TABLE tblMthly_Loan_WDown_Distinct    */
/*  *********************************************************************/ 
	INSERT INTO tblMthly_Rpt_Loan_WDown_Distinct
	SELECT * FROM  vwmMthly_Loan_WDown_Distinct
	IF ( @@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspMthly_Report_Tables_Fill (1.5); UNABLE TO POPULATE REPORT TABLE:  tblMthly_Loan_WDown_Distinct  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.6 - POPULATE REPORT TABLE tblMthly_Rpt_Loans_Write_Down    */
/*  *********************************************************************/ 
	INSERT INTO tblMthly_Rpt_Loans_Write_Down
	SELECT * FROM  vwmMthly_Loans_Write_Down
	IF ( @@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspMthly_Report_Tables_Fill (1.6); UNABLE TO POPULATE REPORT TABLE:  tblMthly_Rpt_Loans_Write_Down  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.7 - POPULATE REPORT TABLE tblMthly_Rpt_ProcessDate    */
/*  *********************************************************************/ 
	INSERT INTO tblMthly_Rpt_ProcessDate
	SELECT * FROM  vwmMthly_ProcessDate
	IF ( @@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspMthly_Report_Tables_Fill (1.7); UNABLE TO POPULATE REPORT TABLE:  tblMthly_Rpt_ProcessDate  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.8 - POPULATE REPORT TABLE tblMthly_Rpt_REFL_FEE    */
/*  *********************************************************************/ 
	INSERT INTO tblMthly_Rpt_REFL_FEE
	SELECT * FROM  vwmMthly_REFL_FEE
	IF ( @@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspMthly_Report_Tables_Fill (1.8); UNABLE TO POPULATE REPORT TABLE:  tblMthly_Rpt_REFL_FEE  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.9 - POPULATE REPORT TABLE tblMthly_Rpt_Refund    */
/*  *********************************************************************/ 
	INSERT INTO tblMthly_Rpt_Refund
	SELECT * FROM  vwmMthly_Refund
	IF ( @@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspMthly_Report_Tables_Fill (1.9); UNABLE TO POPULATE REPORT TABLE:  tblMthly_Rpt_Refund  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.10 - POPULATE REPORT TABLE tblMthly_Rpt_Rev_FAS91_BC4TO7    */
/*  *********************************************************************/ 
	INSERT INTO tblMthly_Rpt_Rev_FAS91_BC4TO7
	SELECT * FROM vwmMthly_Rev_FAS91_BC4TO7
	IF ( @@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspMthly_Report_Tables_Fill (1.10); UNABLE TO TRUNCATE REPORT TABLE:  tblMthly_Rpt_Rev_FAS91_BC4TO7  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.11 - SET INDICATORS TO REPORTS WILL BE GENERATED       */
/*  *********************************************************************/
	UPDATE tblSubSystem_Rpt
	SET tblSubSystem_Rpt.MonthlyReports = 1 

/*  *********************************************************************/
/*  *   END PROC   uspMthly_Report_Tables_Fill    */
/*  *********************************************************************/
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO
/****** Object:  Stored Procedure dbo.uspDaily_Report_Tables_Fill    Script Date: 5/23/2003 8:29:07 AM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[uspDaily_Report_Tables_Fill]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspDaily_Report_Tables_Fill]
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.uspDaily_Report_Tables_Fill    Script Date: 5/23/2003 8:29:07 AM ******/
CREATE PROCEDURE [dbo].[uspDaily_Report_Tables_Fill] @ErrorMessage VARCHAR(5000)OUTPUT
 AS
 
/*      *******************************************************************/
/*      * PROC - uspDaily_Report_Tables_Fill                                      */                                  
/*      *******************************************************************/
SET NOCOUNT ON
/*      *******************************************************************/
/*      * STEP 1.0 - DECLARE LOCAL VARIABLES                  */                                  
/*      *******************************************************************/
DECLARE @SYSDATE 	VARCHAR(8)
/*  *********************************************************************/
/*  *   STEP 1.1 - POPULATE REPORT TABLE TBLDAILY_RPT_INS_DEC    */
/*  *********************************************************************/ 
	INSERT INTO tblDaily_Rpt_Ins_Dec
	SELECT * FROM vwm_Ins_Dec
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (1.1); UNABLE TO POPULATE REPORT TABLE:  TBLDAILY_RPT_INS_DEC  - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.2 - POPULATE REPORT TABLE TBLDAILY_RPT_INS_INC    */
/*  *********************************************************************/ 
	INSERT INTO tblDaily_Rpt_Ins_Inc
	SELECT * FROM vwm_Ins_Inc
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (1.2); UNABLE TO POPULATE REPORT TABLE:  TBLDAILY_RPT_INS_INC  - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.3 - POPULATE REPORT TABLE tblDaily_Rpt_Audit    */
/*  *********************************************************************/ 
	INSERT INTO tblDaily_Rpt_Audit
	SELECT * FROM vwmAudit
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (1.3); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_Audit  - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.4 - POPULATE REPORT TABLE tblDaily_Rpt_Can_Variance    */
/*  *********************************************************************/ 
	INSERT INTO tblDaily_Rpt_Can_Variance
	SELECT * FROM vwmDaily_Can_Variance
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (1.4); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_Can_Variance  - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.5 - POPULATE REPORT TABLE tblDaily_Rpt_CanRef_FAS91_BC23    */
/*  *********************************************************************/ 
	INSERT INTO tblDaily_Rpt_CanRef_FAS91_BC23
	SELECT * FROM vwmDaily_CanRef_FAS91_BC23
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (1.5); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_CanRef_FAS91_BC23  - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.6 - POPULATE REPORT TABLE tblDaily_Rpt_CanRef_ins_Pum    */
/*  *********************************************************************/ 
	INSERT INTO tblDaily_Rpt_CanRef_Ins_Pum
	SELECT * FROM vwmDaily_CanRef_Ins_Pum
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (1.6); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_CanRef_ins_Pum  - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.7 - POPULATE REPORT TABLE tblDaily_Rpt_Disbursement_Detail    */
/*  *********************************************************************/ 
	INSERT INTO tblDaily_Rpt_Disbursement_Detail
	SELECT * FROM vwmDaily_Disbursement_Detail
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (1.7); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_Disbursement_Detail  - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.9 - POPULATE REPORT TABLE tblDaily_Rpt_Rev_FAS91_BC4TO7    */
/*  *********************************************************************/ 
	INSERT INTO tblDaily_Rpt_Rev_FAS91_BC4TO7
	SELECT * FROM vwmDaily_Rev_FAS91_BC4TO7
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (1.9); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_Rev_FAS91_BC4TO7  - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.10 - POPULATE REPORT TABLE tblDaily_Rpt_Rev_Ins_Pum    */
/*  *********************************************************************/ 
	INSERT INTO tblDaily_Rpt_Rev_Ins_Pum
	SELECT * FROM vwmDaily_Rev_Ins_Pum
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (1.10); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_Rev_Ins_Pum  - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.11 - POPULATE REPORT TABLE tblDaily_Rpt_Rev_Ins_Pum_2    */
/*  *********************************************************************/ 
	INSERT INTO tblDaily_Rpt_Rev_Ins_Pum_2
	SELECT * FROM vwmDaily_Rev_Ins_Pum_2
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (1.11); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_Rev_Ins_Pum_2  - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.12 - POPULATE REPORT TABLE tblDaily_Rpt_Bank_Mismatch    */
/*  *********************************************************************/ 
	INSERT INTO tblDaily_Rpt_Bank_Mismatch
	SELECT * FROM vwmDaily_Bank_Mismatch
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (1.12); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_Bank_Mismatch  - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.13 - POPULATE REPORT TABLE tblDaily_Rpt_Exceptions    */
/*  *********************************************************************/ 
	INSERT INTO tblDaily_Rpt_Exceptions
	SELECT * FROM vwmDaily_Exceptions
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (1.13); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_Exceptions  - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.14 - POPULATE REPORT TABLE tblDaily_Rpt_Sales    */
/*  *********************************************************************/ 
	INSERT INTO tblDaily_Rpt_Sales
	SELECT * FROM vwmDaily_Sales
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (1.14); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_Sales  - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.15 - POPULATE REPORT TABLE tblDaily_Rpt_Sales_Except    */
/*  *********************************************************************/ 
	INSERT INTO tblDaily_Rpt_Sales_Except
	SELECT * FROM vwmDaily_Sales_Except
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (1.15); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_Sales_Except  - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.16 - POPULATE REPORT TABLE tblDaily_Rpt_Trans_Deb    */
/*  *********************************************************************/ 
	INSERT INTO tblDaily_Rpt_Trans_Deb
	SELECT * FROM vwmDaily_Transaction_Debit
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (1.16); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_Trans_Deb  - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.17 - POPULATE REPORT TABLE tblDaily_Rpt_Trans_Det    */
/*  *********************************************************************/ 
	INSERT INTO tblDaily_Rpt_Trans_Det
	SELECT * FROM vwmDaily_Transaction_Detail
	IF (@@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (1.17); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_Trans_Det  - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.18 - POPULATE REPORT TABLE tblDaily_Rpt_Trail_Bal    */
/*  *********************************************************************/ 
	INSERT INTO tblDaily_Rpt_Trial_Bal
	SELECT * FROM vwmDaily_Trial_Balance
	IF (@@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (1.18); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_Trail_Bal  - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 1.19 - SET INDICATORS TO REPORTS WILL BE GENERATED       */
/*  *********************************************************************/
	UPDATE tblSubSystem_Rpt
	SET tblSubSystem_Rpt.DailyReports = 1
	IF (@@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (1.19); UNABLE TO UPDATE REPORT SUBSYSTEM_RPT TABLE: tblSubSystem_Rpt - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END 
/*  *********************************************************************/
/*  *   STEP 2.0 - POPULATE CANCEL REPORT TABLE tblDaily_Rpt_Can_Variance      */
/*  *********************************************************************/
	INSERT INTO tblDaily_Rpt_Can_Variance
	SELECT * FROM vwmDaily_Can_Variance
	IF (@@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (2.0); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_Can_Variance  - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 2.1 - POPULATE CANCEL REFUND REPORT TABLE tblDaily_Rpt_CanRef_FAS91_BC23     */
/*  *********************************************************************/
	INSERT INTO  tblDaily_Rpt_CanRef_FAS91_BC23
	SELECT * FROM vwmDaily_CanRef_FAS91_BC23
	IF (@@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (2.1); UNABLE TO POPULATE REPORT TABLE:   tblDaily_Rpt_CanRef_FAS91_BC23  - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 2.2 - POPULATE CANCEL REFUND REPORT TABLE tblDaily_Rpt_CanRef_Ins_Pum      */
/*  *********************************************************************/
	INSERT INTO  tblDaily_Rpt_CanRef_Ins_Pum
	SELECT * FROM vwmDaily_CanRef_Ins_Pum
	IF (@@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (2.2); UNABLE TO POPULATE REPORT TABLE:   tblDaily_Rpt_CanRef_Ins_Pum  - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 2.3 - POPULATE CANCEL REFUND REPORT TABLE tblDaily_Rpt_Can_Variance      */
/*  *********************************************************************/
	INSERT INTO  tblDaily_Rpt_CanRef_Ins_Pum
	SELECT * FROM vwmDaily_CanRef_Ins_Pum
	IF (@@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (2.3); UNABLE TO POPULATE REPORT TABLE:   tblDaily_Rpt_CanRef_Ins_Pum  - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 2.4 - SET INDICATORS TO REPORTS WILL BE GENERATED       */
/*  *********************************************************************/
	UPDATE tblSubSystem_Rpt
	SET tblSubSystem_Rpt.CancelRefundReports = 1
	IF (@@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (2.4); UNABLE TO UPDATE REPORT SUBSYSTEM_RPT TABLE: tblSubSystem_Rpt - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END  
/*  *********************************************************************/
/*  *   STEP 3.0 - POPULATE CANCEL REFUND REVERSAL REPORT TABLE tblDaily_Rpt_Rev_Ins_Pum      */
/*  *********************************************************************/
	INSERT INTO tblDaily_Rpt_Rev_Ins_Pum
	SELECT * FROM vwmDaily_Rev_Ins_Pum
	IF (@@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (3.0); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_Rev_Ins_Pum  - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 3.1 - POPULATE CANCEL REFUND REVERSAL REPORT TABLE tblDaily_Rpt_Rev_Ins_Pum_2      */
/*  *********************************************************************/
	INSERT INTO tblDaily_Rpt_Rev_Ins_Pum_2
	SELECT * FROM vwmDaily_Rev_Ins_Pum_2
	IF (@@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (3.1); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_Rev_Ins_Pum_2  - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 3.2 - POPULATE CANCEL REFUND REVERSAL REPORT TABLE tblDaily_Rpt_Rev_FAS91_BC4TO7      */
/*  *********************************************************************/
	INSERT INTO tblDaily_Rpt_Rev_FAS91_BC4TO7
	SELECT * FROM vwmDaily_Rev_FAS91_BC4TO7
	IF (@@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (3.2); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_Rev_FAS91_BC4TO7  - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 3.3 - SET INDICATORS TO REPORTS WILL BE GENERATED       */
/*  *********************************************************************/
	UPDATE tblSubSystem_Rpt
	SET tblSubSystem_Rpt.CancelRefRevReports = 1  
	IF (@@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (3.3); UNABLE TO UPDATE REPORT SUBSYSTEM_RPT TABLE: tblSubSystem_Rpt - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  ********************************************************************/
/*  *   STEP 4.0 - POPULATE SALES REPORT TABLE  tblDaily_Rpt_Sales_Except      */
/*  *********************************************************************/
	INSERT INTO tblDaily_Rpt_Sales_Except
	SELECT * FROM vwmDaily_Sales_Except
	IF (@@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (4.0); UNABLE TO POPULATE REPORT SUBSYSTEM_RPT TABLE:  tblDaily_Rpt_Sales_Except  - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 4.1 - POPULATE SALES REPORT TABLE  tblDaily_Rpt_Sales      */
/*  *********************************************************************/
	INSERT INTO tblDaily_Rpt_Sales
	SELECT * FROM vwmDaily_Sales
	IF (@@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (4.1); UNABLE TO POPULATE REPORT TABLE:  tblDaily_Rpt_Sales  - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 4.2 - SET INDICATORS SO REPORTS WILL BE GENERATED       */
/*  *********************************************************************/
	UPDATE tblSubSystem_Rpt
	SET tblSubSystem_Rpt.SalesReports = 1  
	IF (@@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (4.2); UNABLE TO UPDATE REPORT SUBSYSTEM_RPT TABLE: tblSubSystem_Rpt - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 5.0 - POPULATE PURCHASE REPORT TABLE  tblDaily_Rpt_Purchases      */
/*  *********************************************************************/
	INSERT INTO tblDaily_Rpt_Purchases
	SELECT * FROM vwmDaily_Purchases
	IF (@@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (5.0); UNABLE TO POPULATE REPORT TABLE: tblDaily_Rpt_Purchases - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 5.1 - SET INDICATORS SO REPORTS WILL BE GENERATED       */
/*  *********************************************************************/
	UPDATE tblSubSystem_Rpt
	SET tblSubSystem_Rpt.PurchaseReports = 1  
	IF (@@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (5.1); UNABLE TO UPDATE REPORT SUBSYSTEM_RPT TABLE: tblSubSystem_Rpt - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 6.0 - POPULATE REFERRAL REPORT TABLE   tblMthly_Rpt_Refl_Fee_Disb  */
/*  *********************************************************************/
	INSERT INTO tblMthly_Rpt_Refl_Fee_Disb
	SELECT * FROM vwmRefl_Fee_Disb
	IF (@@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (6.0); UNABLE TO POPULATE REPORT TABLE: tblMthly_Rpt_Refl_Fee_Disb - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 6.1 - SET INDICATORS SO REPORTS WILL BE GENERATED       */
/*  *********************************************************************/
	UPDATE tblSubSystem_Rpt
	SET tblSubSystem_Rpt.ReferralReports = 1  
	IF (@@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (6.1); UNABLE TO UPDATE REPORT SUBSYSTEM_RPT TABLE: tblSubSystem_Rpt - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   STEP 6.2 - SET THE FOLDER NAME VALUE USED IN CREATING REPORTS  */
/*  *********************************************************************/
	SELECT @SYSDATE = CONVERT(VARCHAR,CUR_PRC_DAT, 112) FROM tblSysdate
	UPDATE tblSubSystem_Rpt
	SET tblSubSystem_Rpt.FolderName = @SYSDATE 
	IF (@@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (6.1); UNABLE TO UPDATE FOLDERNAME IN SUBSYSTEM_RPT TABLE: tblSubSystem_Rpt - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END  
/*  *********************************************************************/
/*  *   STEP 6.3 - SET INDICATORS THAT ALL DAILY REPORTS NEED TO BE CREATED  */
/*  *********************************************************************/
	UPDATE tblSubSystem_Rpt
	SET tblSubSystem_Rpt.CreateReports = 1  
	IF (@@ERROR <>  0)
	BEGIN
		SELECT @ErrorMessage ='uspDaily_Report_Tables_Fill (6.3); UNABLE TO UPDATE REPORT SUBSYSTEM_RPT TABLE: tblSubSystem_Rpt - ERROR'
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *********************************************************************/
/*  *   END PROC   uspDaily_Report_Tables_Fill     */
/*  ********************************************************************=*/
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

/****** Object:  Stored Procedure dbo.uspDaily_Report_Tables_Fill    Script Date: 5/23/2003 8:29:07 AM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[uspDaily_Report_Tables_Del]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[uspDaily_Report_Tables_Del]
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  Stored Procedure dbo.uspDaily_Report_Tables_Del    Script Date: 12/1/2003 12:13:54 AM ******/
/****** Object:  Stored Procedure dbo.uspDaily_Report_Tables_Del    Script Date: 11/25/2003 11:35:03 AM ******/
/****** Object:  Stored Procedure dbo.uspDaily_Report_Tables_Del    Script Date: 5/23/2003 8:29:07 AM ******/
CREATE PROCEDURE [dbo].[uspDaily_Report_Tables_Del]  @ErrorMessage VARCHAR(5000)OUTPUT
 AS
 
/*      *******************************************************************/
/*      * PROC - uspDaily_Report_Tables_Del                                      */                                  
/*      *******************************************************************/
SET NOCOUNT ON
/*      *******************************************************************/
/*      * STEP 1.0 - DECLARE LOCAL VARIABLES                  */                                  
/*      *******************************************************************/
--NONE
/*  *===========================================================*/
/*  *   STEP 1.1 - TRUNCATE REPORT TABLE TBLDAILY_RPT_INS_DEC    */
/*  *===========================================================*/ 
	TRUNCATE TABLE tblDaily_Rpt_Ins_Dec
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (1.1); UNABLE TO TRUNCATE REPORT TABLE:  TBLDAILY_RPT_INS_DEC  - ERROR'
		EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage  
		RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *===========================================================*/
/*  *   STEP 1.2 - TRUNCATE REPORT TABLE TBLDAILY_RPT_INS_INC    */
/*  *===========================================================*/ 
	TRUNCATE TABLE tblDaily_Rpt_Ins_Inc
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (1.2); UNABLE TO TRUNCATE REPORT TABLE:  TBLDAILY_RPT_INS_INC  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *===========================================================*/
/*  *   STEP 1.3 - TRUNCATE REPORT TABLE tblDaily_Rpt_Audit    */
/*  *===========================================================*/ 
	TRUNCATE TABLE tblDaily_Rpt_Audit
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (1.3); UNABLE TO TRUNCATE REPORT TABLE:  tblDaily_Rpt_Audit  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *===========================================================*/
/*  *   STEP 1.4 - TRUNCATE REPORT TABLE tblDaily_Rpt_Can_Variance    */
/*  *===========================================================*/ 
	TRUNCATE TABLE tblDaily_Rpt_Can_Variance
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (1.4); UNABLE TO TRUNCATE REPORT TABLE:  tblDaily_Rpt_Can_Variance  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *=================================================================*/
/*  *   STEP 1.5 - TRUNCATE REPORT TABLE tblDaily_Rpt_CanRef_FAS91_BC23    */
/*  *=================================================================*/ 
	TRUNCATE TABLE tblDaily_Rpt_CanRef_FAS91_BC23
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (1.5); UNABLE TO TRUNCATE REPORT TABLE:  tblDaily_Rpt_CanRef_FAS91_BC23  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage     
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *=================================================================*/
/*  *   STEP 1.6 - TRUNCATE REPORT TABLE tblDaily_Rpt_CanRef_ins_Pum    */
/*  *=================================================================*/ 
	TRUNCATE TABLE tblDaily_Rpt_CanRef_Ins_Pum
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (1.6); UNABLE TO TRUNCATE REPORT TABLE:  tblDaily_Rpt_CanRef_ins_Pum  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *=================================================================*/
/*  *   STEP 1.7 - TRUNCATE REPORT TABLE tblDaily_Rpt_Disbursement_Detail    */
/*  *=================================================================*/ 
	TRUNCATE TABLE tblDaily_Rpt_Disbursement_Detail
	IF ( @@ERROR <>  0)

	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (1.7); UNABLE TO TRUNCATE REPORT TABLE:  tblDaily_Rpt_Disbursement_Detail  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *=================================================================*/
/*  *   STEP 1.8 - TRUNCATE REPORT TABLE tblDaily_Rpt_Purchases    */
/*  *=================================================================*/ 
	TRUNCATE TABLE tblDaily_Rpt_Purchases
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (1.8); UNABLE TO TRUNCATE REPORT TABLE:  tblDaily_Rpt_Purchases  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage     
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *=================================================================*/
/*  *   STEP 1.9 - TRUNCATE REPORT TABLE tblDaily_Rpt_Rev_FAS91_BC4TO7    */
/*  *=================================================================*/ 
	TRUNCATE TABLE tblDaily_Rpt_Rev_FAS91_BC4TO7
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (1.9); UNABLE TO TRUNCATE REPORT TABLE:  tblDaily_Rpt_Rev_FAS91_BC4TO7  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *=================================================================*/
/*  *   STEP 1.10 - TRUNCATE REPORT TABLE tblDaily_Rpt_Rev_Ins_Pum    */
/*  *=================================================================*/ 
	TRUNCATE TABLE tblDaily_Rpt_Rev_Ins_Pum
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (1.10); UNABLE TO TRUNCATE REPORT TABLE:  tblDaily_Rpt_Rev_Ins_Pum  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *=================================================================*/
/*  *   STEP 1.11 - TRUNCATE REPORT TABLE tblDaily_Rpt_Rev_Ins_Pum_2    */
/*  *=================================================================*/ 
	TRUNCATE TABLE tblDaily_Rpt_Rev_Ins_Pum_2
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (1.11); UNABLE TO TRUNCATE REPORT TABLE:  tblDaily_Rpt_Rev_Ins_Pum_2  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *=================================================================*/
/*  *   STEP 1.12 - TRUNCATE REPORT TABLE tblDaily_Rpt_Bank_Mismatch    */
/*  *=================================================================*/ 
	TRUNCATE TABLE tblDaily_Rpt_Bank_Mismatch
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (1.12); UNABLE TO TRUNCATE REPORT TABLE:  tblDaily_Rpt_Bank_Mismatch  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage     
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *=================================================================*/
/*  *   STEP 1.13 - TRUNCATE REPORT TABLE tblDaily_Rpt_Exceptions    */
/*  *=================================================================*/ 
	TRUNCATE TABLE tblDaily_Rpt_Exceptions
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (1.13); UNABLE TO TRUNCATE REPORT TABLE:  tblDaily_Rpt_Exceptions  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *=================================================================*/
/*  *   STEP 1.14 - TRUNCATE REPORT TABLE tblDaily_Rpt_Sales    */
/*  *=================================================================*/ 
	TRUNCATE TABLE tblDaily_Rpt_Sales
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (1.14); UNABLE TO TRUNCATE REPORT TABLE:  tblDaily_Rpt_Sales  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *=================================================================*/
/*  *   STEP 1.15 - TRUNCATE REPORT TABLE tblDaily_Rpt_Sales_Except    */
/*  *=================================================================*/ 
	TRUNCATE TABLE tblDaily_Rpt_Sales_Except
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (1.15); UNABLE TO TRUNCATE REPORT TABLE:  tblDaily_Rpt_Sales_Except  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *=================================================================*/
/*  *   STEP 1.16 - TRUNCATE REPORT TABLE tblDaily_Rpt_Trans_Deb    */
/*  *=================================================================*/ 
	TRUNCATE TABLE tblDaily_Rpt_Trans_Deb
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (1.16); UNABLE TO TRUNCATE REPORT TABLE:  tblDaily_Rpt_Trans_Deb  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *=================================================================*/
/*  *   STEP 1.17 - TRUNCATE REPORT TABLE tblDaily_Rpt_Trans_Det    */
/*  *=================================================================*/ 
	TRUNCATE TABLE tblDaily_Rpt_Trans_Det
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (1.17); UNABLE TO TRUNCATE REPORT TABLE:  tblDaily_Rpt_Trans_Det  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *=================================================================*/
/*  *   STEP 1.18 - TRUNCATE REPORT TABLE tblDaily_Rpt_Trail_Bal    */
/*  *=================================================================*/ 
	TRUNCATE TABLE tblDaily_Rpt_Trial_Bal
	IF ( @@ERROR <>  0)
	BEGIN
	SELECT @ErrorMessage ='uspDaily_Report_Tables_Del (1.18); UNABLE TO TRUNCATE  REPORT TABLE:  tblDaily_Rpt_Trail_Bal  - ERROR'
	EXECUTE uspDaily_WriteToLog 'Write', @ErrorMessage      
	RAISERROR ('%s', 16, -1, @ErrorMessage ) 
		RETURN 
	END
/*  *=================================================================*/
/*  *   END PROC   uspDaily_Report_Tables_Del						*/
/*  *=================================================================*/
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO
/*      *******************************************************************/
/*      * END STORED PROCEDURE CHANGES FOR FEEAMORTIZATION                    */
/*      *******************************************************************/




/*      *******************************************************************/
/*      * START VIEW CHANGES FOR FEEAMORTIZATION							  */
/*      *******************************************************************/



if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[vwmDaily_Disbursement_Detail]') AND OBJECTPROPERTY(id, N'IsView') = 1)
drop view [dbo].[vwmDaily_Disbursement_Detail]
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO


/****** Object:  View dbo.vwmDaily_Disbursement_Detail    Script Date: 10/29/2003 8:57:37 AM ******/
/****** Object:  View dbo.vwmDaily_Disbursement_Detail    Script Date: 01/09/2001 1:02:21 PM ******/
/****** Object:  View dbo.vwmDaily_Disbursement_Detail    Script Date: 9/9/99 8:36:02 AM ******/
/****** Object:  View dbo.vwmDaily_Disbursement_Detail    Script Date: 8/19/99 12:00:29 PM ******/
/****** Object:  View dbo.vwmDaily_Disbursement_Detail    Script Date: 4/22/99 4:43:37 PM ******/
/****** Object:  View dbo.vwmDaily_Disbursement_Detail    Script Date: 3/24/99 2:58:26 PM ******/
/****** Object:  View dbo.vwmDaily_Disbursement_Detail    Script Date: 3/1/99 9:44:36 AM ******/
CREATE  VIEW  [dbo].vwmDaily_Disbursement_Detail
AS
/*      **************************************************************************/
/*      * VIEW -  vwmDaily_Disbursement_Detail                            		*/
/*      *                                                                   	*/
/*      *   This view identifies all disbursement changes in       				*/
/*      *   principle balance on a daily basis        							*/
/*      *                 														*/
/*      * This view was modified because it is returning all Trans.       		*/
/*      * Processed, including payments. The report that this view				*/
/*      * uses, wants only disbursements, so the condition:    					*/
/*      * "AND tblDaily_Tran_Processed.Trn_Cod IN (55621, 55626,				*/
/*      * 55821, 55629)"  was added to the code. 3/18/2002         				*/ 
/*      * Trans Codes (53620,53624,53020,53024,53627,53628) 					*/
/*      * added for ORIGINATION project.										*/	
/*      **************************************************************************/
SELECT DISTINCT 
 tblDaily_Tran_Processed.BK_NUM, 
 tblDaily_Tran_Processed.APP, 
 LN_NUM = CONVERT(CHAR(18),tblDaily_Tran_Processed.LN_NUM),
 tblDaily_Tran_Processed.ORG_LVL_NUM_3,
 tblSysDate.CUR_PRC_DAT,
 tblDaily_Tran_Processed.TRN_COD,
 TRN_AMT = ROUND(tblDaily_Tran_Processed.TRN_AMT,2),
 tblDaily_Tran_Processed.LN_TYP_ALH,
 tblDisbursements.DSB_NUM,
 SSN = CONVERT(CHAR(9),tblDaily_Tran_Processed.SSN),
 tblDisbursements.INS_PUM_AMT,
 tbldisbursements.AMT_REM_TO_AMORTIZE
FROM    tblSysdate, 
 tblDaily_Tran_Processed,
 tblDisbursements
WHERE  (tblDaily_Tran_Processed.ln_num = tbldisbursements.ln_num
AND  tblsysdate.DSB_NUM = tbldisbursements.DSB_NUM)
AND tblDaily_Tran_Processed.Trn_Cod IN (53620, 53624, 53020, 53024, 53627, 53628, 55621, 55626, 55821, 55629)     
GROUP BY tblDaily_Tran_Processed.APP,
  tblDaily_Tran_Processed.LN_NUM,
  tblDaily_Tran_Processed.TRN_COD,
  tblDaily_Tran_Processed.LN_TYP_ALH,
  tblDaily_Tran_Processed.BK_NUM,
  tblDaily_Tran_Processed.SSN,
  tblDisbursements.DSB_NUM,
  tblDaily_Tran_Processed.ORG_LVL_NUM_3,
  tblSysDate.CUR_PRC_DAT,
  tblDaily_Tran_Processed.TRN_AMT,
  tblDisbursements.INS_PUM_AMT,
  tbldisbursements.AMT_REM_TO_AMORTIZE


GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

/****** Object:  View dbo.vwmDaily_CanRef_Ins_Pum    Script Date: 1/13/2003 12:26:29 PM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[vwmDaily_CanRef_Ins_Pum]') AND OBJECTPROPERTY(id, N'IsView') = 1)
drop view [dbo].[vwmDaily_CanRef_Ins_Pum]
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  View dbo.vwmDaily_CanRef_Ins_Pum    Script Date: 1/13/2003 12:26:29 PM ******/
/****** Object:  View dbo.vwmDaily_CanRef_Ins_Pum    Script Date: 10/29/2003 8:57:37 AM ******/
/****** Object:  View dbo.vwmDaily_CanRef_Ins_Pum    Script Date: 01/09/2001 1:02:21 PM ******/
/****** Object:  View dbo.vwmDaily_CanRef_Ins_Pum    Script Date: 9/10/99 3:50:06 PM ******/
/****** Object:  View dbo.vwmDaily_CanRef_Ins_Pum    Script Date: 8/19/99 12:00:31 PM ******/
/****** Object:  View dbo.vwmDaily_CanRef_Ins_Pum    Script Date: 4/22/99 4:43:40 PM ******/
/****** Object:  View dbo.vwmDaily_CanRef_Ins_Pum    Script Date: 3/24/99 2:58:28 PM ******/
/****** Object:  View dbo.vwmDaily_CanRef_Ins_Pum    Script Date: 3/15/99 5:14:23 PM ******/
/****** Object:  View dbo.vwmDaily_CanRef_Ins_Pum    Script Date: 8/10/98 11:26:36 AM ******/
CREATE  view  [dbo].vwmDaily_CanRef_Ins_Pum 
as
/*      *******************************************************************/
/*      * VIEW -  vwmDaily_CanRef_Ins_Pum                                 */
/*      *                                                                 */
/*      *         This view identifies all cancellations AND refunds      */
/* *   that occur  - daily       */
/* *          */
/*      *******************************************************************/
SELECT
 tblLoans.CUR_BK_NUM, 
 tblLoans.APP, 
 LN_NUM = convert(char(18),tblLoans.LN_NUM),
 tblLoans.LN_TYP_ALH,
 tblLoans.ORG_LVL_NUM_3,
 tblDisbursements.DSB_NUM,
 AMT_TO_DSB = ROUND(tblDisbursements.AMT_TO_DSB,2),
 ORIG_AMT_TO_DSB = ROUND(tblDisbursements.ORIG_AMT_TO_DSB,2),
 ORIG_INS_PUM_AMT = ROUND(tblDisbursements.ORIG_INS_PUM_AMT,2), 
 INS_PUM_AMT = ROUND(tblDisbursements.INS_PUM_AMT,2),
 INS_PUM_AMT_ADJ = ROUND(tblDisbursements.INS_PUM_AMT_ADJ,2),
 AMT_REM_TO_AMORTIZE = ROUND(tblDisbursements.AMT_REM_TO_AMORTIZE,2),
 CAN_AMT_REM_TO_AMORTIZE = ROUND(tblDisbursements.CAN_AMT_REM_TO_AMORTIZE,2),
 CAN_TOT_AMORTIZED = ROUND(tblDisbursements.CAN_TOT_AMORTIZED,2),
 TOT_AMORTIZED = ROUND(tblDisbursements.TOT_AMORTIZED,2),
 tblCanRefRev.TRN_COD,
 TRN_AMT = ROUND(tblCanRefRev.TRN_AMT,2),
 tblCanRefRev.RFD_BUCKET,
 tblDemo.NM_LIN_1,
 SSN = convert(char(9),tblDemo.SSN),
 tblSysdate.CUR_PRC_DAT,
 tblDisbursements.CAN_REFL_AMT_REM_TO_AMORTIZE
FROM  	tblLoans, 
        	tblDisbursements,
 	tblCanRefRev,
        	tblDemo,
        	tblSysdate
WHERE   tblLoans.LN_NUM         = tblDisbursements.LN_NUM
AND  (tblDisbursements.LN_NUM 	= tblCanRefRev.LN_NUM
AND  tblDisbursements.DSB_NUM 	= tblCanRefRev.DSB_NUM)
AND     tblLoans.CUS_NUM        = tblDemo.CUS_NUM
AND  tblCanRefRev.TRN_DAT  > tblSysdate.PRV_PRC_DAT
AND  (tblCanRefRev.TRN_COD BETWEEN 56120 AND 56125
OR tblCanRefRev.TRN_COD IN (54120, 54121, 54124, 54125, 52020, 52021, 52024, 52025))

GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO
/****** Object:  View dbo.vwmMthly_ProcessDate    Script Date: 4/22/2003 2:44:41 PM ******/
if exists (SELECT * FROM dbo.sysobjects where id = object_id(N'[dbo].[vwmMthly_ProcessDate]') AND OBJECTPROPERTY(id, N'IsView') = 1)
drop view [dbo].[vwmMthly_ProcessDate]
GO


SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

/****** Object:  View dbo.vwmMthly_ProcessDate    Script Date: 4/22/2003 2:44:41 PM ******/
/****** Object:  View dbo.vwmMthly_ProcessDate    Script Date: 8/1/2002 4:57:44 PM ******/
/****** Object:  View dbo.vwmMthly_ProcessDate    Script Date: 01/09/2001 1:02:21 PM ******/
/****** Object:  View dbo.vwmMthly_ProcessDate    Script Date: 4/22/99 4:43:38 PM ******/
/****** Object:  View dbo.vwmMthly_ProcessDate    Script Date: 3/24/99 2:58:24 PM ******/
CREATE  view  [dbo].vwmMthly_ProcessDate 
AS
/*      *******************************************************************/
/*      * VIEW -  vwmMthly_ProcessDate                                    */
/*      *                                                                 */
/*      *         This view sets the monthly process date equal to        */
/*      *         the last day of the past month.                         */
/*      *                                                                 */
/*      *******************************************************************/
	SELECT  tblSysdate.CUR_PRC_DAT,
	Month_Process_Date = 
	CASE 
                 WHEN DATEPART(month, tblSysdate.CUR_PRC_DAT)= 1  
                  THEN '12/31/' + right(convert(char(4),convert(int,DATEPART(year, getdate()))-1),2)
                 WHEN DATEPART(month, tblSysdate.CUR_PRC_DAT)= 2  
                  THEN '1/31/' + right(convert(char(4),DATEPART(year, GetDate())),2)
                 WHEN DATEPART(month, tblSysdate.CUR_PRC_DAT)= 3 AND convert(int,DATEPART(year, GetDate()))%4 = 0
                  THEN '2/29/' + right(convert(char(4),DATEPART(year, GetDate())),2)
				 WHEN DATEPART(month, tblSysdate.CUR_PRC_DAT)= 3 AND convert(int,DATEPART(year, GetDate()))%4 <> 0
				  THEN '2/28/' + right(convert(char(4),DATEPART(year, GetDate())),2)
				 WHEN DATEPART(month, tblSysdate.CUR_PRC_DAT)= 4
                  THEN '3/31/' + right(convert(char(4),DATEPART(year, GetDate())),2)
                 WHEN DATEPART(month, tblSysdate.CUR_PRC_DAT)= 5  
                  THEN '4/30/' + right(convert(char(4),DATEPART(year, GetDate())),2)
                 WHEN DATEPART(month, tblSysdate.CUR_PRC_DAT)= 6 
                  THEN '5/31/' + right(convert(char(4),DATEPART(year, GetDate())),2)
                 WHEN DATEPART(month, tblSysdate.CUR_PRC_DAT)= 7  
                  THEN '6/30/' + right(convert(char(4),DATEPART(year, GetDate())),2)
                 WHEN DATEPART(month, tblSysdate.CUR_PRC_DAT)= 8  
                  THEN '7/31/' + right(convert(char(4),DATEPART(year, GetDate())),2)
                 WHEN DATEPART(month, tblSysdate.CUR_PRC_DAT)= 9   
                  THEN '8/31/' + right(convert(char(4),DATEPART(year, GetDate())),2)
                 WHEN DATEPART(month, tblSysdate.CUR_PRC_DAT)= 10   
                  THEN '9/30/' + right(convert(char(4),DATEPART(year, GetDate())),2)
                 WHEN DATEPART(month, tblSysdate.CUR_PRC_DAT)= 11  
                  THEN '10/31/' + right(convert(char(4),DATEPART(year, GetDate())),2)
                 WHEN DATEPART(month, tblSysdate.CUR_PRC_DAT)= 12  
                  THEN '11/30/' + right(convert(char(4),DATEPART(year, GetDate())),2)
   END
FROM    tblSysdate
/*		******************************************************************/
/*		*	END PROCURE vwmMthly_ProcessDate     */
/*		******************************************************************/
GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO
/****** Object:  View dbo.vwmDaily_Sales_Except    Script Date: 2/4/2004 11:53:22 AM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[vwmDaily_Sales_Except]') and OBJECTPROPERTY(id, N'IsView') = 1)
drop view [dbo].[vwmDaily_Sales_Except]
GO


SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

/****** Object:  View dbo.vwmDaily_Sales_Except    Script Date: 2/4/2004 11:53:22 AM ******/
/****** Object:  View dbo.vwmDaily_Sales_Except    Script Date: 10/29/2003 8:57:37 AM ******/
/****** Object:  View dbo.vwmDaily_Sales_Except    Script Date: 01/09/2001 1:02:21 PM ******/
/****** Object:  View dbo.vwmDaily_Sales_Except    Script Date: 4/22/99 4:43:41 PM ******/
/****** Object:  View dbo.vwmDaily_Sales_Except    Script Date: 3/24/99 2:58:25 PM ******/
/****** Object:  View dbo.vwmDaily_Sales_Except    Script Date: 8/10/98 11:26:36 AM ******/
CREATE  view  [dbo].vwmDaily_Sales_Except 
as
/*      ********************************************************************/
/*      * VIEW -  vwmDaily_Sales_Except                                    */
/*      *                                                                  */
/*      *         This view identifies all sales that have a principal     */
/* *   balance greater than zero.  This view will only be       */
/* *    useful if used between the sales and purchases processes */
/* *           */
/*      ********************************************************************/
SELECT
	tblDisbursements.DSB_BK_NUM, 
	tblLoans.APP, 
	LN_NUM = convert(char(18),tblLoans.LN_NUM),
	tblLoans.LN_TYP_ALH,
	CUR_LN_BAL = ROUND(tblLoans.CUR_LN_BAL,2),
	tblLoans.ORG_LVL_NUM_3,
	tblDemo.NM_LIN_1,
	SSN = convert(char(9),tblDemo.SSN),
	tblSysdate.CUR_PRC_DAT
FROM   
	tblLoans,
	tblDisbursements,
	tblDemo,
	tblSysdate
WHERE
	tblLoans.LN_NUM 			= tblDisbursements.LN_NUM
	AND		tblLoans.CUS_NUM        	= tblDemo.CUS_NUM
	AND		tblLoans.SLD_DAT  	> tblSysDate.PRV_PRC_DAT
	AND		tblLoans.CUR_LN_BAL > 0




GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

/****** Object:  View dbo.vwmDaily_Sales    Script Date: 2/4/2004 11:53:22 AM ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[vwmDaily_Sales]') and OBJECTPROPERTY(id, N'IsView') = 1)
drop view [dbo].[vwmDaily_Sales]
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

/****** Object:  View dbo.vwmDaily_Sales    Script Date: 2/4/2004 11:53:22 AM ******/
/****** Object:  View dbo.vwmDaily_Sales    Script Date: 10/29/2003 8:57:37 AM ******/
/****** Object:  View dbo.vwmDaily_Sales    Script Date: 01/09/2001 1:02:21 PM ******/
/****** Object:  View dbo.vwmDaily_Sales    Script Date: 8/12/99 3:08:38 PM ******/
/****** Object:  View dbo.vwmDaily_Sales    Script Date: 5/10/99 1:12:29 PM ******/
/****** Object:  View dbo.vwmDaily_Sales    Script Date: 4/22/99 4:43:41 PM ******/
/****** Object:  View dbo.vwmDaily_Sales    Script Date: 3/24/99 2:58:26 PM ******/
/****** Object:  View dbo.vwmDaily_Sales    Script Date: 8/10/98 11:26:36 AM ******/
CREATE  view  [dbo].vwmDaily_Sales 
as
/*      *******************************************************************/
/*      * VIEW -  vwmDaily_Sales                                          */
/*      *                                                                 */
/*      *         This view identifies all sales                          */
/*		*										that occur  - daily       */
/*		*																 */
/*      *******************************************************************/
SELECT DISTINCT
	tblDisbursements.DSB_BK_NUM , 
	tblLoans.APP, 
	LN_NUM = convert(char(18),tblLoans.LN_NUM),
	tblLoans.LN_TYP_ALH,
	SLD_CUR_LN_BAL = ROUND(tblLoans.SLD_CUR_LN_BAL,2),
	SLD_INT_DUE_BAL = ROUND(tblLoans.SLD_INT_DUE_BAL,2),
	SLD_FAS91_AMT_REM_TO_AMORTIZE = ROUND(tblLoans.SLD_FAS91_AMT_REM_TO_AMORTIZE,2),
	tblLoans.ORG_LVL_NUM_3,
	AMT_REM_TO_AMORTIZE = ROUND(SUM(tblDisbursements.AMT_REM_TO_AMORTIZE),2),
	REFL_AMT_REM_TO_AMORTIZE = ROUND(SUM(tblDisbursements.REFL_AMT_REM_TO_AMORTIZE),2),
	SSN = convert(char(9),tblDemo.SSN),   
	tblSysdate.CUR_PRC_DAT
FROM    tblLoans,
    tblDisbursements,
    tblDemo,
    tblSysdate
WHERE
	tblLoans.SLD_DAT		> tblSysDate.PRV_PRC_DAT  
	AND  tblLoans.LN_NUM    = tblDisbursements.LN_NUM
	AND  tblLoans.CUS_NUM   = tblDemo.CUS_NUM
GROUP BY 
	tblDisbursements.DSB_BK_NUM,
	tblLoans.APP,
	tblLoans.LN_NUM,
	tblLoans.LN_TYP_ALH,
	tblLoans.SLD_CUR_LN_BAL,
	tblLoans.SLD_INT_DUE_BAL, 
	tblLoans.SLD_FAS91_AMT_REM_TO_AMORTIZE,
	tblLoans.ORG_LVL_NUM_3,
	tblDemo.SSN,
	tblSysdate.CUR_PRC_DAT





GO

SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO


/*      *******************************************************************/
/*      * END VIEW CHANGES FOR FEEAMORTIZATION                    */
/*      *******************************************************************/

/*      *******************************************************************/
/*      * START TRIGGER CHANGES FOR FEEAMORTIZATION                    */
/*      *******************************************************************/
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

if  exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblCanRefRev_TR_Upd_BILL_COD]') and OBJECTPROPERTY(id, N'IsTrigger') = 1)
DROP TRIGGER tblCanRefRev_TR_Upd_BILL_COD	

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

	/****** Object:  Trigger dbo.tblCanRefRev_TR_Upd_BILL_COD    Script Date: 4/22/99 4:43:47 PM ******/
	/****** Object:  Trigger dbo.tblCanRefRev_TR_Upd_BILL_COD    Script Date: 3/24/99 2:58:33 PM ******/
	/****** Object:  Trigger dbo.tblCanRefRev_TR_Upd_BILL_COD    Script Date: 8/10/98 11:26:38 AM ******/
	/****** Object:  Trigger dbo.tblCanRefRev_TR_Upd_BILL_COD    Script Date: 7/1/98 2:20:55 PM ******/
	/****** Object:  Trigger dbo.tblCanRefRev_TR_Upd_BILL_COD    Script Date: 6/5/98 10:05:03 AM ******/
	/****** Object:  Trigger dbo.tblCanRefRev_TR_Upd_BILL_COD    Script Date: 6/4/98 4:28:18 PM ******/
	CREATE TRIGGER tblCanRefRev_TR_Upd_BILL_COD ON dbo.tblCanRefRev
	FOR INSERT 
	AS
	/*      *********************************************************************/
	/*      * BEGIN TRIGGER - tblCanRefRev_TR_Upd_BILL_COD                      */
	/*      *********************************************************************/
	/*      *********************************************************************/
	/*      * STEP 1.1                                                          */
	/*      *                                                                   */
	/*      * SET FAS91 BILLING INDICATOR TO 2 FOR CANCELLATION/REFUNDS         */
	/*      * WHOSE ACTUAL DISBURSEMENT DATE AND CANCELLATION (OR REFUND)       */
	/*      * DATE OCCURS IN THE SAME MONTH AND WHOSE PRINCIPAL BALANCE IS      */
	/*      * EQUAL TO ZERO                                                     */
	/*      *********************************************************************/
	UPDATE  tblCanRefRev
	SET     FAS91_BILLING_COD = 2
	FROM    tblCanRefRev master,
	        inserted,
	        tblLoans,
		tblSysdate,
		tblFAS91_Rates
	WHERE   master.PK_ROW_ID                      = inserted.PK_ROW_ID
	AND    (inserted.TRN_COD                        BETWEEN 56120 and 56125)
	AND     DatePart(Month, Inserted.ACU_DSB_DAT) = DatePart(Month,Inserted.TRN_DAT)
	AND     inserted.LN_NUM                       = tblLoans.LN_NUM
	AND     tblLoans.CUR_LN_BAL                  <= 0
	AND	inserted.DAT_LAS_UPDT		      = tblSysdate.CUR_PRC_DAT
	AND	tblLoans.CUR_BK_NUM		      = tblFAS91_Rates.BK_NUM
	IF        @@ERROR <> 0
	  BEGIN
	        RAISERROR 
	        ('tblCanRefRev_TR_Upd_BILL_COD;1.1;UPDATE tblCanRefRev', 16, -1)
	        ROLLBACK TRANSACTION
	  END
	/*      *********************************************************************/
	/*      * STEP 1.2                                                          */
	/*      *                                                                   */
	/*      * SET FAS91 BILLING INDICATOR TO 3 FOR CANCELLATION/REFUNDS         */
	/*      * WHOSE ACTUAL DISBURSEMENT AND CANCELLATION (OR REFUND)            */
	/*      * DATES DO NOT OCCUR IN THE SAME MONTH AND WHOSE PRINCIPAL          */
	/*      * BALANCE IS EQUAL TO ZERO                                          */
	/*      *********************************************************************/
	UPDATE  tblCanRefRev
	SET     FAS91_BILLING_COD = 3
	FROM    tblCanRefRev master,
	        inserted,
	        tblLoans,
		tblSysdate,
		tblFAS91_Rates
	WHERE   master.PK_ROW_ID = inserted.PK_ROW_ID
	AND    (inserted.TRN_COD   BETWEEN 56120 and 56125)
	AND     DatePart(Month, Inserted.ACU_DSB_DAT) <> DatePart(Month,Inserted.TRN_DAT)
	AND     inserted.LN_NUM  = tblLoans.LN_NUM
	AND     tblLoans.CUR_LN_BAL <= 0
	AND	inserted.DAT_LAS_UPDT = tblSysdate.CUR_PRC_DAT
	AND	tblLoans.CUR_BK_NUM = tblFAS91_Rates.BK_NUM
	IF        @@ERROR <> 0
	  BEGIN
	        RAISERROR 
	        ('tblCanRefRev_TR_Upd_BILL_COD;1.2;UPDATE tblCanRefRev', 16, -1)
	        ROLLBACK TRANSACTION
	  END
	/*      *********************************************************************/
	/*      * STEP 1.3                                                          */
	/*      *                                                                   */
	/*      * SET FAS91 BILLING INDICATOR TO 4 FOR CANCELLATION/REFUND          */
	/*      * REVERSALS WHOSE ACTUAL DISBURSEMENT, CANCELLATION, AND REVERSAL   */
	/*      * DATES OCCUR IN THE SAME MONTH AND WHOSE PRINCIPAL BALANCE IS      */
	/*      * EQUAL TO ZERO                                                     */
	/*      *********************************************************************/
	UPDATE  tblCanRefRev
	SET     FAS91_BILLING_COD = 4
	FROM    tblCanRefRev master,
	        inserted,
	        tblLoans,
		tblSysdate,
		tblFAS91_Rates
	WHERE   master.PK_ROW_ID = inserted.PK_ROW_ID	
	AND    (inserted.TRN_COD between 55220 and 55225)	
	AND    (DatePart(Month, Inserted.ACU_DSB_DAT) = DatePart(Month,Inserted.TRN_DAT)	
	AND     DatePart(Month, Inserted.ACU_DSB_DAT) = DatePart(Month,Inserted.REV_ORIG_CAN_RFD_DAT))	
	AND     inserted.LN_NUM  = tblLoans.LN_NUM	
	AND     tblLoans.CUR_LN_BAL - Inserted.TRN_AMT <= 0	
	AND	inserted.DAT_LAS_UPDT = tblSysdate.CUR_PRC_DAT
	AND	tblLoans.CUR_BK_NUM = tblFAS91_Rates.BK_NUM
	IF        @@ERROR <> 0
	  BEGIN
	        RAISERROR 
	        ('tblCanRefRev_TR_Upd_BILL_COD;1.3;UPDATE tblCanRefRev', 16, -1)
	        ROLLBACK TRANSACTION
	  END
	/*      *********************************************************************/
	/*      * STEP 1.4                                                          */
	/*      *                                                                   */
	/*      * SET FAS91 BILLING INDICATOR TO 5 FOR CANCELLATION/REFUND          */
	/*      * REVERSALS WHOSE:                                                  */
	/*      *        (1) CANCELLATION AND CANCELLATION REVERSAL DATES OCCUR IN  */
	/*      *            THE SAME MONTH,                                        */
	/*      *        (2) ACTUAL DISBURSEMENT AND CANCELLATION DATES DO NOT      */
	/*      *            OCCUR IN THE SAME MONTH, AND                           */
	/*      *        (3) WHOSE PRINCIPAL BALANCE IS EQUAL TO ZERO               */ 
	/*      *********************************************************************/
	
	UPDATE  tblCanRefRev
	SET     FAS91_BILLING_COD = 5
	FROM    tblCanRefRev master,
	        inserted,
	        tblLoans,
		tblSysdate,
		tblFAS91_Rates
	WHERE   master.PK_ROW_ID = inserted.PK_ROW_ID
	AND    (inserted.TRN_COD between 55220 and 55225)
	AND    (DatePart(Month, Inserted.ACU_DSB_DAT)         <> DatePart(Month,Inserted.REV_ORIG_CAN_RFD_DAT)
	AND     DatePart(Month, Inserted.REV_ORIG_CAN_RFD_DAT) = DatePart(Month,Inserted.TRN_DAT))
	AND     inserted.LN_NUM  = tblLoans.LN_NUM
	AND     tblLoans.CUR_LN_BAL - Inserted.TRN_AMT <= 0
	AND	inserted.DAT_LAS_UPDT = tblSysdate.CUR_PRC_DAT
	AND	tblLoans.CUR_BK_NUM = tblFAS91_Rates.BK_NUM
	IF        @@ERROR <> 0
	  BEGIN
	        RAISERROR 
	        ('tblCanRefRev_TR_Upd_BILL_COD;1.4;UPDATE tblCanRefRev', 16, -1)
	        ROLLBACK TRANSACTION
	  END
	/*      *********************************************************************/
	/*      * STEP 1.5                                                          */
	/*      *                                                                   */
	/*      * SET FAS91 BILLING INDICATOR TO 6 FOR CANCELLATION/REFUND          */
	/*      * REVERSALS WHOSE:                                                  */
	/*      *        (1) ACTUAL DISBURSEMENT AND CANCELLATION DATES OCCUR IN    */
	/*      *            THE SAME MONTH,                                        */
	/*      *        (2) CANCELLATION AND CANCELLATION REVERSAL DATES DO NOT    */
	/*      *            OCCUR IN THE SAME MONTH, AND                           */
	/*      *        (3) WHOSE PRINCIPAL BALANCE IS EQUAL TO ZERO               */
	/*      *********************************************************************/
	UPDATE  tblCanRefRev
	SET     FAS91_BILLING_COD = 6
	FROM    tblCanRefRev master, 
	        inserted, 
	        tblLoans,
		tblSysdate,
		tblFAS91_Rates
	WHERE   master.PK_ROW_ID = inserted.PK_ROW_ID
	AND    (inserted.TRN_COD between 55220 and 55225)
	AND    (DatePart(Month, Inserted.ACU_DSB_DAT) = DatePart(Month,Inserted.REV_ORIG_CAN_RFD_DAT)
	AND     DatePart(Month, Inserted.REV_ORIG_CAN_RFD_DAT) <> DatePart(Month,Inserted.TRN_DAT))
	AND     inserted.LN_NUM  = tblLoans.LN_NUM
	AND     tblLoans.CUR_LN_BAL - Inserted.TRN_AMT <= 0
	AND	inserted.DAT_LAS_UPDT = tblSysdate.CUR_PRC_DAT
	AND	tblLoans.CUR_BK_NUM = tblFAS91_Rates.BK_NUM
	IF        @@ERROR <> 0
	  BEGIN
	        RAISERROR 
	        ('tblCanRefRev_TR_Upd_BILL_COD;1.5;UPDATE tblCanRefRev', 16, -1)
	        ROLLBACK TRANSACTION
	  END
	/*      *********************************************************************/
	/*      * STEP 1.6                                                          */
	/*      *                                                                   */
	/*      * SET FAS91 BILLING INDICATOR TO 7 FOR CANCELLATION/REFUND          */
	/*      * REVERSALS WHOSE:                                                  */ 
	/*      *        (1) ACTUAL DISBURSEMENT, CANCELLATION, AND CANCELLATION    */
	/*      *            REVERSAL DATES DO NOT OCCUR IN THE SAME MONTH, AND     */
	/*      *        (2) WHOSE PRINCIPAL BALANCE IS EQUAL TO ZERO               */
	
	/*      *********************************************************************/
	UPDATE 	tblCanRefRev
	SET    	FAS91_BILLING_COD = 7
	FROM   	tblCanRefRev master, 
	       	inserted, 
	       	tblLoans,
	       	tblSysdate,
	       	tblFAS91_Rates
	
	WHERE  	master.PK_ROW_ID = inserted.PK_ROW_ID
	AND    (inserted.TRN_COD between 55220 and 55225)
	AND    (DatePart(Month, Inserted.ACU_DSB_DAT)          <> DatePart(Month,Inserted.REV_ORIG_CAN_RFD_DAT)
	AND    	DatePart(Month, Inserted.REV_ORIG_CAN_RFD_DAT) <> DatePart(Month,Inserted.TRN_DAT))
	AND    	inserted.LN_NUM  = tblLoans.LN_NUM
	AND    	tblLoans.CUR_LN_BAL - Inserted.TRN_AMT <= 0
	AND    	inserted.DAT_LAS_UPDT = tblSysdate.CUR_PRC_DAT
	AND	tblLoans.CUR_BK_NUM = tblFAS91_Rates.BK_NUM
	IF        @@ERROR <> 0
	  BEGIN
	        RAISERROR 
	        ('tblCanRefRev_TR_Upd_BILL_COD;1.6;UPDATE tblCanRefRev', 16, -1)
	        ROLLBACK TRANSACTION
	  END
	RETURN
	/*      *********************************************************************/
	/*      * END TRIGGER - tblCanRefRev_TR_Upd_BILL_COD                        */
	/*      *********************************************************************/
	
	
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

if  exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblIns_ChangeTRi]') and OBJECTPROPERTY(id, N'IsTrigger') = 1)
DROP TRIGGER tblIns_ChangeTRi	

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO


/****** Object:  Trigger dbo.tblIns_ChangeTRi    Script Date: 8/13/99 12:36:29 PM ******/
CREATE TRIGGER tblIns_ChangeTRi ON dbo.tblIns_Change 
FOR INSERT
AS
Update tblIns_Change
Set reason_code = 'audit'
	
From tblIns_Change
Where tblIns_change.reason_code is null


GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

if  exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblLoans_TR_Upd_FAS91_AMT_REM]') and OBJECTPROPERTY(id, N'IsTrigger') = 1)
DROP TRIGGER tblLoans_TR_Upd_FAS91_AMT_REM


SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO



/****** Object:  Trigger dbo.tblLoans_TR_Upd_FAS91_AMT_REM    Script Date: 8/11/99 9:47:17 AM ******/
/****** Object:  Trigger dbo.tblLoans_TR_Upd_FAS91_AMT_REM    Script Date: 4/22/99 4:43:47 PM ******/
/****** Object:  Trigger dbo.tblLoans_TR_Upd_FAS91_AMT_REM    Script Date: 3/24/99 2:58:33 PM ******/
/****** Object:  Trigger dbo.tblLoans_TR_Upd_FAS91_AMT_REM    Script Date: 8/10/98 11:26:38 AM ******/
/****** Object:  Trigger dbo.tblLoans_TR_Upd_FAS91_AMT_REM    Script Date: 6/16/98 11:05:51 AM ******/
/****** Object:  Trigger dbo.tblLoans_TR_Upd_FAS91_AMT_REM    Script Date: 6/16/98 11:03:12 AM ******/
/****** Object:  Trigger dbo.tblLoans_TR_Upd_FAS91_AMT_REM    Script Date: 6/5/98 10:05:03 AM ******/
/****** Object:  Trigger dbo.tblLoans_TR_Upd_FAS91_AMT_REM    Script Date: 6/4/98 4:28:18 PM ******/
CREATE TRIGGER tblLoans_TR_Upd_FAS91_AMT_REM ON dbo.tblLoans
FOR UPDATE 
AS
/*        *******************************************************************/
/*        * BEGIN TRIGGER - tblLoans_TR_Upd_FAS91_AMT_REM                   */
/*        *******************************************************************/
/*        *******************************************************************/
/*        * STEP 1.1 - SET FAS91 AMOUNT REMAINING TO AMORTIZE EQUAL TO ZERO */ 
/*        *            WHEN THE LOAN HAS BEEN SOLD                          */
/*        *******************************************************************/
IF UPDATE (SLD_FAS91_AMT_REM_TO_AMORTIZE)
  BEGIN
        UPDATE  tblLoans
        SET     FAS91_AMT_REM_TO_AMORTIZE = 0
        FROM    tblLoans master, 
                inserted
        WHERE   inserted.LN_NUM     = master.LN_NUM
        AND     inserted.SLD_BK_NUM = NULL
        IF    ( @@ERROR <> 0 )
          BEGIN
                RAISERROR ('tblLoans_TR_Upd_FAS91_AMT_REM (1.1);
                            TRIGGER tblLoans UPDATE
                            SET FAS91 AMOUNT REMAINING TO AMORTIZE EQUAL TO ZERO - error', 16, -1)
                ROLLBACK TRANSACTION
                RETURN
          END
  END
RETURN
/*        *******************************************************************/
/*        * END TRIGGER - tblLoans_TR_Upd_FAS91_AMT_REM                     */
/*        *******************************************************************/


GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

if  exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblSecurity_TRu]') and OBJECTPROPERTY(id, N'IsTrigger') = 1)
DROP TRIGGER tblSecurity_TRu
 

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO



/****** Object:  Trigger dbo.tblSecurity_TRu    Script Date: 4/22/99 4:43:46 PM ******/
/****** Object:  Trigger dbo.tblSecurity_TRu    Script Date: 3/24/99 2:58:33 PM ******/
CREATE TRIGGER tblSecurity_TRu ON dbo.tblSecurity 
FOR UPDATE
AS
update tblSecurity
set
Dat_Las_Upd = getdate()
from
inserted i,
tblSecurity d
where ((i.userid = d.userid))
if (@@error <> 0 or @@rowcount = 0)
begin
raiserror ('tblSecurity_TRu (1.1) Update tblSecurity; DB error', 16, -1)
rollback transaction
return
end


GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO
/*		**************************************************************************/
/*		*	TRIGGER CHANGES FOR ORIGINATION UPGRADE PROJECT    */
/*		**************************************************************************/
/*		**************************************************************************/
/*		*	CHECK ALL PRIMARY/FOREIGN KEYS AND CONSTRAINTS FOR FEEAMORTIZATION    */
/*		**************************************************************************/
/******************	CHECK PRIMARY KEYS *****************************/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[PK_tblReinstatements]') and OBJECTPROPERTY(id, N'IsPrimaryKey') = 1)
	ALTER TABLE [dbo].[tblReinstatements] WITH NOCHECK ADD 
			CONSTRAINT [PK_tblReinstatements] PRIMARY KEY  CLUSTERED 
			(
				[PK_ROW_ID]
			) WITH  FILLFACTOR = 90  ON [PRIMARY] 
GO
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblBank_PK]') and OBJECTPROPERTY(id, N'IsPrimaryKey') = 1)
	ALTER TABLE [dbo].[tblBank] WITH NOCHECK ADD 
		CONSTRAINT [tblBank_PK] PRIMARY KEY  CLUSTERED 
		(
			[BK_NUM]
		) WITH  FILLFACTOR = 90  ON [PRIMARY] 
GO
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[PK_tblCanRefRev]') and OBJECTPROPERTY(id, N'IsPrimaryKey') = 1)
	ALTER TABLE [dbo].[tblCanRefRev] WITH NOCHECK ADD 
		CONSTRAINT [PK_tblCanRefRev] PRIMARY KEY  CLUSTERED 
		(
			[PK_ROW_ID]
		) WITH  FILLFACTOR = 90  ON [PRIMARY] 
GO
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblDemo_PK]') and OBJECTPROPERTY(id, N'IsPrimaryKey') = 1)
	ALTER TABLE [dbo].[tblDemo] WITH NOCHECK ADD 
		CONSTRAINT [tblDemo_PK] PRIMARY KEY  CLUSTERED 
		(
			[CUS_NUM]
		) WITH  FILLFACTOR = 90  ON [PRIMARY] 
GO
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblFAS91_Billing_Codes_PK]') and OBJECTPROPERTY(id, N'IsPrimaryKey') = 1)
	ALTER TABLE [dbo].[tblFAS91_Billing_Codes] WITH NOCHECK ADD 
		CONSTRAINT [tblFAS91_Billing_Codes_PK] PRIMARY KEY  CLUSTERED 
		(
			[FAS91_BILLING_COD]
		) WITH  FILLFACTOR = 90  ON [PRIMARY] 
GO
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblFAS91_RATES_PK]') and OBJECTPROPERTY(id, N'IsPrimaryKey') = 1)
	ALTER TABLE [dbo].[tblFAS91_RATES] WITH NOCHECK ADD 
		CONSTRAINT [tblFAS91_RATES_PK] PRIMARY KEY  CLUSTERED 
		(
			[PK_ROW_ID]
		) WITH  FILLFACTOR = 90  ON [PRIMARY] 
GO
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblLoans_PK]') and OBJECTPROPERTY(id, N'IsPrimaryKey') = 1)
	ALTER TABLE [dbo].[tblLoans] WITH NOCHECK ADD 
		CONSTRAINT [tblLoans_PK] PRIMARY KEY  CLUSTERED 
		(
			[LN_NUM]
		) WITH  FILLFACTOR = 90  ON [PRIMARY] 
GO
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblLoans_Mth_Amort_Temp_PK]') and OBJECTPROPERTY(id, N'IsPrimaryKey') = 1)
	ALTER TABLE [dbo].[tblLoans_Mth_Amort_Temp] WITH NOCHECK ADD 
		CONSTRAINT [tblLoans_Mth_Amort_Temp_PK] PRIMARY KEY  CLUSTERED 
		(
			[LN_NUM]
		) WITH  FILLFACTOR = 90  ON [PRIMARY] 
GO
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblSchedule_PK]') and OBJECTPROPERTY(id, N'IsPrimaryKey') = 1)
	ALTER TABLE [dbo].[tblSchedule] WITH NOCHECK ADD 
		CONSTRAINT [tblSchedule_PK] PRIMARY KEY  CLUSTERED 
		(
			[BK_NUM],
			[SCHED_NUM],
			[VINTAGE_YR],
			[PERIOD_START_MTH]
		) WITH  FILLFACTOR = 90  ON [PRIMARY] 
GO
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[PK_tblSecurity_1__36]') and OBJECTPROPERTY(id, N'IsPrimaryKey') = 1)
	ALTER TABLE [dbo].[tblSecurity] WITH NOCHECK ADD 
		CONSTRAINT [PK_tblSecurity_1__36] PRIMARY KEY  CLUSTERED 
		(
			[Userid]
		) WITH  FILLFACTOR = 90  ON [PRIMARY] 
GO
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblSysdate_PK]') and OBJECTPROPERTY(id, N'IsPrimaryKey') = 1)
	ALTER TABLE [dbo].[tblSysdate] WITH NOCHECK ADD 
		CONSTRAINT [tblSysdate_PK] PRIMARY KEY  CLUSTERED 
		(
			[SYS_DAT_KEY]
		) WITH  FILLFACTOR = 90  ON [PRIMARY] 
GO
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[PK_tblAudits]') and OBJECTPROPERTY(id, N'IsPrimaryKey') = 1)
	ALTER TABLE [dbo].[tblAudits] ADD 
		CONSTRAINT [PK_tblAudits] PRIMARY KEY  NONCLUSTERED 
		(
			[ROW_ID]
		) WITH  FILLFACTOR = 90  ON [PRIMARY] 
GO
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[PK_tblLoan_Types]') and OBJECTPROPERTY(id, N'IsPrimaryKey') = 1) 
	ALTER TABLE [dbo].[tblLoan_Types] ADD 
		CONSTRAINT [PK_tblLoan_Types] PRIMARY KEY  NONCLUSTERED 
		(
			[Ln_Typ_Alh]
		) WITH  FILLFACTOR = 90  ON [PRIMARY] 
GO
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[PK_tblREFL_Rates_1__24]') and OBJECTPROPERTY(id, N'IsPrimaryKey') = 1)
	ALTER TABLE [dbo].[tblREFL_Rates] ADD 
		CONSTRAINT [PK_tblREFL_Rates_1__24] PRIMARY KEY  NONCLUSTERED 
		(
			[PK_ROW_ID]
		) WITH  FILLFACTOR = 90  ON [PRIMARY] 
GO
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[PK_tblREFL_schedule_1__24]') and OBJECTPROPERTY(id, N'IsPrimaryKey') = 1)
ALTER TABLE [dbo].[tblREFL_schedule] ADD 
	CONSTRAINT [PK_tblREFL_schedule_1__24] PRIMARY KEY  NONCLUSTERED 
	(
		[PK_ROW_ID]
	) WITH  FILLFACTOR = 90  ON [PRIMARY] 
GO



/******************	CHECK INDEXES *****************************/
if not exists (select * from dbo.sysindexes where name = 'tblFAS91_RATES_NCI_Bk_Num') 
 CREATE  INDEX [tblFAS91_RATES_NCI_Bk_Num] ON [dbo].[tblFAS91_RATES]([BK_NUM]) WITH  FILLFACTOR = 90 ON [PRIMARY]
GO
if not exists (select * from dbo.sysindexes where name = 'tblCanRefRev_NCI_Billing_Cod') 
 CREATE  INDEX [tblCanRefRev_NCI_Billing_Cod] ON [dbo].[tblCanRefRev]([FAS91_BILLING_COD]) WITH  FILLFACTOR = 90 ON [PRIMARY]
GO
if not exists (select * from dbo.sysindexes where name = 'tblCanRefRev_NCI_LnNum_DsbDat') 
 CREATE  INDEX [tblCanRefRev_NCI_LnNum_DsbDat] ON [dbo].[tblCanRefRev]([LN_NUM], [ACU_DSB_DAT]) WITH  FILLFACTOR = 90 ON [PRIMARY]
GO
if not exists (select * from dbo.sysindexes where name = 'tblLoans_NCI_Cur_Bk_Num') 
 CREATE  INDEX [tblLoans_NCI_Cur_Bk_Num] ON [dbo].[tblLoans]([CUR_BK_NUM]) WITH  FILLFACTOR = 90 ON [PRIMARY]
GO
if not exists (select * from dbo.sysindexes where name = 'tblLoans_NCI_Cus_Num') 
 CREATE  INDEX [tblLoans_NCI_Cus_Num] ON [dbo].[tblLoans]([CUS_NUM]) WITH  FILLFACTOR = 90 ON [PRIMARY]
GO
if not exists (select * from dbo.sysindexes where name = 'tblLoans_NCI_SLD_Bk_Num') 
 CREATE  INDEX [tblLoans_NCI_SLD_Bk_Num] ON [dbo].[tblLoans]([SLD_BK_NUM]) WITH  FILLFACTOR = 90 ON [PRIMARY]
GO
if not exists (select * from dbo.sysindexes where name = 'tblSchedule_NCI_bk_Num') 
CREATE  INDEX [tblSchedule_NCI_bk_Num] ON [dbo].[tblSchedule]([BK_NUM]) WITH  FILLFACTOR = 90 ON [PRIMARY]
GO
if not exists (select * from dbo.sysindexes where name = 'tblSchedule_NCI_Sched_Num') 
 CREATE  INDEX [tblSchedule_NCI_Sched_Num] ON [dbo].[tblSchedule]([SCHED_NUM]) WITH  FILLFACTOR = 90 ON [PRIMARY]
GO


/******************	CHECK CONSTRAINSTS FOR tblDisb_Temp *****************************/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblDisb_Tem_ORIG_AMT_TO]') and OBJECTPROPERTY(id, N'IsConstraint') = 1)
	ALTER TABLE [dbo].[tblDisb_Temp] ADD 
		CONSTRAINT [DF_tblDisb_Tem_ORIG_AMT_TO] DEFAULT (0.00) FOR [ORIG_AMT_TO_DSB]
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblDisb_Temp_AMT_TO_DSB]') and OBJECTPROPERTY(id, N'IsConstraint') = 1)
	ALTER TABLE [dbo].[tblDisb_Temp] ADD 
		CONSTRAINT [DF_tblDisb_Temp_AMT_TO_DSB] DEFAULT (0.00) FOR [AMT_TO_DSB]

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblDisb_Temp_SCHED_NUM]') and OBJECTPROPERTY(id, N'IsConstraint') = 1)
	ALTER TABLE [dbo].[tblDisb_Temp] ADD 
		CONSTRAINT [DF_tblDisb_Temp_SCHED_NUM] DEFAULT (1) FOR [SCHED_NUM]

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblDisb_Tem_ORIG_INS_PU]') and OBJECTPROPERTY(id, N'IsConstraint') = 1)
	ALTER TABLE [dbo].[tblDisb_Temp] ADD 
		CONSTRAINT [DF_tblDisb_Tem_ORIG_INS_PU] DEFAULT (0.00) FOR [ORIG_INS_PUM_AMT]

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblDisb_Temp_INS_PUM_AMT]') and OBJECTPROPERTY(id, N'IsConstraint') = 1)
	ALTER TABLE [dbo].[tblDisb_Temp] ADD 
		CONSTRAINT [DF_tblDisb_Temp_INS_PUM_AMT] DEFAULT (0.00) FOR [INS_PUM_AMT]

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblDisb_Tem_INS_PUM_AMT]') and OBJECTPROPERTY(id, N'IsConstraint') = 1)
	ALTER TABLE [dbo].[tblDisb_Temp] ADD 
		CONSTRAINT [DF_tblDisb_Tem_INS_PUM_AMT] DEFAULT (0.00) FOR [INS_PUM_AMT_ADJ]

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblDisb_Temp_TOT_AMORTIZED]') and OBJECTPROPERTY(id, N'IsConstraint') = 1)
	ALTER TABLE [dbo].[tblDisb_Temp] ADD 
		CONSTRAINT [DF_tblDisb_Temp_TOT_AMORTIZED] DEFAULT (0.00) FOR [TOT_AMORTIZED]

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblDisb_Tem_AMT_REM_TO_]') and OBJECTPROPERTY(id, N'IsConstraint') = 1)
	ALTER TABLE [dbo].[tblDisb_Temp] ADD 
		CONSTRAINT [DF_tblDisb_Tem_AMT_REM_TO_] DEFAULT (0.00) FOR [AMT_REM_TO_AMORTIZE]

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblDisb_Tem_AMORTIZATIO]') and OBJECTPROPERTY(id, N'IsConstraint') = 1)
	ALTER TABLE [dbo].[tblDisb_Temp] ADD 
		CONSTRAINT [DF_tblDisb_Tem_AMORTIZATIO] DEFAULT (0) FOR [AMORTIZATION_MTH]

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblDisb_Tem_MTHLY_AMORT]') and OBJECTPROPERTY(id, N'IsConstraint') = 1)
	ALTER TABLE [dbo].[tblDisb_Temp] ADD 
		CONSTRAINT [DF_tblDisb_Tem_MTHLY_AMORT] DEFAULT (0.00) FOR [MTHLY_AMORTIZATION_AMT]

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblDisb_Tem_SLD_AMT_REM]') and OBJECTPROPERTY(id, N'IsConstraint') = 1)
	ALTER TABLE [dbo].[tblDisb_Temp] ADD 
		CONSTRAINT [DF_tblDisb_Tem_SLD_AMT_REM] DEFAULT (0.00) FOR [SLD_AMT_REM_TO_AMORTIZE]

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblDisb_Tem_CAN_AMT_REM]') and OBJECTPROPERTY(id, N'IsConstraint') = 1)
	ALTER TABLE [dbo].[tblDisb_Temp] ADD 
		CONSTRAINT [DF_tblDisb_Tem_CAN_AMT_REM] DEFAULT (0.00) FOR [CAN_AMT_REM_TO_AMORTIZE]

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblDisb_Tem_CAN_TOT_AMO]') and OBJECTPROPERTY(id, N'IsConstraint') = 1)
	ALTER TABLE [dbo].[tblDisb_Temp] ADD 
		CONSTRAINT [DF_tblDisb_Tem_CAN_TOT_AMO] DEFAULT (0.00) FOR [CAN_TOT_AMORTIZED]
GO


/******************	CHECK CONSTRAINSTS FOR tblDisbursements *****************************/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblDisbursementsDEF_ORIG_AMT_T]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblDisbursements] ADD 
		CONSTRAINT [tblDisbursementsDEF_ORIG_AMT_T] DEFAULT (0.0) FOR [ORIG_AMT_TO_DSB]

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblDisbursementsDEF_AMT_TO_DSB]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblDisbursements] ADD 
		CONSTRAINT [tblDisbursementsDEF_AMT_TO_DSB] DEFAULT (0.0) FOR [AMT_TO_DSB]

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblDisbursementsDEF_ORIG_INS_P]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblDisbursements] ADD 
		CONSTRAINT [tblDisbursementsDEF_ORIG_INS_P] DEFAULT (0.0) FOR [ORIG_INS_PUM_AMT]

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblDisbursementsDEF_INS_PUM_A1]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblDisbursements] ADD 
		CONSTRAINT [tblDisbursementsDEF_INS_PUM_A1] DEFAULT (0.0) FOR [INS_PUM_AMT]

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblDisbursementsDEF_INS_PUM_A2]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblDisbursements] ADD 
		CONSTRAINT [tblDisbursementsDEF_INS_PUM_A2] DEFAULT (0.0) FOR [INS_PUM_AMT_ADJ]

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblDisbursementsDEF_TOT_AMORTI]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblDisbursements] ADD 
		CONSTRAINT [tblDisbursementsDEF_TOT_AMORTI] DEFAULT (0.0) FOR [TOT_AMORTIZED]

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblDisbursementsDEF_AMT_REM_TO]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblDisbursements] ADD 
		CONSTRAINT [tblDisbursementsDEF_AMT_REM_TO] DEFAULT (0.0) FOR [AMT_REM_TO_AMORTIZE]

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblDisbursementsDEF_MTHLY_AMOR]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblDisbursements] ADD 
		CONSTRAINT [tblDisbursementsDEF_MTHLY_AMOR] DEFAULT (0.0) FOR [MTHLY_AMORTIZATION_AMT]

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblDisbursementsDEF_SLD_AMT_RE]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblDisbursements] ADD 
		CONSTRAINT [tblDisbursementsDEF_SLD_AMT_RE] DEFAULT (0.0) FOR [SLD_AMT_REM_TO_AMORTIZE]

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblDisbursementsDEF_CAN_AMT_RE]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblDisbursements] ADD 
		CONSTRAINT [tblDisbursementsDEF_CAN_AMT_RE] DEFAULT (0.0) FOR [CAN_AMT_REM_TO_AMORTIZE]

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblDisbursementsDEF_CAN_TOT_AM]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblDisbursements] ADD 
		CONSTRAINT [tblDisbursementsDEF_CAN_TOT_AM] DEFAULT (0.0) FOR [CAN_TOT_AMORTIZED]

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblDisbursementsDEF_ORIG_REFL]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblDisbursements] ADD 
		CONSTRAINT [tblDisbursementsDEF_ORIG_REFL] DEFAULT (0.0) FOR [ORIG_REFL_FEE]

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblDisbursementsDEF_REFL_FEE]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblDisbursements] ADD 
		CONSTRAINT [tblDisbursementsDEF_REFL_FEE] DEFAULT (0.0) FOR [REFL_FEE]

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblDisbursementsDEF_REFL_TOT_A]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblDisbursements] ADD 
		CONSTRAINT [tblDisbursementsDEF_REFL_TOT_A] DEFAULT (0.0) FOR [REFL_TOT_AMORTIZED]

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblDisbursementsDEF_REFL_AMT_R]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblDisbursements] ADD 
		CONSTRAINT [tblDisbursementsDEF_REFL_AMT_R] DEFAULT (0.0) FOR [REFL_AMT_REM_TO_AMORTIZE]

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblDisbursementsDEF_REFL_AMORT]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblDisbursements] ADD 
		CONSTRAINT [tblDisbursementsDEF_REFL_AMORT] DEFAULT (0) FOR [REFL_AMORTIZATION_MTH]

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblDisbursementsDEF_REFL_MTHLY]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblDisbursements] ADD 
		CONSTRAINT [tblDisbursementsDEF_REFL_MTHLY] DEFAULT (0.0) FOR [REFL_MTHLY_AMORTIZATION_AMT]

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblDisbursementsDEF_SLD_REFL_A]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblDisbursements] ADD 
		CONSTRAINT [tblDisbursementsDEF_SLD_REFL_A] DEFAULT (0.0) FOR [SLD_REFL_AMT_REM_TO_AMORTIZE]

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblDisbursementsDEF_REFL_CALC]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblDisbursements] ADD 
		CONSTRAINT [tblDisbursementsDEF_REFL_CALC] DEFAULT ('N') FOR [REFL_CALC_PROCESSED_IND]

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblDisbursementsDEF_CAN_REFL_A]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblDisbursements] ADD 
		CONSTRAINT [tblDisbursementsDEF_CAN_REFL_A] DEFAULT (0.0) FOR [CAN_REFL_AMT_REM_TO_AMORTIZE]

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[PK_tblDisbursements]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblDisbursements] ADD 
	CONSTRAINT [PK_tblDisbursements] PRIMARY KEY  NONCLUSTERED 
	(
		[LN_NUM],
		[ACU_DSB_DAT],
		[DSB_NUM]
	) WITH  FILLFACTOR = 90  ON [PRIMARY] 
GO


/******************	CHECK CONSTRAINSTS FOR tblFAS91_RATES *****************************/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblFAS91_RATES_UC_Bk_S_E_Date]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblFAS91_RATES] ADD 
		CONSTRAINT [tblFAS91_RATES_UC_Bk_S_E_Date] UNIQUE  NONCLUSTERED 
		(
			[BK_NUM],
			[START_DAT],
			[END_DAT]
		) WITH  FILLFACTOR = 90  ON [PRIMARY] ,
		CONSTRAINT [tblFAS91_Rates_CK_END_DAT] CHECK ([END_DAT] >= [START_DAT])
GO

/******************	CHECK CONSTRAINSTS FOR tblIns_Change *****************************/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblIns_Cha_Reason_Code1__44]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblIns_Change] ADD 
		CONSTRAINT [DF_tblIns_Cha_Reason_Code1__44] DEFAULT ('audit') FOR [Reason_Code]
GO



/******************	CHECK CONSTRAINSTS FOR tblLoans *****************************/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblLoans_CUR_LN_BAL_1__18]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblLoans] ADD 
		CONSTRAINT [DF_tblLoans_CUR_LN_BAL_1__18] DEFAULT (0.0) FOR [CUR_LN_BAL]
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblLoans_SLD_CUR_LN_BA6__18]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblLoans] ADD 	
		CONSTRAINT [DF_tblLoans_SLD_CUR_LN_BA6__18] DEFAULT (0.0) FOR [SLD_CUR_LN_BAL]
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblLoans_SLD_INT_DUE_B8__18]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblLoans] ADD 	
		CONSTRAINT [DF_tblLoans_SLD_INT_DUE_B8__18] DEFAULT (0.0) FOR [SLD_INT_DUE_BAL]
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblLoans_SLD_FAS91_AMT7__18]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblLoans] ADD 	
		CONSTRAINT [DF_tblLoans_SLD_FAS91_AMT7__18] DEFAULT (0.0) FOR [SLD_FAS91_AMT_REM_TO_AMORTIZE]
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblLoans_PURCH_INT_DUE5__18]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblLoans] ADD 
		CONSTRAINT [DF_tblLoans_PURCH_INT_DUE5__18] DEFAULT (0.0) FOR [PURCH_INT_DUE_BAL]
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblLoans_FAS91_TOT_AMO1__09]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblLoans] ADD 	
		CONSTRAINT [DF_tblLoans_FAS91_TOT_AMO1__09] DEFAULT (0.0) FOR [FAS91_TOT_AMORTIZED]
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblLoans_FAS91_AMT_REM3__18]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblLoans] ADD 	
		CONSTRAINT [DF_tblLoans_FAS91_AMT_REM3__18] DEFAULT (0.0) FOR [FAS91_AMT_REM_TO_AMORTIZE]
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblLoans_FAS91_AMORTIZ5__36]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblLoans] ADD 
		CONSTRAINT [DF_tblLoans_FAS91_AMORTIZ5__36] DEFAULT (0) FOR [FAS91_AMORTIZATION_MTH]
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblLoans_FAS91_MTHLY_A4__18]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblLoans] ADD 
		CONSTRAINT [DF_tblLoans_FAS91_MTHLY_A4__18] DEFAULT (0.0) FOR [FAS91_MTHLY_AMORTIZATION_AMT]
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblLoans_FAS91_AMT_2__18]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblLoans] ADD 
		CONSTRAINT [DF_tblLoans_FAS91_AMT_2__18] DEFAULT (0.0) FOR [FAS91_AMT]
GO

/******************	CHECK CONSTRAINSTS FOR tblLoans_Temp *****************************/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblLoans_Temp_CUR_LN_BAL]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblLoans_Temp] ADD 
		CONSTRAINT [DF_tblLoans_Temp_CUR_LN_BAL] DEFAULT (0.00) FOR [CUR_LN_BAL]
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblLoans_Te_SLD_CUR_LN_]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblLoans_Temp] ADD 
		CONSTRAINT [DF_tblLoans_Te_SLD_CUR_LN_] DEFAULT (0.00) FOR [SLD_CUR_LN_BAL]
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblLoans_Te_SLD_INT_DUE]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblLoans_Temp] ADD 
		CONSTRAINT [DF_tblLoans_Te_SLD_INT_DUE] DEFAULT (0.00) FOR [SLD_INT_DUE_BAL]
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblLoans_Te_SLD_FAS91_A]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblLoans_Temp] ADD 
		CONSTRAINT [DF_tblLoans_Te_SLD_FAS91_A] DEFAULT (0.00) FOR [SLD_FAS91_AMT_REM_TO_AMORTIZE]
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblLoans_Te_PURCH_INT_D]') and OBJECTPROPERTY(id, N'IsConstraint') = 1) 
	ALTER TABLE [dbo].[tblLoans_Temp] ADD 
		CONSTRAINT [DF_tblLoans_Te_PURCH_INT_D] DEFAULT (0.00) FOR [PURCH_INT_DUE_BAL]
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblLoans_Temp_SCHED_NUM]') and OBJECTPROPERTY(id, N'IsConstraint') = 1)
	ALTER TABLE [dbo].[tblLoans_Temp] ADD 	
		CONSTRAINT [DF_tblLoans_Temp_SCHED_NUM] DEFAULT (1) FOR [SCHED_NUM]
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblLoans_Te_FAS91_TOT_A]') and OBJECTPROPERTY(id, N'IsConstraint') = 1)
	ALTER TABLE [dbo].[tblLoans_Temp] ADD 	
		CONSTRAINT [DF_tblLoans_Te_FAS91_TOT_A] DEFAULT (0.00) FOR [FAS91_TOT_AMORTIZED]
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblLoans_Te_FAS91_AMT_R]') and OBJECTPROPERTY(id, N'IsConstraint') = 1)
	ALTER TABLE [dbo].[tblLoans_Temp] ADD 	
		CONSTRAINT [DF_tblLoans_Te_FAS91_AMT_R] DEFAULT (0.00) FOR [FAS91_AMT_REM_TO_AMORTIZE]
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblLoans_Te_FAS91_AMORT]') and OBJECTPROPERTY(id, N'IsConstraint') = 1)
	ALTER TABLE [dbo].[tblLoans_Temp] ADD 		
		CONSTRAINT [DF_tblLoans_Te_FAS91_AMORT] DEFAULT (0) FOR [FAS91_AMORTIZATION_MTH]
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblLoans_Te_FAS91_MTHLY]') and OBJECTPROPERTY(id, N'IsConstraint') = 1)
	ALTER TABLE [dbo].[tblLoans_Temp] ADD 	
		CONSTRAINT [DF_tblLoans_Te_FAS91_MTHLY] DEFAULT (0.00) FOR [FAS91_MTHLY_AMORIZATION_AMT]
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblLoans_Temp_FAS91_AMT]') and OBJECTPROPERTY(id, N'IsConstraint') = 1)
	ALTER TABLE [dbo].[tblLoans_Temp] ADD 		
		CONSTRAINT [DF_tblLoans_Temp_FAS91_AMT] DEFAULT (0.00) FOR [FAS91_AMT]
GO

/******************	CHECK CONSTRAINSTS FOR tblSchedule *****************************/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[CKT_TBLSCHEDULE]') and OBJECTPROPERTY(id, N'IsConstraint') = 1)
	ALTER TABLE [dbo].[tblSchedule] ADD 
		CONSTRAINT [CKT_TBLSCHEDULE] CHECK ([PERIOD_END_MTH] >= [PERIOD_START_MTH])
GO

/******************	CHECK CONSTRAINSTS FOR tblSecurity *****************************/ 
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[CKT_TBLSCHEDULE]') and OBJECTPROPERTY(id, N'IsConstraint') = 1)
	ALTER TABLE [dbo].[tblSecurity] ADD 
		CONSTRAINT [DF_tblSecurit_UserLevel_3__11] DEFAULT ('level3') FOR [UserLevel]
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[CKT_TBLSCHEDULE]') and OBJECTPROPERTY(id, N'IsConstraint') = 1)
	ALTER TABLE [dbo].[tblSecurity] ADD 
		CONSTRAINT [DF_tblSecurit_Pwd_2__11] DEFAULT ('password') FOR [Pwd]
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[CKT_TBLSCHEDULE]') and OBJECTPROPERTY(id, N'IsConstraint') = 1)
	ALTER TABLE [dbo].[tblSecurity] ADD 
		CONSTRAINT [DF_tblSecurit_Dat_Las_Upd1__11] DEFAULT (getdate()) FOR [Dat_Las_Upd]
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[CKT_TBLSCHEDULE]') and OBJECTPROPERTY(id, N'IsConstraint') = 1)
	ALTER TABLE [dbo].[tblSecurity] ADD 
		CONSTRAINT [tblSecurity_CKC_UserLevel] CHECK ([UserLevel] = 'level1' or [UserLevel] = 'level2' or [UserLevel] = 'level3')
GO

/******************	CHECK CONSTRAINSTS FOR tblSysdate *****************************/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DF_tblSysdate_SYS_DAT_KEY]') and OBJECTPROPERTY(id, N'IsConstraint') = 1)
	ALTER TABLE [dbo].[tblSysdate] ADD 
		CONSTRAINT [DF_tblSysdate_SYS_DAT_KEY] DEFAULT ('SYSDATE') FOR [SYS_DAT_KEY]
GO

/******************	CHECK FOREIGN KEY FOR tblCanRefRev *****************************/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblCanRefRev_FK_FAS91_B_Codes]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
	ALTER TABLE [dbo].[tblCanRefRev] ADD 
		CONSTRAINT [tblCanRefRev_FK_FAS91_B_Codes] FOREIGN KEY 
		(
			[FAS91_BILLING_COD]
		) REFERENCES [dbo].[tblFAS91_Billing_Codes] (
			[FAS91_BILLING_COD]
		)
GO

/******************	CHECK FOREIGN KEY FOR tblFAS91_RATES *****************************/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblFAS91_Rates_FK_Bk_Num]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
	ALTER TABLE [dbo].[tblFAS91_RATES] ADD 
		CONSTRAINT [tblFAS91_Rates_FK_Bk_Num] FOREIGN KEY 
		(
			[BK_NUM]
		) REFERENCES [dbo].[tblBank] (
			[BK_NUM]
		)
GO

/******************	CHECK FOREIGN KEY FOR tblLoans *****************************/
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblLoans_FK_Cur_Bk_Num]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
	ALTER TABLE [dbo].[tblLoans] ADD 
		CONSTRAINT [tblLoans_FK_Cur_Bk_Num] FOREIGN KEY 
		(
			[CUR_BK_NUM]
		) REFERENCES [dbo].[tblBank] (
			[BK_NUM]
		)
		
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblLoans_FK_CUS_NUM]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
	ALTER TABLE [dbo].[tblLoans] ADD 
		CONSTRAINT [tblLoans_FK_CUS_NUM] FOREIGN KEY 
		(
			[CUS_NUM]
		) REFERENCES [dbo].[tblDemo] (
			[CUS_NUM]
		)
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tblLoans_FK_Sld_Bk_Num]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
	ALTER TABLE [dbo].[tblLoans] ADD 
		CONSTRAINT [tblLoans_FK_Sld_Bk_Num] FOREIGN KEY 
		(
			[SLD_BK_NUM]
		) REFERENCES [dbo].[tblBank] (
			[BK_NUM]
		)

GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
/*		**********************************************************************************/
/*		*	CHECK ALL PRIMARY/FOREIGN KEYS AND CONSTRAINTS FOR FEEAMORTIZATION COMPLETE   */
/*		**********************************************************************************/

/*      *******************************************************************/
/*      * DATABASE CHANGES FOR ORIGINATION AND 2003 UPGRADE PROJECTS                    */
/*      *******************************************************************/

PRINT '************************************************************************************************************'
PRINT '**********   REMEMBER TO SET THE GLOBAL VARIABLE VALUES WITHIN TABLE TBLDAILY_GLOBALVALUES		***********'
PRINT '*** NOTE:	IF THERE ARE ANY ERROR MESSAGES THAT STATE "SUPPLIED VALUES DOES NOT MATCH TABLE	***********'
PRINT '******		DEFINITION" TABLE(S) IS MISSING IDENTITY COLUMN AND SHOULD BE MODIFIED  			***********'
PRINT '*** NOTE:	ANY MESSAGE PERTAINING TO TBLDISBS_MTH_AMORT_TEMP CAN BE IGNORED, THE TABLE WAS		***********' 
PRINT '******		MODIFIED AND THE MESSAGES ARE TO BE EXPECTED										***********'
PRINT '*** NOTE:	INSTALL THE NEW DTS PACKAGES(2003 Upg) PLUS NEW FORMAT FILES(Orig)  				***********'
PRINT '*** NOTE:	REPLACE MAINTENANCE.ASP PAGE(ORIG)													***********'
PRINT '*** NOTE:	INSTALL .NET WINDOW SERVICE(2003 UPG)												***********'
PRINT '************************************************************************************************************'






